# $Id: //depot/prod/ontap/main/test/dp/ossv/BR.1_Regresion/utils1.pm#1 $
# -*-perl-*-

#use Tharn;
use BURTS;
#############################################################
## List database files for the locations
##############################################################

sub get_latest_db_files {

     my($db_location,$fc)= @_;
     $db_location = &set_right_win_path($db_location); 
     my($before,$match,$after) = say($fc,"ls -1t '$db_location' | grep ^[0-9a-z][0-9a-z]\$", -swallow, -timeout,600);
     
     @list_files = split("\n",$after);
   
    logcomment("----------------------->  $list_files[1]: $list_files[2]");
    
     #naveenm changed it to 2 from 1 
     #my($db_file) = $list_files[2]; 
     
      #pjoshi
      my($db_file) = $list_files[1]; 
     

    logcomment("DB File is **********  - $db_file");
     

	chop($db_file);
     if(defined($db_file)) {
	return($db_file);
     } else { 
	return;     
     }
}


##----------------------------------------------------------------
## Lists latest database directories like 00,01,02 
##	Parameters:
##		1. Complete location of the OSSV database (D:\Program Files\netapp\snapvault\db\QsmDatabase\Files\QtreeHistory\0000)
##		2. Connection handle for Primary
##    added by pjoshi: 
##----------------------------------------------------------------

sub get_latest_db_location {

	my($db_location,$fc)= @_;
	my($match,$before,$after) = say($fc,"ls -1t '$db_location' | grep ^[0-9a-z][0-9a-z]\$",-timeout,600);
	
        logcomment("---------------> m:$match b:$before  a:$after");

	@list_dir = split("\n",$after);
    
        logcomment("---------------> $list_dir[0] : $list_dir[1] $list_dir[2] $list_dir[3]");
	my($db_dir) = $list_dir[0]; 
        logcomment("---------------> latest dbdir: $db_dir");
 
	chop($db_dir);
	if(defined($db_dir)) {
		my $db_dirlocation  = "$db_location" ."\\" . "$db_dir" ;
        	logcomment("--------------------> dbdirlocation: $db_dirlocation");
		return($db_dirlocation);
	} else { 
		return;     
	}
}

##----------------------------------------------------------------
## Verifies DUPLICATE INODE in the History file through svhistcheck  
##      Parameters:
##              1. Complete location of the OSSV database (D:\Program Files\netapp\snapvault\db\QsmDatabase\Files\QtreeHistory\0000)
##              2. DB File Name 
##              3. Connection handle for Primary
##    added by pjoshi:
##----------------------------------------------------------------

sub verify_duplicate_inode {
	my($match,$before,$after);
        my($ossv_location,$db_location,$dbfile,$fc)= @_;
        $db_location = &set_right_win_path($db_location); 
	my $result=0;
	
	#These following two statements are required If snapvault path is not in Primary envirnment variable 
	#$ossv_location = &set_right_win_path($ossv_location); 
        #$ossv_location = $ossv_location . "\\" . "svpmgr.exe"; 
	
	my $db= "$db_location". "\\" . "$dbfile";

	logcomment("--------------pjoshi-> DB  Loc:$db_location  db file : $dbfile  db: $db");

        #my($match,$before,$after) = say($fc,"'$ossv_location' 'Shutdown'","no need to rebaseline this relationship",-timeout,900);
        ($match,$before,$after) = say($fc,"'svpmgr.exe' 'Shutdown'",-timeout,900);
	
	logcomment("--------------pjoshi-> OSSV Shutdown m:$match b:$before a:$after");
	if($after =~ m/'svpmgr.exe' 'Shutdown'/){
		logcomment("--------------pjoshi-> OSSV Shutdown Done");
	}else{
		logcomment("--------------pjoshi-> OSSV Shutdown Failed:$after");
	}
        
	#($match,$before,$after) = say($fc,"'$OSSV_LOC/svhistcheck.exe' '/h' '$db'","no need to rebaseline this relationship",-timeout,900);
	($match,$before,$after) = say($fc,"'$OSSV_LOC/svhistcheck.exe' '/h' '$db'",-timeout,900);

	if($after =~ m/no need to rebaseline this relationship/){
        	logcomment("---------------> m:$match b:$before  a:$after");
		$result=1;
	}elsif ($after =~ m/The above history file does not exists/){
		logcomment("---------------> Wrong DB File: $match :$before:$after");
		$result=-1;
	}elsif($after =~ m/Usage:/) {
		logcomment("---------------> Wrong Command:$match :$before:$after");	
		$result=-1;
	}else {
		logcomment("---------------> DUPLICATE INODE FOUND :$match :$before:$after");	
		$result=0;
	}
        ($match,$before,$after) = say($fc,"'svpmgr.exe' 'Startup'",-timeout,900);
        sleep 25;  
	return $result;
}




##############################################################
## This procedure lists all the checkpoints in the database
##############################################################

sub get_latest_chkpt {
 
     my($db_file,$db_location,$fc) = @_;
     my $chkptfile = "$db_file".'-checkpoint*';
     logcomment(" Looking for the Chkptfile -> $chkptfile"); 
     $db_location = &set_right_win_path($db_location);
     my($before,$match,$after) = say($fc,"ls -1t '$db_location' | grep $chkptfile", -swallow, -timeout,300);
     logcomment("*******************************************");
     logcomment("Before - $before");
     logcomment("After- $after");
     logcomment("Match- $match");
     logcomment("*******************************************");
		
     my(@chkpt_list) = split("\n",$after);
 
     logcomment("pjosh------------------------:chkpt_list[0]->@chkpt_list[0]");
     logcomment("pjosh------------------------:chkpt_list[1]->@chkpt_list[1]");
     logcomment("pjosh------------------------:chkpt_list[2]->@chkpt_list[2]");
     
	#my($latest_chkpt) = $chkpt_list[2];
        #pjoshi  
	my($latest_chkpt) = $chkpt_list[0];
    
     logcomment("latest_chkpt -$latest_chkpt");
     

     if(defined($latest_chkpt)) {
	return($latest_chkpt);
     } else {
	return;
     }
}

#################################################################
## This procedure checks if a checksum file exists or not
#################################################################  

sub check_checksum_file_exists {

     my($cksumfile,$db_location,$pc) = @_;

     my($match,$before,$after) = say($pc,"ls -1a $db_location",-ok,-timeout,600);

        if($after =~ /$cksumfile/) {
                return(1);
        } else {
                return(0);
        }
}

##################################################################
## This procedure gets the status of a qtree by executing the 
## "Snapvault status -l" command.It returns an associative array.
##################################################################

sub get_snapvault_status {

	my($qtree,$fc) = @_;
	my($before,$match,$output) = say($fc,"snapvault status -l $qtree","ON");
        # my($before,$match,$output) = say($fc,"snapvault status -l $qtree");
	my(@contents) = split("\n",$output);
	shift(@contents);
	foreach $ele (@contents) {
   	$ele =~ m/:/;
   	$field = $`;
	$value = $';
      	$value =~ s/^\s+//;
      	$value =~ s/\s+$//;
	$field =~ s/^\s+//;
	$field =~ s/\s+$//;
	$ret_val{$field} = $value;
	}

	return(%ret_val);
   
}

###################################################################
## Wait for the transfer to complete
###################################################################

sub wait_for_transfer_finish {
    my($svStatus,$timeout,$qtree,$fc) = @_;

        if(defined($timeout)) {
                logcomment("Transfer timeout is $timeout");
        } else {
                logcomment("Timeout not defined.Setting to 3600");
                $timeout = "3600";
        }

        %$svStatus = &get_snapvault_status($qtree,$fc);

        while($$svStatus{'Status'} =~ m/Transferring|Quiescing/i)
        {
                if($timeout == 0 || $$svStatus{'Current Transfer Error'} ne "-") {
                        logcomment("Transfer Timedout:$$svStatus{'Current Transfer Error'}");
                        return 0;
                }
                %$svStatus = &get_snapvault_status($qtree,$fc);
                sleep 5;
                $timeout = $timeout - "5";
        }

        if($$svStatus{'Current Transfer Error'} ne "-")
        {
          logcomment("Transfer failed. The current transfer error is $$svStatus{'Current Transfer Error'}");
          return 0;
        }
        return 1;

}
     
###################################
## 
## Set the config parameters
##
################################### 

sub svconfig {

   my($util,$config_file,$parameter,$value,$fc) = @_;

   say($fc,"'$util/svsetstanza' 'config' $config_file QSM 'Checkpoint Interval' VALUE 60 60");	
   if($parameter =~ '^BLI$')
   {
   say($fc,"'$util/svsetstanza' 'config' $config_file Configuration 'Checksums' VALUE $value FALSE");
   logcomment("BLI set to $value");
   }
   elsif
   ($parameter =~ '^ACCESS$')
   {
   say($fc,"'$util/svsetstanza' 'config' $config_file QSM 'Check Access List' VALUE $value FALSE");
   logcomment("Access check set to $value");
   }
   elsif
   ($parameter =~ '^COMPRESSION$')  #pjoshi
   {
   say($fc,"'$util/svsetstanza' 'config' $config_file QSM EnableCompression  VALUE $value FALSE");
   logcomment(" EnableCompression set to $value");
   }
   elsif
   ($parameter =~ '^COMP_LEVEL$')  #pjoshi
   {
   say($fc,"'$util/svsetstanza' 'config' $config_file QSM CompressionLevel VALUE $value FALSE");
   logcomment("Compression Level set to $value");
   }
   elsif
   ($parameter =~ '^RESYNC$')
   {
   say($fc,"'$util/svsetstanza' 'config' $config_file QSM 'Enable Restart' VALUE $value FALSE");
   logcomment("Resync flag set to $value");
   }
   elsif
   ($parameter =~ '^DB$')
   {
   say($fc,"'$util/svsetstanza' 'config' $config_file QSM 'Backup Database' VALUE $value FALSE");
   logcomment("DB backup set to $value");
   }
   elsif
   ($parameter =~ '^ACCESSLIST_VALUE$')
   {
    say($fc,"'$util/svsetstanza' 'config' $config_file QSM 'Access List' VALUE '$value' FALSE");
   logcomment("Access List set to $value");
   }
   elsif
   ($parameter =~ '^RESYNC_VERSION$')
   {
    say($fc,"'$util/svsetstanza' 'config' $config_file QSM  'Resync Version' VALUE '$value' FALSE");
    logcomment("Resync version set to $value");
   }
   elsif
   ($parameter =~ '^NDMP_PORT$')
   {
    say($fc,"'$util/svsetstanza' 'config' $config_file NDMP  'Listen Port' VALUE '$value' FALSE");
    logcomment("NDMP port set to $value");
   }
    elsif
   ($parameter =~ '^NDMP_HOSTID$')
   {
    say($fc,"'$util/svsetstanza' 'config' $config_file NDMP  'Host Id' VALUE '$value' FALSE");
    logcomment("NDMP Id set to $value");
   }
   elsif($parameter =~ /^ROOT_INODE$/) {
    say($fc,"'$util/svsetstanza' 'config' $config_file QSM  'FixRootInodeChanges' VALUE '$value' FALSE");
    logcomment("FixRootInode flag set to $value");
   }

}


####################################################
## This procedure releases the relation on primary
####################################################

sub release_rel_pri{
   my($primary,$filer,$qtree,$primary_path,$ossv_loc,$pc) = @_;
   say($pc,"'$ossv_loc//snapvault' release '$primary_path' $filer:$qtree");

} 

###################################################
## This procedure deletes the DB file
################################################### 

sub deldbfile {
   my($db_file,$db_loc,$type,$pc) = @_;
   
   my $cksum_file = "$db_file".-checksums;   
   if($type =~ 'DB only')
   { 
    say($pc,"rm '$db_loc\\$db_file'");
   }
   elsif ($type =~ 'BLI')
   {
    say($pc,"rm '$db_loc\\$db_file'");
    say($pc,"rm '$db_loc\\$cksum_file'");
   }
}         

#####################################################
## This procedure is used to break a relation
#####################################################

sub break_relation {
   my($qtree,$fc) = @_;

   say($fc,"options snapvault.enable off");
   say($fc,"snapmirror off");
   say($fc,"priv set diag; snapmirror convert $qtree");
   say($fc,"snapmirror on");
   say($fc,"snapmirror quiesce $qtree");
   say($fc,"snapmirror break $qtree");
   say($fc,"options snapvault.enable on");
} 

########################################################
## this procedure is used to create a snapvault schedule
########################################################

sub create_sv_sched {
    my($vol,$snapname,$sched,$fc) = @_;
    say($fc,"snapvault snap sched $vol $snapname $sched");

}

########################################################
## This procedure is used to create a snapshot
########################################################

sub create_snapshot {
    my($vol,$snapname,$fc) = @_;
    #pjoshi 
    #my $match = say($fc,"snapvault snap create -w $vol $snapname","Snapshot creation successful",-fail,"Snapshot creation failed",-timeout,600);
    my $match1 = say($fc,"snap create $vol $snapname",-timeout,600);
     my ($be,$af,$match) = say($fc,"snap list -n  $vol",-timeout,600);
  
	#pjoshi
	if($match =~m/$snapname/){
		return 1;	
	}else {
		return 0;	
	}
} 



## ----------------
## Added by naveenm
## ----------------


## ----------------------
## Set right Windows Path
## ----------------------

sub set_right_win_path($) {

   my $path = $_[0];
   $path =~ s/\\/\\\\/g;
   return($path);
}



##---------------------------------------------------------------------
## This function will  return the size of the Data set
## Parameters:
##		1. Primary Handel
##               2. Dataset location

## This function retuns  1 if snapshot is there and returns 0 if snapshotis not present 
##Author: rajeshkr@netapp.com
##----------------------------------------------------------------------

sub size_dataset {
my($pc,$location)=@_;
my($match,$before,$after)=say($pc,"du '$location'",-timeout,500);
my@array=split("\n",$after);
my$size=@array[$#array];
#my($size1,$temp)=split(".",$size);
$size=~s/\D/ /g;
#logcomment("Size of the given Directory is :$size");
$size;
}
##---------------------------------------------------------------------
## This function will clean up all the relations related to specific Q tree at secondary side
## Parameters:
##              1. Secondary Handel
##              2. Qtree
## This function retuns no value
##Author: rajeshkr@netapp.com
##--------------------------------------------------------------

sub cleanup_secondary {
        my($fc,$qtree)=@_;
        my @relation_list;
        my ($source,$destination,$element);
        my $time=100; # need to change (Get timeout from config file)
        # Going to release the Restore relations on secondary
        my ($match,$before,$after) = say($fc,"snapvault destinations",-timeout,$time);
        shift(@relation_list);   # Removing the heading information( Path and destination)
        @relation_list = split("\n",$after);
        foreach $element (@relation_list) {
                if($element =~ /$qtree/i) {  # checking for Qtree before removing
                        logcomment(" The releation is :$element");
                        chmod($element);
                        logcomment(" The releation is after triming :$element"); # need to remove
                        my ($filer_path,$host_path)=split(/\s+/,$element);
                        ($match,$before,$after) = say ($fc,"snapvault release '$filer_path' '$host_path'",-swallow,-timeout,$
time);
                        if($after =~ /no|error|not|failed|Illegal/i) {
                                logcomment("There is some problem while deleating the restore relation : $after");
                        }
                }
        }
        # Going to stop backup relations on secondary
        #$match=$before=$after=""; # flushing the values
        ($match,$before,$after) = say($fc,"snapvault status" ,-swallow,-timeout,$time);
        @relation_list="";
        @relation_list=split("\n",$after);
        shift(@relation_list);
        shift(@relation_list);  #  Removing the heading information
        foreach $element (@relation_list) {
                if ($element =~ /$qtree/i) { # checking for Qtree before removing
                        logcomment(" The releation is :$element");
                        ($source,$destination) = split(/\s+/,$element);
                        ($match,$before,$after) = say ($fc, "snapvault stop -f '$destination'",-swallow,-timeout,$time);
                        if($after =~ /no|error|not|failed|Illegal/i) {
                                logcomment("There is some problem while deleating the restore relation : $after");
                        }
                }
        }
}


##---------------------------------------------------------------------
## This function will clean up all the relations related to specific Q tree at primary side
## Parameters:
##              1. Primary Handel
##              2. Qtree
## This function retuns no value
##Author: rajeshkr@netapp.com
##--------------------------------------------------------------
sub cleanup_primary {
        my($pc,$qtree)=@_;
        my @relation_list;
        my ($source,$destination,$element);
        my $time=500; # need to change (Get timeout from config file)
        # Going to release the Backup relations on primary
        my ($match,$before,$after) = say($pc,"'$OSSV_LOC/snapvault' destinations" ,-timeout,$time);
        shift(@relation_list);   # Removing the heading information( Path and destination)
        @relation_list = split("\n",$after);
        foreach $element (@relation_list) {
                if($element =~ /$qtree/i) {  # checking for Qtree before removing
                        logcomment(" The releation is :$element");
                        chmod($element);
                        my ($bkp_path,$filer_path)=split(/\s+/,$element);
                        ($match,$before,$after) = say ($pc,"'$OSSV_LOC/snapvault' release '$bkp_path' '$filer_path'",-swallow,-timeout,$time);
                        if($after =~ /no|error|not|failed|Illegal/i) {
                                logcomment("There is some problem while deleating the restore relation : $after");
                        }
                }
        }
        # Going to release  backup relations on primary
        #$match=$before=$after=""; # flushing the values
        ($match,$before,$after) = say($pc,"'$OSSV_LOC/snapvault' status" ,-swallow,-timeout,$time);
        @relation_list="";
        @relation_list=split("\n",$after);
        shift(@relation_list);
        shift(@relation_list);  #  Removing the heading information
        foreach $element (@relation_list) {
                if ($element =~ /$qtree/i) { # checking for Qtree before removing
                        logcomment(" The releation is :$element");
                        ($source,$destination) = split(/\s+/,$element);
                        my ($host,$path,$os_determination) = split(":",$destination);
                        if (defined($os_determination)){
                                logcomment("Given OS type is windows ");
                                $path=$path . ":" . $os_determination;
                        }
                        logcomment("after spliting the backup path path is :$path");
                        ($match,$before,$after) = say ($pc, " '$OSSV_LOC/snapvault' release '$path' '$source'",-swallow,-timeout,$time);
                        if($after =~ /no|error|not|failed|Illegal/i) {
                                logcomment("There is some problem while deleating the restore relation : $after");
                        }
                }
        }
}

1;

__END__

