# $Id: //depot/prod/test/Rsierranevada/dp/ossv/Windows_sanity/BURTS.pm#1 $
## --------------------------------------------------
## A module that is being used by the svBURT* scripts
## --------------------------------------------------

## --------------------------------------------------------------------
## Create test specific data
## We are expecting the config file to be present in the tool location.
## ---------------------------------------------------------------------


sub create_test_data($,$,$) {

   my($toolLocation, $configFile, $pc) = @_;

   $toolLocation = &set_right_win_path($toolLocation);
   #my(undef, undef, $op) = say($pc, "$toolLocation/tdg.exe -cf $toolLocation/$configFile -rd $toolLocation", -ignore,"LookupAccountName failed","dummy", -ok, -timeout, 3600);

   #pjoshi#
   my($match,$before,$op)= say($pc, "$toolLocation/tdg.exe -cf $toolLocation/$configFile -rd $toolLocation","dummy",-ok, -timeout, 3600);
   logcomment("----------------------->m:$match\n b:$before\n a:$op\n"); 
   
   if(($op =~ m/Failed|Can't|Cannot|Error/)) {
      logresult("Warn","---->Possible failure in data creation");
   }
}

## --------------------------------------
## Compare test data
## This compare function uses the AC tool
## Can go into data.pm
## --------------------------------------


sub compare_data ($,$,$,$) {

    my($toolLocation,$dir1, $dir2,$pc) = @_;
    #my(undef, undef, $op) = say($pc, "$toolLocation//AC.exe $dir1 $dir2 /i184381 /i205059 /i184416 ", "dummy", -ok, -timeout, 7200);

     $toolLocation = &set_right_win_path($toolLocation);      
     my(undef, undef, $op) = say($pc, "$toolLocation//AC.exe $dir1 $dir2 /ikb", "dummy", -ok, -timeout, 7200);

    if( $op =~ m/different/i ) {
       return(0);
    } else {
       return(1);
    }
}

## ----------------------
## Set right Windows Path
## ----------------------

sub set_right_win_path($) {

   my $path = $_[0];
   $path =~ s/\\/\\\\/g;
   return($path);
}

##----------------------------------------------------------------------
## Pause on Fail Function
## Clumsily implemented.A better way to implement this is to use signals
##----------------------------------------------------------------------

sub pause_on_fail {

  system("touch .PAUSE");
  while( -e ".PAUSE") {
      sleep 5;
  }
}

_1_;
