# -*-perl-*-
# $Id: //depot/prod/test/Rsierranevada/dp/ossv/Windows_sanity/ossvconf.pm#1 $
##--------------------------------------------------------
##  This module has procedures that are needed to modify
##  the ossv configuration
##--------------------------------------------------------

sub set_config_value {

   my($util,$config_file,$parameter,$value,$fc) = @_;

   if($parameter =~ '^BLI$') {

      say($fc,"'$util/svsetstanza' 'config' $config_file Configuration 'Checksums' VALUE $value FALSE");
      logcomment("BLI set to $value");

   } elsif ($parameter =~ '^ACCESS$') {
   
      say($fc,"'$util/svsetstanza' 'config' $config_file QSM 'Check Access List' VALUE $value FALSE");
      logcomment("Access check set to $value");

   } elsif ($parameter =~ '^RESYNC$') {

      say($fc,"'$util/svsetstanza' 'config' $config_file QSM 'Enable Restart' VALUE $value FALSE");
      logcomment("Resync flag set to $value");

   } elsif ($parameter =~ '^DB$') {

      say($fc,"'$util/svsetstanza' 'config' $config_file QSM 'Backup Database' VALUE $value FALSE");
      logcomment("DB backup set to $value");

   } elsif ($parameter =~ '^ACCESSLIST_VALUE$') {

      say($fc,"'$util/svsetstanza' 'config' $config_file QSM 'Access List' VALUE '$value' FALSE");
      logcomment("Access List set to $value");

   } elsif ($parameter =~ '^RESYNC_VERSION$') {

      say($fc,"'$util/svsetstanza' 'config' $config_file QSM  'Resync Version' VALUE '$value' FALSE");
      logcomment("Resync version set to $value");

   } elsif ($parameter =~ '^NDMP_PORT$') {

      say($fc,"'$util/svsetstanza' 'config' $config_file NDMP  'Listen Port' VALUE '$value' FALSE");
      logcomment("NDMP port set to $value");

   } elsif ($parameter =~ '^NDMP_HOSTID$') {

      say($fc,"'$util/svsetstanza' 'config' $config_file NDMP  'Host Id' VALUE '$value' FALSE");
      logcomment("NDMP Id set to $value");

   } elsif($parameter =~ /^ROOT_INODE$/) {
      say($fc,"'$util/svsetstanza' 'config' $config_file QSM  'FixRootInodeChanges' VALUE '$value' FALSE");
      logcomment("FixRootInode flag set to $value");

   }


}

1;

_END_
