#!/usr/local/bin/perl
#
# Copyright (c) 2011 Network Appliance, Inc.
# All Rights reserved
#
## @summary
##  Library for sending the commands to cifs_test_Auto.exe
##
## @description
##  Provides function for sending commands to cifs_test_Auto.exe one by one.
#
## @dependencies        none
#
## @status              public
#
## @author              alayathu@netapp.com
 



use IO::Socket;
my $send_buff;
my $recv_data;

sub FrameMsg {

	$send_buff= shift;
	$send_buff .= ":";
	$send_buff .= join(" ",@_);
}


sub sendCifsTestCmd {
	my($ip,$msg) = @_;
	$socket = new IO::Socket::INET (
                                  PeerAddr  => $ip,
                                  PeerPort  =>  5001,
                                  Proto => 'tcp',
				
                               )                
	or die "Couldn't connect to Server $@\n";
	#print "msg = $msg \r\n";
	
	&FrameMsg(split(" ",$msg));
	#print "send_buff = $send_buff \r\n";
	$socket->send($send_buff);
	$socket->recv($recv_data,1024);
	#print "$recv_data\n";
	return $recv_data;
}
1;