
use strict;
use warnings;

=head1 NAME

CR::C::DebugSmdbTableReposVolume

=head1 DESCRIPTION

C<CR::C::DebugSmdbTableReposVolume> represents access to an ONTAP
debug smdb table ksmf_repos_snapshot

=head1 ATTRIBUTES

=head2 command_interface

The Node we want to access the table

=cut

package CR::C::DebugSmdbTableReposVolume;

use CR::C::DebugSmdbTableFactory;

my $table = 'reposVolume';

sub find{
    return CR::C::DebugSmdbTableFactory->find(@_, '-table' => $table);
}

1;


