# $Id: //depot/prod/test/Rrollingrock/lib/CR/C/DebugSmdbTableRepository.pm#1 $

#
# Copyright (c) 2001-2011 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary DebugSmdbTableRepository
## @author dl-crqa-auto@netapp.com
## @status shared
## @pod here

=head1 NAME

CR::C::DebugSmdbTableRepository

=head1 DESCRIPTION

C<CR::C::DebugSmdbTableRepository> represents access to an ONTAP
debug smdb table repository

=head1 ATTRIBUTES

=head2 command_interface

The Node we want to access the table

=cut

package CR::C::DebugSmdbTableRepository;

use CR::C::DebugSmdbTableFactory;

my $table = 'repository';

sub find{
    return CR::C::DebugSmdbTableFactory->find(@_, '-table' => $table);
}

1;
