#
# $Id: //depot/prod/test/Rsierranevada/lib/CR/Exceptions/NoAggregate.pm#1 $:
#
# Copyright (c) 2010 NetApp Inc.
# All rights reserved.
#
## @summary Provide an exception class that is a subclass of
##          CR::Exception that will be thrown
##          when no aggregate is present in the cluster.
##
## @author ngok@netapp.com
## @status private
## @pod here

=pod

=head1 Package Name

CR::Exceptions::NoAggregate.pm

=head1 Author

ngok@netapp.com

=head1 Description

An exception for when no aggregate is found in the cluster.

=head1 See Also

Package inherits from the Exception module in CR.

=head1 CR::Exceptions::NoAggregate

=head2 Expected use

Use when no aggregate is found in the cluster.

=head2 Usage

Same as for exceptions defined by Exception.pm

=head2 Base Class

CR::Exception

=cut

package CR::Exceptions::NoAggregate;
use base qw(CR::Exception);
1;
