# Copyright (c) 2012 Network Appliance, Inc.
# All rights reserved.

## @summary BasicSetup Library - 8.2 SierraNevada Release
## @author  galane@netapp.com
## @pod     here

=head1 NAME

CR::Setup::BasicSetup::SierraNevada

=head1 DESCRIPTION

This module implements basic setup for the SierraNevada release.

=head1 METHODS

=cut

package CR::Setup::BasicSetup::SierraNevada;
use Moose;
use namespace::autoclean;
extends 'CR::Setup::BasicSetup::Base';

package CR::Setup::BasicSetup::SierraNevada::CIFSConfig;
use Moose;
use namespace::autoclean;
extends 'CR::Setup::BasicSetup::Base::CIFSConfig';

package CR::Setup::BasicSetup::SierraNevada::InfinitevolConfig;
use Moose;
use namespace::autoclean;
extends 'CR::Setup::BasicSetup::Base::InfinitevolConfig';

package CR::Setup::BasicSetup::SierraNevada::LIFManager;
use Moose;
use namespace::autoclean;
extends 'CR::Setup::BasicSetup::Base::LIFManager';

package CR::Setup::BasicSetup::SierraNevada::MultiCluster;
use Moose;
use namespace::autoclean;
extends 'CR::Setup::BasicSetup::Base::MultiCluster';

package CR::Setup::BasicSetup::SierraNevada::SnapmirrorConfig;
use Moose;
use namespace::autoclean;
extends 'CR::Setup::BasicSetup::Base::MultiCluster::SnapmirrorConfig';

package CR::Setup::BasicSetup::SierraNevada::StorageServiceConfig;
use Moose;
use namespace::autoclean;
extends 'CR::Setup::BasicSetup::Base::StorageServiceConfig';

package CR::Setup::BasicSetup::SierraNevada::VserverConfig;
use Moose;
use namespace::autoclean;
extends 'CR::Setup::BasicSetup::Base::VserverConfig';

1;

