# Copyright (c) 2012 Network Appliance, Inc.
# All rights reserved.

## @summary Setup Helpers Library - 8.3 FullSteam Release
## @author  Adam.Ciapponi@netapp.com
## @pod     here

=head1 NAME

CR::Setup::Helpers::FullSteam

=head1 DESCRIPTION

This module implements helpers for the FullSteam release.

=head1 METHODS

=cut

package CR::Setup::Helpers::FullSteam;

use strict;
use warnings;
use CR::Setup::Constants;
use CR::Setup::Constants::FullSteam;

use base qw(CR::Setup::Helpers::SierraNevada);


=head2 new

This does initialization of the helpers object.

=cut

sub new {
    my $class = shift;
    my %params = @_;

    my $self = $class->SUPER::new(%params);
    $self->{'cdefs_from_build'} = $TRUE;
    return $self;
}

1;
