#
# $Id: //depot/prod/test/Rsierranevada/lib/Compression/Dataset/Constants.pm#1 $
#
package Compression::Dataset::Constants;

#print "Using this module from ". __FILE__ ."\n";
#
#our constant C_DS_RICHDATA	=> "RichData";
#our constant C_DS_RANDOMDATA	=> "RandomData";
#our constant C_DFLT_DS_TYPE 	=> C_DS_RICHDATA;

use strict;
use warnings;

use base qw(Exporter);


BEGIN
{

use constant C_VBN_HEADER	=> '4294967294';
use constant C_VBN_TRAILER	=> '4294967292';
use constant C_VVBN_HEADER	=> '4294967294';
use constant C_VVBN_TRAILER	=> '4294967292';

use constant C_VVBN_HEADER_B	=> '281474976710646';



my @vbn = qw(
	C_VBN_HEADER
	C_VBN_TRAILER
	C_VVBN_HEADER
	C_VVBN_TRAILER
	C_VVBN_HEADER_B
);


our %EXPORT_TAGS = (
	dflt 	=> [ @vbn ],
);

$EXPORT_TAGS{'all'} = [@vbn];


Exporter::export_ok_tags('all');

}
1;
