
package MyElements::AggregateListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('AggregateListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Aggregates_of :ATTR(:get<Aggregates>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        Aggregates
        Records

    ) ],
    {
        'Aggregates' => \%Aggregates_of,
        'Records' => \%Records_of,
    },
    {
        'Aggregates' => 'MyTypes::ArrayOfAggregateInfo',

        'Records' => 'MyElements::AggregateListInfoIterNextResult::_Records',
    },
    {

        'Aggregates' => 'Aggregates',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::AggregateListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::AggregateListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
AggregateListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Aggregates

 $element->set_Aggregates($data);
 $element->get_Aggregates();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::AggregateListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Aggregates =>  { # MyTypes::ArrayOfAggregateInfo
     AggregateInfo =>  { # MyTypes::AggregateInfo
       AggregateFullThreshold => $some_value, # atomic
       AggregateId => $some_value, # atomic
       AggregateName =>  $some_value, # string
       AggregateNearlyFullThreshold => $some_value, # atomic
       AggregateNearlyOvercommittedThreshold =>  $some_value, # unsignedShort
       AggregateOvercommittedThreshold =>  $some_value, # unsignedShort
       AggregatePerfStatus => $some_value, # ObjStatus
       AggregateSize =>  { # MyTypes::AggregateSize
         SizeAvailable => $some_value, # atomic
         SizeTotal => $some_value, # atomic
         SizeUsed => $some_value, # atomic
         SpaceTotalCommitted => $some_value, # atomic
       },
       AggregateSpaceStatus => $some_value, # ObjectSpaceStatus
       AggregateStatus => $some_value, # ObjStatus
       AggregateType =>  $some_value, # string
       BlockType => $some_value, # FileSystemBlockType
       Datasets =>  { # MyTypes::ArrayOfDatasetReference
         DatasetReference =>  { # MyTypes::DatasetReference
           DatasetId => $some_value, # ObjId
           DatasetName => $some_value, # ObjName
         },
       },
       DatasetsSpaceInfo =>  { # MyTypes::ArrayOfDatasetSpaceInfo
         DatasetSpaceInfo =>  { # MyTypes::DatasetSpaceInfo
           DatasetId => $some_value, # ObjId
           DatasetName => $some_value, # ObjName
           DpNodeId => $some_value, # atomic
           DpNodeName =>  $some_value, # string
           IsCapableOfMigration =>  $some_value, # boolean
           IsDpNodeEffectivePrimary =>  $some_value, # boolean
           UsedSpace =>  $some_value, # unsignedLong
         },
       },
       FilerId => $some_value, # atomic
       FilerName =>  $some_value, # string
       IsAvailable =>  $some_value, # boolean
       IsDpIgnored =>  $some_value, # boolean
       IsInDataset =>  $some_value, # boolean
       ResourcepoolName => $some_value, # ObjName
       TimeToFull => $some_value, # atomic
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

