
package MyElements::AggregateModify;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('AggregateModify');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %AggregateNameOrId_of :ATTR(:get<AggregateNameOrId>);
my %IsDpIgnored_of :ATTR(:get<IsDpIgnored>);

__PACKAGE__->_factory(
    [ qw(        AggregateNameOrId
        IsDpIgnored

    ) ],
    {
        'AggregateNameOrId' => \%AggregateNameOrId_of,
        'IsDpIgnored' => \%IsDpIgnored_of,
    },
    {
        'AggregateNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'IsDpIgnored' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
    },
    {

        'AggregateNameOrId' => 'AggregateNameOrId',
        'IsDpIgnored' => 'IsDpIgnored',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::AggregateModify

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
AggregateModify from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * AggregateNameOrId

 $element->set_AggregateNameOrId($data);
 $element->get_AggregateNameOrId();




=item * IsDpIgnored

 $element->set_IsDpIgnored($data);
 $element->get_IsDpIgnored();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::AggregateModify->new($data);

Constructor. The following data structure may be passed to new():

 {
   AggregateNameOrId =>  $some_value, # string
   IsDpIgnored =>  $some_value, # boolean
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

