
package MyElements::AggregateSpaceManagementCommit;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('AggregateSpaceManagementCommit');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DryRun_of :ATTR(:get<DryRun>);
my %SpaceManagementSessionId_of :ATTR(:get<SpaceManagementSessionId>);

__PACKAGE__->_factory(
    [ qw(        DryRun
        SpaceManagementSessionId

    ) ],
    {
        'DryRun' => \%DryRun_of,
        'SpaceManagementSessionId' => \%SpaceManagementSessionId_of,
    },
    {
        'DryRun' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',

        'SpaceManagementSessionId' => 'MyElements::AggregateSpaceManagementCommit::_SpaceManagementSessionId',
    },
    {

        'DryRun' => 'DryRun',
        'SpaceManagementSessionId' => 'SpaceManagementSessionId',
    }
);

} # end BLOCK




package MyElements::AggregateSpaceManagementCommit::_SpaceManagementSessionId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::AggregateSpaceManagementCommit

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
AggregateSpaceManagementCommit from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DryRun

 $element->set_DryRun($data);
 $element->get_DryRun();




=item * SpaceManagementSessionId

 $element->set_SpaceManagementSessionId($data);
 $element->get_SpaceManagementSessionId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::AggregateSpaceManagementCommit->new($data);

Constructor. The following data structure may be passed to new():

 {
   DryRun =>  $some_value, # boolean
   SpaceManagementSessionId => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

