
package MyElements::AggregateSpaceManagementRemoveOperation;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('AggregateSpaceManagementRemoveOperation');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ObjectNameOrId_of :ATTR(:get<ObjectNameOrId>);
my %SpaceManagementOpType_of :ATTR(:get<SpaceManagementOpType>);
my %SpaceManagementSessionId_of :ATTR(:get<SpaceManagementSessionId>);

__PACKAGE__->_factory(
    [ qw(        ObjectNameOrId
        SpaceManagementOpType
        SpaceManagementSessionId

    ) ],
    {
        'ObjectNameOrId' => \%ObjectNameOrId_of,
        'SpaceManagementOpType' => \%SpaceManagementOpType_of,
        'SpaceManagementSessionId' => \%SpaceManagementSessionId_of,
    },
    {
        'ObjectNameOrId' => 'MyTypes::ObjNameOrId',
        'SpaceManagementOpType' => 'MyTypes::SpaceManagementOpType',

        'SpaceManagementSessionId' => 'MyElements::AggregateSpaceManagementRemoveOperation::_SpaceManagementSessionId',
    },
    {

        'ObjectNameOrId' => 'ObjectNameOrId',
        'SpaceManagementOpType' => 'SpaceManagementOpType',
        'SpaceManagementSessionId' => 'SpaceManagementSessionId',
    }
);

} # end BLOCK




package MyElements::AggregateSpaceManagementRemoveOperation::_SpaceManagementSessionId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::AggregateSpaceManagementRemoveOperation

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
AggregateSpaceManagementRemoveOperation from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ObjectNameOrId

 $element->set_ObjectNameOrId($data);
 $element->get_ObjectNameOrId();




=item * SpaceManagementOpType

 $element->set_SpaceManagementOpType($data);
 $element->get_SpaceManagementOpType();




=item * SpaceManagementSessionId

 $element->set_SpaceManagementSessionId($data);
 $element->get_SpaceManagementSessionId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::AggregateSpaceManagementRemoveOperation->new($data);

Constructor. The following data structure may be passed to new():

 {
   ObjectNameOrId => $some_value, # ObjNameOrId
   SpaceManagementOpType => $some_value, # SpaceManagementOpType
   SpaceManagementSessionId => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

