
package MyElements::AggregateSpaceManagementRemoveOperationResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('AggregateSpaceManagementRemoveOperationResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %AggregateDiffSpaceInfos_of :ATTR(:get<AggregateDiffSpaceInfos>);

__PACKAGE__->_factory(
    [ qw(        AggregateDiffSpaceInfos

    ) ],
    {
        'AggregateDiffSpaceInfos' => \%AggregateDiffSpaceInfos_of,
    },
    {
        'AggregateDiffSpaceInfos' => 'MyTypes::ArrayOfAggregateSpaceInfo',
    },
    {

        'AggregateDiffSpaceInfos' => 'AggregateDiffSpaceInfos',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::AggregateSpaceManagementRemoveOperationResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
AggregateSpaceManagementRemoveOperationResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * AggregateDiffSpaceInfos

 $element->set_AggregateDiffSpaceInfos($data);
 $element->get_AggregateDiffSpaceInfos();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::AggregateSpaceManagementRemoveOperationResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   AggregateDiffSpaceInfos =>  { # MyTypes::ArrayOfAggregateSpaceInfo
     AggregateSpaceInfo =>  { # MyTypes::AggregateSpaceInfo
       AggregateId => $some_value, # ObjId
       AggregateName => $some_value, # ObjName
       CommittedSpace => $some_value, # atomic
       UsedSpace => $some_value, # atomic
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

