
package MyElements::ClientRegistryGet;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ClientRegistryGet');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ApplicationName_of :ATTR(:get<ApplicationName>);
my %Match_of :ATTR(:get<Match>);
my %Option_of :ATTR(:get<Option>);

__PACKAGE__->_factory(
    [ qw(        ApplicationName
        Match
        Option

    ) ],
    {
        'ApplicationName' => \%ApplicationName_of,
        'Match' => \%Match_of,
        'Option' => \%Option_of,
    },
    {
        'ApplicationName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'Match' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'Option' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'ApplicationName' => 'ApplicationName',
        'Match' => 'Match',
        'Option' => 'Option',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ClientRegistryGet

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ClientRegistryGet from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ApplicationName

 $element->set_ApplicationName($data);
 $element->get_ApplicationName();




=item * Match

 $element->set_Match($data);
 $element->get_Match();




=item * Option

 $element->set_Option($data);
 $element->get_Option();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ClientRegistryGet->new($data);

Constructor. The following data structure may be passed to new():

 {
   ApplicationName =>  $some_value, # string
   Match =>  $some_value, # string
   Option =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

