
package MyElements::CommentFieldListInfoIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('CommentFieldListInfoIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %CommentFieldNameOrId_of :ATTR(:get<CommentFieldNameOrId>);
my %CommentFieldObjectTypes_of :ATTR(:get<CommentFieldObjectTypes>);
my %ShowSystemComments_of :ATTR(:get<ShowSystemComments>);

__PACKAGE__->_factory(
    [ qw(        CommentFieldNameOrId
        CommentFieldObjectTypes
        ShowSystemComments

    ) ],
    {
        'CommentFieldNameOrId' => \%CommentFieldNameOrId_of,
        'CommentFieldObjectTypes' => \%CommentFieldObjectTypes_of,
        'ShowSystemComments' => \%ShowSystemComments_of,
    },
    {
        'CommentFieldNameOrId' => 'MyTypes::CommentFieldNameOrId',
        'CommentFieldObjectTypes' => 'MyTypes::ArrayOfCommentFieldObjectType',
        'ShowSystemComments' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
    },
    {

        'CommentFieldNameOrId' => 'CommentFieldNameOrId',
        'CommentFieldObjectTypes' => 'CommentFieldObjectTypes',
        'ShowSystemComments' => 'ShowSystemComments',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::CommentFieldListInfoIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
CommentFieldListInfoIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * CommentFieldNameOrId

 $element->set_CommentFieldNameOrId($data);
 $element->get_CommentFieldNameOrId();




=item * CommentFieldObjectTypes

 $element->set_CommentFieldObjectTypes($data);
 $element->get_CommentFieldObjectTypes();




=item * ShowSystemComments

 $element->set_ShowSystemComments($data);
 $element->get_ShowSystemComments();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::CommentFieldListInfoIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   CommentFieldNameOrId => $some_value, # CommentFieldNameOrId
   CommentFieldObjectTypes =>  { # MyTypes::ArrayOfCommentFieldObjectType
     CommentFieldObjectType => $some_value, # CommentFieldObjectType
   },
   ShowSystemComments =>  $some_value, # boolean
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

