
package MyElements::DatasetAddResourcepool;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DatasetAddResourcepool');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DpNodeName_of :ATTR(:get<DpNodeName>);
my %EditLockId_of :ATTR(:get<EditLockId>);
my %ResourcepoolNameOrId_of :ATTR(:get<ResourcepoolNameOrId>);

__PACKAGE__->_factory(
    [ qw(        DpNodeName
        EditLockId
        ResourcepoolNameOrId

    ) ],
    {
        'DpNodeName' => \%DpNodeName_of,
        'EditLockId' => \%EditLockId_of,
        'ResourcepoolNameOrId' => \%ResourcepoolNameOrId_of,
    },
    {
        'DpNodeName' => 'MyTypes::DpPolicyNodeName',

        'EditLockId' => 'MyElements::DatasetAddResourcepool::_EditLockId',
        'ResourcepoolNameOrId' => 'MyTypes::ObjNameOrId',
    },
    {

        'DpNodeName' => 'DpNodeName',
        'EditLockId' => 'EditLockId',
        'ResourcepoolNameOrId' => 'ResourcepoolNameOrId',
    }
);

} # end BLOCK




package MyElements::DatasetAddResourcepool::_EditLockId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DatasetAddResourcepool

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DatasetAddResourcepool from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DpNodeName

 $element->set_DpNodeName($data);
 $element->get_DpNodeName();




=item * EditLockId

 $element->set_EditLockId($data);
 $element->get_EditLockId();




=item * ResourcepoolNameOrId

 $element->set_ResourcepoolNameOrId($data);
 $element->get_ResourcepoolNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DatasetAddResourcepool->new($data);

Constructor. The following data structure may be passed to new():

 {
   DpNodeName => $some_value, # DpPolicyNodeName
   EditLockId => $some_value, # atomic
   ResourcepoolNameOrId => $some_value, # ObjNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

