
package MyElements::DatasetChangeDrState;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DatasetChangeDrState');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %AllowInternalTransitions_of :ATTR(:get<AllowInternalTransitions>);
my %DatasetNameOrId_of :ATTR(:get<DatasetNameOrId>);
my %DrState_of :ATTR(:get<DrState>);

__PACKAGE__->_factory(
    [ qw(        AllowInternalTransitions
        DatasetNameOrId
        DrState

    ) ],
    {
        'AllowInternalTransitions' => \%AllowInternalTransitions_of,
        'DatasetNameOrId' => \%DatasetNameOrId_of,
        'DrState' => \%DrState_of,
    },
    {
        'AllowInternalTransitions' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'DatasetNameOrId' => 'MyTypes::ObjNameOrId',
        'DrState' => 'MyTypes::DrState',
    },
    {

        'AllowInternalTransitions' => 'AllowInternalTransitions',
        'DatasetNameOrId' => 'DatasetNameOrId',
        'DrState' => 'DrState',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DatasetChangeDrState

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DatasetChangeDrState from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * AllowInternalTransitions

 $element->set_AllowInternalTransitions($data);
 $element->get_AllowInternalTransitions();




=item * DatasetNameOrId

 $element->set_DatasetNameOrId($data);
 $element->get_DatasetNameOrId();




=item * DrState

 $element->set_DrState($data);
 $element->get_DrState();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DatasetChangeDrState->new($data);

Constructor. The following data structure may be passed to new():

 {
   AllowInternalTransitions =>  $some_value, # boolean
   DatasetNameOrId => $some_value, # ObjNameOrId
   DrState => $some_value, # DrState
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

