
package MyElements::DatasetComputeUsageMetric;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DatasetComputeUsageMetric');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ComputeIoUsageMetric_of :ATTR(:get<ComputeIoUsageMetric>);
my %ComputeSpaceUsageMetric_of :ATTR(:get<ComputeSpaceUsageMetric>);
my %DatasetNameOrId_of :ATTR(:get<DatasetNameOrId>);
my %Timestamp_of :ATTR(:get<Timestamp>);

__PACKAGE__->_factory(
    [ qw(        ComputeIoUsageMetric
        ComputeSpaceUsageMetric
        DatasetNameOrId
        Timestamp

    ) ],
    {
        'ComputeIoUsageMetric' => \%ComputeIoUsageMetric_of,
        'ComputeSpaceUsageMetric' => \%ComputeSpaceUsageMetric_of,
        'DatasetNameOrId' => \%DatasetNameOrId_of,
        'Timestamp' => \%Timestamp_of,
    },
    {
        'ComputeIoUsageMetric' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'ComputeSpaceUsageMetric' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'DatasetNameOrId' => 'MyTypes::ObjNameOrId',
        'Timestamp' => 'MyTypes::DpTimestamp',
    },
    {

        'ComputeIoUsageMetric' => 'ComputeIoUsageMetric',
        'ComputeSpaceUsageMetric' => 'ComputeSpaceUsageMetric',
        'DatasetNameOrId' => 'DatasetNameOrId',
        'Timestamp' => 'Timestamp',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DatasetComputeUsageMetric

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DatasetComputeUsageMetric from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ComputeIoUsageMetric

 $element->set_ComputeIoUsageMetric($data);
 $element->get_ComputeIoUsageMetric();




=item * ComputeSpaceUsageMetric

 $element->set_ComputeSpaceUsageMetric($data);
 $element->get_ComputeSpaceUsageMetric();




=item * DatasetNameOrId

 $element->set_DatasetNameOrId($data);
 $element->get_DatasetNameOrId();




=item * Timestamp

 $element->set_Timestamp($data);
 $element->get_Timestamp();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DatasetComputeUsageMetric->new($data);

Constructor. The following data structure may be passed to new():

 {
   ComputeIoUsageMetric =>  $some_value, # boolean
   ComputeSpaceUsageMetric =>  $some_value, # boolean
   DatasetNameOrId => $some_value, # ObjNameOrId
   Timestamp => $some_value, # DpTimestamp
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

