
package MyElements::DatasetDestroy;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DatasetDestroy');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %CancelEditSessions_of :ATTR(:get<CancelEditSessions>);
my %DatasetNameOrId_of :ATTR(:get<DatasetNameOrId>);
my %Force_of :ATTR(:get<Force>);

__PACKAGE__->_factory(
    [ qw(        CancelEditSessions
        DatasetNameOrId
        Force

    ) ],
    {
        'CancelEditSessions' => \%CancelEditSessions_of,
        'DatasetNameOrId' => \%DatasetNameOrId_of,
        'Force' => \%Force_of,
    },
    {
        'CancelEditSessions' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'DatasetNameOrId' => 'MyTypes::ObjNameOrId',
        'Force' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
    },
    {

        'CancelEditSessions' => 'CancelEditSessions',
        'DatasetNameOrId' => 'DatasetNameOrId',
        'Force' => 'Force',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DatasetDestroy

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DatasetDestroy from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * CancelEditSessions

 $element->set_CancelEditSessions($data);
 $element->get_CancelEditSessions();




=item * DatasetNameOrId

 $element->set_DatasetNameOrId($data);
 $element->get_DatasetNameOrId();




=item * Force

 $element->set_Force($data);
 $element->get_Force();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DatasetDestroy->new($data);

Constructor. The following data structure may be passed to new():

 {
   CancelEditSessions =>  $some_value, # boolean
   DatasetNameOrId => $some_value, # ObjNameOrId
   Force =>  $some_value, # boolean
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

