
package MyElements::DatasetIoMetricListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DatasetIoMetricListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DatasetIoMetrics_of :ATTR(:get<DatasetIoMetrics>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        DatasetIoMetrics
        Records

    ) ],
    {
        'DatasetIoMetrics' => \%DatasetIoMetrics_of,
        'Records' => \%Records_of,
    },
    {
        'DatasetIoMetrics' => 'MyTypes::ArrayOfDatasetIoMetricInfo',

        'Records' => 'MyElements::DatasetIoMetricListInfoIterNextResult::_Records',
    },
    {

        'DatasetIoMetrics' => 'DatasetIoMetrics',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::DatasetIoMetricListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DatasetIoMetricListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DatasetIoMetricListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DatasetIoMetrics

 $element->set_DatasetIoMetrics($data);
 $element->get_DatasetIoMetrics();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DatasetIoMetricListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   DatasetIoMetrics =>  { # MyTypes::ArrayOfDatasetIoMetricInfo
     DatasetIoMetricInfo =>  { # MyTypes::DatasetIoMetricInfo
       DatasetNode =>  { # MyTypes::WrapperOfMetricDatasetNodeInfo
         MetricDatasetNodeInfo =>  { # MyTypes::MetricDatasetNodeInfo
           DatasetId => $some_value, # ObjId
           DatasetName => $some_value, # ObjName
           DeletedTimestamp => $some_value, # DpTimestamp
           DpNodeName => $some_value, # DpPolicyNodeName
           ProtectionPolicyName => $some_value, # ObjName
           ProvisioningPolicyName => $some_value, # ObjName
           StorageServiceName => $some_value, # ObjName
         },
       },
       IoMeasurement =>  { # MyTypes::IoMeasurement
         DataRead => $some_value, # atomic
         DataWritten => $some_value, # atomic
       },
       IsIoDataPartial =>  $some_value, # boolean
       IsOvercharge =>  $some_value, # boolean
       Timestamp => $some_value, # DpTimestamp
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

