
package MyElements::DatasetIoMetricListInfoIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DatasetIoMetricListInfoIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Day_of :ATTR(:get<Day>);
my %Month_of :ATTR(:get<Month>);
my %ObjectNameOrId_of :ATTR(:get<ObjectNameOrId>);
my %Year_of :ATTR(:get<Year>);

__PACKAGE__->_factory(
    [ qw(        Day
        Month
        ObjectNameOrId
        Year

    ) ],
    {
        'Day' => \%Day_of,
        'Month' => \%Month_of,
        'ObjectNameOrId' => \%ObjectNameOrId_of,
        'Year' => \%Year_of,
    },
    {

        'Day' => 'MyElements::DatasetIoMetricListInfoIterStart::_Day',
        'Month' => 'MyTypes::Month',
        'ObjectNameOrId' => 'MyTypes::ObjNameOrId',

        'Year' => 'MyElements::DatasetIoMetricListInfoIterStart::_Year',
    },
    {

        'Day' => 'Day',
        'Month' => 'Month',
        'ObjectNameOrId' => 'ObjectNameOrId',
        'Year' => 'Year',
    }
);

} # end BLOCK




package MyElements::DatasetIoMetricListInfoIterStart::_Day;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyElements::DatasetIoMetricListInfoIterStart::_Year;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DatasetIoMetricListInfoIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DatasetIoMetricListInfoIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Day

 $element->set_Day($data);
 $element->get_Day();




=item * Month

 $element->set_Month($data);
 $element->get_Month();




=item * ObjectNameOrId

 $element->set_ObjectNameOrId($data);
 $element->get_ObjectNameOrId();




=item * Year

 $element->set_Year($data);
 $element->get_Year();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DatasetIoMetricListInfoIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   Day => $some_value, # atomic
   Month => $some_value, # Month
   ObjectNameOrId => $some_value, # ObjNameOrId
   Year => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

