
package MyElements::DatasetMissingMemberListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DatasetMissingMemberListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %MissingMembers_of :ATTR(:get<MissingMembers>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        MissingMembers
        Records

    ) ],
    {
        'MissingMembers' => \%MissingMembers_of,
        'Records' => \%Records_of,
    },
    {
        'MissingMembers' => 'MyTypes::ArrayOfMissingMemberInfo',
        'Records' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
    },
    {

        'MissingMembers' => 'MissingMembers',
        'Records' => 'Records',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DatasetMissingMemberListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DatasetMissingMemberListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * MissingMembers

 $element->set_MissingMembers($data);
 $element->get_MissingMembers();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DatasetMissingMemberListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   MissingMembers =>  { # MyTypes::ArrayOfMissingMemberInfo
     MissingMemberInfo =>  { # MyTypes::MissingMemberInfo
       AggregateId => $some_value, # ObjId
       AggregateName => $some_value, # ObjName
       CifsShareNames =>  { # MyTypes::ArrayOfCifsShareName
         CifsShareName => $some_value, # CifsShareName
       },
       DeletedTimestamp => $some_value, # DpTimestamp
       HostId => $some_value, # ObjId
       Hostname => $some_value, # ObjName
       MemberId => $some_value, # ObjId
       MemberName => $some_value, # ObjName
       MemberType =>  $some_value, # string
       NfsExportName =>  $some_value, # string
       QuotaHardLimit => $some_value, # atomic
       QuotaSoftLimit => $some_value, # atomic
       SpaceGuarantee =>  $some_value, # string
       TotalSpace => $some_value, # atomic
     },
   },
   Records =>  $some_value, # integer
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

