
package MyElements::DatasetRemoveFromExclusionList;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DatasetRemoveFromExclusionList');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %EditLockId_of :ATTR(:get<EditLockId>);
my %ObjectsToBeRemoved_of :ATTR(:get<ObjectsToBeRemoved>);

__PACKAGE__->_factory(
    [ qw(        EditLockId
        ObjectsToBeRemoved

    ) ],
    {
        'EditLockId' => \%EditLockId_of,
        'ObjectsToBeRemoved' => \%ObjectsToBeRemoved_of,
    },
    {

        'EditLockId' => 'MyElements::DatasetRemoveFromExclusionList::_EditLockId',
        'ObjectsToBeRemoved' => 'MyTypes::ArrayOfObjNameOrId',
    },
    {

        'EditLockId' => 'EditLockId',
        'ObjectsToBeRemoved' => 'ObjectsToBeRemoved',
    }
);

} # end BLOCK




package MyElements::DatasetRemoveFromExclusionList::_EditLockId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DatasetRemoveFromExclusionList

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DatasetRemoveFromExclusionList from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * EditLockId

 $element->set_EditLockId($data);
 $element->get_EditLockId();




=item * ObjectsToBeRemoved

 $element->set_ObjectsToBeRemoved($data);
 $element->get_ObjectsToBeRemoved();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DatasetRemoveFromExclusionList->new($data);

Constructor. The following data structure may be passed to new():

 {
   EditLockId => $some_value, # atomic
   ObjectsToBeRemoved =>  { # MyTypes::ArrayOfObjNameOrId
     ObjNameOrId => $some_value, # ObjNameOrId
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

