
package MyElements::DatasetRemoveMemberByDynamicReference;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DatasetRemoveMemberByDynamicReference');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DatasetDynamicReferenceParameters_of :ATTR(:get<DatasetDynamicReferenceParameters>);
my %EditLockId_of :ATTR(:get<EditLockId>);

__PACKAGE__->_factory(
    [ qw(        DatasetDynamicReferenceParameters
        EditLockId

    ) ],
    {
        'DatasetDynamicReferenceParameters' => \%DatasetDynamicReferenceParameters_of,
        'EditLockId' => \%EditLockId_of,
    },
    {
        'DatasetDynamicReferenceParameters' => 'MyTypes::ArrayOfDatasetDynamicReferenceParameter',

        'EditLockId' => 'MyElements::DatasetRemoveMemberByDynamicReference::_EditLockId',
    },
    {

        'DatasetDynamicReferenceParameters' => 'DatasetDynamicReferenceParameters',
        'EditLockId' => 'EditLockId',
    }
);

} # end BLOCK




package MyElements::DatasetRemoveMemberByDynamicReference::_EditLockId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DatasetRemoveMemberByDynamicReference

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DatasetRemoveMemberByDynamicReference from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DatasetDynamicReferenceParameters

 $element->set_DatasetDynamicReferenceParameters($data);
 $element->get_DatasetDynamicReferenceParameters();




=item * EditLockId

 $element->set_EditLockId($data);
 $element->get_EditLockId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DatasetRemoveMemberByDynamicReference->new($data);

Constructor. The following data structure may be passed to new():

 {
   DatasetDynamicReferenceParameters =>  { # MyTypes::ArrayOfDatasetDynamicReferenceParameter
     DatasetDynamicReferenceParameter =>  { # MyTypes::DatasetDynamicReferenceParameter
       DpNodeName => $some_value, # DpPolicyNodeName
       ObjectNameOrId => $some_value, # ObjNameOrId
     },
   },
   EditLockId => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

