
package MyElements::DatasetReplacePrimaryMembersResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DatasetReplacePrimaryMembersResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ReplaceResults_of :ATTR(:get<ReplaceResults>);

__PACKAGE__->_factory(
    [ qw(        ReplaceResults

    ) ],
    {
        'ReplaceResults' => \%ReplaceResults_of,
    },
    {
        'ReplaceResults' => 'MyTypes::ArrayOfReplaceResult',
    },
    {

        'ReplaceResults' => 'ReplaceResults',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DatasetReplacePrimaryMembersResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DatasetReplacePrimaryMembersResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ReplaceResults

 $element->set_ReplaceResults($data);
 $element->get_ReplaceResults();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DatasetReplacePrimaryMembersResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   ReplaceResults =>  { # MyTypes::ArrayOfReplaceResult
     ReplaceResult =>  { # MyTypes::ReplaceResult
       DpNodeName => $some_value, # DpPolicyNodeName
       MemberType =>  $some_value, # string
       NewPrimaryMemberId => $some_value, # ObjId
       NewPrimaryMemberName => $some_value, # ObjName
       OldPrimaryMemberId => $some_value, # ObjId
       OldPrimaryMemberName => $some_value, # ObjName
       ReplaceStatus =>  $some_value, # string
       SecondaryMemberId => $some_value, # ObjId
       SecondaryMemberName => $some_value, # ObjName
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

