
package MyElements::DatasetSpaceMetricListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DatasetSpaceMetricListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DatasetSpaceMetrics_of :ATTR(:get<DatasetSpaceMetrics>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        DatasetSpaceMetrics
        Records

    ) ],
    {
        'DatasetSpaceMetrics' => \%DatasetSpaceMetrics_of,
        'Records' => \%Records_of,
    },
    {
        'DatasetSpaceMetrics' => 'MyTypes::ArrayOfDatasetSpaceMetricInfo',

        'Records' => 'MyElements::DatasetSpaceMetricListInfoIterNextResult::_Records',
    },
    {

        'DatasetSpaceMetrics' => 'DatasetSpaceMetrics',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::DatasetSpaceMetricListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DatasetSpaceMetricListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DatasetSpaceMetricListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DatasetSpaceMetrics

 $element->set_DatasetSpaceMetrics($data);
 $element->get_DatasetSpaceMetrics();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DatasetSpaceMetricListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   DatasetSpaceMetrics =>  { # MyTypes::ArrayOfDatasetSpaceMetricInfo
     DatasetSpaceMetricInfo =>  { # MyTypes::DatasetSpaceMetricInfo
       AvgSpaceMeasurement =>  { # MyTypes::WrapperOfSpaceMeasurement
         SpaceMeasurement =>  { # MyTypes::SpaceMeasurement
           EffectiveUsedDataSpace => $some_value, # atomic
           GuaranteedSpace => $some_value, # atomic
           PhysicalUsedDataSpace => $some_value, # atomic
           SnapshotReserve => $some_value, # atomic
           TotalDataSpace => $some_value, # atomic
           TotalSpace => $some_value, # atomic
           UsedSnapshotSpace => $some_value, # atomic
         },
       },
       DatasetNode =>  { # MyTypes::WrapperOfMetricDatasetNodeInfo
         MetricDatasetNodeInfo =>  { # MyTypes::MetricDatasetNodeInfo
           DatasetId => $some_value, # ObjId
           DatasetName => $some_value, # ObjName
           DeletedTimestamp => $some_value, # DpTimestamp
           DpNodeName => $some_value, # DpPolicyNodeName
           ProtectionPolicyName => $some_value, # ObjName
           ProvisioningPolicyName => $some_value, # ObjName
           StorageServiceName => $some_value, # ObjName
         },
       },
       IsOvercharge =>  $some_value, # boolean
       IsSpaceDataPartial =>  $some_value, # boolean
       MaxSpaceMeasurement =>  { # MyTypes::WrapperOfSpaceMeasurement
         SpaceMeasurement =>  { # MyTypes::SpaceMeasurement
           EffectiveUsedDataSpace => $some_value, # atomic
           GuaranteedSpace => $some_value, # atomic
           PhysicalUsedDataSpace => $some_value, # atomic
           SnapshotReserve => $some_value, # atomic
           TotalDataSpace => $some_value, # atomic
           TotalSpace => $some_value, # atomic
           UsedSnapshotSpace => $some_value, # atomic
         },
       },
       Timestamp => $some_value, # DpTimestamp
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

