
package MyElements::DfmMonitorTimestampListResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DfmMonitorTimestampListResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DfmMonitoringTimestamps_of :ATTR(:get<DfmMonitoringTimestamps>);

__PACKAGE__->_factory(
    [ qw(        DfmMonitoringTimestamps

    ) ],
    {
        'DfmMonitoringTimestamps' => \%DfmMonitoringTimestamps_of,
    },
    {
        'DfmMonitoringTimestamps' => 'MyTypes::ArrayOfDfmMonitoringTimestamp',
    },
    {

        'DfmMonitoringTimestamps' => 'DfmMonitoringTimestamps',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DfmMonitorTimestampListResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DfmMonitorTimestampListResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DfmMonitoringTimestamps

 $element->set_DfmMonitoringTimestamps($data);
 $element->get_DfmMonitoringTimestamps();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DfmMonitorTimestampListResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   DfmMonitoringTimestamps =>  { # MyTypes::ArrayOfDfmMonitoringTimestamp
     DfmMonitoringTimestamp =>  { # MyTypes::DfmMonitoringTimestamp
       LastMonitoringTimestamp => $some_value, # atomic
       MonitorName => $some_value, # MonitorName
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

