
package MyElements::DfmScheduleDailyDelete;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DfmScheduleDailyDelete');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DailyScheduleNameOrId_of :ATTR(:get<DailyScheduleNameOrId>);
my %ItemId_of :ATTR(:get<ItemId>);
my %ScheduleCategory_of :ATTR(:get<ScheduleCategory>);

__PACKAGE__->_factory(
    [ qw(        DailyScheduleNameOrId
        ItemId
        ScheduleCategory

    ) ],
    {
        'DailyScheduleNameOrId' => \%DailyScheduleNameOrId_of,
        'ItemId' => \%ItemId_of,
        'ScheduleCategory' => \%ScheduleCategory_of,
    },
    {
        'DailyScheduleNameOrId' => 'MyTypes::ObjNameOrId',

        'ItemId' => 'MyElements::DfmScheduleDailyDelete::_ItemId',
        'ScheduleCategory' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'DailyScheduleNameOrId' => 'DailyScheduleNameOrId',
        'ItemId' => 'ItemId',
        'ScheduleCategory' => 'ScheduleCategory',
    }
);

} # end BLOCK




package MyElements::DfmScheduleDailyDelete::_ItemId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DfmScheduleDailyDelete

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DfmScheduleDailyDelete from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DailyScheduleNameOrId

 $element->set_DailyScheduleNameOrId($data);
 $element->get_DailyScheduleNameOrId();




=item * ItemId

 $element->set_ItemId($data);
 $element->get_ItemId();




=item * ScheduleCategory

 $element->set_ScheduleCategory($data);
 $element->get_ScheduleCategory();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DfmScheduleDailyDelete->new($data);

Constructor. The following data structure may be passed to new():

 {
   DailyScheduleNameOrId => $some_value, # ObjNameOrId
   ItemId => $some_value, # atomic
   ScheduleCategory =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

