
package MyElements::DfmScheduleDependencyResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DfmScheduleDependencyResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ScheduleAssignees_of :ATTR(:get<ScheduleAssignees>);
my %ScheduleInUse_of :ATTR(:get<ScheduleInUse>);

__PACKAGE__->_factory(
    [ qw(        ScheduleAssignees
        ScheduleInUse

    ) ],
    {
        'ScheduleAssignees' => \%ScheduleAssignees_of,
        'ScheduleInUse' => \%ScheduleInUse_of,
    },
    {
        'ScheduleAssignees' => 'MyTypes::ArrayOfScheduleAssignee',
        'ScheduleInUse' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
    },
    {

        'ScheduleAssignees' => 'ScheduleAssignees',
        'ScheduleInUse' => 'ScheduleInUse',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DfmScheduleDependencyResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DfmScheduleDependencyResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ScheduleAssignees

 $element->set_ScheduleAssignees($data);
 $element->get_ScheduleAssignees();




=item * ScheduleInUse

 $element->set_ScheduleInUse($data);
 $element->get_ScheduleInUse();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DfmScheduleDependencyResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   ScheduleAssignees =>  { # MyTypes::ArrayOfScheduleAssignee
     ScheduleAssignee =>  { # MyTypes::ScheduleAssignee
       AssigneeFullName => $some_value, # ObjFullName
       AssigneeId => $some_value, # ObjId
       AssigneeType =>  $some_value, # string
     },
   },
   ScheduleInUse =>  $some_value, # boolean
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

