
package MyElements::DfmScheduleWeeklySubscheduleAdd;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DfmScheduleWeeklySubscheduleAdd');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DailyScheduleNameOrId_of :ATTR(:get<DailyScheduleNameOrId>);
my %EndDayOfWeek_of :ATTR(:get<EndDayOfWeek>);
my %ScheduleCategory_of :ATTR(:get<ScheduleCategory>);
my %StartDayOfWeek_of :ATTR(:get<StartDayOfWeek>);
my %WeeklyScheduleNameOrId_of :ATTR(:get<WeeklyScheduleNameOrId>);

__PACKAGE__->_factory(
    [ qw(        DailyScheduleNameOrId
        EndDayOfWeek
        ScheduleCategory
        StartDayOfWeek
        WeeklyScheduleNameOrId

    ) ],
    {
        'DailyScheduleNameOrId' => \%DailyScheduleNameOrId_of,
        'EndDayOfWeek' => \%EndDayOfWeek_of,
        'ScheduleCategory' => \%ScheduleCategory_of,
        'StartDayOfWeek' => \%StartDayOfWeek_of,
        'WeeklyScheduleNameOrId' => \%WeeklyScheduleNameOrId_of,
    },
    {
        'DailyScheduleNameOrId' => 'MyTypes::ObjNameOrId',

        'EndDayOfWeek' => 'MyElements::DfmScheduleWeeklySubscheduleAdd::_EndDayOfWeek',
        'ScheduleCategory' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'StartDayOfWeek' => 'MyElements::DfmScheduleWeeklySubscheduleAdd::_StartDayOfWeek',
        'WeeklyScheduleNameOrId' => 'MyTypes::ObjNameOrId',
    },
    {

        'DailyScheduleNameOrId' => 'DailyScheduleNameOrId',
        'EndDayOfWeek' => 'EndDayOfWeek',
        'ScheduleCategory' => 'ScheduleCategory',
        'StartDayOfWeek' => 'StartDayOfWeek',
        'WeeklyScheduleNameOrId' => 'WeeklyScheduleNameOrId',
    }
);

} # end BLOCK




package MyElements::DfmScheduleWeeklySubscheduleAdd::_EndDayOfWeek;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyElements::DfmScheduleWeeklySubscheduleAdd::_StartDayOfWeek;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DfmScheduleWeeklySubscheduleAdd

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DfmScheduleWeeklySubscheduleAdd from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DailyScheduleNameOrId

 $element->set_DailyScheduleNameOrId($data);
 $element->get_DailyScheduleNameOrId();




=item * EndDayOfWeek

 $element->set_EndDayOfWeek($data);
 $element->get_EndDayOfWeek();




=item * ScheduleCategory

 $element->set_ScheduleCategory($data);
 $element->get_ScheduleCategory();




=item * StartDayOfWeek

 $element->set_StartDayOfWeek($data);
 $element->get_StartDayOfWeek();




=item * WeeklyScheduleNameOrId

 $element->set_WeeklyScheduleNameOrId($data);
 $element->get_WeeklyScheduleNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DfmScheduleWeeklySubscheduleAdd->new($data);

Constructor. The following data structure may be passed to new():

 {
   DailyScheduleNameOrId => $some_value, # ObjNameOrId
   EndDayOfWeek => $some_value, # atomic
   ScheduleCategory =>  $some_value, # string
   StartDayOfWeek => $some_value, # atomic
   WeeklyScheduleNameOrId => $some_value, # ObjNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

