
package MyElements::DpAgentListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpAgentListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DpAgents_of :ATTR(:get<DpAgents>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        DpAgents
        Records

    ) ],
    {
        'DpAgents' => \%DpAgents_of,
        'Records' => \%Records_of,
    },
    {
        'DpAgents' => 'MyTypes::ArrayOfDpAgentInfo',

        'Records' => 'MyElements::DpAgentListInfoIterNextResult::_Records',
    },
    {

        'DpAgents' => 'DpAgents',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::DpAgentListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpAgentListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpAgentListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DpAgents

 $element->set_DpAgents($data);
 $element->get_DpAgents();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpAgentListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   DpAgents =>  { # MyTypes::ArrayOfDpAgentInfo
     DpAgentInfo =>  { # MyTypes::DpAgentInfo
       AdminPort =>  $some_value, # integer
       DpAgentId =>  $some_value, # integer
       DpAgentIpAddress =>  $some_value, # string
       DpAgentName =>  $some_value, # string
       DpAgentPlugins =>  { # MyTypes::ArrayOfDpAgentPluginInfo
         DpAgentPluginInfo =>  { # MyTypes::DpAgentPluginInfo
           PluginType =>  $some_value, # string
           PluginVersion =>  $some_value, # string
         },
       },
       DpAgentStatus =>  $some_value, # string
       DpAgentVersion =>  $some_value, # string
       LastDiscoveryStatus =>  $some_value, # string
       MgmtPort =>  $some_value, # integer
       NeedsUpgrade =>  $some_value, # string
       TimezoneInfo =>  { # MyTypes::TimezoneInfo
         TimezoneName =>  $some_value, # string
       },
       UpdateServicePort =>  $some_value, # integer
       UpdateServiceVersion =>  $some_value, # string
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

