
package MyElements::DpAgentPackageAdd;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpAgentPackageAdd');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %PackageVersion_of :ATTR(:get<PackageVersion>);
my %PackageZipPath_of :ATTR(:get<PackageZipPath>);

__PACKAGE__->_factory(
    [ qw(        PackageVersion
        PackageZipPath

    ) ],
    {
        'PackageVersion' => \%PackageVersion_of,
        'PackageZipPath' => \%PackageZipPath_of,
    },
    {
        'PackageVersion' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'PackageZipPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'PackageVersion' => 'PackageVersion',
        'PackageZipPath' => 'PackageZipPath',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpAgentPackageAdd

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpAgentPackageAdd from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * PackageVersion

 $element->set_PackageVersion($data);
 $element->get_PackageVersion();




=item * PackageZipPath

 $element->set_PackageZipPath($data);
 $element->get_PackageZipPath();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpAgentPackageAdd->new($data);

Constructor. The following data structure may be passed to new():

 {
   PackageVersion =>  $some_value, # string
   PackageZipPath =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

