
package MyElements::DpAgentRegister;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpAgentRegister');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %AdminPort_of :ATTR(:get<AdminPort>);
my %NameOrIpAddress_of :ATTR(:get<NameOrIpAddress>);
my %SuppressRegisteredError_of :ATTR(:get<SuppressRegisteredError>);

__PACKAGE__->_factory(
    [ qw(        AdminPort
        NameOrIpAddress
        SuppressRegisteredError

    ) ],
    {
        'AdminPort' => \%AdminPort_of,
        'NameOrIpAddress' => \%NameOrIpAddress_of,
        'SuppressRegisteredError' => \%SuppressRegisteredError_of,
    },
    {
        'AdminPort' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
        'NameOrIpAddress' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'SuppressRegisteredError' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
    },
    {

        'AdminPort' => 'AdminPort',
        'NameOrIpAddress' => 'NameOrIpAddress',
        'SuppressRegisteredError' => 'SuppressRegisteredError',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpAgentRegister

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpAgentRegister from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * AdminPort

 $element->set_AdminPort($data);
 $element->get_AdminPort();




=item * NameOrIpAddress

 $element->set_NameOrIpAddress($data);
 $element->get_NameOrIpAddress();




=item * SuppressRegisteredError

 $element->set_SuppressRegisteredError($data);
 $element->get_SuppressRegisteredError();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpAgentRegister->new($data);

Constructor. The following data structure may be passed to new():

 {
   AdminPort =>  $some_value, # integer
   NameOrIpAddress =>  $some_value, # string
   SuppressRegisteredError =>  $some_value, # boolean
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

