
package MyElements::DpBackupContentListIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpBackupContentListIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %BackupContents_of :ATTR(:get<BackupContents>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        BackupContents
        Records

    ) ],
    {
        'BackupContents' => \%BackupContents_of,
        'Records' => \%Records_of,
    },
    {
        'BackupContents' => 'MyTypes::ArrayOfDpBackupContentInfo',

        'Records' => 'MyElements::DpBackupContentListIterNextResult::_Records',
    },
    {

        'BackupContents' => 'BackupContents',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::DpBackupContentListIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpBackupContentListIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpBackupContentListIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * BackupContents

 $element->set_BackupContents($data);
 $element->get_BackupContents();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpBackupContentListIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   BackupContents =>  { # MyTypes::ArrayOfDpBackupContentInfo
     DpBackupContentInfo =>  { # MyTypes::DpBackupContentInfo
       DpFileInfo =>  { # MyTypes::DpFileInfo
         ChildCount => $some_value, # atomic
         FileName =>  $some_value, # string
         FileSize =>  $some_value, # unsignedLong
         FileType =>  $some_value, # string
         IsEmpty =>  $some_value, # boolean
         LastModifiedTimestamp =>  $some_value, # integer
       },
       PrimarySnapshotName =>  $some_value, # string
       PrimarySnapshotUniqueId =>  $some_value, # string
       RootObjectId => $some_value, # ObjId
       RootObjectName =>  $some_value, # string
       RootObjectType =>  $some_value, # string
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

