
package MyElements::DpBackupContentListIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpBackupContentListIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %BackupId_of :ATTR(:get<BackupId>);
my %PrimarySnapshotName_of :ATTR(:get<PrimarySnapshotName>);
my %PrimarySnapshotUniqueId_of :ATTR(:get<PrimarySnapshotUniqueId>);
my %RootObjectNameOrId_of :ATTR(:get<RootObjectNameOrId>);
my %SubPath_of :ATTR(:get<SubPath>);
my %SuppressChildCount_of :ATTR(:get<SuppressChildCount>);

__PACKAGE__->_factory(
    [ qw(        BackupId
        PrimarySnapshotName
        PrimarySnapshotUniqueId
        RootObjectNameOrId
        SubPath
        SuppressChildCount

    ) ],
    {
        'BackupId' => \%BackupId_of,
        'PrimarySnapshotName' => \%PrimarySnapshotName_of,
        'PrimarySnapshotUniqueId' => \%PrimarySnapshotUniqueId_of,
        'RootObjectNameOrId' => \%RootObjectNameOrId_of,
        'SubPath' => \%SubPath_of,
        'SuppressChildCount' => \%SuppressChildCount_of,
    },
    {

        'BackupId' => 'MyElements::DpBackupContentListIterStart::_BackupId',
        'PrimarySnapshotName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'PrimarySnapshotUniqueId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'RootObjectNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'SubPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'SuppressChildCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
    },
    {

        'BackupId' => 'BackupId',
        'PrimarySnapshotName' => 'PrimarySnapshotName',
        'PrimarySnapshotUniqueId' => 'PrimarySnapshotUniqueId',
        'RootObjectNameOrId' => 'RootObjectNameOrId',
        'SubPath' => 'SubPath',
        'SuppressChildCount' => 'SuppressChildCount',
    }
);

} # end BLOCK




package MyElements::DpBackupContentListIterStart::_BackupId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpBackupContentListIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpBackupContentListIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * BackupId

 $element->set_BackupId($data);
 $element->get_BackupId();




=item * PrimarySnapshotName

 $element->set_PrimarySnapshotName($data);
 $element->get_PrimarySnapshotName();




=item * PrimarySnapshotUniqueId

 $element->set_PrimarySnapshotUniqueId($data);
 $element->get_PrimarySnapshotUniqueId();




=item * RootObjectNameOrId

 $element->set_RootObjectNameOrId($data);
 $element->get_RootObjectNameOrId();




=item * SubPath

 $element->set_SubPath($data);
 $element->get_SubPath();




=item * SuppressChildCount

 $element->set_SuppressChildCount($data);
 $element->get_SuppressChildCount();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpBackupContentListIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   BackupId => $some_value, # atomic
   PrimarySnapshotName =>  $some_value, # string
   PrimarySnapshotUniqueId =>  $some_value, # string
   RootObjectNameOrId =>  $some_value, # string
   SubPath =>  $some_value, # string
   SuppressChildCount =>  $some_value, # boolean
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

