
package MyElements::DpDashboardGetDrDatasetCountsResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpDashboardGetDrDatasetCountsResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DrStateStatusCounts_of :ATTR(:get<DrStateStatusCounts>);

__PACKAGE__->_factory(
    [ qw(        DrStateStatusCounts

    ) ],
    {
        'DrStateStatusCounts' => \%DrStateStatusCounts_of,
    },
    {
        'DrStateStatusCounts' => 'MyTypes::ArrayOfDrStateStatusCount',
    },
    {

        'DrStateStatusCounts' => 'DrStateStatusCounts',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpDashboardGetDrDatasetCountsResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpDashboardGetDrDatasetCountsResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DrStateStatusCounts

 $element->set_DrStateStatusCounts($data);
 $element->get_DrStateStatusCounts();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpDashboardGetDrDatasetCountsResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   DrStateStatusCounts =>  { # MyTypes::ArrayOfDrStateStatusCount
     DrStateStatusCount =>  { # MyTypes::DrStateStatusCount
       Count => $some_value, # atomic
       DrState => $some_value, # DrState
       DrStatus => $some_value, # DrStatus
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

