
package MyElements::DpDashboardGetProtectedDataCountsResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpDashboardGetProtectedDataCountsResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %IgnoredDatasetCount_of :ATTR(:get<IgnoredDatasetCount>);
my %IgnoredOssvDirectoryCount_of :ATTR(:get<IgnoredOssvDirectoryCount>);
my %IgnoredQtreeCount_of :ATTR(:get<IgnoredQtreeCount>);
my %IgnoredVolumeCount_of :ATTR(:get<IgnoredVolumeCount>);
my %ProtectedDatasetCount_of :ATTR(:get<ProtectedDatasetCount>);
my %ProtectedOssvDirectoryCount_of :ATTR(:get<ProtectedOssvDirectoryCount>);
my %ProtectedQtreeCount_of :ATTR(:get<ProtectedQtreeCount>);
my %ProtectedVolumeCount_of :ATTR(:get<ProtectedVolumeCount>);
my %UnprotectedDatasetCount_of :ATTR(:get<UnprotectedDatasetCount>);
my %UnprotectedOssvDirectoryCount_of :ATTR(:get<UnprotectedOssvDirectoryCount>);
my %UnprotectedQtreeCount_of :ATTR(:get<UnprotectedQtreeCount>);
my %UnprotectedVolumeCount_of :ATTR(:get<UnprotectedVolumeCount>);

__PACKAGE__->_factory(
    [ qw(        IgnoredDatasetCount
        IgnoredOssvDirectoryCount
        IgnoredQtreeCount
        IgnoredVolumeCount
        ProtectedDatasetCount
        ProtectedOssvDirectoryCount
        ProtectedQtreeCount
        ProtectedVolumeCount
        UnprotectedDatasetCount
        UnprotectedOssvDirectoryCount
        UnprotectedQtreeCount
        UnprotectedVolumeCount

    ) ],
    {
        'IgnoredDatasetCount' => \%IgnoredDatasetCount_of,
        'IgnoredOssvDirectoryCount' => \%IgnoredOssvDirectoryCount_of,
        'IgnoredQtreeCount' => \%IgnoredQtreeCount_of,
        'IgnoredVolumeCount' => \%IgnoredVolumeCount_of,
        'ProtectedDatasetCount' => \%ProtectedDatasetCount_of,
        'ProtectedOssvDirectoryCount' => \%ProtectedOssvDirectoryCount_of,
        'ProtectedQtreeCount' => \%ProtectedQtreeCount_of,
        'ProtectedVolumeCount' => \%ProtectedVolumeCount_of,
        'UnprotectedDatasetCount' => \%UnprotectedDatasetCount_of,
        'UnprotectedOssvDirectoryCount' => \%UnprotectedOssvDirectoryCount_of,
        'UnprotectedQtreeCount' => \%UnprotectedQtreeCount_of,
        'UnprotectedVolumeCount' => \%UnprotectedVolumeCount_of,
    },
    {

        'IgnoredDatasetCount' => 'MyElements::DpDashboardGetProtectedDataCountsResult::_IgnoredDatasetCount',

        'IgnoredOssvDirectoryCount' => 'MyElements::DpDashboardGetProtectedDataCountsResult::_IgnoredOssvDirectoryCount',

        'IgnoredQtreeCount' => 'MyElements::DpDashboardGetProtectedDataCountsResult::_IgnoredQtreeCount',

        'IgnoredVolumeCount' => 'MyElements::DpDashboardGetProtectedDataCountsResult::_IgnoredVolumeCount',

        'ProtectedDatasetCount' => 'MyElements::DpDashboardGetProtectedDataCountsResult::_ProtectedDatasetCount',

        'ProtectedOssvDirectoryCount' => 'MyElements::DpDashboardGetProtectedDataCountsResult::_ProtectedOssvDirectoryCount',

        'ProtectedQtreeCount' => 'MyElements::DpDashboardGetProtectedDataCountsResult::_ProtectedQtreeCount',

        'ProtectedVolumeCount' => 'MyElements::DpDashboardGetProtectedDataCountsResult::_ProtectedVolumeCount',

        'UnprotectedDatasetCount' => 'MyElements::DpDashboardGetProtectedDataCountsResult::_UnprotectedDatasetCount',

        'UnprotectedOssvDirectoryCount' => 'MyElements::DpDashboardGetProtectedDataCountsResult::_UnprotectedOssvDirectoryCount',

        'UnprotectedQtreeCount' => 'MyElements::DpDashboardGetProtectedDataCountsResult::_UnprotectedQtreeCount',

        'UnprotectedVolumeCount' => 'MyElements::DpDashboardGetProtectedDataCountsResult::_UnprotectedVolumeCount',
    },
    {

        'IgnoredDatasetCount' => 'IgnoredDatasetCount',
        'IgnoredOssvDirectoryCount' => 'IgnoredOssvDirectoryCount',
        'IgnoredQtreeCount' => 'IgnoredQtreeCount',
        'IgnoredVolumeCount' => 'IgnoredVolumeCount',
        'ProtectedDatasetCount' => 'ProtectedDatasetCount',
        'ProtectedOssvDirectoryCount' => 'ProtectedOssvDirectoryCount',
        'ProtectedQtreeCount' => 'ProtectedQtreeCount',
        'ProtectedVolumeCount' => 'ProtectedVolumeCount',
        'UnprotectedDatasetCount' => 'UnprotectedDatasetCount',
        'UnprotectedOssvDirectoryCount' => 'UnprotectedOssvDirectoryCount',
        'UnprotectedQtreeCount' => 'UnprotectedQtreeCount',
        'UnprotectedVolumeCount' => 'UnprotectedVolumeCount',
    }
);

} # end BLOCK




package MyElements::DpDashboardGetProtectedDataCountsResult::_IgnoredDatasetCount;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyElements::DpDashboardGetProtectedDataCountsResult::_IgnoredOssvDirectoryCount;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyElements::DpDashboardGetProtectedDataCountsResult::_IgnoredQtreeCount;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyElements::DpDashboardGetProtectedDataCountsResult::_IgnoredVolumeCount;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyElements::DpDashboardGetProtectedDataCountsResult::_ProtectedDatasetCount;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyElements::DpDashboardGetProtectedDataCountsResult::_ProtectedOssvDirectoryCount;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyElements::DpDashboardGetProtectedDataCountsResult::_ProtectedQtreeCount;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyElements::DpDashboardGetProtectedDataCountsResult::_ProtectedVolumeCount;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyElements::DpDashboardGetProtectedDataCountsResult::_UnprotectedDatasetCount;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyElements::DpDashboardGetProtectedDataCountsResult::_UnprotectedOssvDirectoryCount;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyElements::DpDashboardGetProtectedDataCountsResult::_UnprotectedQtreeCount;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyElements::DpDashboardGetProtectedDataCountsResult::_UnprotectedVolumeCount;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpDashboardGetProtectedDataCountsResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpDashboardGetProtectedDataCountsResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * IgnoredDatasetCount

 $element->set_IgnoredDatasetCount($data);
 $element->get_IgnoredDatasetCount();




=item * IgnoredOssvDirectoryCount

 $element->set_IgnoredOssvDirectoryCount($data);
 $element->get_IgnoredOssvDirectoryCount();




=item * IgnoredQtreeCount

 $element->set_IgnoredQtreeCount($data);
 $element->get_IgnoredQtreeCount();




=item * IgnoredVolumeCount

 $element->set_IgnoredVolumeCount($data);
 $element->get_IgnoredVolumeCount();




=item * ProtectedDatasetCount

 $element->set_ProtectedDatasetCount($data);
 $element->get_ProtectedDatasetCount();




=item * ProtectedOssvDirectoryCount

 $element->set_ProtectedOssvDirectoryCount($data);
 $element->get_ProtectedOssvDirectoryCount();




=item * ProtectedQtreeCount

 $element->set_ProtectedQtreeCount($data);
 $element->get_ProtectedQtreeCount();




=item * ProtectedVolumeCount

 $element->set_ProtectedVolumeCount($data);
 $element->get_ProtectedVolumeCount();




=item * UnprotectedDatasetCount

 $element->set_UnprotectedDatasetCount($data);
 $element->get_UnprotectedDatasetCount();




=item * UnprotectedOssvDirectoryCount

 $element->set_UnprotectedOssvDirectoryCount($data);
 $element->get_UnprotectedOssvDirectoryCount();




=item * UnprotectedQtreeCount

 $element->set_UnprotectedQtreeCount($data);
 $element->get_UnprotectedQtreeCount();




=item * UnprotectedVolumeCount

 $element->set_UnprotectedVolumeCount($data);
 $element->get_UnprotectedVolumeCount();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpDashboardGetProtectedDataCountsResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   IgnoredDatasetCount => $some_value, # atomic
   IgnoredOssvDirectoryCount => $some_value, # atomic
   IgnoredQtreeCount => $some_value, # atomic
   IgnoredVolumeCount => $some_value, # atomic
   ProtectedDatasetCount => $some_value, # atomic
   ProtectedOssvDirectoryCount => $some_value, # atomic
   ProtectedQtreeCount => $some_value, # atomic
   ProtectedVolumeCount => $some_value, # atomic
   UnprotectedDatasetCount => $some_value, # atomic
   UnprotectedOssvDirectoryCount => $some_value, # atomic
   UnprotectedQtreeCount => $some_value, # atomic
   UnprotectedVolumeCount => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

