
package MyElements::DpGetDatasetBackupJobsData;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpGetDatasetBackupJobsData');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %BackupDestination_of :ATTR(:get<BackupDestination>);
my %DatasetNameOrId_of :ATTR(:get<DatasetNameOrId>);
my %RetentionType_of :ATTR(:get<RetentionType>);

__PACKAGE__->_factory(
    [ qw(        BackupDestination
        DatasetNameOrId
        RetentionType

    ) ],
    {
        'BackupDestination' => \%BackupDestination_of,
        'DatasetNameOrId' => \%DatasetNameOrId_of,
        'RetentionType' => \%RetentionType_of,
    },
    {
        'BackupDestination' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'DatasetNameOrId' => 'MyTypes::ObjNameOrId',
        'RetentionType' => 'MyTypes::DpBackupRetentionType',
    },
    {

        'BackupDestination' => 'BackupDestination',
        'DatasetNameOrId' => 'DatasetNameOrId',
        'RetentionType' => 'RetentionType',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpGetDatasetBackupJobsData

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpGetDatasetBackupJobsData from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * BackupDestination

 $element->set_BackupDestination($data);
 $element->get_BackupDestination();




=item * DatasetNameOrId

 $element->set_DatasetNameOrId($data);
 $element->get_DatasetNameOrId();




=item * RetentionType

 $element->set_RetentionType($data);
 $element->get_RetentionType();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpGetDatasetBackupJobsData->new($data);

Constructor. The following data structure may be passed to new():

 {
   BackupDestination =>  $some_value, # string
   DatasetNameOrId => $some_value, # ObjNameOrId
   RetentionType => $some_value, # DpBackupRetentionType
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

