
package MyElements::DpOssvApplicationListInfoIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpOssvApplicationListInfoIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %OssvApplicationPath_of :ATTR(:get<OssvApplicationPath>);
my %OssvHostNameOrId_of :ATTR(:get<OssvHostNameOrId>);

__PACKAGE__->_factory(
    [ qw(        OssvApplicationPath
        OssvHostNameOrId

    ) ],
    {
        'OssvApplicationPath' => \%OssvApplicationPath_of,
        'OssvHostNameOrId' => \%OssvHostNameOrId_of,
    },
    {
        'OssvApplicationPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'OssvHostNameOrId' => 'MyTypes::OssvHostNameOrId',
    },
    {

        'OssvApplicationPath' => 'OssvApplicationPath',
        'OssvHostNameOrId' => 'OssvHostNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpOssvApplicationListInfoIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpOssvApplicationListInfoIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * OssvApplicationPath

 $element->set_OssvApplicationPath($data);
 $element->get_OssvApplicationPath();




=item * OssvHostNameOrId

 $element->set_OssvHostNameOrId($data);
 $element->get_OssvHostNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpOssvApplicationListInfoIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   OssvApplicationPath =>  $some_value, # string
   OssvHostNameOrId => $some_value, # OssvHostNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

