
package MyElements::DpOssvDirectoryBrowseIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpOssvDirectoryBrowseIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Records_of :ATTR(:get<Records>);
my %Subdirectories_of :ATTR(:get<Subdirectories>);

__PACKAGE__->_factory(
    [ qw(        Records
        Subdirectories

    ) ],
    {
        'Records' => \%Records_of,
        'Subdirectories' => \%Subdirectories_of,
    },
    {

        'Records' => 'MyElements::DpOssvDirectoryBrowseIterNextResult::_Records',
        'Subdirectories' => 'MyTypes::ArrayOfDpOssvDirectoryName',
    },
    {

        'Records' => 'Records',
        'Subdirectories' => 'Subdirectories',
    }
);

} # end BLOCK




package MyElements::DpOssvDirectoryBrowseIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpOssvDirectoryBrowseIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpOssvDirectoryBrowseIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Records

 $element->set_Records($data);
 $element->get_Records();




=item * Subdirectories

 $element->set_Subdirectories($data);
 $element->get_Subdirectories();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpOssvDirectoryBrowseIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Records => $some_value, # atomic
   Subdirectories =>  { # MyTypes::ArrayOfDpOssvDirectoryName
     DpOssvDirectoryName => $some_value, # DpOssvDirectoryName
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

