
package MyElements::DpPolicyGetDefaultPropertyValuesResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpPolicyGetDefaultPropertyValuesResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %BackupScheduleId_of :ATTR(:get<BackupScheduleId>);
my %BackupScheduleName_of :ATTR(:get<BackupScheduleName>);
my %BackupScriptPath_of :ATTR(:get<BackupScriptPath>);
my %BackupScriptRunAs_of :ATTR(:get<BackupScriptRunAs>);
my %DailyRetentionCount_of :ATTR(:get<DailyRetentionCount>);
my %DailyRetentionDuration_of :ATTR(:get<DailyRetentionDuration>);
my %FailoverScriptPath_of :ATTR(:get<FailoverScriptPath>);
my %FailoverScriptRunAs_of :ATTR(:get<FailoverScriptRunAs>);
my %HourlyRetentionCount_of :ATTR(:get<HourlyRetentionCount>);
my %HourlyRetentionDuration_of :ATTR(:get<HourlyRetentionDuration>);
my %IsLagErrorEnabled_of :ATTR(:get<IsLagErrorEnabled>);
my %IsLagWarningEnabled_of :ATTR(:get<IsLagWarningEnabled>);
my %LagErrorThreshold_of :ATTR(:get<LagErrorThreshold>);
my %LagWarningThreshold_of :ATTR(:get<LagWarningThreshold>);
my %MirrorScheduleId_of :ATTR(:get<MirrorScheduleId>);
my %MirrorScheduleName_of :ATTR(:get<MirrorScheduleName>);
my %MonthlyRetentionCount_of :ATTR(:get<MonthlyRetentionCount>);
my %MonthlyRetentionDuration_of :ATTR(:get<MonthlyRetentionDuration>);
my %SnapshotScheduleId_of :ATTR(:get<SnapshotScheduleId>);
my %SnapshotScheduleName_of :ATTR(:get<SnapshotScheduleName>);
my %ThrottleScheduleId_of :ATTR(:get<ThrottleScheduleId>);
my %ThrottleScheduleName_of :ATTR(:get<ThrottleScheduleName>);
my %WeeklyRetentionCount_of :ATTR(:get<WeeklyRetentionCount>);
my %WeeklyRetentionDuration_of :ATTR(:get<WeeklyRetentionDuration>);

__PACKAGE__->_factory(
    [ qw(        BackupScheduleId
        BackupScheduleName
        BackupScriptPath
        BackupScriptRunAs
        DailyRetentionCount
        DailyRetentionDuration
        FailoverScriptPath
        FailoverScriptRunAs
        HourlyRetentionCount
        HourlyRetentionDuration
        IsLagErrorEnabled
        IsLagWarningEnabled
        LagErrorThreshold
        LagWarningThreshold
        MirrorScheduleId
        MirrorScheduleName
        MonthlyRetentionCount
        MonthlyRetentionDuration
        SnapshotScheduleId
        SnapshotScheduleName
        ThrottleScheduleId
        ThrottleScheduleName
        WeeklyRetentionCount
        WeeklyRetentionDuration

    ) ],
    {
        'BackupScheduleId' => \%BackupScheduleId_of,
        'BackupScheduleName' => \%BackupScheduleName_of,
        'BackupScriptPath' => \%BackupScriptPath_of,
        'BackupScriptRunAs' => \%BackupScriptRunAs_of,
        'DailyRetentionCount' => \%DailyRetentionCount_of,
        'DailyRetentionDuration' => \%DailyRetentionDuration_of,
        'FailoverScriptPath' => \%FailoverScriptPath_of,
        'FailoverScriptRunAs' => \%FailoverScriptRunAs_of,
        'HourlyRetentionCount' => \%HourlyRetentionCount_of,
        'HourlyRetentionDuration' => \%HourlyRetentionDuration_of,
        'IsLagErrorEnabled' => \%IsLagErrorEnabled_of,
        'IsLagWarningEnabled' => \%IsLagWarningEnabled_of,
        'LagErrorThreshold' => \%LagErrorThreshold_of,
        'LagWarningThreshold' => \%LagWarningThreshold_of,
        'MirrorScheduleId' => \%MirrorScheduleId_of,
        'MirrorScheduleName' => \%MirrorScheduleName_of,
        'MonthlyRetentionCount' => \%MonthlyRetentionCount_of,
        'MonthlyRetentionDuration' => \%MonthlyRetentionDuration_of,
        'SnapshotScheduleId' => \%SnapshotScheduleId_of,
        'SnapshotScheduleName' => \%SnapshotScheduleName_of,
        'ThrottleScheduleId' => \%ThrottleScheduleId_of,
        'ThrottleScheduleName' => \%ThrottleScheduleName_of,
        'WeeklyRetentionCount' => \%WeeklyRetentionCount_of,
        'WeeklyRetentionDuration' => \%WeeklyRetentionDuration_of,
    },
    {
        'BackupScheduleId' => 'MyTypes::ObjId',
        'BackupScheduleName' => 'MyTypes::ObjName',
        'BackupScriptPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'BackupScriptRunAs' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'DailyRetentionCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
        'DailyRetentionDuration' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
        'FailoverScriptPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'FailoverScriptRunAs' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'HourlyRetentionCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
        'HourlyRetentionDuration' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
        'IsLagErrorEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'IsLagWarningEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'LagErrorThreshold' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
        'LagWarningThreshold' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
        'MirrorScheduleId' => 'MyTypes::ObjId',
        'MirrorScheduleName' => 'MyTypes::ObjName',
        'MonthlyRetentionCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
        'MonthlyRetentionDuration' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
        'SnapshotScheduleId' => 'MyTypes::ObjId',
        'SnapshotScheduleName' => 'MyTypes::ObjName',
        'ThrottleScheduleId' => 'MyTypes::ObjId',
        'ThrottleScheduleName' => 'MyTypes::ObjName',
        'WeeklyRetentionCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
        'WeeklyRetentionDuration' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
    },
    {

        'BackupScheduleId' => 'BackupScheduleId',
        'BackupScheduleName' => 'BackupScheduleName',
        'BackupScriptPath' => 'BackupScriptPath',
        'BackupScriptRunAs' => 'BackupScriptRunAs',
        'DailyRetentionCount' => 'DailyRetentionCount',
        'DailyRetentionDuration' => 'DailyRetentionDuration',
        'FailoverScriptPath' => 'FailoverScriptPath',
        'FailoverScriptRunAs' => 'FailoverScriptRunAs',
        'HourlyRetentionCount' => 'HourlyRetentionCount',
        'HourlyRetentionDuration' => 'HourlyRetentionDuration',
        'IsLagErrorEnabled' => 'IsLagErrorEnabled',
        'IsLagWarningEnabled' => 'IsLagWarningEnabled',
        'LagErrorThreshold' => 'LagErrorThreshold',
        'LagWarningThreshold' => 'LagWarningThreshold',
        'MirrorScheduleId' => 'MirrorScheduleId',
        'MirrorScheduleName' => 'MirrorScheduleName',
        'MonthlyRetentionCount' => 'MonthlyRetentionCount',
        'MonthlyRetentionDuration' => 'MonthlyRetentionDuration',
        'SnapshotScheduleId' => 'SnapshotScheduleId',
        'SnapshotScheduleName' => 'SnapshotScheduleName',
        'ThrottleScheduleId' => 'ThrottleScheduleId',
        'ThrottleScheduleName' => 'ThrottleScheduleName',
        'WeeklyRetentionCount' => 'WeeklyRetentionCount',
        'WeeklyRetentionDuration' => 'WeeklyRetentionDuration',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpPolicyGetDefaultPropertyValuesResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpPolicyGetDefaultPropertyValuesResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * BackupScheduleId

 $element->set_BackupScheduleId($data);
 $element->get_BackupScheduleId();




=item * BackupScheduleName

 $element->set_BackupScheduleName($data);
 $element->get_BackupScheduleName();




=item * BackupScriptPath

 $element->set_BackupScriptPath($data);
 $element->get_BackupScriptPath();




=item * BackupScriptRunAs

 $element->set_BackupScriptRunAs($data);
 $element->get_BackupScriptRunAs();




=item * DailyRetentionCount

 $element->set_DailyRetentionCount($data);
 $element->get_DailyRetentionCount();




=item * DailyRetentionDuration

 $element->set_DailyRetentionDuration($data);
 $element->get_DailyRetentionDuration();




=item * FailoverScriptPath

 $element->set_FailoverScriptPath($data);
 $element->get_FailoverScriptPath();




=item * FailoverScriptRunAs

 $element->set_FailoverScriptRunAs($data);
 $element->get_FailoverScriptRunAs();




=item * HourlyRetentionCount

 $element->set_HourlyRetentionCount($data);
 $element->get_HourlyRetentionCount();




=item * HourlyRetentionDuration

 $element->set_HourlyRetentionDuration($data);
 $element->get_HourlyRetentionDuration();




=item * IsLagErrorEnabled

 $element->set_IsLagErrorEnabled($data);
 $element->get_IsLagErrorEnabled();




=item * IsLagWarningEnabled

 $element->set_IsLagWarningEnabled($data);
 $element->get_IsLagWarningEnabled();




=item * LagErrorThreshold

 $element->set_LagErrorThreshold($data);
 $element->get_LagErrorThreshold();




=item * LagWarningThreshold

 $element->set_LagWarningThreshold($data);
 $element->get_LagWarningThreshold();




=item * MirrorScheduleId

 $element->set_MirrorScheduleId($data);
 $element->get_MirrorScheduleId();




=item * MirrorScheduleName

 $element->set_MirrorScheduleName($data);
 $element->get_MirrorScheduleName();




=item * MonthlyRetentionCount

 $element->set_MonthlyRetentionCount($data);
 $element->get_MonthlyRetentionCount();




=item * MonthlyRetentionDuration

 $element->set_MonthlyRetentionDuration($data);
 $element->get_MonthlyRetentionDuration();




=item * SnapshotScheduleId

 $element->set_SnapshotScheduleId($data);
 $element->get_SnapshotScheduleId();




=item * SnapshotScheduleName

 $element->set_SnapshotScheduleName($data);
 $element->get_SnapshotScheduleName();




=item * ThrottleScheduleId

 $element->set_ThrottleScheduleId($data);
 $element->get_ThrottleScheduleId();




=item * ThrottleScheduleName

 $element->set_ThrottleScheduleName($data);
 $element->get_ThrottleScheduleName();




=item * WeeklyRetentionCount

 $element->set_WeeklyRetentionCount($data);
 $element->get_WeeklyRetentionCount();




=item * WeeklyRetentionDuration

 $element->set_WeeklyRetentionDuration($data);
 $element->get_WeeklyRetentionDuration();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpPolicyGetDefaultPropertyValuesResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   BackupScheduleId => $some_value, # ObjId
   BackupScheduleName => $some_value, # ObjName
   BackupScriptPath =>  $some_value, # string
   BackupScriptRunAs =>  $some_value, # string
   DailyRetentionCount =>  $some_value, # integer
   DailyRetentionDuration =>  $some_value, # integer
   FailoverScriptPath =>  $some_value, # string
   FailoverScriptRunAs =>  $some_value, # string
   HourlyRetentionCount =>  $some_value, # integer
   HourlyRetentionDuration =>  $some_value, # integer
   IsLagErrorEnabled =>  $some_value, # boolean
   IsLagWarningEnabled =>  $some_value, # boolean
   LagErrorThreshold =>  $some_value, # integer
   LagWarningThreshold =>  $some_value, # integer
   MirrorScheduleId => $some_value, # ObjId
   MirrorScheduleName => $some_value, # ObjName
   MonthlyRetentionCount =>  $some_value, # integer
   MonthlyRetentionDuration =>  $some_value, # integer
   SnapshotScheduleId => $some_value, # ObjId
   SnapshotScheduleName => $some_value, # ObjName
   ThrottleScheduleId => $some_value, # ObjId
   ThrottleScheduleName => $some_value, # ObjName
   WeeklyRetentionCount =>  $some_value, # integer
   WeeklyRetentionDuration =>  $some_value, # integer
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

