
package MyElements::DpRelationshipModify;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpRelationshipModify');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %IsDpImported_of :ATTR(:get<IsDpImported>);
my %IsDpManaged_of :ATTR(:get<IsDpManaged>);
my %RelationshipId_of :ATTR(:get<RelationshipId>);

__PACKAGE__->_factory(
    [ qw(        IsDpImported
        IsDpManaged
        RelationshipId

    ) ],
    {
        'IsDpImported' => \%IsDpImported_of,
        'IsDpManaged' => \%IsDpManaged_of,
        'RelationshipId' => \%RelationshipId_of,
    },
    {
        'IsDpImported' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'IsDpManaged' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'RelationshipId' => 'MyTypes::ObjId',
    },
    {

        'IsDpImported' => 'IsDpImported',
        'IsDpManaged' => 'IsDpManaged',
        'RelationshipId' => 'RelationshipId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpRelationshipModify

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpRelationshipModify from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * IsDpImported

 $element->set_IsDpImported($data);
 $element->get_IsDpImported();




=item * IsDpManaged

 $element->set_IsDpManaged($data);
 $element->get_IsDpManaged();




=item * RelationshipId

 $element->set_RelationshipId($data);
 $element->get_RelationshipId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpRelationshipModify->new($data);

Constructor. The following data structure may be passed to new():

 {
   IsDpImported =>  $some_value, # boolean
   IsDpManaged =>  $some_value, # boolean
   RelationshipId => $some_value, # ObjId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

