
package MyElements::DpRestoreToPrimaryResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpRestoreToPrimaryResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %JobId_of :ATTR(:get<JobId>);
my %OverwriteResults_of :ATTR(:get<OverwriteResults>);
my %SpaceStatusResults_of :ATTR(:get<SpaceStatusResults>);

__PACKAGE__->_factory(
    [ qw(        JobId
        OverwriteResults
        SpaceStatusResults

    ) ],
    {
        'JobId' => \%JobId_of,
        'OverwriteResults' => \%OverwriteResults_of,
        'SpaceStatusResults' => \%SpaceStatusResults_of,
    },
    {

        'JobId' => 'MyElements::DpRestoreToPrimaryResult::_JobId',
        'OverwriteResults' => 'MyTypes::ArrayOfOverwriteResult',
        'SpaceStatusResults' => 'MyTypes::ArrayOfSpaceStatusResult',
    },
    {

        'JobId' => 'JobId',
        'OverwriteResults' => 'OverwriteResults',
        'SpaceStatusResults' => 'SpaceStatusResults',
    }
);

} # end BLOCK




package MyElements::DpRestoreToPrimaryResult::_JobId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpRestoreToPrimaryResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpRestoreToPrimaryResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * JobId

 $element->set_JobId($data);
 $element->get_JobId();




=item * OverwriteResults

 $element->set_OverwriteResults($data);
 $element->get_OverwriteResults();




=item * SpaceStatusResults

 $element->set_SpaceStatusResults($data);
 $element->get_SpaceStatusResults();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpRestoreToPrimaryResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   JobId => $some_value, # atomic
   OverwriteResults =>  { # MyTypes::ArrayOfOverwriteResult
     OverwriteResult =>  { # MyTypes::OverwriteResult
       DestHost =>  $some_value, # string
       FilePath =>  $some_value, # string
       OverwriteStatus =>  $some_value, # string
     },
   },
   SpaceStatusResults =>  { # MyTypes::ArrayOfSpaceStatusResult
     SpaceStatusResult =>  { # MyTypes::SpaceStatusResult
       AvailSpace =>  $some_value, # unsignedLong
       DestHost =>  $some_value, # string
       DestVol =>  $some_value, # string
       ReqSpace =>  $some_value, # unsignedLong
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

