
package MyElements::DpScheduleListInfoIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpScheduleListInfoIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ScheduleCategory_of :ATTR(:get<ScheduleCategory>);
my %ScheduleNameOrId_of :ATTR(:get<ScheduleNameOrId>);

__PACKAGE__->_factory(
    [ qw(        ScheduleCategory
        ScheduleNameOrId

    ) ],
    {
        'ScheduleCategory' => \%ScheduleCategory_of,
        'ScheduleNameOrId' => \%ScheduleNameOrId_of,
    },
    {
        'ScheduleCategory' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'ScheduleNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'ScheduleCategory' => 'ScheduleCategory',
        'ScheduleNameOrId' => 'ScheduleNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpScheduleListInfoIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpScheduleListInfoIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ScheduleCategory

 $element->set_ScheduleCategory($data);
 $element->get_ScheduleCategory();




=item * ScheduleNameOrId

 $element->set_ScheduleNameOrId($data);
 $element->get_ScheduleNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpScheduleListInfoIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   ScheduleCategory =>  $some_value, # string
   ScheduleNameOrId =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

