
package MyElements::DpScheduleMonthlyDelete;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpScheduleMonthlyDelete');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ItemId_of :ATTR(:get<ItemId>);
my %MonthlyScheduleNameOrId_of :ATTR(:get<MonthlyScheduleNameOrId>);
my %ScheduleCategory_of :ATTR(:get<ScheduleCategory>);

__PACKAGE__->_factory(
    [ qw(        ItemId
        MonthlyScheduleNameOrId
        ScheduleCategory

    ) ],
    {
        'ItemId' => \%ItemId_of,
        'MonthlyScheduleNameOrId' => \%MonthlyScheduleNameOrId_of,
        'ScheduleCategory' => \%ScheduleCategory_of,
    },
    {

        'ItemId' => 'MyElements::DpScheduleMonthlyDelete::_ItemId',
        'MonthlyScheduleNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'ScheduleCategory' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'ItemId' => 'ItemId',
        'MonthlyScheduleNameOrId' => 'MonthlyScheduleNameOrId',
        'ScheduleCategory' => 'ScheduleCategory',
    }
);

} # end BLOCK




package MyElements::DpScheduleMonthlyDelete::_ItemId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpScheduleMonthlyDelete

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpScheduleMonthlyDelete from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ItemId

 $element->set_ItemId($data);
 $element->get_ItemId();




=item * MonthlyScheduleNameOrId

 $element->set_MonthlyScheduleNameOrId($data);
 $element->get_MonthlyScheduleNameOrId();




=item * ScheduleCategory

 $element->set_ScheduleCategory($data);
 $element->get_ScheduleCategory();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpScheduleMonthlyDelete->new($data);

Constructor. The following data structure may be passed to new():

 {
   ItemId => $some_value, # atomic
   MonthlyScheduleNameOrId =>  $some_value, # string
   ScheduleCategory =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

