
package MyElements::DpScheduleMonthlyModify;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpScheduleMonthlyModify');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %MonthlyContent_of :ATTR(:get<MonthlyContent>);
my %MonthlyScheduleNameOrId_of :ATTR(:get<MonthlyScheduleNameOrId>);
my %ScheduleCategory_of :ATTR(:get<ScheduleCategory>);

__PACKAGE__->_factory(
    [ qw(        MonthlyContent
        MonthlyScheduleNameOrId
        ScheduleCategory

    ) ],
    {
        'MonthlyContent' => \%MonthlyContent_of,
        'MonthlyScheduleNameOrId' => \%MonthlyScheduleNameOrId_of,
        'ScheduleCategory' => \%ScheduleCategory_of,
    },
    {
        'MonthlyContent' => 'MyTypes::WrapperOfMonthlyInfo',
        'MonthlyScheduleNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'ScheduleCategory' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'MonthlyContent' => 'MonthlyContent',
        'MonthlyScheduleNameOrId' => 'MonthlyScheduleNameOrId',
        'ScheduleCategory' => 'ScheduleCategory',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpScheduleMonthlyModify

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpScheduleMonthlyModify from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * MonthlyContent

 $element->set_MonthlyContent($data);
 $element->get_MonthlyContent();




=item * MonthlyScheduleNameOrId

 $element->set_MonthlyScheduleNameOrId($data);
 $element->get_MonthlyScheduleNameOrId();




=item * ScheduleCategory

 $element->set_ScheduleCategory($data);
 $element->get_ScheduleCategory();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpScheduleMonthlyModify->new($data);

Constructor. The following data structure may be passed to new():

 {
   MonthlyContent =>  { # MyTypes::WrapperOfMonthlyInfo
     MonthlyInfo =>  { # MyTypes::MonthlyInfo
       DayOfMonth => $some_value, # atomic
       DayOfWeek => $some_value, # atomic
       ItemId => $some_value, # atomic
       StartHour => $some_value, # atomic
       StartMinute => $some_value, # atomic
       WeekOfMonth => $some_value, # atomic
     },
   },
   MonthlyScheduleNameOrId =>  $some_value, # string
   ScheduleCategory =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

