
package MyElements::DpThrottleRename;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpThrottleRename');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %NewThrottleName_of :ATTR(:get<NewThrottleName>);
my %ThrottleNameOrId_of :ATTR(:get<ThrottleNameOrId>);

__PACKAGE__->_factory(
    [ qw(        NewThrottleName
        ThrottleNameOrId

    ) ],
    {
        'NewThrottleName' => \%NewThrottleName_of,
        'ThrottleNameOrId' => \%ThrottleNameOrId_of,
    },
    {
        'NewThrottleName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'ThrottleNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'NewThrottleName' => 'NewThrottleName',
        'ThrottleNameOrId' => 'ThrottleNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpThrottleRename

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpThrottleRename from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * NewThrottleName

 $element->set_NewThrottleName($data);
 $element->get_NewThrottleName();




=item * ThrottleNameOrId

 $element->set_ThrottleNameOrId($data);
 $element->get_ThrottleNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpThrottleRename->new($data);

Constructor. The following data structure may be passed to new():

 {
   NewThrottleName =>  $some_value, # string
   ThrottleNameOrId =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

