
package MyElements::EventDeleteResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('EventDeleteResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %EventDeleted_of :ATTR(:get<EventDeleted>);
my %EventsDeletedList_of :ATTR(:get<EventsDeletedList>);

__PACKAGE__->_factory(
    [ qw(        EventDeleted
        EventsDeletedList

    ) ],
    {
        'EventDeleted' => \%EventDeleted_of,
        'EventsDeletedList' => \%EventsDeletedList_of,
    },
    {
        'EventDeleted' => 'SOAP::WSDL::XSD::Typelib::Builtin::unsignedInt',
        'EventsDeletedList' => 'MyTypes::ArrayOfEventActionInfo',
    },
    {

        'EventDeleted' => 'EventDeleted',
        'EventsDeletedList' => 'EventsDeletedList',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::EventDeleteResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
EventDeleteResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * EventDeleted

 $element->set_EventDeleted($data);
 $element->get_EventDeleted();




=item * EventsDeletedList

 $element->set_EventsDeletedList($data);
 $element->get_EventsDeletedList();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::EventDeleteResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   EventDeleted =>  $some_value, # unsignedInt
   EventsDeletedList =>  { # MyTypes::ArrayOfEventActionInfo
     EventActionInfo =>  { # MyTypes::EventActionInfo
       ErrorCode => $some_value, # atomic
       ErrorMessage =>  $some_value, # string
       EventId =>  $some_value, # unsignedInt
       Timestamp =>  $some_value, # unsignedInt
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

