
package MyElements::FcpTargetListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('FcpTargetListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Records_of :ATTR(:get<Records>);
my %Targets_of :ATTR(:get<Targets>);

__PACKAGE__->_factory(
    [ qw(        Records
        Targets

    ) ],
    {
        'Records' => \%Records_of,
        'Targets' => \%Targets_of,
    },
    {

        'Records' => 'MyElements::FcpTargetListInfoIterNextResult::_Records',
        'Targets' => 'MyTypes::ArrayOfTargetInfo',
    },
    {

        'Records' => 'Records',
        'Targets' => 'Targets',
    }
);

} # end BLOCK




package MyElements::FcpTargetListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::FcpTargetListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
FcpTargetListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Records

 $element->set_Records($data);
 $element->get_Records();




=item * Targets

 $element->set_Targets($data);
 $element->get_Targets();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::FcpTargetListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Records => $some_value, # atomic
   Targets =>  { # MyTypes::ArrayOfTargetInfo
     TargetInfo =>  { # MyTypes::TargetInfo
       HostId => $some_value, # ObjId
       HostName =>  $some_value, # string
       TargetId => $some_value, # ObjId
       TargetName => $some_value, # ObjName
       TargetPortName =>  $some_value, # string
       TargetStatus =>  $some_value, # string
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

