
package MyElements::GroupCopy;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('GroupCopy');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %GroupNameOrId_of :ATTR(:get<GroupNameOrId>);
my %NewGroupName_of :ATTR(:get<NewGroupName>);
my %ParentGroupNameOrId_of :ATTR(:get<ParentGroupNameOrId>);

__PACKAGE__->_factory(
    [ qw(        GroupNameOrId
        NewGroupName
        ParentGroupNameOrId

    ) ],
    {
        'GroupNameOrId' => \%GroupNameOrId_of,
        'NewGroupName' => \%NewGroupName_of,
        'ParentGroupNameOrId' => \%ParentGroupNameOrId_of,
    },
    {
        'GroupNameOrId' => 'MyTypes::GroupNameOrId',
        'NewGroupName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'ParentGroupNameOrId' => 'MyTypes::GroupNameOrId',
    },
    {

        'GroupNameOrId' => 'GroupNameOrId',
        'NewGroupName' => 'NewGroupName',
        'ParentGroupNameOrId' => 'ParentGroupNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::GroupCopy

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
GroupCopy from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * GroupNameOrId

 $element->set_GroupNameOrId($data);
 $element->get_GroupNameOrId();




=item * NewGroupName

 $element->set_NewGroupName($data);
 $element->get_NewGroupName();




=item * ParentGroupNameOrId

 $element->set_ParentGroupNameOrId($data);
 $element->get_ParentGroupNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::GroupCopy->new($data);

Constructor. The following data structure may be passed to new():

 {
   GroupNameOrId => $some_value, # GroupNameOrId
   NewGroupName =>  $some_value, # string
   ParentGroupNameOrId => $some_value, # GroupNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

