
package MyElements::GroupCreate;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('GroupCreate');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %GroupName_of :ATTR(:get<GroupName>);
my %ParentGroupNameOrId_of :ATTR(:get<ParentGroupNameOrId>);

__PACKAGE__->_factory(
    [ qw(        GroupName
        ParentGroupNameOrId

    ) ],
    {
        'GroupName' => \%GroupName_of,
        'ParentGroupNameOrId' => \%ParentGroupNameOrId_of,
    },
    {
        'GroupName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'ParentGroupNameOrId' => 'MyTypes::GroupNameOrId',
    },
    {

        'GroupName' => 'GroupName',
        'ParentGroupNameOrId' => 'ParentGroupNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::GroupCreate

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
GroupCreate from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * GroupName

 $element->set_GroupName($data);
 $element->get_GroupName();




=item * ParentGroupNameOrId

 $element->set_ParentGroupNameOrId($data);
 $element->get_ParentGroupNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::GroupCreate->new($data);

Constructor. The following data structure may be passed to new():

 {
   GroupName =>  $some_value, # string
   ParentGroupNameOrId => $some_value, # GroupNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

