
package MyElements::GroupMemberListIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('GroupMemberListIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %GroupMemberList_of :ATTR(:get<GroupMemberList>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        GroupMemberList
        Records

    ) ],
    {
        'GroupMemberList' => \%GroupMemberList_of,
        'Records' => \%Records_of,
    },
    {
        'GroupMemberList' => 'MyTypes::ArrayOfGroupMemberInfo',
        'Records' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
    },
    {

        'GroupMemberList' => 'GroupMemberList',
        'Records' => 'Records',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::GroupMemberListIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
GroupMemberListIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * GroupMemberList

 $element->set_GroupMemberList($data);
 $element->get_GroupMemberList();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::GroupMemberListIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   GroupMemberList =>  { # MyTypes::ArrayOfGroupMemberInfo
     GroupMemberInfo =>  { # MyTypes::GroupMemberInfo
       GroupMemberAttributes =>  { # MyTypes::ArrayOfGroupMemberAttribute
         GroupMemberAttribute =>  { # MyTypes::GroupMemberAttribute
           Name =>  $some_value, # string
           Value =>  $some_value, # string
         },
       },
       Id =>  $some_value, # string
       Name =>  $some_value, # string
       PerfStatus => $some_value, # ObjStatus
       Status => $some_value, # ObjStatus
       SubType =>  $some_value, # string
       Type =>  $some_value, # string
     },
   },
   Records =>  $some_value, # integer
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

