
package MyElements::HostAddOssv;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('HostAddOssv');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %HostNameOrId_of :ATTR(:get<HostNameOrId>);
my %NdmpCredentials_of :ATTR(:get<NdmpCredentials>);

__PACKAGE__->_factory(
    [ qw(        HostNameOrId
        NdmpCredentials

    ) ],
    {
        'HostNameOrId' => \%HostNameOrId_of,
        'NdmpCredentials' => \%NdmpCredentials_of,
    },
    {
        'HostNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'NdmpCredentials' => 'MyTypes::WrapperOfFullNdmpCredentials',
    },
    {

        'HostNameOrId' => 'HostNameOrId',
        'NdmpCredentials' => 'NdmpCredentials',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::HostAddOssv

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
HostAddOssv from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * HostNameOrId

 $element->set_HostNameOrId($data);
 $element->get_HostNameOrId();




=item * NdmpCredentials

 $element->set_NdmpCredentials($data);
 $element->get_NdmpCredentials();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::HostAddOssv->new($data);

Constructor. The following data structure may be passed to new():

 {
   HostNameOrId =>  $some_value, # string
   NdmpCredentials =>  { # MyTypes::WrapperOfFullNdmpCredentials
     FullNdmpCredentials =>  { # MyTypes::FullNdmpCredentials
       NdmpPassword => $some_value, # HostPassword
       NdmpPort => $some_value, # IpPortNumber
       NdmpUsername => $some_value, # NdmpUsername
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

