
package MyElements::HostDelete;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('HostDelete');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %HostNameOrId_of :ATTR(:get<HostNameOrId>);
my %IgnoreHostInUse_of :ATTR(:get<IgnoreHostInUse>);

__PACKAGE__->_factory(
    [ qw(        HostNameOrId
        IgnoreHostInUse

    ) ],
    {
        'HostNameOrId' => \%HostNameOrId_of,
        'IgnoreHostInUse' => \%IgnoreHostInUse_of,
    },
    {
        'HostNameOrId' => 'MyTypes::ObjNameOrId',
        'IgnoreHostInUse' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
    },
    {

        'HostNameOrId' => 'HostNameOrId',
        'IgnoreHostInUse' => 'IgnoreHostInUse',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::HostDelete

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
HostDelete from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * HostNameOrId

 $element->set_HostNameOrId($data);
 $element->get_HostNameOrId();




=item * IgnoreHostInUse

 $element->set_IgnoreHostInUse($data);
 $element->get_IgnoreHostInUse();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::HostDelete->new($data);

Constructor. The following data structure may be passed to new():

 {
   HostNameOrId => $some_value, # ObjNameOrId
   IgnoreHostInUse =>  $some_value, # boolean
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

