
package MyElements::HostDomainuserListIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('HostDomainuserListIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %HostDomainusers_of :ATTR(:get<HostDomainusers>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        HostDomainusers
        Records

    ) ],
    {
        'HostDomainusers' => \%HostDomainusers_of,
        'Records' => \%Records_of,
    },
    {
        'HostDomainusers' => 'MyTypes::ArrayOfHostDomainuserInfo',

        'Records' => 'MyElements::HostDomainuserListIterNextResult::_Records',
    },
    {

        'HostDomainusers' => 'HostDomainusers',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::HostDomainuserListIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::HostDomainuserListIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
HostDomainuserListIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * HostDomainusers

 $element->set_HostDomainusers($data);
 $element->get_HostDomainusers();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::HostDomainuserListIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   HostDomainusers =>  { # MyTypes::ArrayOfHostDomainuserInfo
     HostDomainuserInfo =>  { # MyTypes::HostDomainuserInfo
       Sid => $some_value, # Sid
       Capabilities =>  { # MyTypes::ArrayOfCapability
         Capability => $some_value, # Capability
       },
       HostDomainuserId => $some_value, # AccessObjectId
       HostDomainuserName => $some_value, # DomainuserName
       HostId => $some_value, # ObjId
       HostName => $some_value, # ObjName
       HostRoleIds =>  { # MyTypes::ArrayOfHostRoleId
         HostRoleId => $some_value, # HostRoleId
       },
       HostRoleNames =>  { # MyTypes::ArrayOfHostRoleName
         HostRoleName => $some_value, # HostRoleName
       },
       HostUsergroupIds =>  { # MyTypes::ArrayOfHostUsergroupId
         HostUsergroupId => $some_value, # HostUsergroupId
       },
       HostUsergroupNames =>  { # MyTypes::ArrayOfHostUsergroupName
         HostUsergroupName => $some_value, # HostUsergroupName
       },
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

