
package MyElements::HostRoleListIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('HostRoleListIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %HostRoles_of :ATTR(:get<HostRoles>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        HostRoles
        Records

    ) ],
    {
        'HostRoles' => \%HostRoles_of,
        'Records' => \%Records_of,
    },
    {
        'HostRoles' => 'MyTypes::ArrayOfHostRoleInfo',

        'Records' => 'MyElements::HostRoleListIterNextResult::_Records',
    },
    {

        'HostRoles' => 'HostRoles',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::HostRoleListIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::HostRoleListIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
HostRoleListIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * HostRoles

 $element->set_HostRoles($data);
 $element->get_HostRoles();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::HostRoleListIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   HostRoles =>  { # MyTypes::ArrayOfHostRoleInfo
     HostRoleInfo =>  { # MyTypes::HostRoleInfo
       Capabilities =>  { # MyTypes::ArrayOfCapability
         Capability => $some_value, # Capability
       },
       Description => $some_value, # AccessObjectDescription
       HostId => $some_value, # ObjId
       HostName => $some_value, # ObjName
       HostRoleId => $some_value, # AccessObjectId
       HostRoleName => $some_value, # AccessObjectName
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

