
package MyElements::HostUserListIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('HostUserListIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %HostUserNameOrId_of :ATTR(:get<HostUserNameOrId>);
my %HostUsergroupNameOrId_of :ATTR(:get<HostUsergroupNameOrId>);
my %ObjectNameOrId_of :ATTR(:get<ObjectNameOrId>);
my %Verbose_of :ATTR(:get<Verbose>);

__PACKAGE__->_factory(
    [ qw(        HostUserNameOrId
        HostUsergroupNameOrId
        ObjectNameOrId
        Verbose

    ) ],
    {
        'HostUserNameOrId' => \%HostUserNameOrId_of,
        'HostUsergroupNameOrId' => \%HostUsergroupNameOrId_of,
        'ObjectNameOrId' => \%ObjectNameOrId_of,
        'Verbose' => \%Verbose_of,
    },
    {
        'HostUserNameOrId' => 'MyTypes::AccessObjectNameOrId',
        'HostUsergroupNameOrId' => 'MyTypes::UsergroupNameOrId',
        'ObjectNameOrId' => 'MyTypes::ObjNameOrId',
        'Verbose' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
    },
    {

        'HostUserNameOrId' => 'HostUserNameOrId',
        'HostUsergroupNameOrId' => 'HostUsergroupNameOrId',
        'ObjectNameOrId' => 'ObjectNameOrId',
        'Verbose' => 'Verbose',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::HostUserListIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
HostUserListIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * HostUserNameOrId

 $element->set_HostUserNameOrId($data);
 $element->get_HostUserNameOrId();




=item * HostUsergroupNameOrId

 $element->set_HostUsergroupNameOrId($data);
 $element->get_HostUsergroupNameOrId();




=item * ObjectNameOrId

 $element->set_ObjectNameOrId($data);
 $element->get_ObjectNameOrId();




=item * Verbose

 $element->set_Verbose($data);
 $element->get_Verbose();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::HostUserListIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   HostUserNameOrId => $some_value, # AccessObjectNameOrId
   HostUsergroupNameOrId => $some_value, # UsergroupNameOrId
   ObjectNameOrId => $some_value, # ObjNameOrId
   Verbose =>  $some_value, # boolean
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

