
package MyElements::HostUserPush;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('HostUserPush');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %HostNameOrId_of :ATTR(:get<HostNameOrId>);
my %HostUserNameOrId_of :ATTR(:get<HostUserNameOrId>);
my %Password_of :ATTR(:get<Password>);

__PACKAGE__->_factory(
    [ qw(        HostNameOrId
        HostUserNameOrId
        Password

    ) ],
    {
        'HostNameOrId' => \%HostNameOrId_of,
        'HostUserNameOrId' => \%HostUserNameOrId_of,
        'Password' => \%Password_of,
    },
    {
        'HostNameOrId' => 'MyTypes::ObjNameOrId',
        'HostUserNameOrId' => 'MyTypes::AccessObjectNameOrId',
        'Password' => 'MyTypes::HostUserPassword',
    },
    {

        'HostNameOrId' => 'HostNameOrId',
        'HostUserNameOrId' => 'HostUserNameOrId',
        'Password' => 'Password',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::HostUserPush

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
HostUserPush from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * HostNameOrId

 $element->set_HostNameOrId($data);
 $element->get_HostNameOrId();




=item * HostUserNameOrId

 $element->set_HostUserNameOrId($data);
 $element->get_HostUserNameOrId();




=item * Password

 $element->set_Password($data);
 $element->get_Password();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::HostUserPush->new($data);

Constructor. The following data structure may be passed to new():

 {
   HostNameOrId => $some_value, # ObjNameOrId
   HostUserNameOrId => $some_value, # AccessObjectNameOrId
   Password => $some_value, # HostUserPassword
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

