
package MyElements::HostUsergroupCreate;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('HostUsergroupCreate');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %HostUsergroup_of :ATTR(:get<HostUsergroup>);

__PACKAGE__->_factory(
    [ qw(        HostUsergroup

    ) ],
    {
        'HostUsergroup' => \%HostUsergroup_of,
    },
    {
        'HostUsergroup' => 'MyTypes::WrapperOfHostUsergroupInfo',
    },
    {

        'HostUsergroup' => 'HostUsergroup',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::HostUsergroupCreate

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
HostUsergroupCreate from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * HostUsergroup

 $element->set_HostUsergroup($data);
 $element->get_HostUsergroup();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::HostUsergroupCreate->new($data);

Constructor. The following data structure may be passed to new():

 {
   HostUsergroup =>  { # MyTypes::WrapperOfHostUsergroupInfo
     HostUsergroupInfo =>  { # MyTypes::HostUsergroupInfo
       Capabilities =>  { # MyTypes::ArrayOfCapability
         Capability => $some_value, # Capability
       },
       Description =>  $some_value, # string
       HostId => $some_value, # ObjId
       HostName => $some_value, # ObjName
       HostRoleIds =>  { # MyTypes::ArrayOfHostRoleId
         HostRoleId => $some_value, # HostRoleId
       },
       HostRoleNames =>  { # MyTypes::ArrayOfHostRoleName
         HostRoleName => $some_value, # HostRoleName
       },
       HostUsergroupId => $some_value, # AccessObjectId
       HostUsergroupName => $some_value, # UsergroupName
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

