
package MyElements::LunListInfoIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('LunListInfoIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ObjectManagementFilter_of :ATTR(:get<ObjectManagementFilter>);
my %ObjectNameOrId_of :ATTR(:get<ObjectNameOrId>);
my %RbacOperation_of :ATTR(:get<RbacOperation>);

__PACKAGE__->_factory(
    [ qw(        ObjectManagementFilter
        ObjectNameOrId
        RbacOperation

    ) ],
    {
        'ObjectManagementFilter' => \%ObjectManagementFilter_of,
        'ObjectNameOrId' => \%ObjectNameOrId_of,
        'RbacOperation' => \%RbacOperation_of,
    },
    {
        'ObjectManagementFilter' => 'MyTypes::ObjectManagementInterface',
        'ObjectNameOrId' => 'MyTypes::ObjNameOrId',
        'RbacOperation' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'ObjectManagementFilter' => 'ObjectManagementFilter',
        'ObjectNameOrId' => 'ObjectNameOrId',
        'RbacOperation' => 'RbacOperation',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::LunListInfoIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
LunListInfoIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ObjectManagementFilter

 $element->set_ObjectManagementFilter($data);
 $element->get_ObjectManagementFilter();




=item * ObjectNameOrId

 $element->set_ObjectNameOrId($data);
 $element->get_ObjectNameOrId();




=item * RbacOperation

 $element->set_RbacOperation($data);
 $element->get_RbacOperation();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::LunListInfoIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   ObjectManagementFilter => $some_value, # ObjectManagementInterface
   ObjectNameOrId => $some_value, # ObjNameOrId
   RbacOperation =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

