
package MyElements::LunResize;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('LunResize');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %LunNameOrId_of :ATTR(:get<LunNameOrId>);
my %NewSize_of :ATTR(:get<NewSize>);
my %ResizeUnderlyingVolume_of :ATTR(:get<ResizeUnderlyingVolume>);

__PACKAGE__->_factory(
    [ qw(        LunNameOrId
        NewSize
        ResizeUnderlyingVolume

    ) ],
    {
        'LunNameOrId' => \%LunNameOrId_of,
        'NewSize' => \%NewSize_of,
        'ResizeUnderlyingVolume' => \%ResizeUnderlyingVolume_of,
    },
    {
        'LunNameOrId' => 'MyTypes::ObjNameOrId',

        'NewSize' => 'MyElements::LunResize::_NewSize',
        'ResizeUnderlyingVolume' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
    },
    {

        'LunNameOrId' => 'LunNameOrId',
        'NewSize' => 'NewSize',
        'ResizeUnderlyingVolume' => 'ResizeUnderlyingVolume',
    }
);

} # end BLOCK




package MyElements::LunResize::_NewSize;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::LunResize

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
LunResize from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * LunNameOrId

 $element->set_LunNameOrId($data);
 $element->get_LunNameOrId();




=item * NewSize

 $element->set_NewSize($data);
 $element->get_NewSize();




=item * ResizeUnderlyingVolume

 $element->set_ResizeUnderlyingVolume($data);
 $element->get_ResizeUnderlyingVolume();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::LunResize->new($data);

Constructor. The following data structure may be passed to new():

 {
   LunNameOrId => $some_value, # ObjNameOrId
   NewSize => $some_value, # atomic
   ResizeUnderlyingVolume =>  $some_value, # boolean
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

