
package MyElements::MigrateChangeState;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('MigrateChangeState');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %NewMigrationStatus_of :ATTR(:get<NewMigrationStatus>);
my %ObjectNameOrId_of :ATTR(:get<ObjectNameOrId>);

__PACKAGE__->_factory(
    [ qw(        NewMigrationStatus
        ObjectNameOrId

    ) ],
    {
        'NewMigrationStatus' => \%NewMigrationStatus_of,
        'ObjectNameOrId' => \%ObjectNameOrId_of,
    },
    {
        'NewMigrationStatus' => 'MyTypes::MigrationStatus',
        'ObjectNameOrId' => 'MyTypes::ObjNameOrId',
    },
    {

        'NewMigrationStatus' => 'NewMigrationStatus',
        'ObjectNameOrId' => 'ObjectNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::MigrateChangeState

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
MigrateChangeState from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * NewMigrationStatus

 $element->set_NewMigrationStatus($data);
 $element->get_NewMigrationStatus();




=item * ObjectNameOrId

 $element->set_ObjectNameOrId($data);
 $element->get_ObjectNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::MigrateChangeState->new($data);

Constructor. The following data structure may be passed to new():

 {
   NewMigrationStatus => $some_value, # MigrationStatus
   ObjectNameOrId => $some_value, # ObjNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

