
package MyElements::NetifIpInterfaceListInfo;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('NetifIpInterfaceListInfo');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %CommunityString_of :ATTR(:get<CommunityString>);
my %Hostname_of :ATTR(:get<Hostname>);
my %Timeout_of :ATTR(:get<Timeout>);

__PACKAGE__->_factory(
    [ qw(        CommunityString
        Hostname
        Timeout

    ) ],
    {
        'CommunityString' => \%CommunityString_of,
        'Hostname' => \%Hostname_of,
        'Timeout' => \%Timeout_of,
    },
    {
        'CommunityString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'Hostname' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'Timeout' => 'MyElements::NetifIpInterfaceListInfo::_Timeout',
    },
    {

        'CommunityString' => 'CommunityString',
        'Hostname' => 'Hostname',
        'Timeout' => 'Timeout',
    }
);

} # end BLOCK




package MyElements::NetifIpInterfaceListInfo::_Timeout;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::NetifIpInterfaceListInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
NetifIpInterfaceListInfo from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * CommunityString

 $element->set_CommunityString($data);
 $element->get_CommunityString();




=item * Hostname

 $element->set_Hostname($data);
 $element->get_Hostname();




=item * Timeout

 $element->set_Timeout($data);
 $element->get_Timeout();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::NetifIpInterfaceListInfo->new($data);

Constructor. The following data structure may be passed to new():

 {
   CommunityString =>  $some_value, # string
   Hostname =>  $some_value, # string
   Timeout => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

