
package MyElements::PerfAssocViewListIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('PerfAssocViewListIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %AssocObjType_of :ATTR(:get<AssocObjType>);
my %IncludeEmptyViews_of :ATTR(:get<IncludeEmptyViews>);
my %ObjectNameOrId_of :ATTR(:get<ObjectNameOrId>);
my %Verbose_of :ATTR(:get<Verbose>);
my %ViewType_of :ATTR(:get<ViewType>);

__PACKAGE__->_factory(
    [ qw(        AssocObjType
        IncludeEmptyViews
        ObjectNameOrId
        Verbose
        ViewType

    ) ],
    {
        'AssocObjType' => \%AssocObjType_of,
        'IncludeEmptyViews' => \%IncludeEmptyViews_of,
        'ObjectNameOrId' => \%ObjectNameOrId_of,
        'Verbose' => \%Verbose_of,
        'ViewType' => \%ViewType_of,
    },
    {
        'AssocObjType' => 'MyTypes::PerfAssocObjType',
        'IncludeEmptyViews' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'ObjectNameOrId' => 'MyTypes::ObjNameOrId',
        'Verbose' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'ViewType' => 'MyTypes::ViewType',
    },
    {

        'AssocObjType' => 'AssocObjType',
        'IncludeEmptyViews' => 'IncludeEmptyViews',
        'ObjectNameOrId' => 'ObjectNameOrId',
        'Verbose' => 'Verbose',
        'ViewType' => 'ViewType',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::PerfAssocViewListIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
PerfAssocViewListIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * AssocObjType

 $element->set_AssocObjType($data);
 $element->get_AssocObjType();




=item * IncludeEmptyViews

 $element->set_IncludeEmptyViews($data);
 $element->get_IncludeEmptyViews();




=item * ObjectNameOrId

 $element->set_ObjectNameOrId($data);
 $element->get_ObjectNameOrId();




=item * Verbose

 $element->set_Verbose($data);
 $element->get_Verbose();




=item * ViewType

 $element->set_ViewType($data);
 $element->get_ViewType();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::PerfAssocViewListIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   AssocObjType => $some_value, # PerfAssocObjType
   IncludeEmptyViews =>  $some_value, # boolean
   ObjectNameOrId => $some_value, # ObjNameOrId
   Verbose =>  $some_value, # boolean
   ViewType => $some_value, # ViewType
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

