
package MyElements::PerfClientStatsListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('PerfClientStatsListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %HostsClientStats_of :ATTR(:get<HostsClientStats>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        HostsClientStats
        Records

    ) ],
    {
        'HostsClientStats' => \%HostsClientStats_of,
        'Records' => \%Records_of,
    },
    {
        'HostsClientStats' => 'MyTypes::ArrayOfHostClientStats',

        'Records' => 'MyElements::PerfClientStatsListInfoIterNextResult::_Records',
    },
    {

        'HostsClientStats' => 'HostsClientStats',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::PerfClientStatsListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::PerfClientStatsListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
PerfClientStatsListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * HostsClientStats

 $element->set_HostsClientStats($data);
 $element->get_HostsClientStats();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::PerfClientStatsListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   HostsClientStats =>  { # MyTypes::ArrayOfHostClientStats
     HostClientStats =>  { # MyTypes::HostClientStats
       CollectionPeriod => $some_value, # atomic
       ObjectId => $some_value, # ObjId
       ObjectName => $some_value, # ObjName
       StartTime => $some_value, # Timestamp
       StatId => $some_value, # StatId
       Stats =>  { # MyTypes::ArrayOfClientStats
         ClientStats =>  { # MyTypes::ClientStats
           CifsOpStats =>  { # MyTypes::CifsOpStats
             OtherOperations => $some_value, # atomic
             ReadOperations => $some_value, # atomic
             WriteOperations => $some_value, # atomic
           },
           ClientNameOrIp =>  $some_value, # string
           NfsOpStats =>  { # MyTypes::NfsOpStats
             OtherOperations => $some_value, # atomic
             ReadOperations => $some_value, # atomic
             WriteOperations => $some_value, # atomic
           },
         },
       },
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

