
package MyElements::PerfClientStatsPurge;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('PerfClientStatsPurge');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %EndTime_of :ATTR(:get<EndTime>);
my %ObjectNameOrId_of :ATTR(:get<ObjectNameOrId>);
my %StartTime_of :ATTR(:get<StartTime>);
my %StatId_of :ATTR(:get<StatId>);

__PACKAGE__->_factory(
    [ qw(        EndTime
        ObjectNameOrId
        StartTime
        StatId

    ) ],
    {
        'EndTime' => \%EndTime_of,
        'ObjectNameOrId' => \%ObjectNameOrId_of,
        'StartTime' => \%StartTime_of,
        'StatId' => \%StatId_of,
    },
    {
        'EndTime' => 'MyTypes::Timestamp',
        'ObjectNameOrId' => 'MyTypes::ObjNameOrId',
        'StartTime' => 'MyTypes::Timestamp',
        'StatId' => 'MyTypes::StatId',
    },
    {

        'EndTime' => 'EndTime',
        'ObjectNameOrId' => 'ObjectNameOrId',
        'StartTime' => 'StartTime',
        'StatId' => 'StatId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::PerfClientStatsPurge

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
PerfClientStatsPurge from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * EndTime

 $element->set_EndTime($data);
 $element->get_EndTime();




=item * ObjectNameOrId

 $element->set_ObjectNameOrId($data);
 $element->get_ObjectNameOrId();




=item * StartTime

 $element->set_StartTime($data);
 $element->get_StartTime();




=item * StatId

 $element->set_StatId($data);
 $element->get_StatId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::PerfClientStatsPurge->new($data);

Constructor. The following data structure may be passed to new():

 {
   EndTime => $some_value, # Timestamp
   ObjectNameOrId => $some_value, # ObjNameOrId
   StartTime => $some_value, # Timestamp
   StatId => $some_value, # StatId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

