
package MyElements::PerfCollectClientOperationStatisticsResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('PerfCollectClientOperationStatisticsResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Errors_of :ATTR(:get<Errors>);
my %StatId_of :ATTR(:get<StatId>);

__PACKAGE__->_factory(
    [ qw(        Errors
        StatId

    ) ],
    {
        'Errors' => \%Errors_of,
        'StatId' => \%StatId_of,
    },
    {
        'Errors' => 'MyTypes::ArrayOfClientStatError',
        'StatId' => 'MyTypes::StatId',
    },
    {

        'Errors' => 'Errors',
        'StatId' => 'StatId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::PerfCollectClientOperationStatisticsResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
PerfCollectClientOperationStatisticsResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Errors

 $element->set_Errors($data);
 $element->get_Errors();




=item * StatId

 $element->set_StatId($data);
 $element->get_StatId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::PerfCollectClientOperationStatisticsResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Errors =>  { # MyTypes::ArrayOfClientStatError
     ClientStatError =>  { # MyTypes::ClientStatError
       CifsError =>  $some_value, # string
       NfsError =>  $some_value, # string
       ObjectName => $some_value, # ObjName
     },
   },
   StatId => $some_value, # StatId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

