
package MyElements::PerfDiagTroubleshootResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('PerfDiagTroubleshootResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Categories_of :ATTR(:get<Categories>);

__PACKAGE__->_factory(
    [ qw(        Categories

    ) ],
    {
        'Categories' => \%Categories_of,
    },
    {
        'Categories' => 'MyTypes::ArrayOfPerfDiagCategory',
    },
    {

        'Categories' => 'Categories',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::PerfDiagTroubleshootResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
PerfDiagTroubleshootResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Categories

 $element->set_Categories($data);
 $element->get_Categories();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::PerfDiagTroubleshootResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Categories =>  { # MyTypes::ArrayOfPerfDiagCategory
     PerfDiagCategory =>  { # MyTypes::PerfDiagCategory
       CategoryName =>  $some_value, # string
       CategoryStatus => $some_value, # ObjStatus
       HealthChecks =>  { # MyTypes::ArrayOfPerfHealthCheck
         PerfHealthCheck =>  { # MyTypes::PerfHealthCheck
           HealthCheckName =>  $some_value, # string
           HealthCheckStatus => $some_value, # ObjStatus
           Observation =>  $some_value, # string
           Recommendation =>  $some_value, # string
         },
       },
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

