
package MyElements::PerfGetCounterListNotInView;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('PerfGetCounterListNotInView');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ObjectCounterList_of :ATTR(:get<ObjectCounterList>);

__PACKAGE__->_factory(
    [ qw(        ObjectCounterList

    ) ],
    {
        'ObjectCounterList' => \%ObjectCounterList_of,
    },
    {
        'ObjectCounterList' => 'MyTypes::ArrayOfPerfObjectCounterInfo',
    },
    {

        'ObjectCounterList' => 'ObjectCounterList',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::PerfGetCounterListNotInView

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
PerfGetCounterListNotInView from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ObjectCounterList

 $element->set_ObjectCounterList($data);
 $element->get_ObjectCounterList();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::PerfGetCounterListNotInView->new($data);

Constructor. The following data structure may be passed to new():

 {
   ObjectCounterList =>  { # MyTypes::ArrayOfPerfObjectCounterInfo
     PerfObjectCounterInfo =>  { # MyTypes::PerfObjectCounterInfo
       ObjectNameOrId => $some_value, # ObjNameOrId
       PerfObjectCounter =>  { # MyTypes::PerfObjectCounter
         CounterDescription =>  $some_value, # string
         CounterName =>  $some_value, # string
         IsCalculatedStats =>  $some_value, # boolean
         LabelNames =>  $some_value, # string
         Metrics =>  { # MyTypes::ArrayOfMetric
           Metric =>  { # MyTypes::Metric
             Id =>  $some_value, # string
             MetricResult =>  $some_value, # string
             Period => $some_value, # atomic
             Slide =>  $some_value, # string
             Type =>  $some_value, # string
             Value =>  $some_value, # string
           },
         },
         ObjectType =>  $some_value, # string
         PerfLabels =>  { # MyTypes::ArrayOfPerfLabel
           PerfLabel =>  { # MyTypes::PerfLabel
             LabelNames =>  $some_value, # string
           },
         },
         TimeConsolidationMethod =>  $some_value, # string
       },
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

