
package MyElements::PerfThresholdCreate;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('PerfThresholdCreate');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ThresholdInfo_of :ATTR(:get<ThresholdInfo>);

__PACKAGE__->_factory(
    [ qw(        ThresholdInfo

    ) ],
    {
        'ThresholdInfo' => \%ThresholdInfo_of,
    },
    {
        'ThresholdInfo' => 'MyTypes::ThresholdInfo',
    },
    {

        'ThresholdInfo' => 'ThresholdInfo',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::PerfThresholdCreate

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
PerfThresholdCreate from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ThresholdInfo

 $element->set_ThresholdInfo($data);
 $element->get_ThresholdInfo();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::PerfThresholdCreate->new($data);

Constructor. The following data structure may be passed to new():

 {
   ThresholdInfo =>  { # MyTypes::ThresholdInfo
     IsEnabled =>  $some_value, # boolean
     ObjectFullName => $some_value, # ObjFullName
     ObjectNameOrId => $some_value, # ObjNameOrId
     PerfObjectCounter =>  { # MyTypes::PerfObjectCounter
       CounterDescription =>  $some_value, # string
       CounterName =>  $some_value, # string
       IsCalculatedStats =>  $some_value, # boolean
       LabelNames =>  $some_value, # string
       Metrics =>  { # MyTypes::ArrayOfMetric
         Metric =>  { # MyTypes::Metric
           Id =>  $some_value, # string
           MetricResult =>  $some_value, # string
           Period => $some_value, # atomic
           Slide =>  $some_value, # string
           Type =>  $some_value, # string
           Value =>  $some_value, # string
         },
       },
       ObjectType =>  $some_value, # string
       PerfLabels =>  { # MyTypes::ArrayOfPerfLabel
         PerfLabel =>  { # MyTypes::PerfLabel
           LabelNames =>  $some_value, # string
         },
       },
       TimeConsolidationMethod =>  $some_value, # string
     },
     ThresholdId => $some_value, # ThresholdId
     ThresholdInterval => $some_value, # atomic
     ThresholdType =>  $some_value, # string
     ThresholdUnit =>  $some_value, # string
     ThresholdValue => $some_value, # atomic
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

