
package MyElements::PerfThresholdListInfo2IterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('PerfThresholdListInfo2IterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ObjectNameOrId_of :ATTR(:get<ObjectNameOrId>);
my %ThresholdId_of :ATTR(:get<ThresholdId>);

__PACKAGE__->_factory(
    [ qw(        ObjectNameOrId
        ThresholdId

    ) ],
    {
        'ObjectNameOrId' => \%ObjectNameOrId_of,
        'ThresholdId' => \%ThresholdId_of,
    },
    {
        'ObjectNameOrId' => 'MyTypes::ObjNameOrId',
        'ThresholdId' => 'MyTypes::ThresholdId',
    },
    {

        'ObjectNameOrId' => 'ObjectNameOrId',
        'ThresholdId' => 'ThresholdId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::PerfThresholdListInfo2IterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
PerfThresholdListInfo2IterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ObjectNameOrId

 $element->set_ObjectNameOrId($data);
 $element->get_ObjectNameOrId();




=item * ThresholdId

 $element->set_ThresholdId($data);
 $element->get_ThresholdId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::PerfThresholdListInfo2IterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   ObjectNameOrId => $some_value, # ObjNameOrId
   ThresholdId => $some_value, # ThresholdId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

