
package MyElements::PerfThresholdListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('PerfThresholdListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %AttributesList_of :ATTR(:get<AttributesList>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        AttributesList
        Records

    ) ],
    {
        'AttributesList' => \%AttributesList_of,
        'Records' => \%Records_of,
    },
    {
        'AttributesList' => 'MyTypes::ArrayOfThresholdInfo',

        'Records' => 'MyElements::PerfThresholdListInfoIterNextResult::_Records',
    },
    {

        'AttributesList' => 'AttributesList',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::PerfThresholdListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::PerfThresholdListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
PerfThresholdListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * AttributesList

 $element->set_AttributesList($data);
 $element->get_AttributesList();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::PerfThresholdListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   AttributesList =>  { # MyTypes::ArrayOfThresholdInfo
     ThresholdInfo =>  { # MyTypes::ThresholdInfo
       IsEnabled =>  $some_value, # boolean
       ObjectFullName => $some_value, # ObjFullName
       ObjectNameOrId => $some_value, # ObjNameOrId
       PerfObjectCounter =>  { # MyTypes::PerfObjectCounter
         CounterDescription =>  $some_value, # string
         CounterName =>  $some_value, # string
         IsCalculatedStats =>  $some_value, # boolean
         LabelNames =>  $some_value, # string
         Metrics =>  { # MyTypes::ArrayOfMetric
           Metric =>  { # MyTypes::Metric
             Id =>  $some_value, # string
             MetricResult =>  $some_value, # string
             Period => $some_value, # atomic
             Slide =>  $some_value, # string
             Type =>  $some_value, # string
             Value =>  $some_value, # string
           },
         },
         ObjectType =>  $some_value, # string
         PerfLabels =>  { # MyTypes::ArrayOfPerfLabel
           PerfLabel =>  { # MyTypes::PerfLabel
             LabelNames =>  $some_value, # string
           },
         },
         TimeConsolidationMethod =>  $some_value, # string
       },
       ThresholdId => $some_value, # ThresholdId
       ThresholdInterval => $some_value, # atomic
       ThresholdType =>  $some_value, # string
       ThresholdUnit =>  $some_value, # string
       ThresholdValue => $some_value, # atomic
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

