
package MyElements::PerfThresholdTemplateDeleteResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('PerfThresholdTemplateDeleteResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %TemplateId_of :ATTR(:get<TemplateId>);
my %TemplateName_of :ATTR(:get<TemplateName>);

__PACKAGE__->_factory(
    [ qw(        TemplateId
        TemplateName

    ) ],
    {
        'TemplateId' => \%TemplateId_of,
        'TemplateName' => \%TemplateName_of,
    },
    {

        'TemplateId' => 'MyElements::PerfThresholdTemplateDeleteResult::_TemplateId',
        'TemplateName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'TemplateId' => 'TemplateId',
        'TemplateName' => 'TemplateName',
    }
);

} # end BLOCK




package MyElements::PerfThresholdTemplateDeleteResult::_TemplateId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::PerfThresholdTemplateDeleteResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
PerfThresholdTemplateDeleteResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * TemplateId

 $element->set_TemplateId($data);
 $element->get_TemplateId();




=item * TemplateName

 $element->set_TemplateName($data);
 $element->get_TemplateName();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::PerfThresholdTemplateDeleteResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   TemplateId => $some_value, # atomic
   TemplateName =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

