
package MyElements::PerfViewDestroy;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('PerfViewDestroy');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ApplianceNameOrId_of :ATTR(:get<ApplianceNameOrId>);
my %GroupNameOrId_of :ATTR(:get<GroupNameOrId>);
my %IsCounterGroupAlsoDeleted_of :ATTR(:get<IsCounterGroupAlsoDeleted>);
my %ViewName_of :ATTR(:get<ViewName>);

__PACKAGE__->_factory(
    [ qw(        ApplianceNameOrId
        GroupNameOrId
        IsCounterGroupAlsoDeleted
        ViewName

    ) ],
    {
        'ApplianceNameOrId' => \%ApplianceNameOrId_of,
        'GroupNameOrId' => \%GroupNameOrId_of,
        'IsCounterGroupAlsoDeleted' => \%IsCounterGroupAlsoDeleted_of,
        'ViewName' => \%ViewName_of,
    },
    {
        'ApplianceNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'GroupNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'IsCounterGroupAlsoDeleted' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'ViewName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'ApplianceNameOrId' => 'ApplianceNameOrId',
        'GroupNameOrId' => 'GroupNameOrId',
        'IsCounterGroupAlsoDeleted' => 'IsCounterGroupAlsoDeleted',
        'ViewName' => 'ViewName',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::PerfViewDestroy

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
PerfViewDestroy from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ApplianceNameOrId

 $element->set_ApplianceNameOrId($data);
 $element->get_ApplianceNameOrId();




=item * GroupNameOrId

 $element->set_GroupNameOrId($data);
 $element->get_GroupNameOrId();




=item * IsCounterGroupAlsoDeleted

 $element->set_IsCounterGroupAlsoDeleted($data);
 $element->get_IsCounterGroupAlsoDeleted();




=item * ViewName

 $element->set_ViewName($data);
 $element->get_ViewName();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::PerfViewDestroy->new($data);

Constructor. The following data structure may be passed to new():

 {
   ApplianceNameOrId =>  $some_value, # string
   GroupNameOrId =>  $some_value, # string
   IsCounterGroupAlsoDeleted =>  $some_value, # boolean
   ViewName =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

