
package MyElements::ProvisioningPolicyEditCommit;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ProvisioningPolicyEditCommit');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DryRun_of :ATTR(:get<DryRun>);
my %EditLockId_of :ATTR(:get<EditLockId>);

__PACKAGE__->_factory(
    [ qw(        DryRun
        EditLockId

    ) ],
    {
        'DryRun' => \%DryRun_of,
        'EditLockId' => \%EditLockId_of,
    },
    {
        'DryRun' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'EditLockId' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
    },
    {

        'DryRun' => 'DryRun',
        'EditLockId' => 'EditLockId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ProvisioningPolicyEditCommit

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ProvisioningPolicyEditCommit from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DryRun

 $element->set_DryRun($data);
 $element->get_DryRun();




=item * EditLockId

 $element->set_EditLockId($data);
 $element->get_EditLockId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ProvisioningPolicyEditCommit->new($data);

Constructor. The following data structure may be passed to new():

 {
   DryRun =>  $some_value, # boolean
   EditLockId =>  $some_value, # integer
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

