
package MyElements::ProvisioningPolicyListIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ProvisioningPolicyListIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %IsPolicyReadonly_of :ATTR(:get<IsPolicyReadonly>);
my %ProvisioningPolicyNameOrId_of :ATTR(:get<ProvisioningPolicyNameOrId>);
my %ProvisioningPolicyType_of :ATTR(:get<ProvisioningPolicyType>);

__PACKAGE__->_factory(
    [ qw(        IsPolicyReadonly
        ProvisioningPolicyNameOrId
        ProvisioningPolicyType

    ) ],
    {
        'IsPolicyReadonly' => \%IsPolicyReadonly_of,
        'ProvisioningPolicyNameOrId' => \%ProvisioningPolicyNameOrId_of,
        'ProvisioningPolicyType' => \%ProvisioningPolicyType_of,
    },
    {
        'IsPolicyReadonly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'ProvisioningPolicyNameOrId' => 'MyTypes::ObjNameOrId',
        'ProvisioningPolicyType' => 'MyTypes::ProvisioningPolicyType',
    },
    {

        'IsPolicyReadonly' => 'IsPolicyReadonly',
        'ProvisioningPolicyNameOrId' => 'ProvisioningPolicyNameOrId',
        'ProvisioningPolicyType' => 'ProvisioningPolicyType',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ProvisioningPolicyListIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ProvisioningPolicyListIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * IsPolicyReadonly

 $element->set_IsPolicyReadonly($data);
 $element->get_IsPolicyReadonly();




=item * ProvisioningPolicyNameOrId

 $element->set_ProvisioningPolicyNameOrId($data);
 $element->get_ProvisioningPolicyNameOrId();




=item * ProvisioningPolicyType

 $element->set_ProvisioningPolicyType($data);
 $element->get_ProvisioningPolicyType();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ProvisioningPolicyListIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   IsPolicyReadonly =>  $some_value, # boolean
   ProvisioningPolicyNameOrId => $some_value, # ObjNameOrId
   ProvisioningPolicyType => $some_value, # ProvisioningPolicyType
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

