
package MyElements::QtreeListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('QtreeListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Qtrees_of :ATTR(:get<Qtrees>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        Qtrees
        Records

    ) ],
    {
        'Qtrees' => \%Qtrees_of,
        'Records' => \%Records_of,
    },
    {
        'Qtrees' => 'MyTypes::ArrayOfQtreeInfo',

        'Records' => 'MyElements::QtreeListInfoIterNextResult::_Records',
    },
    {

        'Qtrees' => 'Qtrees',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::QtreeListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::QtreeListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
QtreeListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Qtrees

 $element->set_Qtrees($data);
 $element->get_Qtrees();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::QtreeListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Qtrees =>  { # MyTypes::ArrayOfQtreeInfo
     QtreeInfo =>  { # MyTypes::QtreeInfo
       DatasetId => $some_value, # atomic
       Datasets =>  { # MyTypes::ArrayOfDatasetReference
         DatasetReference =>  { # MyTypes::DatasetReference
           DatasetId => $some_value, # ObjId
           DatasetName => $some_value, # ObjName
         },
       },
       FilerId => $some_value, # atomic
       FilerName =>  $some_value, # string
       IsAvailable =>  $some_value, # boolean
       IsDirectVfilerChild =>  $some_value, # boolean
       IsDpIgnored =>  $some_value, # boolean
       IsInDataset =>  $some_value, # boolean
       IsSnapvaultSecondaryQtree =>  $some_value, # boolean
       QtreeId => $some_value, # atomic
       QtreeName =>  $some_value, # string
       QtreeSize =>  { # MyTypes::WrapperOfQtreeSizeInfo
         QtreeSizeInfo =>  { # MyTypes::QtreeSizeInfo
           FilesLimit =>  $some_value, # integer
           FilesUsed =>  $some_value, # integer
           HardLimit => $some_value, # atomic
           QtreePerfStatus => $some_value, # ObjStatus
           QtreeStatus => $some_value, # ObjStatus
           SoftLimit => $some_value, # atomic
           SpaceUsed => $some_value, # atomic
         },
       },
       VolumeId => $some_value, # atomic
       VolumeName =>  $some_value, # string
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

