
package MyElements::RbacAccessCheckResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('RbacAccessCheckResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %GlobalUsergroupStatus_of :ATTR(:get<GlobalUsergroupStatus>);
my %LocalUsergroupStatus_of :ATTR(:get<LocalUsergroupStatus>);
my %Result_of :ATTR(:get<Result>);

__PACKAGE__->_factory(
    [ qw(        GlobalUsergroupStatus
        LocalUsergroupStatus
        Result

    ) ],
    {
        'GlobalUsergroupStatus' => \%GlobalUsergroupStatus_of,
        'LocalUsergroupStatus' => \%LocalUsergroupStatus_of,
        'Result' => \%Result_of,
    },
    {
        'GlobalUsergroupStatus' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'LocalUsergroupStatus' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'Result' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'GlobalUsergroupStatus' => 'GlobalUsergroupStatus',
        'LocalUsergroupStatus' => 'LocalUsergroupStatus',
        'Result' => 'Result',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::RbacAccessCheckResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
RbacAccessCheckResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * GlobalUsergroupStatus

 $element->set_GlobalUsergroupStatus($data);
 $element->get_GlobalUsergroupStatus();




=item * LocalUsergroupStatus

 $element->set_LocalUsergroupStatus($data);
 $element->get_LocalUsergroupStatus();




=item * Result

 $element->set_Result($data);
 $element->get_Result();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::RbacAccessCheckResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   GlobalUsergroupStatus =>  $some_value, # string
   LocalUsergroupStatus =>  $some_value, # string
   Result =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

