
package MyElements::RbacAdminRoleRemove;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('RbacAdminRoleRemove');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %AdminNameOrId_of :ATTR(:get<AdminNameOrId>);
my %DeleteAll_of :ATTR(:get<DeleteAll>);
my %RoleNameOrId_of :ATTR(:get<RoleNameOrId>);

__PACKAGE__->_factory(
    [ qw(        AdminNameOrId
        DeleteAll
        RoleNameOrId

    ) ],
    {
        'AdminNameOrId' => \%AdminNameOrId_of,
        'DeleteAll' => \%DeleteAll_of,
        'RoleNameOrId' => \%RoleNameOrId_of,
    },
    {
        'AdminNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'DeleteAll' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'RoleNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'AdminNameOrId' => 'AdminNameOrId',
        'DeleteAll' => 'DeleteAll',
        'RoleNameOrId' => 'RoleNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::RbacAdminRoleRemove

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
RbacAdminRoleRemove from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * AdminNameOrId

 $element->set_AdminNameOrId($data);
 $element->get_AdminNameOrId();




=item * DeleteAll

 $element->set_DeleteAll($data);
 $element->get_DeleteAll();




=item * RoleNameOrId

 $element->set_RoleNameOrId($data);
 $element->get_RoleNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::RbacAdminRoleRemove->new($data);

Constructor. The following data structure may be passed to new():

 {
   AdminNameOrId =>  $some_value, # string
   DeleteAll =>  $some_value, # boolean
   RoleNameOrId =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

