
package MyElements::RbacOperationInfoListResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('RbacOperationInfoListResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %OperationList_of :ATTR(:get<OperationList>);

__PACKAGE__->_factory(
    [ qw(        OperationList

    ) ],
    {
        'OperationList' => \%OperationList_of,
    },
    {
        'OperationList' => 'MyTypes::ArrayOfRbacOperation',
    },
    {

        'OperationList' => 'OperationList',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::RbacOperationInfoListResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
RbacOperationInfoListResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * OperationList

 $element->set_OperationList($data);
 $element->get_OperationList();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::RbacOperationInfoListResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   OperationList =>  { # MyTypes::ArrayOfRbacOperation
     RbacOperation =>  { # MyTypes::RbacOperation
       OperationName =>  $some_value, # string
       OperationNameDetails =>  { # MyTypes::WrapperOfRbacOperationNameDetails
         RbacOperationNameDetails =>  { # MyTypes::RbacOperationNameDetails
           OperationDescription =>  $some_value, # string
           OperationSynopsis =>  $some_value, # string
           ResourceType =>  $some_value, # string
         },
       },
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

