
package MyElements::RbacRoleAdd;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('RbacRoleAdd');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Description_of :ATTR(:get<Description>);
my %OwnerNameOrId_of :ATTR(:get<OwnerNameOrId>);
my %RoleName_of :ATTR(:get<RoleName>);

__PACKAGE__->_factory(
    [ qw(        Description
        OwnerNameOrId
        RoleName

    ) ],
    {
        'Description' => \%Description_of,
        'OwnerNameOrId' => \%OwnerNameOrId_of,
        'RoleName' => \%RoleName_of,
    },
    {
        'Description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'OwnerNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'RoleName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'Description' => 'Description',
        'OwnerNameOrId' => 'OwnerNameOrId',
        'RoleName' => 'RoleName',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::RbacRoleAdd

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
RbacRoleAdd from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Description

 $element->set_Description($data);
 $element->get_Description();




=item * OwnerNameOrId

 $element->set_OwnerNameOrId($data);
 $element->get_OwnerNameOrId();




=item * RoleName

 $element->set_RoleName($data);
 $element->get_RoleName();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::RbacRoleAdd->new($data);

Constructor. The following data structure may be passed to new():

 {
   Description =>  $some_value, # string
   OwnerNameOrId =>  $some_value, # string
   RoleName =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

