
package MyElements::RbacRoleAdminInfoListResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('RbacRoleAdminInfoListResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %AdminNameOrId_of :ATTR(:get<AdminNameOrId>);
my %GlobalUsergroupStatus_of :ATTR(:get<GlobalUsergroupStatus>);
my %LocalUsergroupStatus_of :ATTR(:get<LocalUsergroupStatus>);
my %RoleList_of :ATTR(:get<RoleList>);

__PACKAGE__->_factory(
    [ qw(        AdminNameOrId
        GlobalUsergroupStatus
        LocalUsergroupStatus
        RoleList

    ) ],
    {
        'AdminNameOrId' => \%AdminNameOrId_of,
        'GlobalUsergroupStatus' => \%GlobalUsergroupStatus_of,
        'LocalUsergroupStatus' => \%LocalUsergroupStatus_of,
        'RoleList' => \%RoleList_of,
    },
    {
        'AdminNameOrId' => 'MyTypes::WrapperOfRbacAdminNameOrId',
        'GlobalUsergroupStatus' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'LocalUsergroupStatus' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'RoleList' => 'MyTypes::ArrayOfRbacRoleResource',
    },
    {

        'AdminNameOrId' => 'AdminNameOrId',
        'GlobalUsergroupStatus' => 'GlobalUsergroupStatus',
        'LocalUsergroupStatus' => 'LocalUsergroupStatus',
        'RoleList' => 'RoleList',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::RbacRoleAdminInfoListResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
RbacRoleAdminInfoListResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * AdminNameOrId

 $element->set_AdminNameOrId($data);
 $element->get_AdminNameOrId();




=item * GlobalUsergroupStatus

 $element->set_GlobalUsergroupStatus($data);
 $element->get_GlobalUsergroupStatus();




=item * LocalUsergroupStatus

 $element->set_LocalUsergroupStatus($data);
 $element->get_LocalUsergroupStatus();




=item * RoleList

 $element->set_RoleList($data);
 $element->get_RoleList();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::RbacRoleAdminInfoListResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   AdminNameOrId =>  { # MyTypes::WrapperOfRbacAdminNameOrId
     RbacAdminNameOrId =>  { # MyTypes::RbacAdminNameOrId
       AdminId =>  $some_value, # string
       AdminName =>  $some_value, # string
     },
   },
   GlobalUsergroupStatus =>  $some_value, # string
   LocalUsergroupStatus =>  $some_value, # string
   RoleList =>  { # MyTypes::ArrayOfRbacRoleResource
     RbacRoleResource =>  { # MyTypes::RbacRoleResource
       RbacRoleId =>  $some_value, # unsignedInt
       RbacRoleName =>  $some_value, # string
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

