
package MyElements::RbacRoleInfoList;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('RbacRoleInfoList');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %FollowRoleInheritance_of :ATTR(:get<FollowRoleInheritance>);
my %RoleNameOrId_of :ATTR(:get<RoleNameOrId>);

__PACKAGE__->_factory(
    [ qw(        FollowRoleInheritance
        RoleNameOrId

    ) ],
    {
        'FollowRoleInheritance' => \%FollowRoleInheritance_of,
        'RoleNameOrId' => \%RoleNameOrId_of,
    },
    {
        'FollowRoleInheritance' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'RoleNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'FollowRoleInheritance' => 'FollowRoleInheritance',
        'RoleNameOrId' => 'RoleNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::RbacRoleInfoList

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
RbacRoleInfoList from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * FollowRoleInheritance

 $element->set_FollowRoleInheritance($data);
 $element->get_FollowRoleInheritance();




=item * RoleNameOrId

 $element->set_RoleNameOrId($data);
 $element->get_RoleNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::RbacRoleInfoList->new($data);

Constructor. The following data structure may be passed to new():

 {
   FollowRoleInheritance =>  $some_value, # boolean
   RoleNameOrId =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

