
package MyElements::RbacRoleInherit;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('RbacRoleInherit');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %InheritedRoleNameOrId_of :ATTR(:get<InheritedRoleNameOrId>);
my %RoleNameOrId_of :ATTR(:get<RoleNameOrId>);

__PACKAGE__->_factory(
    [ qw(        InheritedRoleNameOrId
        RoleNameOrId

    ) ],
    {
        'InheritedRoleNameOrId' => \%InheritedRoleNameOrId_of,
        'RoleNameOrId' => \%RoleNameOrId_of,
    },
    {
        'InheritedRoleNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'RoleNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'InheritedRoleNameOrId' => 'InheritedRoleNameOrId',
        'RoleNameOrId' => 'RoleNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::RbacRoleInherit

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
RbacRoleInherit from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * InheritedRoleNameOrId

 $element->set_InheritedRoleNameOrId($data);
 $element->get_InheritedRoleNameOrId();




=item * RoleNameOrId

 $element->set_RoleNameOrId($data);
 $element->get_RoleNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::RbacRoleInherit->new($data);

Constructor. The following data structure may be passed to new():

 {
   InheritedRoleNameOrId =>  $some_value, # string
   RoleNameOrId =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

