
package MyElements::ReportGraphListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ReportGraphListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %GraphList_of :ATTR(:get<GraphList>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        GraphList
        Records

    ) ],
    {
        'GraphList' => \%GraphList_of,
        'Records' => \%Records_of,
    },
    {
        'GraphList' => 'MyTypes::ArrayOfGraphInfo',

        'Records' => 'MyElements::ReportGraphListInfoIterNextResult::_Records',
    },
    {

        'GraphList' => 'GraphList',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::ReportGraphListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ReportGraphListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ReportGraphListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * GraphList

 $element->set_GraphList($data);
 $element->get_GraphList();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ReportGraphListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   GraphList =>  { # MyTypes::ArrayOfGraphInfo
     GraphInfo =>  { # MyTypes::GraphInfo
       DeprecatedBy =>  $some_value, # string
       Description =>  $some_value, # string
       GraphLines =>  { # MyTypes::ArrayOfGraphLineInfo
         GraphLineInfo =>  { # MyTypes::GraphLineInfo
           SampleFormat =>  $some_value, # string
           SampleName =>  $some_value, # string
           SamplePrettyName =>  $some_value, # string
           SampleSuffix =>  $some_value, # string
         },
       },
       GraphName =>  $some_value, # string
       GraphPrettyName =>  $some_value, # string
       IsDefault =>  $some_value, # boolean
       IsDeprecated =>  $some_value, # boolean
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

