
package MyElements::ReportOutputListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ReportOutputListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ReportOutputList_of :ATTR(:get<ReportOutputList>);

__PACKAGE__->_factory(
    [ qw(        ReportOutputList

    ) ],
    {
        'ReportOutputList' => \%ReportOutputList_of,
    },
    {
        'ReportOutputList' => 'MyTypes::ArrayOfReportOutputInfo',
    },
    {

        'ReportOutputList' => 'ReportOutputList',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ReportOutputListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ReportOutputListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ReportOutputList

 $element->set_ReportOutputList($data);
 $element->get_ReportOutputList();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ReportOutputListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   ReportOutputList =>  { # MyTypes::ArrayOfReportOutputInfo
     ReportOutputInfo =>  { # MyTypes::ReportOutputInfo
       FailureReason =>  $some_value, # string
       GraphName =>  $some_value, # string
       ReportApplication => $some_value, # ReportApplication
       ReportId => $some_value, # atomic
       ReportName =>  $some_value, # string
       ReportOutputId => $some_value, # atomic
       ReportScheduleId => $some_value, # ObjId
       ReportScheduleName => $some_value, # ObjName
       RunBy =>  $some_value, # string
       RunStatus =>  $some_value, # string
       RunTime =>  $some_value, # integer
       TargetObjectId => $some_value, # atomic
       TargetObjectName =>  $some_value, # string
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

