
package MyElements::ReportOutputListInfoIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ReportOutputListInfoIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %IsSuccessful_of :ATTR(:get<IsSuccessful>);
my %ReportApplication_of :ATTR(:get<ReportApplication>);
my %ReportNameOrId_of :ATTR(:get<ReportNameOrId>);
my %ReportOutputId_of :ATTR(:get<ReportOutputId>);
my %ReportScheduleNameOrId_of :ATTR(:get<ReportScheduleNameOrId>);
my %TargetObjectNameOrId_of :ATTR(:get<TargetObjectNameOrId>);

__PACKAGE__->_factory(
    [ qw(        IsSuccessful
        ReportApplication
        ReportNameOrId
        ReportOutputId
        ReportScheduleNameOrId
        TargetObjectNameOrId

    ) ],
    {
        'IsSuccessful' => \%IsSuccessful_of,
        'ReportApplication' => \%ReportApplication_of,
        'ReportNameOrId' => \%ReportNameOrId_of,
        'ReportOutputId' => \%ReportOutputId_of,
        'ReportScheduleNameOrId' => \%ReportScheduleNameOrId_of,
        'TargetObjectNameOrId' => \%TargetObjectNameOrId_of,
    },
    {
        'IsSuccessful' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'ReportApplication' => 'MyTypes::ReportApplication',
        'ReportNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'ReportOutputId' => 'MyElements::ReportOutputListInfoIterStart::_ReportOutputId',
        'ReportScheduleNameOrId' => 'MyTypes::ObjNameOrId',
        'TargetObjectNameOrId' => 'MyTypes::ObjNameOrId',
    },
    {

        'IsSuccessful' => 'IsSuccessful',
        'ReportApplication' => 'ReportApplication',
        'ReportNameOrId' => 'ReportNameOrId',
        'ReportOutputId' => 'ReportOutputId',
        'ReportScheduleNameOrId' => 'ReportScheduleNameOrId',
        'TargetObjectNameOrId' => 'TargetObjectNameOrId',
    }
);

} # end BLOCK




package MyElements::ReportOutputListInfoIterStart::_ReportOutputId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ReportOutputListInfoIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ReportOutputListInfoIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * IsSuccessful

 $element->set_IsSuccessful($data);
 $element->get_IsSuccessful();




=item * ReportApplication

 $element->set_ReportApplication($data);
 $element->get_ReportApplication();




=item * ReportNameOrId

 $element->set_ReportNameOrId($data);
 $element->get_ReportNameOrId();




=item * ReportOutputId

 $element->set_ReportOutputId($data);
 $element->get_ReportOutputId();




=item * ReportScheduleNameOrId

 $element->set_ReportScheduleNameOrId($data);
 $element->get_ReportScheduleNameOrId();




=item * TargetObjectNameOrId

 $element->set_TargetObjectNameOrId($data);
 $element->get_TargetObjectNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ReportOutputListInfoIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   IsSuccessful =>  $some_value, # boolean
   ReportApplication => $some_value, # ReportApplication
   ReportNameOrId =>  $some_value, # string
   ReportOutputId => $some_value, # atomic
   ReportScheduleNameOrId => $some_value, # ObjNameOrId
   TargetObjectNameOrId => $some_value, # ObjNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

