
package MyElements::ReportScheduleListInfoIterNext;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ReportScheduleListInfoIterNext');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Maximum_of :ATTR(:get<Maximum>);
my %Tag_of :ATTR(:get<Tag>);

__PACKAGE__->_factory(
    [ qw(        Maximum
        Tag

    ) ],
    {
        'Maximum' => \%Maximum_of,
        'Tag' => \%Tag_of,
    },
    {

        'Maximum' => 'MyElements::ReportScheduleListInfoIterNext::_Maximum',
        'Tag' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'Maximum' => 'Maximum',
        'Tag' => 'Tag',
    }
);

} # end BLOCK




package MyElements::ReportScheduleListInfoIterNext::_Maximum;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ReportScheduleListInfoIterNext

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ReportScheduleListInfoIterNext from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Maximum

 $element->set_Maximum($data);
 $element->get_Maximum();




=item * Tag

 $element->set_Tag($data);
 $element->get_Tag();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ReportScheduleListInfoIterNext->new($data);

Constructor. The following data structure may be passed to new():

 {
   Maximum => $some_value, # atomic
   Tag =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

