
package MyElements::ReportScheduleListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ReportScheduleListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ReportScheduleList_of :ATTR(:get<ReportScheduleList>);

__PACKAGE__->_factory(
    [ qw(        ReportScheduleList

    ) ],
    {
        'ReportScheduleList' => \%ReportScheduleList_of,
    },
    {
        'ReportScheduleList' => 'MyTypes::ArrayOfReportScheduleContentInfo',
    },
    {

        'ReportScheduleList' => 'ReportScheduleList',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ReportScheduleListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ReportScheduleListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ReportScheduleList

 $element->set_ReportScheduleList($data);
 $element->get_ReportScheduleList();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ReportScheduleListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   ReportScheduleList =>  { # MyTypes::ArrayOfReportScheduleContentInfo
     ReportScheduleContentInfo =>  { # MyTypes::ReportScheduleContentInfo
       ArchivalFormat => $some_value, # ReportOutputFormat
       EmailAddressList => $some_value, # EmailAddressList
       GraphName =>  $some_value, # string
       IncludeDeletedObjects =>  $some_value, # boolean
       IsEnabled =>  $some_value, # boolean
       IsSuccessful =>  $some_value, # boolean
       LastRunTime =>  $some_value, # integer
       ReportApplication => $some_value, # ReportApplication
       ReportId => $some_value, # atomic
       ReportName =>  $some_value, # string
       ReportScheduleId => $some_value, # ObjId
       ReportScheduleName => $some_value, # ObjName
       SaveAllFields =>  $some_value, # boolean
       ScheduleId => $some_value, # atomic
       ScheduleName =>  $some_value, # string
       TargetObjectId => $some_value, # atomic
       TargetObjectName =>  $some_value, # string
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

