
package MyElements::ReportScheduleListInfoIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ReportScheduleListInfoIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %IsEnabled_of :ATTR(:get<IsEnabled>);
my %ReportApplication_of :ATTR(:get<ReportApplication>);
my %ReportNameOrId_of :ATTR(:get<ReportNameOrId>);
my %ReportScheduleNameOrId_of :ATTR(:get<ReportScheduleNameOrId>);
my %TargetObjectNameOrId_of :ATTR(:get<TargetObjectNameOrId>);

__PACKAGE__->_factory(
    [ qw(        IsEnabled
        ReportApplication
        ReportNameOrId
        ReportScheduleNameOrId
        TargetObjectNameOrId

    ) ],
    {
        'IsEnabled' => \%IsEnabled_of,
        'ReportApplication' => \%ReportApplication_of,
        'ReportNameOrId' => \%ReportNameOrId_of,
        'ReportScheduleNameOrId' => \%ReportScheduleNameOrId_of,
        'TargetObjectNameOrId' => \%TargetObjectNameOrId_of,
    },
    {
        'IsEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'ReportApplication' => 'MyTypes::ReportApplication',
        'ReportNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'ReportScheduleNameOrId' => 'MyTypes::ObjNameOrId',
        'TargetObjectNameOrId' => 'MyTypes::ObjNameOrId',
    },
    {

        'IsEnabled' => 'IsEnabled',
        'ReportApplication' => 'ReportApplication',
        'ReportNameOrId' => 'ReportNameOrId',
        'ReportScheduleNameOrId' => 'ReportScheduleNameOrId',
        'TargetObjectNameOrId' => 'TargetObjectNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ReportScheduleListInfoIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ReportScheduleListInfoIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * IsEnabled

 $element->set_IsEnabled($data);
 $element->get_IsEnabled();




=item * ReportApplication

 $element->set_ReportApplication($data);
 $element->get_ReportApplication();




=item * ReportNameOrId

 $element->set_ReportNameOrId($data);
 $element->get_ReportNameOrId();




=item * ReportScheduleNameOrId

 $element->set_ReportScheduleNameOrId($data);
 $element->get_ReportScheduleNameOrId();




=item * TargetObjectNameOrId

 $element->set_TargetObjectNameOrId($data);
 $element->get_TargetObjectNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ReportScheduleListInfoIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   IsEnabled =>  $some_value, # boolean
   ReportApplication => $some_value, # ReportApplication
   ReportNameOrId =>  $some_value, # string
   ReportScheduleNameOrId => $some_value, # ObjNameOrId
   TargetObjectNameOrId => $some_value, # ObjNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

