
package MyElements::ResourcepoolDestroy;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ResourcepoolDestroy');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Force_of :ATTR(:get<Force>);
my %ResourcepoolNameOrId_of :ATTR(:get<ResourcepoolNameOrId>);

__PACKAGE__->_factory(
    [ qw(        Force
        ResourcepoolNameOrId

    ) ],
    {
        'Force' => \%Force_of,
        'ResourcepoolNameOrId' => \%ResourcepoolNameOrId_of,
    },
    {
        'Force' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'ResourcepoolNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'Force' => 'Force',
        'ResourcepoolNameOrId' => 'ResourcepoolNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ResourcepoolDestroy

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ResourcepoolDestroy from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Force

 $element->set_Force($data);
 $element->get_Force();




=item * ResourcepoolNameOrId

 $element->set_ResourcepoolNameOrId($data);
 $element->get_ResourcepoolNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ResourcepoolDestroy->new($data);

Constructor. The following data structure may be passed to new():

 {
   Force =>  $some_value, # boolean
   ResourcepoolNameOrId =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

