
package MyElements::ResourcepoolListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ResourcepoolListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Records_of :ATTR(:get<Records>);
my %Resourcepools_of :ATTR(:get<Resourcepools>);

__PACKAGE__->_factory(
    [ qw(        Records
        Resourcepools

    ) ],
    {
        'Records' => \%Records_of,
        'Resourcepools' => \%Resourcepools_of,
    },
    {

        'Records' => 'MyElements::ResourcepoolListInfoIterNextResult::_Records',
        'Resourcepools' => 'MyTypes::ArrayOfResourcepoolInfo',
    },
    {

        'Records' => 'Records',
        'Resourcepools' => 'Resourcepools',
    }
);

} # end BLOCK




package MyElements::ResourcepoolListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ResourcepoolListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ResourcepoolListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Records

 $element->set_Records($data);
 $element->get_Records();




=item * Resourcepools

 $element->set_Resourcepools($data);
 $element->get_Resourcepools();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ResourcepoolListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Records => $some_value, # atomic
   Resourcepools =>  { # MyTypes::ArrayOfResourcepoolInfo
     ResourcepoolInfo =>  { # MyTypes::ResourcepoolInfo
       AggregateNearlyOvercommittedThreshold =>  $some_value, # unsignedShort
       AggregateOvercommittedThreshold =>  $some_value, # unsignedShort
       ResourceTag => $some_value, # ResourceTag
       ResourcepoolContact => $some_value, # EmailAddressList
       ResourcepoolDescription =>  $some_value, # string
       ResourcepoolFreeVfilers =>  $some_value, # unsignedLong
       ResourcepoolFullThreshold => $some_value, # atomic
       ResourcepoolId =>  $some_value, # integer
       ResourcepoolIsProvisionable =>  $some_value, # boolean
       ResourcepoolKbytesAvailable => $some_value, # atomic
       ResourcepoolKbytesTotal => $some_value, # atomic
       ResourcepoolKbytesUsed => $some_value, # atomic
       ResourcepoolMemberCount => $some_value, # atomic
       ResourcepoolName =>  $some_value, # string
       ResourcepoolNearlyFullThreshold => $some_value, # atomic
       ResourcepoolOwner =>  $some_value, # string
       ResourcepoolPerfStatus => $some_value, # ObjStatus
       ResourcepoolSpaceStatus =>  $some_value, # string
       ResourcepoolStatus => $some_value, # ObjStatus
       ResourcepoolTimezone =>  $some_value, # string
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

