
package MyElements::ResourcepoolMemberListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ResourcepoolMemberListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Records_of :ATTR(:get<Records>);
my %ResourcepoolMembers_of :ATTR(:get<ResourcepoolMembers>);

__PACKAGE__->_factory(
    [ qw(        Records
        ResourcepoolMembers

    ) ],
    {
        'Records' => \%Records_of,
        'ResourcepoolMembers' => \%ResourcepoolMembers_of,
    },
    {

        'Records' => 'MyElements::ResourcepoolMemberListInfoIterNextResult::_Records',
        'ResourcepoolMembers' => 'MyTypes::ArrayOfResourcepoolMemberInfo',
    },
    {

        'Records' => 'Records',
        'ResourcepoolMembers' => 'ResourcepoolMembers',
    }
);

} # end BLOCK




package MyElements::ResourcepoolMemberListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ResourcepoolMemberListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ResourcepoolMemberListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Records

 $element->set_Records($data);
 $element->get_Records();




=item * ResourcepoolMembers

 $element->set_ResourcepoolMembers($data);
 $element->get_ResourcepoolMembers();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ResourcepoolMemberListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Records => $some_value, # atomic
   ResourcepoolMembers =>  { # MyTypes::ArrayOfResourcepoolMemberInfo
     ResourcepoolMemberInfo =>  { # MyTypes::ResourcepoolMemberInfo
       DatasetsSpaceInfo =>  { # MyTypes::ArrayOfDatasetSpaceInfo
         DatasetSpaceInfo =>  { # MyTypes::DatasetSpaceInfo
           DatasetId => $some_value, # ObjId
           DatasetName => $some_value, # ObjName
           DpNodeId => $some_value, # atomic
           DpNodeName =>  $some_value, # string
           IsCapableOfMigration =>  $some_value, # boolean
           IsDpNodeEffectivePrimary =>  $some_value, # boolean
           UsedSpace =>  $some_value, # unsignedLong
         },
       },
       MemberCommittedSpace =>  $some_value, # integer
       MemberId =>  $some_value, # integer
       MemberName =>  $some_value, # string
       MemberSize =>  $some_value, # integer
       MemberSpaceStatus => $some_value, # ObjectSpaceStatus
       MemberStatus =>  $some_value, # string
       MemberType =>  $some_value, # string
       MemberUsedSpace =>  $some_value, # integer
       ProvisioningChecksPassed =>  $some_value, # boolean
       ResourceTag => $some_value, # ResourceTag
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

