
package MyElements::SnapshotGetReclaimableInfoResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('SnapshotGetReclaimableInfoResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ReclaimableSize_of :ATTR(:get<ReclaimableSize>);
my %SnapshotSharedData_of :ATTR(:get<SnapshotSharedData>);

__PACKAGE__->_factory(
    [ qw(        ReclaimableSize
        SnapshotSharedData

    ) ],
    {
        'ReclaimableSize' => \%ReclaimableSize_of,
        'SnapshotSharedData' => \%SnapshotSharedData_of,
    },
    {

        'ReclaimableSize' => 'MyElements::SnapshotGetReclaimableInfoResult::_ReclaimableSize',

        'SnapshotSharedData' => 'MyElements::SnapshotGetReclaimableInfoResult::_SnapshotSharedData',
    },
    {

        'ReclaimableSize' => 'ReclaimableSize',
        'SnapshotSharedData' => 'SnapshotSharedData',
    }
);

} # end BLOCK




package MyElements::SnapshotGetReclaimableInfoResult::_ReclaimableSize;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyElements::SnapshotGetReclaimableInfoResult::_SnapshotSharedData;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::SnapshotGetReclaimableInfoResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
SnapshotGetReclaimableInfoResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ReclaimableSize

 $element->set_ReclaimableSize($data);
 $element->get_ReclaimableSize();




=item * SnapshotSharedData

 $element->set_SnapshotSharedData($data);
 $element->get_SnapshotSharedData();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::SnapshotGetReclaimableInfoResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   ReclaimableSize => $some_value, # atomic
   SnapshotSharedData => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

