
package MyElements::SnapshotListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('SnapshotListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Records_of :ATTR(:get<Records>);
my %Snapshots_of :ATTR(:get<Snapshots>);

__PACKAGE__->_factory(
    [ qw(        Records
        Snapshots

    ) ],
    {
        'Records' => \%Records_of,
        'Snapshots' => \%Snapshots_of,
    },
    {

        'Records' => 'MyElements::SnapshotListInfoIterNextResult::_Records',
        'Snapshots' => 'MyTypes::ArrayOfSnapshotInfo',
    },
    {

        'Records' => 'Records',
        'Snapshots' => 'Snapshots',
    }
);

} # end BLOCK




package MyElements::SnapshotListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::SnapshotListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
SnapshotListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Records

 $element->set_Records($data);
 $element->get_Records();




=item * Snapshots

 $element->set_Snapshots($data);
 $element->get_Snapshots();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::SnapshotListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Records => $some_value, # atomic
   Snapshots =>  { # MyTypes::ArrayOfSnapshotInfo
     SnapshotInfo =>  { # MyTypes::SnapshotInfo
       Backups =>  { # MyTypes::ArrayOfBackupInfo
         BackupInfo =>  { # MyTypes::BackupInfo
           BackupId => $some_value, # atomic
           BackupVersion => $some_value, # DpTimestamp
           DatasetId => $some_value, # ObjId
           DatasetName => $some_value, # ObjName
           DpBackupExpiryTimestamp => $some_value, # DpTimestamp
           DpNodeId =>  $some_value, # integer
           DpNodeName =>  $some_value, # string
           IsApplicationBackup =>  $some_value, # boolean
         },
       },
       CreationTimestamp => $some_value, # DpTimestamp
       CumulativePercentageOfTotalBlocks => $some_value, # atomic
       Dependencies =>  { # MyTypes::ArrayOfSnapshotDependency
         SnapshotDependency => $some_value, # SnapshotDependency
       },
       IsBusy =>  $some_value, # boolean
       IsPartOfBackupVersion =>  $some_value, # boolean
       PercentageOfTotalBlocks => $some_value, # atomic
       SnapshotId => $some_value, # atomic
       SnapshotName =>  $some_value, # string
       UniqueId =>  $some_value, # string
       VolumeId => $some_value, # ObjId
       VolumeName => $some_value, # ObjFullName
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

