
package MyElements::SnapshotListInfoIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('SnapshotListInfoIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %IncludeBackupInfo_of :ATTR(:get<IncludeBackupInfo>);
my %ObjectManagementFilter_of :ATTR(:get<ObjectManagementFilter>);
my %ObjectNameOrId_of :ATTR(:get<ObjectNameOrId>);

__PACKAGE__->_factory(
    [ qw(        IncludeBackupInfo
        ObjectManagementFilter
        ObjectNameOrId

    ) ],
    {
        'IncludeBackupInfo' => \%IncludeBackupInfo_of,
        'ObjectManagementFilter' => \%ObjectManagementFilter_of,
        'ObjectNameOrId' => \%ObjectNameOrId_of,
    },
    {
        'IncludeBackupInfo' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'ObjectManagementFilter' => 'MyTypes::ObjectManagementInterface',
        'ObjectNameOrId' => 'MyTypes::ObjNameOrId',
    },
    {

        'IncludeBackupInfo' => 'IncludeBackupInfo',
        'ObjectManagementFilter' => 'ObjectManagementFilter',
        'ObjectNameOrId' => 'ObjectNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::SnapshotListInfoIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
SnapshotListInfoIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * IncludeBackupInfo

 $element->set_IncludeBackupInfo($data);
 $element->get_IncludeBackupInfo();




=item * ObjectManagementFilter

 $element->set_ObjectManagementFilter($data);
 $element->get_ObjectManagementFilter();




=item * ObjectNameOrId

 $element->set_ObjectNameOrId($data);
 $element->get_ObjectNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::SnapshotListInfoIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   IncludeBackupInfo =>  $some_value, # boolean
   ObjectManagementFilter => $some_value, # ObjectManagementInterface
   ObjectNameOrId => $some_value, # ObjNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

