
package MyElements::VfilerCreateResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('VfilerCreateResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %FilerId_of :ATTR(:get<FilerId>);
my %FilerName_of :ATTR(:get<FilerName>);
my %RootVolumeId_of :ATTR(:get<RootVolumeId>);
my %RootVolumeName_of :ATTR(:get<RootVolumeName>);
my %VfilerId_of :ATTR(:get<VfilerId>);

__PACKAGE__->_factory(
    [ qw(        FilerId
        FilerName
        RootVolumeId
        RootVolumeName
        VfilerId

    ) ],
    {
        'FilerId' => \%FilerId_of,
        'FilerName' => \%FilerName_of,
        'RootVolumeId' => \%RootVolumeId_of,
        'RootVolumeName' => \%RootVolumeName_of,
        'VfilerId' => \%VfilerId_of,
    },
    {
        'FilerId' => 'MyTypes::ObjId',
        'FilerName' => 'MyTypes::ObjFullName',
        'RootVolumeId' => 'MyTypes::ObjId',
        'RootVolumeName' => 'MyTypes::ObjFullName',
        'VfilerId' => 'MyTypes::ObjId',
    },
    {

        'FilerId' => 'FilerId',
        'FilerName' => 'FilerName',
        'RootVolumeId' => 'RootVolumeId',
        'RootVolumeName' => 'RootVolumeName',
        'VfilerId' => 'VfilerId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::VfilerCreateResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
VfilerCreateResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * FilerId

 $element->set_FilerId($data);
 $element->get_FilerId();




=item * FilerName

 $element->set_FilerName($data);
 $element->get_FilerName();




=item * RootVolumeId

 $element->set_RootVolumeId($data);
 $element->get_RootVolumeId();




=item * RootVolumeName

 $element->set_RootVolumeName($data);
 $element->get_RootVolumeName();




=item * VfilerId

 $element->set_VfilerId($data);
 $element->get_VfilerId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::VfilerCreateResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   FilerId => $some_value, # ObjId
   FilerName => $some_value, # ObjFullName
   RootVolumeId => $some_value, # ObjId
   RootVolumeName => $some_value, # ObjFullName
   VfilerId => $some_value, # ObjId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

