
package MyElements::VfilerTemplateCopy;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('VfilerTemplateCopy');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %VfilerTemplateName_of :ATTR(:get<VfilerTemplateName>);
my %VfilerTemplateNameOrId_of :ATTR(:get<VfilerTemplateNameOrId>);

__PACKAGE__->_factory(
    [ qw(        VfilerTemplateName
        VfilerTemplateNameOrId

    ) ],
    {
        'VfilerTemplateName' => \%VfilerTemplateName_of,
        'VfilerTemplateNameOrId' => \%VfilerTemplateNameOrId_of,
    },
    {
        'VfilerTemplateName' => 'MyTypes::ObjName',
        'VfilerTemplateNameOrId' => 'MyTypes::ObjNameOrId',
    },
    {

        'VfilerTemplateName' => 'VfilerTemplateName',
        'VfilerTemplateNameOrId' => 'VfilerTemplateNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::VfilerTemplateCopy

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
VfilerTemplateCopy from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * VfilerTemplateName

 $element->set_VfilerTemplateName($data);
 $element->get_VfilerTemplateName();




=item * VfilerTemplateNameOrId

 $element->set_VfilerTemplateNameOrId($data);
 $element->get_VfilerTemplateNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::VfilerTemplateCopy->new($data);

Constructor. The following data structure may be passed to new():

 {
   VfilerTemplateName => $some_value, # ObjName
   VfilerTemplateNameOrId => $some_value, # ObjNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

