
package MyElements::VfilerTemplateModify;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('VfilerTemplateModify');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %VfilerTemplate_of :ATTR(:get<VfilerTemplate>);

__PACKAGE__->_factory(
    [ qw(        VfilerTemplate

    ) ],
    {
        'VfilerTemplate' => \%VfilerTemplate_of,
    },
    {
        'VfilerTemplate' => 'MyTypes::WrapperOfVfilerTemplateInfo',
    },
    {

        'VfilerTemplate' => 'VfilerTemplate',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::VfilerTemplateModify

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
VfilerTemplateModify from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * VfilerTemplate

 $element->set_VfilerTemplate($data);
 $element->get_VfilerTemplate();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::VfilerTemplateModify->new($data);

Constructor. The following data structure may be passed to new():

 {
   VfilerTemplate =>  { # MyTypes::WrapperOfVfilerTemplateInfo
     VfilerTemplateInfo =>  { # MyTypes::VfilerTemplateInfo
       AdministrativeHostIpAddress => $some_value, # IpAddress
       CifsAuthType =>  $some_value, # string
       CifsDomain =>  $some_value, # string
       CifsSecurityStyle =>  $some_value, # string
       Description =>  $some_value, # string
       DnsDomain =>  $some_value, # string
       DnsServers =>  { # MyTypes::ArrayOfIpAddress
         IpAddress => $some_value, # IpAddress
       },
       NisDomain =>  $some_value, # string
       NisServers =>  { # MyTypes::ArrayOfIpAddress
         IpAddress => $some_value, # IpAddress
       },
       VfilerTemplateId => $some_value, # ObjId
       VfilerTemplateName => $some_value, # ObjName
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

