
package MyElements::ViHypervisorListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ViHypervisorListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Hypervisors_of :ATTR(:get<Hypervisors>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        Hypervisors
        Records

    ) ],
    {
        'Hypervisors' => \%Hypervisors_of,
        'Records' => \%Records_of,
    },
    {
        'Hypervisors' => 'MyTypes::ArrayOfHypervisor',

        'Records' => 'MyElements::ViHypervisorListInfoIterNextResult::_Records',
    },
    {

        'Hypervisors' => 'Hypervisors',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::ViHypervisorListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ViHypervisorListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ViHypervisorListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Hypervisors

 $element->set_Hypervisors($data);
 $element->get_Hypervisors();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ViHypervisorListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Hypervisors =>  { # MyTypes::ArrayOfHypervisor
     Hypervisor =>  { # MyTypes::Hypervisor
       DatacenterName =>  $some_value, # string
       DatacenterReference =>  { # MyTypes::DatacenterReference
         DatacenterId => $some_value, # ObjId
         DatacenterName => $some_value, # ObjName
       },
       DeletedBy =>  $some_value, # string
       DeletedTimestamp => $some_value, # DpTimestamp
       DomainName =>  $some_value, # string
       HostServiceId => $some_value, # ObjId
       HypervisorId => $some_value, # ObjId
       HypervisorName => $some_value, # ObjName
       IpAddress => $some_value, # IpAddress
       VirtualCenterName =>  $some_value, # string
       VirtualCenterReference =>  { # MyTypes::VirtualCenterReference
         VirtualCenterId => $some_value, # ObjId
         VirtualCenterName => $some_value, # ObjName
       },
       VirtualInfrastructureType => $some_value, # VirtualInfrastructureType
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

