
package MyElements::ViHypervisorListInfoIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ViHypervisorListInfoIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %IncludeDeleted_of :ATTR(:get<IncludeDeleted>);
my %ObjNameOrId_of :ATTR(:get<ObjNameOrId>);
my %VirtualInfrastructureType_of :ATTR(:get<VirtualInfrastructureType>);

__PACKAGE__->_factory(
    [ qw(        IncludeDeleted
        ObjNameOrId
        VirtualInfrastructureType

    ) ],
    {
        'IncludeDeleted' => \%IncludeDeleted_of,
        'ObjNameOrId' => \%ObjNameOrId_of,
        'VirtualInfrastructureType' => \%VirtualInfrastructureType_of,
    },
    {
        'IncludeDeleted' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'ObjNameOrId' => 'MyTypes::ObjNameOrId',
        'VirtualInfrastructureType' => 'MyTypes::VirtualInfrastructureType',
    },
    {

        'IncludeDeleted' => 'IncludeDeleted',
        'ObjNameOrId' => 'ObjNameOrId',
        'VirtualInfrastructureType' => 'VirtualInfrastructureType',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ViHypervisorListInfoIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ViHypervisorListInfoIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * IncludeDeleted

 $element->set_IncludeDeleted($data);
 $element->get_IncludeDeleted();




=item * ObjNameOrId

 $element->set_ObjNameOrId($data);
 $element->get_ObjNameOrId();




=item * VirtualInfrastructureType

 $element->set_VirtualInfrastructureType($data);
 $element->get_VirtualInfrastructureType();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ViHypervisorListInfoIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   IncludeDeleted =>  $some_value, # boolean
   ObjNameOrId => $some_value, # ObjNameOrId
   VirtualInfrastructureType => $some_value, # VirtualInfrastructureType
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

