
package MyElements::ViVirtualCenterListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ViVirtualCenterListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Records_of :ATTR(:get<Records>);
my %VirtualCenters_of :ATTR(:get<VirtualCenters>);

__PACKAGE__->_factory(
    [ qw(        Records
        VirtualCenters

    ) ],
    {
        'Records' => \%Records_of,
        'VirtualCenters' => \%VirtualCenters_of,
    },
    {

        'Records' => 'MyElements::ViVirtualCenterListInfoIterNextResult::_Records',
        'VirtualCenters' => 'MyTypes::ArrayOfVirtualCenter',
    },
    {

        'Records' => 'Records',
        'VirtualCenters' => 'VirtualCenters',
    }
);

} # end BLOCK




package MyElements::ViVirtualCenterListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ViVirtualCenterListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ViVirtualCenterListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Records

 $element->set_Records($data);
 $element->get_Records();




=item * VirtualCenters

 $element->set_VirtualCenters($data);
 $element->get_VirtualCenters();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ViVirtualCenterListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Records => $some_value, # atomic
   VirtualCenters =>  { # MyTypes::ArrayOfVirtualCenter
     VirtualCenter =>  { # MyTypes::VirtualCenter
       DeletedBy =>  $some_value, # string
       DeletedTimestamp => $some_value, # DpTimestamp
       HostServiceId => $some_value, # ObjId
       VirtualCenterId => $some_value, # ObjId
       VirtualCenterName => $some_value, # ObjName
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

