
package MyElements::ViVirtualMachineListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ViVirtualMachineListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Records_of :ATTR(:get<Records>);
my %VirtualMachines_of :ATTR(:get<VirtualMachines>);

__PACKAGE__->_factory(
    [ qw(        Records
        VirtualMachines

    ) ],
    {
        'Records' => \%Records_of,
        'VirtualMachines' => \%VirtualMachines_of,
    },
    {

        'Records' => 'MyElements::ViVirtualMachineListInfoIterNextResult::_Records',
        'VirtualMachines' => 'MyTypes::ArrayOfVirtualMachine',
    },
    {

        'Records' => 'Records',
        'VirtualMachines' => 'VirtualMachines',
    }
);

} # end BLOCK




package MyElements::ViVirtualMachineListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ViVirtualMachineListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ViVirtualMachineListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Records

 $element->set_Records($data);
 $element->get_Records();




=item * VirtualMachines

 $element->set_VirtualMachines($data);
 $element->get_VirtualMachines();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ViVirtualMachineListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Records => $some_value, # atomic
   VirtualMachines =>  { # MyTypes::ArrayOfVirtualMachine
     VirtualMachine =>  { # MyTypes::VirtualMachine
       DatacenterReference =>  { # MyTypes::DatacenterReference
         DatacenterId => $some_value, # ObjId
         DatacenterName => $some_value, # ObjName
       },
       Datasets =>  { # MyTypes::ArrayOfDatasetReference
         DatasetReference =>  { # MyTypes::DatasetReference
           DatasetId => $some_value, # ObjId
           DatasetName => $some_value, # ObjName
         },
       },
       DeletedBy =>  $some_value, # string
       DeletedTimestamp => $some_value, # DpTimestamp
       DnsName =>  $some_value, # string
       GuestOsType =>  $some_value, # string
       HostServiceId => $some_value, # ObjId
       HypervisorReference =>  { # MyTypes::HypervisorReference
         HypervisorId => $some_value, # ObjId
         HypervisorName => $some_value, # ObjName
       },
       IpAddressList =>  { # MyTypes::ArrayOfIpAddress
         IpAddress => $some_value, # IpAddress
       },
       IsProtected =>  $some_value, # boolean
       Status =>  $some_value, # string
       VirtualCenterReference =>  { # MyTypes::VirtualCenterReference
         VirtualCenterId => $some_value, # ObjId
         VirtualCenterName => $some_value, # ObjName
       },
       VirtualInfrastructureType => $some_value, # VirtualInfrastructureType
       VirtualMachineId => $some_value, # ObjId
       VirtualMachineName => $some_value, # ObjName
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

