
package MyElements::VolumeResize;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('VolumeResize');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ResizeVolumeRequestInfo_of :ATTR(:get<ResizeVolumeRequestInfo>);
my %VolumeNameOrId_of :ATTR(:get<VolumeNameOrId>);

__PACKAGE__->_factory(
    [ qw(        ResizeVolumeRequestInfo
        VolumeNameOrId

    ) ],
    {
        'ResizeVolumeRequestInfo' => \%ResizeVolumeRequestInfo_of,
        'VolumeNameOrId' => \%VolumeNameOrId_of,
    },
    {
        'ResizeVolumeRequestInfo' => 'MyTypes::ResizeVolumeRequestInfo',
        'VolumeNameOrId' => 'MyTypes::ObjNameOrId',
    },
    {

        'ResizeVolumeRequestInfo' => 'ResizeVolumeRequestInfo',
        'VolumeNameOrId' => 'VolumeNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::VolumeResize

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
VolumeResize from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ResizeVolumeRequestInfo

 $element->set_ResizeVolumeRequestInfo($data);
 $element->get_ResizeVolumeRequestInfo();




=item * VolumeNameOrId

 $element->set_VolumeNameOrId($data);
 $element->get_VolumeNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::VolumeResize->new($data);

Constructor. The following data structure may be passed to new():

 {
   ResizeVolumeRequestInfo =>  { # MyTypes::ResizeVolumeRequestInfo
     MaximumCapacity => $some_value, # atomic
     NewSize => $some_value, # atomic
     SnapReserve => $some_value, # atomic
   },
   VolumeNameOrId => $some_value, # ObjNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

