package MyTypes::ArrayOfAggregateInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %AggregateInfo_of :ATTR(:get<AggregateInfo>);

__PACKAGE__->_factory(
    [ qw(        AggregateInfo

    ) ],
    {
        'AggregateInfo' => \%AggregateInfo_of,
    },
    {
        'AggregateInfo' => 'MyTypes::AggregateInfo',
    },
    {

        'AggregateInfo' => 'AggregateInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfAggregateInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfAggregateInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * AggregateInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfAggregateInfo
   AggregateInfo =>  { # MyTypes::AggregateInfo
     AggregateFullThreshold => $some_value, # atomic
     AggregateId => $some_value, # atomic
     AggregateName =>  $some_value, # string
     AggregateNearlyFullThreshold => $some_value, # atomic
     AggregateNearlyOvercommittedThreshold =>  $some_value, # unsignedShort
     AggregateOvercommittedThreshold =>  $some_value, # unsignedShort
     AggregatePerfStatus => $some_value, # ObjStatus
     AggregateSize =>  { # MyTypes::AggregateSize
       SizeAvailable => $some_value, # atomic
       SizeTotal => $some_value, # atomic
       SizeUsed => $some_value, # atomic
       SpaceTotalCommitted => $some_value, # atomic
     },
     AggregateSpaceStatus => $some_value, # ObjectSpaceStatus
     AggregateStatus => $some_value, # ObjStatus
     AggregateType =>  $some_value, # string
     BlockType => $some_value, # FileSystemBlockType
     Datasets =>  { # MyTypes::ArrayOfDatasetReference
       DatasetReference =>  { # MyTypes::DatasetReference
         DatasetId => $some_value, # ObjId
         DatasetName => $some_value, # ObjName
       },
     },
     DatasetsSpaceInfo =>  { # MyTypes::ArrayOfDatasetSpaceInfo
       DatasetSpaceInfo =>  { # MyTypes::DatasetSpaceInfo
         DatasetId => $some_value, # ObjId
         DatasetName => $some_value, # ObjName
         DpNodeId => $some_value, # atomic
         DpNodeName =>  $some_value, # string
         IsCapableOfMigration =>  $some_value, # boolean
         IsDpNodeEffectivePrimary =>  $some_value, # boolean
         UsedSpace =>  $some_value, # unsignedLong
       },
     },
     FilerId => $some_value, # atomic
     FilerName =>  $some_value, # string
     IsAvailable =>  $some_value, # boolean
     IsDpIgnored =>  $some_value, # boolean
     IsInDataset =>  $some_value, # boolean
     ResourcepoolName => $some_value, # ObjName
     TimeToFull => $some_value, # atomic
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

