package MyTypes::ArrayOfApplicationBackupScheduleInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ApplicationBackupScheduleInfo_of :ATTR(:get<ApplicationBackupScheduleInfo>);

__PACKAGE__->_factory(
    [ qw(        ApplicationBackupScheduleInfo

    ) ],
    {
        'ApplicationBackupScheduleInfo' => \%ApplicationBackupScheduleInfo_of,
    },
    {
        'ApplicationBackupScheduleInfo' => 'MyTypes::ApplicationBackupScheduleInfo',
    },
    {

        'ApplicationBackupScheduleInfo' => 'ApplicationBackupScheduleInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfApplicationBackupScheduleInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfApplicationBackupScheduleInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ApplicationBackupScheduleInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfApplicationBackupScheduleInfo
   ApplicationBackupScheduleInfo =>  { # MyTypes::ApplicationBackupScheduleInfo
     HypervBackupScheduleSettingsInfo =>  { # MyTypes::HypervBackupScheduleSettingsInfo
       AllowSavedStateBackup =>  $some_value, # boolean
     },
     RetentionType => $some_value, # DpBackupRetentionType
     ScheduleId =>  $some_value, # integer
     SimpleScheduleInfo =>  { # MyTypes::SimpleScheduleInfo
       DaysOfMonth =>  { # MyTypes::ArrayOfDayOfMonth
         DayOfMonth => $some_value, # DayOfMonth
       },
       DaysOfWeek =>  { # MyTypes::ArrayOfDayOfWeek
         DayOfWeek => $some_value, # DayOfWeek
       },
       TimesOfDayInfo =>  { # MyTypes::TimesOfDayInfo
         EndTime =>  { # MyTypes::WrapperOfTimeOfDayInfo
           TimeOfDayInfo =>  { # MyTypes::TimeOfDayInfo
             Hour => $some_value, # atomic
             Minute => $some_value, # atomic
           },
         },
         Frequency => $some_value, # atomic
         StartTime =>  { # MyTypes::WrapperOfTimeOfDayInfo
           TimeOfDayInfo =>  { # MyTypes::TimeOfDayInfo
             Hour => $some_value, # atomic
             Minute => $some_value, # atomic
           },
         },
       },
     },
     StartRemoteBackupAfterLocalBackup =>  $some_value, # boolean
     VmwareBackupScheduleSettingsInfo =>  { # MyTypes::VmwareBackupScheduleSettingsInfo
       CreateVmwareSnapshot =>  $some_value, # boolean
       IncludeIndependentDisks =>  $some_value, # boolean
     },
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

