package MyTypes::ArrayOfDatasetDynamicReferenceInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DatasetDynamicReferenceInfo_of :ATTR(:get<DatasetDynamicReferenceInfo>);

__PACKAGE__->_factory(
    [ qw(        DatasetDynamicReferenceInfo

    ) ],
    {
        'DatasetDynamicReferenceInfo' => \%DatasetDynamicReferenceInfo_of,
    },
    {
        'DatasetDynamicReferenceInfo' => 'MyTypes::DatasetDynamicReferenceInfo',
    },
    {

        'DatasetDynamicReferenceInfo' => 'DatasetDynamicReferenceInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfDatasetDynamicReferenceInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfDatasetDynamicReferenceInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DatasetDynamicReferenceInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfDatasetDynamicReferenceInfo
   DatasetDynamicReferenceInfo =>  { # MyTypes::DatasetDynamicReferenceInfo
     DpNodeName => $some_value, # DpPolicyNodeName
     DynamicReferenceId => $some_value, # ObjId
     DynamicReferenceName => $some_value, # ObjName
     DynamicReferenceStatus => $some_value, # ObjStatus
     DynamicReferenceSubtype =>  $some_value, # string
     DynamicReferenceType =>  $some_value, # string
     IsAvailable =>  $some_value, # boolean
     IsDeleted =>  $some_value, # boolean
     StoragesetId => $some_value, # ObjId
     StoragesetName => $some_value, # ObjName
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

