package MyTypes::ArrayOfDpBackupContentInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DpBackupContentInfo_of :ATTR(:get<DpBackupContentInfo>);

__PACKAGE__->_factory(
    [ qw(        DpBackupContentInfo

    ) ],
    {
        'DpBackupContentInfo' => \%DpBackupContentInfo_of,
    },
    {
        'DpBackupContentInfo' => 'MyTypes::DpBackupContentInfo',
    },
    {

        'DpBackupContentInfo' => 'DpBackupContentInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfDpBackupContentInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfDpBackupContentInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DpBackupContentInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfDpBackupContentInfo
   DpBackupContentInfo =>  { # MyTypes::DpBackupContentInfo
     DpFileInfo =>  { # MyTypes::DpFileInfo
       ChildCount => $some_value, # atomic
       FileName =>  $some_value, # string
       FileSize =>  $some_value, # unsignedLong
       FileType =>  $some_value, # string
       IsEmpty =>  $some_value, # boolean
       LastModifiedTimestamp =>  $some_value, # integer
     },
     PrimarySnapshotName =>  $some_value, # string
     PrimarySnapshotUniqueId =>  $some_value, # string
     RootObjectId => $some_value, # ObjId
     RootObjectName =>  $some_value, # string
     RootObjectType =>  $some_value, # string
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

