package MyTypes::ArrayOfDpBackupTransferInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DpBackupTransferInfo_of :ATTR(:get<DpBackupTransferInfo>);

__PACKAGE__->_factory(
    [ qw(        DpBackupTransferInfo

    ) ],
    {
        'DpBackupTransferInfo' => \%DpBackupTransferInfo_of,
    },
    {
        'DpBackupTransferInfo' => 'MyTypes::DpBackupTransferInfo',
    },
    {

        'DpBackupTransferInfo' => 'DpBackupTransferInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfDpBackupTransferInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfDpBackupTransferInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DpBackupTransferInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfDpBackupTransferInfo
   DpBackupTransferInfo =>  { # MyTypes::DpBackupTransferInfo
     BackupTransferNeeded =>  $some_value, # boolean
     BackupTransferStatus =>  $some_value, # string
     ConnectionType =>  $some_value, # string
     DestinationBackupId => $some_value, # atomic
     DestinationNodeId => $some_value, # atomic
     DestinationNodeName =>  $some_value, # string
     DestinationStoragesetId => $some_value, # atomic
     JobId =>  $some_value, # integer
     SourceBackupId => $some_value, # atomic
     SourceNodeId => $some_value, # atomic
     SourceNodeName =>  $some_value, # string
     SourceStoragesetId => $some_value, # atomic
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

