package MyTypes::ArrayOfDpRelationshipInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DpRelationshipInfo_of :ATTR(:get<DpRelationshipInfo>);

__PACKAGE__->_factory(
    [ qw(        DpRelationshipInfo

    ) ],
    {
        'DpRelationshipInfo' => \%DpRelationshipInfo_of,
    },
    {
        'DpRelationshipInfo' => 'MyTypes::DpRelationshipInfo',
    },
    {

        'DpRelationshipInfo' => 'DpRelationshipInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfDpRelationshipInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfDpRelationshipInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DpRelationshipInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfDpRelationshipInfo
   DpRelationshipInfo =>  { # MyTypes::DpRelationshipInfo
     DatasetId => $some_value, # ObjId
     DatasetName => $some_value, # ObjName
     DeletedBy =>  $some_value, # string
     DeletedTimestamp => $some_value, # DpTimestamp
     DestinationAggregateId => $some_value, # ObjId
     DestinationFullName => $some_value, # ObjFullName
     DestinationHostId => $some_value, # ObjId
     DestinationHostName => $some_value, # ObjFullName
     DestinationId => $some_value, # ObjId
     DestinationName => $some_value, # ObjName
     DestinationStoragesetId => $some_value, # ObjId
     DestinationType => $some_value, # RelationshipEndpointType
     DestinationVolumeId => $some_value, # ObjId
     DiscoveredTimestamp => $some_value, # DpTimestamp
     IsDpIgnored =>  $some_value, # boolean
     IsDpImported =>  $some_value, # boolean
     IsDpManaged =>  $some_value, # boolean
     IsDpOrphan =>  $some_value, # boolean
     IsDpRedundant =>  $some_value, # boolean
     IsInDataset =>  $some_value, # boolean
     Lag => $some_value, # atomic
     LagStatus => $some_value, # ObjStatus
     OperationalStatus => $some_value, # OperationalStatus
     RelationshipId => $some_value, # ObjId
     RelationshipState => $some_value, # RelationshipState
     RelationshipType => $some_value, # RelationshipType
     SourceAggregateId => $some_value, # ObjId
     SourceFullName => $some_value, # ObjFullName
     SourceHostId => $some_value, # ObjId
     SourceHostName => $some_value, # ObjFullName
     SourceId => $some_value, # ObjId
     SourceName => $some_value, # ObjName
     SourceStoragesetId => $some_value, # ObjId
     SourceType => $some_value, # RelationshipEndpointType
     SourceVolumeId => $some_value, # ObjId
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

