package MyTypes::ArrayOfHostClientStats;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %HostClientStats_of :ATTR(:get<HostClientStats>);

__PACKAGE__->_factory(
    [ qw(        HostClientStats

    ) ],
    {
        'HostClientStats' => \%HostClientStats_of,
    },
    {
        'HostClientStats' => 'MyTypes::HostClientStats',
    },
    {

        'HostClientStats' => 'HostClientStats',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfHostClientStats

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfHostClientStats from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * HostClientStats




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfHostClientStats
   HostClientStats =>  { # MyTypes::HostClientStats
     CollectionPeriod => $some_value, # atomic
     ObjectId => $some_value, # ObjId
     ObjectName => $some_value, # ObjName
     StartTime => $some_value, # Timestamp
     StatId => $some_value, # StatId
     Stats =>  { # MyTypes::ArrayOfClientStats
       ClientStats =>  { # MyTypes::ClientStats
         CifsOpStats =>  { # MyTypes::CifsOpStats
           OtherOperations => $some_value, # atomic
           ReadOperations => $some_value, # atomic
           WriteOperations => $some_value, # atomic
         },
         ClientNameOrIp =>  $some_value, # string
         NfsOpStats =>  { # MyTypes::NfsOpStats
           OtherOperations => $some_value, # atomic
           ReadOperations => $some_value, # atomic
           WriteOperations => $some_value, # atomic
         },
       },
     },
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

