package MyTypes::ArrayOfHostDomainuserInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %HostDomainuserInfo_of :ATTR(:get<HostDomainuserInfo>);

__PACKAGE__->_factory(
    [ qw(        HostDomainuserInfo

    ) ],
    {
        'HostDomainuserInfo' => \%HostDomainuserInfo_of,
    },
    {
        'HostDomainuserInfo' => 'MyTypes::HostDomainuserInfo',
    },
    {

        'HostDomainuserInfo' => 'HostDomainuserInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfHostDomainuserInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfHostDomainuserInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * HostDomainuserInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfHostDomainuserInfo
   HostDomainuserInfo =>  { # MyTypes::HostDomainuserInfo
     Sid => $some_value, # Sid
     Capabilities =>  { # MyTypes::ArrayOfCapability
       Capability => $some_value, # Capability
     },
     HostDomainuserId => $some_value, # AccessObjectId
     HostDomainuserName => $some_value, # DomainuserName
     HostId => $some_value, # ObjId
     HostName => $some_value, # ObjName
     HostRoleIds =>  { # MyTypes::ArrayOfHostRoleId
       HostRoleId => $some_value, # HostRoleId
     },
     HostRoleNames =>  { # MyTypes::ArrayOfHostRoleName
       HostRoleName => $some_value, # HostRoleName
     },
     HostUsergroupIds =>  { # MyTypes::ArrayOfHostUsergroupId
       HostUsergroupId => $some_value, # HostUsergroupId
     },
     HostUsergroupNames =>  { # MyTypes::ArrayOfHostUsergroupName
       HostUsergroupName => $some_value, # HostUsergroupName
     },
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

