package MyTypes::ArrayOfHypervisor;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Hypervisor_of :ATTR(:get<Hypervisor>);

__PACKAGE__->_factory(
    [ qw(        Hypervisor

    ) ],
    {
        'Hypervisor' => \%Hypervisor_of,
    },
    {
        'Hypervisor' => 'MyTypes::Hypervisor',
    },
    {

        'Hypervisor' => 'Hypervisor',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfHypervisor

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfHypervisor from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Hypervisor




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfHypervisor
   Hypervisor =>  { # MyTypes::Hypervisor
     DatacenterName =>  $some_value, # string
     DatacenterReference =>  { # MyTypes::DatacenterReference
       DatacenterId => $some_value, # ObjId
       DatacenterName => $some_value, # ObjName
     },
     DeletedBy =>  $some_value, # string
     DeletedTimestamp => $some_value, # DpTimestamp
     DomainName =>  $some_value, # string
     HostServiceId => $some_value, # ObjId
     HypervisorId => $some_value, # ObjId
     HypervisorName => $some_value, # ObjName
     IpAddress => $some_value, # IpAddress
     VirtualCenterName =>  $some_value, # string
     VirtualCenterReference =>  { # MyTypes::VirtualCenterReference
       VirtualCenterId => $some_value, # ObjId
       VirtualCenterName => $some_value, # ObjName
     },
     VirtualInfrastructureType => $some_value, # VirtualInfrastructureType
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

