package MyTypes::ArrayOfLunInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %LunInfo_of :ATTR(:get<LunInfo>);

__PACKAGE__->_factory(
    [ qw(        LunInfo

    ) ],
    {
        'LunInfo' => \%LunInfo_of,
    },
    {
        'LunInfo' => 'MyTypes::LunInfo',
    },
    {

        'LunInfo' => 'LunInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfLunInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfLunInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * LunInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfLunInfo
   LunInfo =>  { # MyTypes::LunInfo
     HostId => $some_value, # ObjId
     HostName => $some_value, # ObjName
     Igroups =>  { # MyTypes::ArrayOfIgroupReference
       IgroupReference =>  { # MyTypes::IgroupReference
         IgroupId => $some_value, # ObjId
         IgroupName => $some_value, # ObjName
       },
     },
     IsLunSpaceReserved =>  $some_value, # boolean
     LunId => $some_value, # ObjId
     LunPath => $some_value, # ObjName
     LunSerialNumber =>  $some_value, # string
     LunSize => $some_value, # atomic
     LunUsedSpace => $some_value, # atomic
     ObjectPerfStatus => $some_value, # ObjStatus
     ObjectStatus => $some_value, # ObjStatus
     QtreeId => $some_value, # ObjId
     QtreeName => $some_value, # ObjName
     VolumeId => $some_value, # ObjId
     VolumeName => $some_value, # ObjName
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

