package MyTypes::ArrayOfPerfLine;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %PerfLine_of :ATTR(:get<PerfLine>);

__PACKAGE__->_factory(
    [ qw(        PerfLine

    ) ],
    {
        'PerfLine' => \%PerfLine_of,
    },
    {
        'PerfLine' => 'MyTypes::PerfLine',
    },
    {

        'PerfLine' => 'PerfLine',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfPerfLine

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfPerfLine from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * PerfLine




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfPerfLine
   PerfLine =>  { # MyTypes::PerfLine
     Color =>  $some_value, # string
     DataGroup =>  { # MyTypes::WrapperOfPerfDataGroup
       PerfDataGroup =>  { # MyTypes::PerfDataGroup
         DataGroupMethod =>  $some_value, # string
         DataSources =>  { # MyTypes::ArrayOfPerfDataSource
           PerfDataSource =>  { # MyTypes::PerfDataSource
             ApplianceNameOrId =>  $some_value, # string
             CounterName =>  $some_value, # string
             GroupNameOrId =>  $some_value, # string
             InstanceName =>  $some_value, # string
             LabelNames =>  $some_value, # string
             ObjectFullName => $some_value, # ObjFullName
             ObjectName =>  $some_value, # string
             ObjectNameOrId => $some_value, # ObjNameOrId
             ObjectType =>  $some_value, # string
           },
         },
       },
     },
     LineName =>  $some_value, # string
     Type =>  $some_value, # string
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

