package MyTypes::ArrayOfProtectionStatusProblem;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ProtectionStatusProblem_of :ATTR(:get<ProtectionStatusProblem>);

__PACKAGE__->_factory(
    [ qw(        ProtectionStatusProblem

    ) ],
    {
        'ProtectionStatusProblem' => \%ProtectionStatusProblem_of,
    },
    {
        'ProtectionStatusProblem' => 'MyTypes::ProtectionStatusProblem',
    },
    {

        'ProtectionStatusProblem' => 'ProtectionStatusProblem',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfProtectionStatusProblem

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfProtectionStatusProblem from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ProtectionStatusProblem




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfProtectionStatusProblem
   ProtectionStatusProblem =>  { # MyTypes::ProtectionStatusProblem
     ProtectionStatusDescription =>  $some_value, # string
     ProtectionStatusJobDetails =>  { # MyTypes::ArrayOfProtectionStatusJobDetail
       ProtectionStatusJobDetail =>  { # MyTypes::ProtectionStatusJobDetail
         ProtectionStatusJobDescription =>  $some_value, # string
         ProtectionStatusJobId => $some_value, # atomic
         ProtectionStatusJobStatus => $some_value, # DpJobOverallStatus
         ProtectionStatusJobType => $some_value, # DpJobType
       },
     },
     ProtectionStatusName =>  $some_value, # string
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

