package MyTypes::ArrayOfProvisioningPolicyInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ProvisioningPolicyInfo_of :ATTR(:get<ProvisioningPolicyInfo>);

__PACKAGE__->_factory(
    [ qw(        ProvisioningPolicyInfo

    ) ],
    {
        'ProvisioningPolicyInfo' => \%ProvisioningPolicyInfo_of,
    },
    {
        'ProvisioningPolicyInfo' => 'MyTypes::ProvisioningPolicyInfo',
    },
    {

        'ProvisioningPolicyInfo' => 'ProvisioningPolicyInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfProvisioningPolicyInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfProvisioningPolicyInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ProvisioningPolicyInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfProvisioningPolicyInfo
   ProvisioningPolicyInfo =>  { # MyTypes::ProvisioningPolicyInfo
     AdvancedOptions =>  { # MyTypes::ArrayOfAdvancedOptionInfo
       AdvancedOptionInfo =>  { # MyTypes::AdvancedOptionInfo
         OptionName =>  $some_value, # string
         OptionValue =>  $some_value, # string
       },
     },
     CustomProvisioningScriptSettings =>  { # MyTypes::CustomProvisioningScriptSettings
       ScriptPath =>  $some_value, # string
     },
     DatasetMemberUsedSpaceThresholds =>  { # MyTypes::DatasetMemberUsedSpaceThresholds
       FullThreshold => $some_value, # atomic
       NearlyFullThreshold => $some_value, # atomic
     },
     DedupeEnabled =>  $some_value, # boolean
     DedupeSchedule =>  $some_value, # string
     IsPolicyReadonly =>  $some_value, # boolean
     NasContainerSettings =>  { # MyTypes::NasContainerSettings
       AutoDeleteSnapshots =>  $some_value, # boolean
       AutoGrowCapacity =>  $some_value, # boolean
       DefaultGroupQuota => $some_value, # atomic
       DefaultUserQuota => $some_value, # atomic
       SnapshotReserve =>  $some_value, # boolean
       SpaceOnDemand =>  $some_value, # boolean
       StorageContainerType => $some_value, # StorageContainerType
       ThinProvision =>  $some_value, # boolean
     },
     ProvisioningPolicyDescription =>  $some_value, # string
     ProvisioningPolicyId => $some_value, # ObjId
     ProvisioningPolicyName => $some_value, # ObjName
     ProvisioningPolicyType => $some_value, # ProvisioningPolicyType
     ResourceTag =>  $some_value, # string
     SanContainerSettings =>  { # MyTypes::SanContainerSettings
       GuaranteeWrites =>  $some_value, # boolean
       StorageContainerType => $some_value, # StorageContainerType
       ThinProvision =>  $some_value, # boolean
       ThinProvisioningConfiguration =>  $some_value, # string
     },
     StorageReliability =>  { # MyTypes::StorageReliability
       ControllerFailure =>  $some_value, # boolean
       DiskFailure =>  $some_value, # string
       SubSystemFailure =>  $some_value, # boolean
     },
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

