package MyTypes::ArrayOfQtreeInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %QtreeInfo_of :ATTR(:get<QtreeInfo>);

__PACKAGE__->_factory(
    [ qw(        QtreeInfo

    ) ],
    {
        'QtreeInfo' => \%QtreeInfo_of,
    },
    {
        'QtreeInfo' => 'MyTypes::QtreeInfo',
    },
    {

        'QtreeInfo' => 'QtreeInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfQtreeInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfQtreeInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * QtreeInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfQtreeInfo
   QtreeInfo =>  { # MyTypes::QtreeInfo
     DatasetId => $some_value, # atomic
     Datasets =>  { # MyTypes::ArrayOfDatasetReference
       DatasetReference =>  { # MyTypes::DatasetReference
         DatasetId => $some_value, # ObjId
         DatasetName => $some_value, # ObjName
       },
     },
     FilerId => $some_value, # atomic
     FilerName =>  $some_value, # string
     IsAvailable =>  $some_value, # boolean
     IsDirectVfilerChild =>  $some_value, # boolean
     IsDpIgnored =>  $some_value, # boolean
     IsInDataset =>  $some_value, # boolean
     IsSnapvaultSecondaryQtree =>  $some_value, # boolean
     QtreeId => $some_value, # atomic
     QtreeName =>  $some_value, # string
     QtreeSize =>  { # MyTypes::WrapperOfQtreeSizeInfo
       QtreeSizeInfo =>  { # MyTypes::QtreeSizeInfo
         FilesLimit =>  $some_value, # integer
         FilesUsed =>  $some_value, # integer
         HardLimit => $some_value, # atomic
         QtreePerfStatus => $some_value, # ObjStatus
         QtreeStatus => $some_value, # ObjStatus
         SoftLimit => $some_value, # atomic
         SpaceUsed => $some_value, # atomic
       },
     },
     VolumeId => $some_value, # atomic
     VolumeName =>  $some_value, # string
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

