package MyTypes::ArrayOfVersionMemberInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %VersionMemberInfo_of :ATTR(:get<VersionMemberInfo>);

__PACKAGE__->_factory(
    [ qw(        VersionMemberInfo

    ) ],
    {
        'VersionMemberInfo' => \%VersionMemberInfo_of,
    },
    {
        'VersionMemberInfo' => 'MyTypes::VersionMemberInfo',
    },
    {

        'VersionMemberInfo' => 'VersionMemberInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfVersionMemberInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfVersionMemberInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * VersionMemberInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfVersionMemberInfo
   VersionMemberInfo =>  { # MyTypes::VersionMemberInfo
     HostAddress => $some_value, # IpAddress
     HostFqdn =>  $some_value, # string
     HostId => $some_value, # ObjId
     IsAvailable =>  $some_value, # boolean
     SnapshotContents =>  { # MyTypes::ArrayOfSnapshotMemberInfo
       SnapshotMemberInfo =>  { # MyTypes::SnapshotMemberInfo
         PrimaryId => $some_value, # ObjId
         PrimaryName => $some_value, # ObjName
         PrimarySnapshotHostServiceId =>  $some_value, # string
         PrimarySnapshotName =>  $some_value, # string
         PrimarySnapshotUniqueId =>  $some_value, # string
         SecondaryQtreeId => $some_value, # ObjId
         SecondaryQtreeName =>  $some_value, # string
         SecondaryQtreeNameOrId =>  $some_value, # string
       },
     },
     SnapshotName =>  $some_value, # string
     SnapshotUniqueId =>  $some_value, # string
     VolumeId => $some_value, # ObjId
     VolumeName => $some_value, # ObjName
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

