package MyTypes::CifsDomainInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %CifsDnsDomainName_of :ATTR(:get<CifsDnsDomainName>);
my %CifsDomainId_of :ATTR(:get<CifsDomainId>);
my %CifsDomainName_of :ATTR(:get<CifsDomainName>);

__PACKAGE__->_factory(
    [ qw(        CifsDnsDomainName
        CifsDomainId
        CifsDomainName

    ) ],
    {
        'CifsDnsDomainName' => \%CifsDnsDomainName_of,
        'CifsDomainId' => \%CifsDomainId_of,
        'CifsDomainName' => \%CifsDomainName_of,
    },
    {
        'CifsDnsDomainName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'CifsDomainId' => 'MyTypes::CifsDomainInfo::_CifsDomainId',
        'CifsDomainName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'CifsDnsDomainName' => 'CifsDnsDomainName',
        'CifsDomainId' => 'CifsDomainId',
        'CifsDomainName' => 'CifsDomainName',
    }
);

} # end BLOCK




package MyTypes::CifsDomainInfo::_CifsDomainId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}






1;


=pod

=head1 NAME

MyTypes::CifsDomainInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
CifsDomainInfo from the namespace http://www.netapp.com/management/v1.

Details of the cifs domain.




=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * CifsDnsDomainName


=item * CifsDomainId


=item * CifsDomainName




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::CifsDomainInfo
   CifsDnsDomainName =>  $some_value, # string
   CifsDomainId => $some_value, # atomic
   CifsDomainName =>  $some_value, # string
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

