package MyTypes::DatasetMemberUsedSpaceThresholds;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %FullThreshold_of :ATTR(:get<FullThreshold>);
my %NearlyFullThreshold_of :ATTR(:get<NearlyFullThreshold>);

__PACKAGE__->_factory(
    [ qw(        FullThreshold
        NearlyFullThreshold

    ) ],
    {
        'FullThreshold' => \%FullThreshold_of,
        'NearlyFullThreshold' => \%NearlyFullThreshold_of,
    },
    {

        'FullThreshold' => 'MyTypes::DatasetMemberUsedSpaceThresholds::_FullThreshold',

        'NearlyFullThreshold' => 'MyTypes::DatasetMemberUsedSpaceThresholds::_NearlyFullThreshold',
    },
    {

        'FullThreshold' => 'FullThreshold',
        'NearlyFullThreshold' => 'NearlyFullThreshold',
    }
);

} # end BLOCK




package MyTypes::DatasetMemberUsedSpaceThresholds::_FullThreshold;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyTypes::DatasetMemberUsedSpaceThresholds::_NearlyFullThreshold;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}






1;


=pod

=head1 NAME

MyTypes::DatasetMemberUsedSpaceThresholds

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
DatasetMemberUsedSpaceThresholds from the namespace http://www.netapp.com/management/v1.

Full and nearly full Thresholds for generating Events on used space of Dataset Members.




=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * FullThreshold


=item * NearlyFullThreshold




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::DatasetMemberUsedSpaceThresholds
   FullThreshold => $some_value, # atomic
   NearlyFullThreshold => $some_value, # atomic
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

