package MyTypes::DpLocalSnapshotJobData;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %IsConfirmationData_of :ATTR(:get<IsConfirmationData>);
my %NodeId_of :ATTR(:get<NodeId>);
my %RetentionType_of :ATTR(:get<RetentionType>);

__PACKAGE__->_factory(
    [ qw(        IsConfirmationData
        NodeId
        RetentionType

    ) ],
    {
        'IsConfirmationData' => \%IsConfirmationData_of,
        'NodeId' => \%NodeId_of,
        'RetentionType' => \%RetentionType_of,
    },
    {
        'IsConfirmationData' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',

        'NodeId' => 'MyTypes::DpLocalSnapshotJobData::_NodeId',
        'RetentionType' => 'MyTypes::DpBackupRetentionType',
    },
    {

        'IsConfirmationData' => 'IsConfirmationData',
        'NodeId' => 'NodeId',
        'RetentionType' => 'RetentionType',
    }
);

} # end BLOCK




package MyTypes::DpLocalSnapshotJobData::_NodeId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}






1;


=pod

=head1 NAME

MyTypes::DpLocalSnapshotJobData

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
DpLocalSnapshotJobData from the namespace http://www.netapp.com/management/v1.

Data for local-snapshot job. If this element is present, job is responsible for taking a local Snapshot of data on the storageset associated with the specified node.




=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * IsConfirmationData


=item * NodeId


=item * RetentionType




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::DpLocalSnapshotJobData
   IsConfirmationData =>  $some_value, # boolean
   NodeId => $some_value, # atomic
   RetentionType => $some_value, # DpBackupRetentionType
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

