package MyTypes::DpProgressSnapshotInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %SnapshotName_of :ATTR(:get<SnapshotName>);
my %VolumeId_of :ATTR(:get<VolumeId>);
my %VolumeName_of :ATTR(:get<VolumeName>);

__PACKAGE__->_factory(
    [ qw(        SnapshotName
        VolumeId
        VolumeName

    ) ],
    {
        'SnapshotName' => \%SnapshotName_of,
        'VolumeId' => \%VolumeId_of,
        'VolumeName' => \%VolumeName_of,
    },
    {
        'SnapshotName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'VolumeId' => 'MyTypes::DpProgressSnapshotInfo::_VolumeId',
        'VolumeName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'SnapshotName' => 'SnapshotName',
        'VolumeId' => 'VolumeId',
        'VolumeName' => 'VolumeName',
    }
);

} # end BLOCK




package MyTypes::DpProgressSnapshotInfo::_VolumeId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}






1;


=pod

=head1 NAME

MyTypes::DpProgressSnapshotInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
DpProgressSnapshotInfo from the namespace http://www.netapp.com/management/v1.

Information about the creation or deletion of a Snapshot.




=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * SnapshotName


=item * VolumeId


=item * VolumeName




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::DpProgressSnapshotInfo
   SnapshotName =>  $some_value, # string
   VolumeId => $some_value, # atomic
   VolumeName =>  $some_value, # string
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

