package MyTypes::DpSnapmirrorTransferJobData;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ConnectionId_of :ATTR(:get<ConnectionId>);
my %RetentionType_of :ATTR(:get<RetentionType>);

__PACKAGE__->_factory(
    [ qw(        ConnectionId
        RetentionType

    ) ],
    {
        'ConnectionId' => \%ConnectionId_of,
        'RetentionType' => \%RetentionType_of,
    },
    {

        'ConnectionId' => 'MyTypes::DpSnapmirrorTransferJobData::_ConnectionId',
        'RetentionType' => 'MyTypes::DpBackupRetentionType',
    },
    {

        'ConnectionId' => 'ConnectionId',
        'RetentionType' => 'RetentionType',
    }
);

} # end BLOCK




package MyTypes::DpSnapmirrorTransferJobData::_ConnectionId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}






1;


=pod

=head1 NAME

MyTypes::DpSnapmirrorTransferJobData

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
DpSnapmirrorTransferJobData from the namespace http://www.netapp.com/management/v1.

Data for snapmirror-transfer job. If this element is present, job is responsible for transferring data between two storagesets associated with the specified connection using SnapMirror Protocol.




=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ConnectionId


=item * RetentionType




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::DpSnapmirrorTransferJobData
   ConnectionId => $some_value, # atomic
   RetentionType => $some_value, # DpBackupRetentionType
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

