package MyTypes::MonitorName;
use strict;
use warnings;

sub get_xmlns { 'http://www.netapp.com/management/v1'};

# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::string);



1;

__END__

=pod

=head1 NAME



=head1 DESCRIPTION

Perl data type class for the XML Schema defined simpleType
MonitorName from the namespace http://www.netapp.com/management/v1.

Specifies Name of a monitor To be scheduled To run. Possible Values are as follows: <UL> <LI>"agent" - refreshes agent information <LI>"cache" - refreshes net cache information <LI>"cluster_failover" - refreshes cluster fail over information <LI>"config_conformance" - checks a storage system's configuration for conformance <LI>"connectivity" - checks connectivity of a given Host <LI>"cpu" - refreshes cpu related information <LI>"disk_free_space" - refreshes disk free space of a Host <LI>"disk_status" - refreshes disk Status of a Host <LI>"env" - refreshes environmentals of a Host <LI>"fibre_channel" - refreshes fibre channel information <LI>"file_system" - refreshes file system information of Host <LI>"interface_status" - refreshes network related information of a Host <LI>"License" - collects License information From Hosts <LI>"Lun" - collects Lun information From Host <LI>"ndmp" - refreshes ndmp ping Timestamp <LI>"ndmp_credentials" - refreshes ndmp credentials Timestamp <LI>"ops" - refreshes file system Operation Count of a Host <LI>"ping" - refreshes ping Status of a Host <LI>"Qtree" - refreshes Qtree data using snmp <LI>"qtree_xml" - refreshes Qtree data using zapi <LI>"san" - refresh SAN information of a Host Agent <LI>"share" - refreshes shares information of a Host <LI>"snapmirror" - refreshes snap mirror information <LI>"Snapshot" - refreshes snap shot information <LI>"snapvault" - refreshes snap vault information <LI>"snapvault_dir" - refreshes Directories on OSSV Hosts; monitor applicable only for OSSV Hosts <LI>"srm" - refresh SRM information of a Host Agent <LI>"Status" - refreshes global Status of a Host <LI>"sysinfo" - refreshes system information of a Host <LI>"userquota" - refreshes user quota information of a Host <LI>"Vfiler" - refreshes Vfiler information of a hosting storage system </UL>



This clase is derived from 
   SOAP::WSDL::XSD::Typelib::Builtin::string
. SOAP::WSDL's schema implementation does not validate data, so you can use it exactly
like it's base type.

# Description of restrictions not implemented yet.


=head1 METHODS

=head2 new

Constructor.

=head2 get_value / set_value

Getter and setter for the simpleType's value.

=head1 OVERLOADING

Depending on the simple type's base type, the following operations are overloaded

 Stringification
 Numerification
 Boolification

Check L<SOAP::WSDL::XSD::Typelib::Builtin> for more information.

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

