package MyTypes::ObjNameOrId;
use strict;
use warnings;

sub get_xmlns { 'http://www.netapp.com/management/v1'};

# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::string);



1;

__END__

=pod

=head1 NAME



=head1 DESCRIPTION

Perl data type class for the XML Schema defined simpleType
ObjNameOrId from the namespace http://www.netapp.com/management/v1.

Name or internal ID of a DFM object. This typedef is an alias for the builtin ZAPI Type <b>string</b>. An <b>ObjNameOrId</b> must contain between 1 and 64 characters, and must conform To one of the following formats: <ul> <li> It must have the format of an <b>ObjName</b>, or <li> It must be the decimal numeric string form of a positive integer whose Value is in the range [1..2^31 - 1]. </ul> Elements of Type <b>ObjNameOrId</b> are used only as inputs To ZAPIs. The Value must Match either the Name or internal ID of an existing DFM object. The ZAPI must specify the object's DFM object Type (e.g. Dataset, Host, DP Policy, etc.). Some ZAPIs allow the object To be one of several different types. <p> If the format of an <b>ObjNameOrId</b> input element does not conform, or the Value does not Match the Name or ID of an existing object, then generally the ZAPI documents that it fails with Error code <b>EOBJECTNOTFOUND</b>. A ZAPI may return more specific Error codes. In such cases, the ZAPI specification must document its behavior. <p> If a ZAPI can accept a null Value (e.g. reference To no object at all) for such an element, then the element is declared <b>optional</b>, and the absence of the input element represents a null Value.



This clase is derived from 
   SOAP::WSDL::XSD::Typelib::Builtin::string
. SOAP::WSDL's schema implementation does not validate data, so you can use it exactly
like it's base type.

# Description of restrictions not implemented yet.


=head1 METHODS

=head2 new

Constructor.

=head2 get_value / set_value

Getter and setter for the simpleType's value.

=head1 OVERLOADING

Depending on the simple type's base type, the following operations are overloaded

 Stringification
 Numerification
 Boolification

Check L<SOAP::WSDL::XSD::Typelib::Builtin> for more information.

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

