package MyTypes::OperationalStatus;
use strict;
use warnings;

sub get_xmlns { 'http://www.netapp.com/management/v1'};

# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::string);



1;

__END__

=pod

=head1 NAME



=head1 DESCRIPTION

Perl data type class for the XML Schema defined simpleType
OperationalStatus from the namespace http://www.netapp.com/management/v1.

Status of the relationship. Possible Values are "idle", "transferring", "pending", "aborting", "migrating", "quiescing", "resyncing", "waiting", "syncing", "in_sync" or "paused". <ul> <li>idle: No data is being transferred. <li>transferring: Transfer has been initiated, but has not yet finished, or is just finishing. <li>pending: The secondary storage system cannot be updated because of a Resource issue; the transfer is retried automatically. <li>aborting: A transfer is being aborted and cleaned up. <li>migrating: Valid only in case of 'qtree_snapmirror' or 'volume_snapmirror' relationships. <li>quiescing: The specified Volume or Qtree is waiting for all existing transfers To complete. The destination is being brought into a stable state. <li>resyncing: The specified Volume or Qtree is being matched with data in the common Snapshot copy. <li>waiting: Valid only in case of 'qtree_snapmirror' or 'volume_snapmirror' relationships. SnapMirror is waiting for a new tape To be put in the tape device. <li>syncing: Valid only in case of 'qtree_snapmirror' or 'volume_snapmirror' relationships. <li>in_sync: Valid only in case of 'qtree_snapmirror' or 'volume_snapmirror' relationships. <li>paused: Valid only in case of 'qtree_snapmirror' or 'volume_snapmirror' relationships. </ul>



This clase is derived from 
   SOAP::WSDL::XSD::Typelib::Builtin::string
. SOAP::WSDL's schema implementation does not validate data, so you can use it exactly
like it's base type.

# Description of restrictions not implemented yet.


=head1 METHODS

=head2 new

Constructor.

=head2 get_value / set_value

Getter and setter for the simpleType's value.

=head1 OVERLOADING

Depending on the simple type's base type, the following operations are overloaded

 Stringification
 Numerification
 Boolification

Check L<SOAP::WSDL::XSD::Typelib::Builtin> for more information.

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

