package MyTypes::ResizeVolumeRequestInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %MaximumCapacity_of :ATTR(:get<MaximumCapacity>);
my %NewSize_of :ATTR(:get<NewSize>);
my %SnapReserve_of :ATTR(:get<SnapReserve>);

__PACKAGE__->_factory(
    [ qw(        MaximumCapacity
        NewSize
        SnapReserve

    ) ],
    {
        'MaximumCapacity' => \%MaximumCapacity_of,
        'NewSize' => \%NewSize_of,
        'SnapReserve' => \%SnapReserve_of,
    },
    {

        'MaximumCapacity' => 'MyTypes::ResizeVolumeRequestInfo::_MaximumCapacity',

        'NewSize' => 'MyTypes::ResizeVolumeRequestInfo::_NewSize',

        'SnapReserve' => 'MyTypes::ResizeVolumeRequestInfo::_SnapReserve',
    },
    {

        'MaximumCapacity' => 'MaximumCapacity',
        'NewSize' => 'NewSize',
        'SnapReserve' => 'SnapReserve',
    }
);

} # end BLOCK




package MyTypes::ResizeVolumeRequestInfo::_MaximumCapacity;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyTypes::ResizeVolumeRequestInfo::_NewSize;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyTypes::ResizeVolumeRequestInfo::_SnapReserve;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}






1;


=pod

=head1 NAME

MyTypes::ResizeVolumeRequestInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ResizeVolumeRequestInfo from the namespace http://www.netapp.com/management/v1.

Details of the resize Request. Atleast one of NewSize, MaximumCapacity or SnapReserve needs To be specified.




=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * MaximumCapacity


=item * NewSize


=item * SnapReserve




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ResizeVolumeRequestInfo
   MaximumCapacity => $some_value, # atomic
   NewSize => $some_value, # atomic
   SnapReserve => $some_value, # atomic
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

