package MyTypes::SecondaryVolumeNameFormat;
use strict;
use warnings;

sub get_xmlns { 'http://www.netapp.com/management/v1'};

# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::string);



1;

__END__

=pod

=head1 NAME



=head1 DESCRIPTION

Perl data type class for the XML Schema defined simpleType
SecondaryVolumeNameFormat from the namespace http://www.netapp.com/management/v1.

Format string used To generate names for secondary Volumes created by Protection Manager. Allowed Values for this element "" (empty string) OR free form text with substitution tokens. The allowed tokens are <ol> <li>%L: Dataset label (dl), previously called the Dataset prefix. This is the <b>VolumeQtreeNamePrefix</b> element specified in <b>DatasetCreate</b> or <b>DatasetModify</b>. If the Dataset label is not set, substitute the Dataset Name instead. <li>%S: Primary storage system Name. The Name of the storage system of the Source Volume in the primary root node To which the current secondary Volume has a relationship with. <li>%V: Primary Volume Name. It is the Name of the Source Volume in the primary root node To which the current secondary Volume has a relationship with. <li>%C: Type of connection. It has only two Values, "mirror" or "backup" </ol> For configurable naming using %L, %C, %S and %V, users can use all the Attributes or some of them and they can order them anyway they want combined by user defined text e.g. %L_%C_%S_%V. Order of the Attributes can change for example. %C_%S_%L.



This clase is derived from 
   SOAP::WSDL::XSD::Typelib::Builtin::string
. SOAP::WSDL's schema implementation does not validate data, so you can use it exactly
like it's base type.

# Description of restrictions not implemented yet.


=head1 METHODS

=head2 new

Constructor.

=head2 get_value / set_value

Getter and setter for the simpleType's value.

=head1 OVERLOADING

Depending on the simple type's base type, the following operations are overloaded

 Stringification
 Numerification
 Boolification

Check L<SOAP::WSDL::XSD::Typelib::Builtin> for more information.

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

