package MyTypes::WrapperOfPerfObjectCounter;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %PerfObjectCounter_of :ATTR(:get<PerfObjectCounter>);

__PACKAGE__->_factory(
    [ qw(        PerfObjectCounter

    ) ],
    {
        'PerfObjectCounter' => \%PerfObjectCounter_of,
    },
    {
        'PerfObjectCounter' => 'MyTypes::PerfObjectCounter',
    },
    {

        'PerfObjectCounter' => 'PerfObjectCounter',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::WrapperOfPerfObjectCounter

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
WrapperOfPerfObjectCounter from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * PerfObjectCounter




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::WrapperOfPerfObjectCounter
   PerfObjectCounter =>  { # MyTypes::PerfObjectCounter
     CounterDescription =>  $some_value, # string
     CounterName =>  $some_value, # string
     IsCalculatedStats =>  $some_value, # boolean
     LabelNames =>  $some_value, # string
     Metrics =>  { # MyTypes::ArrayOfMetric
       Metric =>  { # MyTypes::Metric
         Id =>  $some_value, # string
         MetricResult =>  $some_value, # string
         Period => $some_value, # atomic
         Slide =>  $some_value, # string
         Type =>  $some_value, # string
         Value =>  $some_value, # string
       },
     },
     ObjectType =>  $some_value, # string
     PerfLabels =>  { # MyTypes::ArrayOfPerfLabel
       PerfLabel =>  { # MyTypes::PerfLabel
         LabelNames =>  $some_value, # string
       },
     },
     TimeConsolidationMethod =>  $some_value, # string
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

