package MyTypes::WrapperOfResourcepoolInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ResourcepoolInfo_of :ATTR(:get<ResourcepoolInfo>);

__PACKAGE__->_factory(
    [ qw(        ResourcepoolInfo

    ) ],
    {
        'ResourcepoolInfo' => \%ResourcepoolInfo_of,
    },
    {
        'ResourcepoolInfo' => 'MyTypes::ResourcepoolInfo',
    },
    {

        'ResourcepoolInfo' => 'ResourcepoolInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::WrapperOfResourcepoolInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
WrapperOfResourcepoolInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ResourcepoolInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::WrapperOfResourcepoolInfo
   ResourcepoolInfo =>  { # MyTypes::ResourcepoolInfo
     AggregateNearlyOvercommittedThreshold =>  $some_value, # unsignedShort
     AggregateOvercommittedThreshold =>  $some_value, # unsignedShort
     ResourceTag => $some_value, # ResourceTag
     ResourcepoolContact => $some_value, # EmailAddressList
     ResourcepoolDescription =>  $some_value, # string
     ResourcepoolFreeVfilers =>  $some_value, # unsignedLong
     ResourcepoolFullThreshold => $some_value, # atomic
     ResourcepoolId =>  $some_value, # integer
     ResourcepoolIsProvisionable =>  $some_value, # boolean
     ResourcepoolKbytesAvailable => $some_value, # atomic
     ResourcepoolKbytesTotal => $some_value, # atomic
     ResourcepoolKbytesUsed => $some_value, # atomic
     ResourcepoolMemberCount => $some_value, # atomic
     ResourcepoolName =>  $some_value, # string
     ResourcepoolNearlyFullThreshold => $some_value, # atomic
     ResourcepoolOwner =>  $some_value, # string
     ResourcepoolPerfStatus => $some_value, # ObjStatus
     ResourcepoolSpaceStatus =>  $some_value, # string
     ResourcepoolStatus => $some_value, # ObjStatus
     ResourcepoolTimezone =>  $some_value, # string
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

