package MyTypes::WrapperOfVolumeResource;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %VolumeResource_of :ATTR(:get<VolumeResource>);

__PACKAGE__->_factory(
    [ qw(        VolumeResource

    ) ],
    {
        'VolumeResource' => \%VolumeResource_of,
    },
    {
        'VolumeResource' => 'MyTypes::VolumeResource',
    },
    {

        'VolumeResource' => 'VolumeResource',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::WrapperOfVolumeResource

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
WrapperOfVolumeResource from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * VolumeResource




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::WrapperOfVolumeResource
   VolumeResource =>  { # MyTypes::VolumeResource
     AggregateIdentifier =>  { # MyTypes::WrapperOfAggregateResource
       AggregateResource =>  { # MyTypes::AggregateResource
         AggregateResourceNameOrId =>  { # MyTypes::WrapperOfAggregateNameOrId
           AggregateNameOrId =>  { # MyTypes::AggregateNameOrId
             AggregateId =>  $some_value, # unsignedInt
             AggregateName =>  $some_value, # string
           },
         },
         FilerIdentifier =>  { # MyTypes::WrapperOfFilerResource
           FilerResource =>  { # MyTypes::FilerResource
             FilerId =>  $some_value, # unsignedInt
             FilerName =>  $some_value, # string
           },
         },
       },
     },
     HostIdentifier =>  { # MyTypes::WrapperOfHostResource
       HostResource =>  { # MyTypes::HostResource
         HostId =>  $some_value, # unsignedInt
         HostName =>  $some_value, # string
       },
     },
     VfilerIdentifier =>  { # MyTypes::WrapperOfVfilerResource
       VfilerResource =>  { # MyTypes::VfilerResource
         VfilerId =>  $some_value, # unsignedInt
         VfilerNameOrUuid =>  $some_value, # string
       },
     },
     VolumeIdentifierNameOrId =>  { # MyTypes::WrapperOfVolumeNameOrId
       VolumeNameOrId =>  { # MyTypes::VolumeNameOrId
         VolumeId =>  $some_value, # unsignedInt
         VolumeName =>  $some_value, # string
       },
     },
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

