{ package   Dense::Agnostic::Cmode::Volume;
    use strict;
    use warnings;

    use vars qw($Sis_Fmap);

    $Sis_Fmap   = {
        zapi_sis_config  => {
            fname   => 'sis_set_config',
            m_args  => [qw(vserver path)],
            d_args  => undef,
            retval  => undef,
        },

        zapi_sis_off => {
            fname   => 'sis_disable',
            m_args  => [qw(vserver path)],
            d_args  => undef,
            retval  => undef,
        },

        zapi_sis_on  => {
            fname   => 'sis_enable',
            m_args  => [qw(vserver path)],
            d_args  => undef,
            retval  => undef,
        },

        zapi_sis_show  => {
            fname   => 'sis_status',
            m_args  => [qw(path)],
            d_args  => undef,
            retval  => undef,
        },

        zapi_sis_start   => {
            fname   => 'sis_start',
            m_args  => [qw(vserver path)],
            d_args  => undef,
            retval  => undef,
        },

        zapi_sis_status  => {
            fname   => 'sis_status',
            m_args  => [qw(path)],
            d_args  => undef,
            retval  => undef,
        },

        zapi_sis_stop    => {
            fname   => 'sis_stop',
            m_args  => [qw(vserver path)],
            d_args  => undef,
            retval  => undef,
        },

        zapi_sis_policy_create    => {
            fname   => 'sis_policy_create',
            m_args  => [qw(vserver)],
            d_args  => undef,
            retval  => undef,
        },

        zapi_sis_policy_delete    => {
            fname   => 'sis_policy_delete',
            m_args  => [qw(vserver)],
            d_args  => undef,
            retval  => undef,
        },

        zapi_sis_policy_modify    => {
            fname   => 'sis_policy_modify',
            m_args  => [qw(vserver)],
            d_args  => undef,
            retval  => undef,
        },

        zapi_sis_policy_get_iter    => {
            fname   => 'sis_policy_get_iter',
            m_args  => [qw(vserver)],
            d_args  => undef,
            retval  => undef,
        },
        
    };

#XXX sis_policy is a Vserver command, so it is located in Vserver directory

    return 1;
} #Package
