{ package   Dense::Agnostic::Cmode::Volume;
    use strict;
    use warnings;

    use vars qw($Snap_Fmap);

    $Snap_Fmap   = {
		snap_list_owners  => {
			fname	=> 'volume_snapshot_show',
			m_args	=> [qw(vserver volume)],
			d_args	=> {fields=>'owners',"connectrec-timeout"=>300},
			retval  => undef,
		},
		snap_create  => {
			fname   => 'volume_snapshot_create',
			m_args  => [qw(vserver volume snapshot)],
		    d_args  => {"connectrec-timeout"=>300},
		    retval  => undef,
		},	
		snap_delete_opts => {
			fname	=> 'volume_snapshot_delete',
			m_args  => [qw(vserver volume)],
			d_args	=> {"connectrec-timeout"=>300},
			retval	=> undef,
		},
		snap_show  => {
			fname   => 'volume_snapshot_show',
			m_args  => [qw(vserver volume snapshot)],
		    d_args  => undef,
		    retval  => undef,
		},	
		snap_restore  => {
			fname   => 'volume_snapshot_restore',
			m_args  => [qw(vserver volume snapshot)],
		    d_args  => undef,
		    retval  => undef,
		},
                sfsr  => {
                        fname   => 'volume_snapshot_restore_file',
                        m_args  => [qw(vserver snapshot path)],
                    d_args  => undef,
                    retval  => undef,
                },	

    };

#XXX Need an entry for sis_policy

    return 1;
} #Package
