# -*- perl -*-
#  $Id: //depot/prod/test/Rsierranevada/lib/FPolicy/FPServer.pm#1 $


## @summary Library of FPolicy routines
## @author  sureshb (DRG FPolicy QA)
## @status  private
## @pod     here

package FPolicy::FPServer;

use strict;

use warnings;
use Utils qw(make_host make_conn);
use Params::Validate qw(validate_pos validate BOOLEAN SCALAR ARRAYREF HASHREF);
use Tharn qw(say logcomment logresult);
use Carp qw(croak);
use SayWrap qw(sayEOF);
use Subtest;
use IO::Pipe;

#require Exporter;
#use base qw(Exporter);
#our @EXPORT_OK = qw(
#			FPS_Get_Events
#		);

sub new
{
       my $object = shift;
       my $pipe = shift;
       my $class = ref($object) || $object;
	my $Pipe => new IO::Pipe();
	my $conn => $Pipe->Connect();
       my $self = { 
		Pipe => $Pipe,
		Conn => $conn
	 };

     bless($self, $class); 
       return $self;

 
}

sub ReadEvents
{
	my $self = shift;
	my $buf = $self->{Conn}->Read();

	return $buf;
}

sub destroy
{
	my $self = shift;
	$self->{Pipe}->Disconnect();
	$self->{Pipe}->Close();
}
1;
