#
# $Id: //depot/prod/test/Rsierranevada/lib/FS/EA/Exceptions/WaflironException.pm#1 $
#
# Copyright (c) 2009-2010 NetApp Inc.
# All rights reserved.
#
## @summary Provide an exception class that is a subclass of
##          NACL::APISet::Exceptions::ResponseException that 
##          will be thrown when a method detects that any 
##          functions related to WAFL tests have failed.
##
## @author dl-rakesh-automation@netapp.com
## @status Private
## @pod here

=pod

=head1 Package Name

FS::EA::Exceptions::WaflironException

=head1 Author/Maintainer

dl-rakesh-automation@netapp.com

=head1 Description

An exception for when a method detects tny failure in the 
process of WAFL functionalities.

=head1 See Also

Package inherits from the ResponseException module in NACL.

=head1 FS::EA::Exceptions::WaflironException

=head2 Base Class

NACL::APISet::Exceptions::ResponseException

=cut

package FS::EA::Exceptions::WaflironException;
use base qw(NACL::APISet::Exceptions::ResponseException);

1;
