# -*- perl -*-

# $Id: //depot/prod/test/Rsierranevada/lib/GNOTE/Client/Unix.pm#1 $

##
## @summary UNIX RPC. Set of functions executed via RPC on remote UNIX box by NOTE::Client. Library is still in development, so no documentation yet.
##
## @status private
##
## @author cpeter@netapp.com, dl-dpg-auto@netapp.com
##

package GNOTE::Client::Unix;

use strict;
use Tharn qw($Parent $Log $Staf);
use Carp qw(confess);
use FileManip;
use Data::Dumper;

our $AUTOLOAD;

sub AUTOLOAD {						    # echo all parameters back for unknown function
    my @args = @_;
    my $name = $AUTOLOAD;

    return \@args;
}

sub handle_info {					    # dump RPC handle info back to requestor. used for debugging RPC calls
    return $Staf->handle_query( handle => $Staf->handle());
}

sub space_info {					    # dup Perl's var space back to requestor.
    return Dumper(\%::);
}

sub write_file { FileManip::write_file(@_) }		    # writes file
sub read_file { FileManip::read_file(@_) }		    # reads file

=head2 ::showenv

Returns remote environment. Output from "set" command;

=cut

sub showenv {
    return `set`;
}

1;
