#Hey emacs, this is basically -*- perl -*-
# $Id: //depot/prod/test/Rsierranevada/lib/Mount/Solaris.pm#1 $
#
# Copyright (c) 2005 Network Appliance, Inc.
# All rights reserved.
#

package Mount::Solaris;

## @summary  
##   Class to handle OS dependent portion of mount and umount on Solaris.
##
## @description  
##   This is a sub-class of the MountBase package which provides
##   support for Solaris specific portion of mount and umount. See
##   GenericMount.pm for more detailed documentation on features.
##
## @usage
##   use Mount::Solaris;
##
## @status	review
##
## @author  dl-maryv (FSS Protocols QA)
## @notes	Created by EP Network Storage Performance Lab, Inc.

use strict;
use Mount::MountBase;
use vars qw( @ISA );

#---------------------------------------------------------------------
# Inherit all functionality from MountBase class which is based
# on Solaris 10.
#---------------------------------------------------------------------
@ISA = qw(Mount::MountBase);

1;
