package Perf::DataSet::Manager::NFSv41Manager;

use strict;
use warnings;

use Perf::DataSet::Manager::NFSv4Manager;
use base qw(Perf::DataSet::Manager::NFSv4Manager);
use namespace::clean;

sub get_mount_opts {
    my ($self, $dataset_uid, %args) = @_;

    my %mount_opts = $self->SUPER::get_mount_opts($dataset_uid, %args);

    $mount_opts{vers} = '4.1';

    return %mount_opts;
}

1;
