package Perf::Depot::Resource::SANService::FCP;
{
    use strict;
    use warnings;
    use Carp qw( confess );
    use Tharn qw( $Log );
    BEGIN{
        my @c = caller(2);
        $Log->debug("Loading " . __FILE__ . " from $c[1]:$c[2]");
    }
    use Data::Dumper;
    use Object::InsideOut qw(Perf::Depot::Resource::SANService);


    sub start {
        my $self = shift();

        1; #no-op
    }


    sub stop {
        my $self = shift();

        1; #no-op
    }


    sub configure {
        my $self = shift();

        $self->check_busy();

        $self->get_host()->fcp_configure($self->get_appliances());

        return;
    }


    sub cleanup {
        my $self = shift();

        $self->get_host()->san_cleanup('fcp');
    }
}

1;
