# $Id: //depot/prod/test/Rsierranevada/lib/SPARSE/Frameworks/Scratch.pm#1 $
#
## @summary Basic testing environment
#
# Define globals, import sparse libs, set up test environment.
# Impose strict checking.
#
## DOES NOT work with testbeds
#
## @author dl-sparseeng

#----------------------------------------------------------------------
package main;

use vars qw($ARGS $ARGSFILE $SPARSE_TYPE);
param("ARGS",		"-default", undef);
param("ARGSFILE",	"-default", undef);
param("SPARSE_TYPE",	"-default", "NOTSPARSE");
require "SPARSE/Util/setupBasic.pl";


#----------------------------------------------------------------------
package SPARSE::Frameworks::Scratch;

use strict;

# Hack to eliminate boilerplate "use strict;" in every test case
# DO NOT REMOVE
sub import {
	# Same as 'use strict;' in caller
	require strict;
	strict->import();
}

1;
