# $Id: //depot/prod/test/Rsierranevada/lib/SPARSE/Util/setupBasic.pl#1 $
#
# Basic sparse testing environment
#
use strict;

# ------------------------------------------------------------------------
#
use SPARSE::Resource::Filer;
use SPARSE::Resource::Vol;
use SPARSE::Resource::Volume;
use SPARSE::Constants;

use SPARSE::Util::Filer_Utils;
use SPARSE::Util::Logger;
use SPARSE::Util::FSTest0;
use SPARSE::Util::FileIO;
use SPARSE::Util::Utilities;
use SPARSE::Util::Client;
use SPARSE::Util::Zapi_Utils;
# ------------------------------------------------------------------------
# parameters

use vars qw($FILER_DST $FILER_SRC $FILER $ONTAPDIR
			$SPARSE_TYPE $CLIENT $DATASET_TYPE
			$CIFS_CLIENT
			);
param("ONTAPDIR",	"-default", "/rlse/mainN");
param("FILER_DST",	"-mesg", "Primary Filer");
param("FILER",		"-default", $FILER_DST);
param("FILER_SRC",	"-default", $FILER);
param("CLIENT",		"-default", "localhost");
param("SPARSE_TYPE",	"-default", "");
param("DATASET_TYPE",	"-default", "small");
param("CIFS_CLIENT",	"-default", "c66");

# Expand list parameters
# ENV{VAR}=elt,elt...	-> $VAR=elt; @VAR=(elt, elt, ...)
#
use vars qw(@FILER_DST @FILER_SRC);
no strict qw(refs);
our (@FILER_DST, @FILER_SRC);
for (qw(FILER_DST FILER_SRC)) {
	 @{$_} = split(/,/, ${$_});
	${$_} = ${$_}[0];
}
if (logCond('trc')) {
	for my $var (qw(FILER_DST FILER_SRC)) {
		logTrc("$var=${$var}\n");
		for (1..$#{$var}) {
			logTrc("$var\[$_]=${$var}[$_]\n");
		}
	}
}

&check_supported_release() unless $SPARSE_TYPE eq "NOTSPARSE";

# ------------------------------------------------------------------------

1;
