#
# $Id: //depot/prod/test/main/lib/VSim/Exceptions/VSimCMDException.pm#1 $
#
# Copyright (c) 2011 NetApp Inc.
# All rights reserved.
#
## @summary Provide an exception class that is a subclass of
##          NATE::BaseException that will be thrown when any
##          failure occurs in VSim test library
##
## @author prasadt@netapp.com
## @status Development
## @pod here

=pod

=head1 Package Name

VSim::Exceptions::VSimCMDException

=head1 Author/Maintainer

Prasad T

=head1 Description

An exception for any failure in executing vsim command

=head1 See Also

Package inherits from the BaseException module in NATE.

=head1 VSim::Exceptions::VSimCMDException

=head2 Base Class

NATE::BaseException

=cut
package VSim::Exceptions::VSimCMDException;
use base qw(NATE::BaseException);
1;
