## 4 Node cluster Config file for the fit test

#Sis config clone data
our %sisClone = (
#node 150
      aggr_d4_node150_sisclone => {
            volInfo  => {
                  wfit_node150_sisclone_vol1 => "2tb",
                  wfit_node150_sisclone_vol2 => "500gb",
                  wfit_node150_sisclone_vol3 => "300gb",
                  wfit_node150_sisclone_vol4 => "200gb",
            },
      },
      
#node 151
      aggr_d3_node151_sisclone => {
            volInfo  => {
                  wfit_node151_sisclone_vol1 => "300gb",
                  wfit_node151_sisclone_vol2 => "200gb",
                  wfit_node151_sisclone_vol3 => "100gb",
                  wfit_node151_sisclone_vol4 => "100gb",
            },
      },
#node 154
      aggr_d3_node154_sisclone => {
            volInfo  => {
                  wfit_node154_sisclone_vol1 => "300gb",
                  wfit_node154_sisclone_vol2 => "200gb",
                  wfit_node154_sisclone_vol3 => "100gb",
                  wfit_node154_sisclone_vol4 => "100gb",
            },
      },
#node 155
      aggr_d3_node155_sisclone => {
            volInfo  => {
                  wfit_node155_sisclone_vol1 => "300gb",
                  wfit_node155_sisclone_vol2 => "200gb",
                  wfit_node155_sisclone_vol3 => "100gb",
                  wfit_node155_sisclone_vol4 => "100gb",
            },
      },
);

#Dedupe config data
our %dedupe = (

#node 150
      aggr_d7_node150_dedupe => {
            volInfo  => {
                  wfit_node150_dedupe_vol1 => "2tb",
                  wfit_node150_dedupe_vol2 => "2tb",
                  wfit_node150_dedupe_vol3 => "1tb",
            },
      },
      
#node 151
      aggr_d7_node151_dedupe => {
            volInfo  => {
                  wfit_node151_dedupe_vol1 => "3tb",
                  wfit_node151_dedupe_vol2 => "2tb",
            },
      },
#node 154
      aggr_d7_node154_dedupe => {
            volInfo  => {
                  wfit_node154_dedupe_vol1 => "5tb",
            },
      },
#node 155
      aggr_d7_node155_dedupe => {
            volInfo  => {
                  wfit_node155_dedupe_vol1 => "1tb",
                  wfit_node155_dedupe_vol2 => "1tb",
                  wfit_node155_dedupe_vol3 => "1tb",
                  wfit_node155_dedupe_vol4 => "1tb",
                  wfit_node155_dedupe_vol5 => "1tb",
            },
      },

);

#Compression config data
our %compression = (
#node 150
      aggr_d4_node150_compression => {
            volInfo  => {
                  wfit_node150_compression_vol1 => "250gb",
                  wfit_node150_compression_vol2 => "250gb",
                  wfit_node150_compression_vol3 => "500gb",
            },
      },
      
#node 151
      aggr_d4_node151_compression => {
            volInfo  => {
                  wfit_node151_compression_vol1 => "250gb",
                  wfit_node151_compression_vol2 => "250gb",
                  wfit_node151_compression_vol3 => "500gb",
            },
      },
#node 154
      aggr_d4_node154_compression => {
            volInfo  => {
                  wfit_node154_compression_vol1 => "250gb",
                  wfit_node154_compression_vol2 => "250gb",
                  wfit_node154_compression_vol3 => "500gb",
            },
      },
#node 155
      aggr_d4_node155_compression => {
            volInfo  => {
                  wfit_node155_compression_vol1 => "250gb",
                  wfit_node155_compression_vol2 => "250gb",
                  wfit_node155_compression_vol3 => "500gb",
            },
      },

);


%wfit = (
      aggr_d7_node150_dedupe =>  {"wfit_dedupe_150_vol1" => "300g",
                                   },
      aggr_d3_node155_sisclone =>  {"wfit_node155_vol2" => "300g",
                                 },
      aggr_d3_node154_sisclone => {"wfit_node154_vol1" => "300g",
                                   },
      aggr_d3_node151_sisclone => {"wfit_node151_vol3" => "300g",
                                },

);

1;

