## 6Nodes Config file for the test


#Sis config clone data
our %sisClone = (
#node 134
      aggr_d3_node134_sisclone => {
            volInfo  => {
                  wfit_node134_sisclone_vol1 => "300gb",
                  wfit_node134_sisclone_vol2 => "200gb",
                  wfit_node134_sisclone_vsm_vol1 => "50gb",
            },
      },
      
#node 135
      aggr_d4_node135_sisclone => {
            volInfo  => {
                  wfit_node135_sisclone_vol1 => "2tb",
                  wfit_node135_sisclone_vol2 => "400gb",
                  wfit_node135_sisclone_vol3 => "100gb",
                  wfit_node135_sisclone_vol4 => "50gb",
                  wfit_node135_sisclone_vsm_vol1 => "50gb",
            },
      },
#node 138
      aggr_d3_node138_sisclone => {
            volInfo  => {
                  wfit_node138_sisclone_vol1 => "300gb",
                  wfit_node138_sisclone_vol2 => "100gb",
                  wfit_node138_sisclone_vol3 => "50gb",
                  wfit_node138_sisclone_vsm_vol1 => "50gb",
            },
      },
#node 139
      aggr_d3_node139_sisclone => {
            volInfo  => {
                  wfit_node139_sisclone_vol1 => "200gb",
                  wfit_node139_sisclone_vol2 => "100gb",
                  wfit_node139_sisclone_vol3 => "50gb",
                  wfit_node139_sisclone_vsm_vol1 => "50gb",
            },
      },
#node 146
      aggr_d4_node146_sisclone => {
            volInfo  => {
                  wfit_node146_sisclone_vol1 => "2tb",
                  wfit_node146_sisclone_vol2 => "200gb",
                  wfit_node146_sisclone_vol3 => "100gb",
                  wfit_node146_sisclone_vol4 => "50gb",
                  wfit_node146_sisclone_vsm_vol1 => "50gb",
            },
      },
#node 147
      aggr_d3_node147_sisclone => {
            volInfo  => {
                  wfit_node147_sisclone_vol1 => "300gb",
                  wfit_node147_sisclone_vol2 => "200gb",
                  wfit_node147_sisclone_vol3 => "100gb",
                  wfit_node147_sisclone_vol4 => "50gb",
                  wfit_node147_sisclone_vsm_vol1 => "50gb",
            },
      },
);

#Dedupe config data
our %dedupe = (

#node 134
      aggr_d2_node134_dedupe => {
            volInfo  => {
                  wfit_node134_dedupe_vol1 => "200g",
                  wfit_node134_dedupe_vol2 => "250g",
                  wfit_node134_dedupe_vol3 => "250g",
            },
      },

#node 135
      aggr_d3_node135_dedupe => {
            volInfo  => {
                  wfit_node135_dedupe_vol1 => "1tb",
                  wfit_node135_dedupe_vol2 => "300gb",
            },
      },
#node 138
      aggr_d5_node138_dedupe => {
            volInfo  => {
                  wfit_node138_dedupe_vol1 => "2800g",
            },
      },
#node 139
      aggr_d4_node139_dedupe => {
            volInfo  => {
                  wfit_node139_dedupe_vol1 => "400g",
                  wfit_node139_dedupe_vol2 => "400g",
                  wfit_node139_dedupe_vol3 => "400g",
                  wfit_node139_dedupe_vol4 => "400g",
                  wfit_node139_dedupe_vol5 => "400g",
            },
      },
#node 146
      aggr_d5_node146_dedupe => {
            volInfo  => {
                  wfit_node146_dedupe_vol1 => "250g",
                  wfit_node146_dedupe_vol2 => "400g",
                  wfit_node146_dedupe_vol3 => "350g",
                  wfit_node146_dedupe_vol4 => "300",
            },
      },
#node 147
      aggr_d5_node147_dedupe => {
            volInfo  => {
                  wfit_node147_dedupe_vol1 => "1tb",
                  wfit_node147_dedupe_vol2 => "1tb",
            },
      },
);

#Compression config data
our %compression = (
#node 134
      aggr_d2_node134_compression => {
            volInfo  => {
                  wfit_node134_compression_vol1 => "150gb",
                  wfit_node134_compression_vol2 => "150gb",
                  wfit_node134_compression_vol3 => "300gb",
            },
      },

#node 135
      aggr_d3_node135_compression => {
            volInfo  => {
                  wfit_node135_compression_vol1 => "150gb",
                  wfit_node135_compression_vol2 => "150gb",
                  wfit_node135_compression_vol3 => "300gb",
            },
      },
#node 138
      aggr_d2_node138_compression => {
            volInfo  => {
                  wfit_node138_compression_vol1 => "150gb",
                  wfit_node138_compression_vol2 => "150gb",
                  wfit_node138_compression_vol3 => "300gb",
            },
      },
#node 139
      aggr_d3_node139_compression => {
            volInfo  => {
                  wfit_node139_compression_vol1 => "150gb",
                  wfit_node139_compression_vol2 => "150gb",
                  wfit_node139_compression_vol3 => "300gb",
            },
      },
#node 146
      aggr_d2_node146_compression => {
            volInfo  => {
                  wfit_node146_compression_vol1 => "150gb",
                  wfit_node146_compression_vol2 => "150gb",
                  wfit_node146_compression_vol3 => "300gb",
            },
      },
#node 147
      aggr_d2_node147_compression => {
            volInfo  => {
                  wfit_node147_compression_vol1 => "150gb",
                  wfit_node147_compression_vol2 => "150gb",
                  wfit_node147_compression_vol3 => "300gb",
            },
      },
);

%wfit = (
aggr_d2_node134_dedupe  => {"wfit_node134_dedupe_vol1" => "100g",
                            "wfit_node134_dedupe_vol3" => "100g",},
aggr_d4_node139_dedupe => {"wfit_node139_dedupe_vol1"=>"100g",
                                "wfit_node139_dedupe_vol2"=>"100g",
                                "wfit_node139_dedupe_vol3"=>"100g",
                               },

aggr_d5_node146_dedupe => {"wfit_node146_dedupe_vol1"=>"100g",
                           "wfit_node146_dedupe_vol2"=>"100g",
                           "wfit_node146_dedupe_vol3"=>"100g",
                          },
aggr_d5_node147_dedupe => {"wfit_node147_dedupe_vol1"=>"100g",
                          },
);


1;

