#
# $Id: //depot/prod/test/Rsierranevada/lib/WaflironLibrary/Exceptions/WaflironLibException.pm#1 $
#
# Copyright (c) 2010 NetApp Inc.
# All rights reserved.
#
## @summary Provide an exception class that is a subclass of
##          NATE::BaseException that will be thrown when any
##          failure occurs in WaflironLibrary
##
## @author chethanm@netapp.com
## @status Development
## @pod here

=pod

=head1 Package Name

WaflironLibrary::Exceptions::WaflironLibException

=head1 Author/Maintainer

Chethan Kumar M

=head1 Description

An exception for when any failure in executing Wafliron commands

=head1 See Also

Package inherits from the BaseException module in NATE.

=head1 WaflironLibrary::Exceptions::WaflironLibException

=head2 Base Class

NATE::BaseException

=cut

package WaflironLibrary::Exceptions::WaflironLibException;
use base qw(NATE::BaseException);
1;
