# $Id: //depot/prod/test/Rsierranevada/lib/WinClient/MPC.pm#1 $
#
# Copyright (c) 2007 Network Appliance, Inc.
# All rights reserved.
#
# TODO: Complete documentation pending.
#
## @summary
##  Library for implementing and merging the mpc.exe functionality into
##  WinClient.  This tool is required for complete automation and
##  replaces the sanlun on *nix.  The depot location for this tool is:
##  //depot/tools/main/san/windows/MPIO
##
## @author  kenny speer
## @status  private
##

use strict;

package WinClient::MPC;

# define the subroutines used in this package
sub showVersion;
sub showDisks;
sub showLuns;
sub showDriveLetters;
sub setLBPolicy;
sub eventsWatch;
sub eventsCapture;
sub sendScsiInquiry;
sub sendScsiTestUnitReady;
sub sendReportLuns;
sub sendGetVdiskAttr;
sub mpioShow;
sub mpioSet;
sub msiscdsmShow;
sub msiscdsmSet;
sub ontapdsmShow;
sub ontapdsmSet;
sub ontapdsmShowLunpaths;
sub ontapdsmShowPerfstats;
sub ontapdsmSetLunpath;
sub fcpShow;
sub fcpShowAdapters;
sub fcpShowAdapterDetail;
sub fcpShowSwitchPorts;

use lib();


1;
