## @summary
##  Common parameters used for nfs
##
##  WARNING:
##  Adding new parameters is fine as long as no other parameters are used the same way.
##  Avoid changing any existing parameters since it may change behaviours of other scripts.

package nfs::CommonOptions;

use Params::Common;
use Options;

my $Options = new Options;
$Options->parameters(
        definitions => [
            { name        => 'CLIENT1',
              description => 'Client1 Name',
              spec        => 's',
            },
        ]
    );

#$Options->compatability(
#    definitions => { CLIENT1 => "CLIENT" } );

$Options->process();

1;
