# this is basically -*- perl -*-
# $Id: //depot/prod/test/Rsierranevada/lib/nfs/Export/Hpux.pm#1 $
#
# Copyright (c) 2005 Network Appliance, Inc.
# All rights reserved.
#

package nfs::Export::Hpux;

## @summary
##  Class to handle OS dependent exports on HP-UX.
##
## @description
##  This class handles the OS specific portion of the NFS export
##  functions. It overrides the default behavior of the base
##  export class.
##
## @usage
##  use nfs::Export::Hpux;
##
## @status  public
##
## @author  dl-maryv (FSS Protocols QA)
## @notes   Created by EP Network Storage Performance Lab, Inc.

use strict;
use nfs::Export::ExportBase;
use vars qw( @ISA );

#---------------------------------------------------------------------
# Inherit all functionality from ExportBase class.
# No need to override anything, use default behavior.
#---------------------------------------------------------------------
@ISA = qw(nfs::Export::ExportBase);

1;

