# -*- perl -*-
# /* $Id$ */
#
# Copyright (c) 2012 NetApp, Inc.
# All rights reserved.
##
## @summary
##
## @description
##
## Sub-routines:
##
## @synopsis
## 
## @status To be reviewed
##
## @author deepakkb@netapp.com
##
###############################################################################
package platval::service_processor::sp_gcov ;
use strict;
use warnings;
use Tharn;
use SPARSE::Util::Logger qw(logStep logWarn);
use vars ('@ISA', '@EXPORT');
@ISA = qw(Exporter);
@EXPORT =
  qw(run_pre_post_test);
sub run_pre_post_test($$$$)
{
	  my $gcov_path=shift;
	  my $test_type=shift;   
          my $sp_bulid=shift;
          my $plan_run=shift;
          my (@Obj_handles, $handle);
          eval {
               $handle = subtest("$gcov_path","SP_BUILD=$sp_bulid","PLAN_RUN=$plan_run","PRE_POST_TYPE=$test_type",
                                  '-onexit', sub {
                                           my ($sec,$min,$hour,$mday,$mon,$year,$wday,
                                           $yday,$isdst)=localtime(time);
                                           my $str = sprintf "%4d-%02d-%02d %02d:%02d:%02d\n", $year+1900,$mon+1,$mday,$hour,$min,$sec;
                                           $Log->comment("PRAS SUBTEST ONEXIT CALLED");
                                           $Log->comment("TIME WAS $str");

                                  },
                                  '-ifscript', '-ok',
                                  '-iffatal', '-ok',
                    );
                $Log->comment("---Handle is $handle");
           };
           if ($@) {
               $Log->comment("Failure in starting $test_type : " . $@);
               die "Failure in starting $test_type : " . $@;
           } else {
               $Log->comment("--- Starting $test_type Successfully...");
               push (@Obj_handles, $handle);
           }
}


1;	
