#$Id: //depot/prod/test/Rsierranevada/lib/raidqa_lib.pm#1 $
##
## @summary RAID library functions to be used by qa nate tests
## @author dl-sar-qa@netapp.com, dl-step@netapp.com

#check_licensed_yes($);  return 1 if given service is licensed,otherwise 
#			 return 0. 
#add_license($); add the license code for the given service.

#####################################
#syncmirrorlocal_licensed_yes();
#syncmirrorlocal_license_add();
#syncmirrorlocal_license_delete();
#raiddp_licensed_yes();
#raiddp_license_add();
#raiddp_license_delete();
################################### these could be removed

#vol_is_normal($); return 1 if given volume is in normal state, this include:
#                  volume is online, not restricted, both plexes are online if
#		   given volume is mirrored. all the raidgroups are normal, not
#                  degraded, no reconstruction, no disk copy.
#                  return 0 if not.

#test_init();  call at beginning of each test, to clean hammer, remove testvol,
#              unfail disks, add raid related lic.
#test_init_notouch_lic();  same as test_init but leave lic alone.THis has been copied as raidqa_test_init_notouch_lic() also

#start_multi_hammer($$);  1st arg is vol-name which hammer run against
#                         2nd arg is number copies of hammer runs

#fail_data_by_group_wait_recon($);  1st arg is the raidgroup name , 
#				    eg:"/vol/testvol/plex0/rg0". 
#				    this func fails only one data disk
#fail_datas_by_group_wait_recon($);  1st arg is the raidgroup name , 
#				    eg:"/vol/testvol/plex0/rg0". 
#				    this func fails two data disks
#fail_parity_by_group_wait_recon($);  1st arg is the raidgroup name , 
#				    eg:"/vol/testvol/plex0/rg0". 
#				    this func fails the row parity disk
#fail_dparity_by_group_wait_recon($);  1st arg is the raidgroup name , 
#				    eg:"/vol/testvol/plex0/rg0". 
#				    this func fails the dparity disks
#
#prefail_data_by_group_wait_sdc($);  1st arg is the raidgroup name , 
#				    eg:"/vol/testvol/plex0/rg0". 
#				    this func prefails only one data disk
#				    added by skg@netapp.com 
#prefail_parity_by_group_wait_sdc($);  1st arg is the raidgroup name , 
#				    eg:"/vol/testvol/plex0/rg0". 
#				    this func prefails the row parity disk
#				    added by skg@netapp.com 
#prefail_dparity_by_group_wait_sdc($);  1st arg is the raidgroup name , 
#				    eg:"/vol/testvol/plex0/rg0". 
#				    this func prefails the dparity disks
#				    added by skg@netapp.com 
#fail_data_by_vol_wait_recon($);  1st arg is the volume name , 
#				    eg:"testvol". 
#				    this func fails one data disk on every
#                                   raidgroup of testvol.
#fail_datas_by_vol_wait_recon($);  1st arg is the raidgroup name , 
#				    eg:"testvol". 
#				    this func fails two data disks on every
#                                   raidgroup of testvol.
#fail_parity_by_vol_wait_recon($);  1st arg is the raidgroup name , 
#				    eg:"testvol". 
#				    this func fails the row parity disk on 
#                                   every raidgroup of testvol.
#fail_dparity_by_vol_wait_recon($);  1st arg is the raidgroup name , 
#				    eg:"testvol". 
#				    this func fails the dparity disks on
#                                   every raidgroup of testvol.
#fail_by_vol_type_nowait_recon($$); 1st arg is the volume name,
#				    2nd arg is the type of disk to fail
#                                   could be DATA, PARITY or DPARITY.
#                                   this func fails one given type of disk
#                                   in every raidgroups of given volume.
#fail_by_group_type_nowait_recon($$); 1st arg is the group name,
#				    2nd arg is the type of disk to fail
#                                   could be DATA, PARITY or DPARITY.
#                                   this func fails one given type of disk
#                                   in given group.
#get_group_by_diskname($);  return raidgroup of the given disk as /test/plex0/rg0
#get_plex_by_diskname($);  return plex the given disk as /test/plex0
#get_plexid_by_diskname($);  return plexid the given disk as 0, 1, 2
#get_recons_disks_by_group($);  to get all reconstructing disk in a raidgroup # added by skg on 06/13/05
#
#run_disk_mung($$); return 1 if disk_mung run ok on given diskid and sector#
#                   return 0 if fail.
#
#unfail_disk($); unfail the give disk, return 0 if unfail fail.
#
#fail_disk($); "disk fail -i "the give disk, return 0 if fail fail.
#
#prefail_disk($); "disk fail "the give disk, return 0 if prefail fail.
#
#get_default_rgsize(); returen the default rgsize based on filer model type.
#
#get_max_rgsize(); returen the max rgsize based on filer model type.
#
#get_checksum_type($); return checksumtype of a given volume.
#
#remove_spare($); run disk remove on the give disk
#
#remove_spares_all(); remove all the spares on the filer
#
#start_verify($); return 1 if able to start verify on the given volume. 0 if failed.
#
#verify_status($); return 1 if verify is running on the give volume. 0 if not.
#turn_on_debug_syslog($); turn on debug level msg for console and message file. input is the root mountpoint.
#
#snapmirrored_off($); return 1 if options snapmirrored off successes, 0 otherwise.
#
#get_2ndpath_name($); return the name of the 2nd path of the give drive if it's dula attched. return 0 if not.
#
#get_root_vol(); return the name of the root volume
#
#delete_all_minis($); delete all mini disks, take console conn as argument.
#
#make_minis($$$); make mini disks, 1st argument is console conn, 2nd arg is size to be made, 3rd is how many,
#                 can give "all".
#
#get_version_string(); return filer's running version string.

######################################################################################################
# following 4 functions are sort of obsolete as new function much more useful has been developed+++++
######################################################################################################
#raidqa_get_raid4_default_rgsize(); return the default rgsize for raid4 volume based on filer model type. #added by skg
#
#raidqa_get_raiddp_default_rgsize(); return the default rgsize for raid_dp volume based on filer model type. #added by skg
#
#raidqa_get_raid4_max_rgsize(); return the max rgsize for raid4 volume based on filer model type. #added by skg
#
#raidqa_get_raiddp_max_rgsize(); return the max rgsize for raid_dp volume based on filer model type. #added by skg
#
###########################################################################################################################################
# Following function has been been renamed with raidqa as prefix, but old function has not been removed yet as lots of script are using them
########################################################################################################################################### 
#raidqa_test_init_notouch_lic(); same as test_init but leave lic alone.   #renamed by skg
#
#raidqa_get_labelmaint_list(); List  isolated disk by OLM   #added by skg
#
#raidqa_labelmaint_isolate(@); Isolate list of disk or volumes for OLM   #added by skg
#
#raidqa_labelmaint_unisolate(); Unisolate all isolated disks or volumes   #added by skg
#
#raidqa_get_vol_list(); Provide vol status -r o/p #added by skg
#
#raidqa_get_aggr_list(); Provide aggr status -r o/p #added by skg
#
#raidqa_get_vol_status($); Provide  one volume o/p using vol status -r  volume name o/p #renamed by skg
#
#raidqa_get_aggr_status($); Provide one aggr o/p using aggr status -r  aggr name o/p #renamed by skg
#
# raidqa_spare_exist($); check that a particular spare exist or not
#
# raidqa_get_vol_disk_list($); get array of list of disk in a volume 
#
# raidqa_check_raid_size_valid_range($$$); check that raid_size parameter is in range
#
# raidqa_get_raid_size_value($$$); get raid_size value for imin,max and defualt raid_size
#
# raidqa_get_spare_list($); get the list of all spare disk in the system
#
# raidqa_get_spare_count($); get the spare count of a particular storage_type.
# 
# raidqa_get_preferred_storage_type(); get the preferred storage_type in mix environment

#
#
use raidv2_lib;
use boot;
use mount;

use Carp qw(confess croak);
use Params::Validate qw(validate OBJECT SCALAR);
use Tharn qw(say script_result host logcomment logresult param);
BEGIN { 
Params::Validate::validation_options(
    on_fail => sub {my @msgs = @_; chomp(@msgs);
        Carp::confess(Tharn::script_result(@msgs))}
   );
}

my $r = connect("#rsh");

sub check_licensed_yes($) {
	my $service;
	my $output;
	my $line;
	my @info;

	$service = $_[0];

	(undef,undef, $output) = say($r, "priv set -q diag;license");
	@info = split(/\r?\n/, $output);
	foreach $line (@info) {
		my (@data) = split(" ", $line);
		if ($data[0] eq $service) {
		  tstlog('-comment', "$data[0], $data[1]\n");
		  if ($data[1] eq "not") {
			return 0;
		  } else {
			return 1;
		  }
		}
	}
}


sub add_license($) {
	my $service;
	my $output;
	my $line;
	my @info;
	my $code ="0";

	$service = $_[0];

	(undef,undef,$output)=say($r, "priv set -q test; secret_code 1 $service");
	@info = split(/\r?\n/, $output);
	foreach $line (@info){
		if ($line =~ /$service/  && $line =~ /(.*)=(.*)/ ) {
		  $code=$2;
		  tstlog "-comment", "lic for $service is: $code. \n";
		 }
	}
	if ($code eq "0" ) {
		tstlog "-fatal", "There's no such service: $service exists. \n";
		exit;
	}

	(undef,undef,$output) = say ($r, "priv set -q diag; license add $code");
	
	if ($output =~ /invalid platform/ ) {
		(undef,undef,$output) = say($r, "priv set -q test; secret_code -p Gateway 1 $service");
		@info = split(/\r?\n/, $output);
		foreach $line (@info){
		  if ($line =~ /$service/ && $line =~ /(.*)=(.*)/ ) {
		    $code=$2;
		  }
		 }
	}
	(undef,undef,$output) = say ($r, "priv set -q diag; license add $code");
	
	if ($output =~ /invalid platform/ ) {
		(undef,undef,$output) = say($r, "priv set -q test; secret_code -p NearStore 1 $service");
		@info = split(/\r?\n/, $output);
		foreach $line (@info){
		  if ($line =~ /$service/ && $line =~ /(.*)=(.*)/ ) {
		    $code=$2;
		  }
		 }
	}
	(undef,undef,$output) = say ($r, "priv set -q diag; license add $code");
	
	if ($output =~ /invalid platform/ ) {
		(undef,undef,$output) = say($r, "priv set -q test; secret_code -p SIM 1 $service");
		@info = split(/\r?\n/, $output);
		foreach $line (@info){
		  if ($line =~ /$service/ && $line =~ /(.*)=(.*)/ ) {
		    $code=$2;
		  }
		 }
	}

}
		 
sub syncmirrorlocal_licensed_yes{

	say($r, "priv set -q diag;license", "syncmirror_local.+\n");
	if ($RESPONSE !~ /not licensed/ ) {
		return 1;
	}
	else {
		return 0;
	}
}

sub syncmirrorlocal_license_add {

	say($r, "priv set -q diag;license add UELJHSI");

	say($r, "priv set -q diag;license", "syncmirror_local.+\n");
	if ($RESPONSE !~ /not licensed/ ) {
		return 1;
	}
	else {
		return 0;
	}
}

sub syncmirrorlocal_license_delete {

	say($r, "priv set -q diag;license delete syncmirror_local");

	say($r, "priv set -q diag;license", "syncmirror_local.+\n");
	if ($RESPONSE !~ /not licensed/ ) {
		return 0;
	}
	else {
		return 1;
	}
}

sub raiddp_licensed_yes{

	say($r, "priv set -q diag;license", "raid_dp.+\n");
	if ($RESPONSE !~ /not licensed/ ) {
		return 1;
	}
	else {
		return 0;
	}
}

sub raiddp_license_add {

	say($r, "priv set -q diag;license add KBPLGBN");

	say($r, "priv set -q diag;license", "raid_dp.+\n");
	if ($RESPONSE !~ /not licensed/ ) {
		return 1;
	}
	else {
		return 0;
	}
}

sub raiddp_license_delete {

	say($r, "priv set -q diag;license delete raid_dp");

	say($r, "priv set -q diag;license", "raid_dp.+\n");
	if ($RESPONSE !~ /not licensed/ ) {
		return 0;
	}
	else {
		return 1;
	}
}

sub vol_is_normal($) {
	my $vol = $_[0];
	my $fsm;
	my $state;
	my $waflonline;
	my $waflmounted; 
	my $plexcount;
	my @plexes;
	my $resync;
	my @groups;
	my $sid;
	my $tid;
	
	raidv2_info_vol_load($vol);
	$fsm = $raidv2_info_vol_by_name{$vol}{"fsm_state"} ;
	$state = $raidv2_info_vol_by_name{$vol}{"state_name"} ;
	$waflonline = $raidv2_info_vol_by_name{$vol}{"wafl_online"} ;
	$waflmounted = $raidv2_info_vol_by_name{$vol}{"wafl_mounted"} ;
	$plex_count = $raidv2_info_vol_by_name{$vol}{"plex_count"} ;
	
	if ($fsm ne "NORMAL" || $state ne "online" || $waflonline ne "1" ||
            $waflmounted ne "1") {
		tstlog "-comment", "volume is not in normal state.\n";
		return 0;
	}

	if ($plex_count eq "2") {
	tstlog "-comment","the given volume is a mirrored volume, we need to check plexes.";
		raidv2_info_plex_load();
		@plexes = split(',',$raidv2_info_tree_plex_list{$vol});
		my $plex;
		foreach $plex (@plexes) {
			$fsm = $raidv2_info_plex_by_name{$plex}{"fsm_state"};
			$state = $raidv2_info_plex_by_name{$plex}{"online"};
			$resync = $raidv2_info_plex_by_name{$plex}{"resyncing"};
			if ($fsm ne "NORMAL" || $state ne "1" || $resync ne "0") {
			  tstlog "-comment", "not all plexes are normal. \n";
			  return 0;
			}
		}
	}

	# now check if all groups are normal
	raidv2_info_group_load();
	@groups = split(',', $raidv2_info_tree_group_list{$vol});
        my $group;
        foreach $group ( @groups) {
          $fsm = $raidv2_info_group_by_name{$group}{"fsm_state"} ;
	  $sid = $raidv2_info_group_by_name{$group}{"disk_copy_source_id"} ;
	  $tid = $raidv2_info_group_by_name{$group}{"disk_copy_target_id"} ;
	  if ($fsm ne "NORMAL" || $sid ne "-1" || $tid ne "-1") {
            tstlog "-comment", "Not all the raidgroups are in normal state.\n";
	    return 0;
          }
        }
	
	return 1;
}

sub start_multi_hammer($$){
	my $vol_name = $_[0];
	my $threads = $_[1];

	while ($threads > 0) {
		my $filename = "hammer"."$threads";
		say($r, "priv set -q diag;hammer -f -1 /vol/$vol_name/$filename 1000000", "-timeout", 120);
		$threads --;
	}
}


sub fail_data_by_group_wait_recon($) {
	my $group = $_[0];
	my @data_disks;

	@data_disks = raidv2_get_disks_by_group_type("$group","DATA");
	tstlog -comment, "data_disks are @data_disks \n";
	#say($r, "priv set -q diag;disk fail -i -f $data_disks[0]",
        #"-wait", "Failure and unload of disk $data_disks[0] has been initiated",
        #"-fatal", "fail to fail the data disk\n",
	#"-timeout", 120);
	if (!fail_disk($data_disks[0])) {
        tstlog "-fatal", "fail to fail the disk $data_disks[0].\n";
	}
	sleep(10);
	#say($r, "priv set -q diag; disk unfail $data_disks[0]",
        #"-wait", "should now be spare",
        #"-fail", "fail to unfail the disk\n",
	#"-timeout", 120);
	if (!unfail_disk($data_disks[0])) {
        tstlog "-fail", "fail to unfail the disk $data_disks[0]\n";
	}
	sleep(30);
	
	raidv2_info_group_load($group);

        if ($raidv2_info_group_by_name{"$group"}{"fsm_state"} ne "RECONS" &&
	    $raidv2_info_group_by_name{"$group"}{"fsm_state"} ne "DOUBLERECONS")
	{
                tstlog -fatal, "reconstruction didn't start\n";
        }
}


sub fail_datas_by_group_wait_recon($) {
	my $group = $_[0];
	my @data_disks;

	@data_disks = raidv2_get_disks_by_group_type("$group","DATA");
	tstlog -comment, "data_disks are @data_disks \n";
	
	if ($#data_disks < 1) {
		tstlog "-fatal", "need at least two data disks for this test\n";
	}

	my $i =0;
	while ($i < 2) {
	if (!fail_disk($data_disks[$i])) {
        tstlog "-fatal", "fail to fail the disk $data_disks[$i].\n";
	}
	if (!unfail_disk($data_disks[$i])) {
        tstlog "-fail", "fail to unfail the disk $data_disks[$i]\n";
	}
	$i ++;
	}
	sleep 30;
	raidv2_info_group_load($group);
        if ($raidv2_info_group_by_name{"$group"}{"fsm_state"} ne "DOUBLERECONS")
	{
                tstlog -fatal, "reconstruction didn't start\n";
        }
}

sub fail_parity_by_group_wait_recon($) {
	my $group = $_[0];
	my @parity_disks;

	@parity_disks = raidv2_get_disks_by_group_type("$group","PARITY");
	tstlog -comment, "parity_disk is @parity_disks \n";
	#say($r, "priv set -q diag;disk fail -i -f $parity_disks[0]",
        #"-wait", "Failure and unload of disk $parity_disks[0] has been initiated",
        #"-fatal", "fail to fail the parity disk\n",
	#"-timeout", 120);
	if (!fail_disk($parity_disks[0])) {
        tstlog "-fatal", "fail to fail the disk $parity_disks[0].\n";
	}
	sleep(10);
	#say($r, "priv set -q diag; disk unfail $parity_disks[0]",
        #"-wait", "should now be spare",
        #"-fail", "fail to unfail the disk\n",
	#"-timeout", 120);
	if (!unfail_disk($parity_disks[0])) {
        tstlog "-fail", "fail to unfail the disk $parity_disks[0]\n";
	}
	sleep(30);
	
	raidv2_info_group_load($group);

        if ($raidv2_info_group_by_name{"$group"}{"fsm_state"} ne "RECONS" &&
	    $raidv2_info_group_by_name{"$group"}{"fsm_state"} ne "DOUBLERECONS")
	{
                tstlog -fatal, "reconstruction didn't start\n";
        }
}


sub fail_dparity_by_group_wait_recon($) {
	my $group = $_[0];
	my @dparity_disks;
	raidv2_info_disk_load();
	@dparity_disks = raidv2_get_disks_by_group_type("$group","DPARITY");
	tstlog -comment, "dparity_disk is @dparity_disks \n";
	if (!fail_disk($dparity_disks[0])) {
        tstlog "-fatal", "fail to fail the disk $dparity_disks[0].\n";
	}
	sleep(10);
	if (!unfail_disk($dparity_disks[0])) {
        tstlog "-fail", "fail to unfail the disk $dparity_disks[0]\n";
	}
	sleep(30);
	
	raidv2_info_group_load($group);

        if ($raidv2_info_group_by_name{"$group"}{"fsm_state"} ne "RECONS" &&
	    $raidv2_info_group_by_name{"$group"}{"fsm_state"} ne "DOUBLERECONS")
	{
                tstlog -fatal, "reconstruction didn't start\n";
        }
}

sub fail_by_group_type_nowait_recon($$) {
	my $group = $_[0];
	my $disk_type = $_[1];
	my @disks;

	@disks = raidv2_get_disks_by_group_type($group, $disk_type);
	tstlog -comment, "disks are @disks \n";
	if (!fail_disk($disks[0])) {
        tstlog "-fatal", "fail to fail the disk $disks[0].\n";
	}
	#sleep(10);
	#if (!unfail_disk($disks[0])) {
        #tstlog "-fail", "fail to unfail the disk $disks[0]\n";
	#}
	#sleep(30);
}

sub fail_data_by_vol_wait_recon($) {
	my $vol = $_[0];
	my @groups;

	raidv2_info_group_load();
	@groups = split(',', $raidv2_info_tree_group_list{$vol});
	
	my $group; 
	foreach $group (@groups){
	  my @data_disks = raidv2_get_disks_by_group_type("$group","DATA");
	  tstlog -comment, "data_disks are @data_disks \n";
	  #say($r, "priv set -q diag;disk fail -i -f $data_disks[0]",
          #"-wait", "Failure and unload of disk $data_disks[0] has been initiated",
          #"-fatal", "fail to fail the data disk\n",
	  #"-timeout", 120);
	  if (!fail_disk($data_disks[0])) {
        	tstlog "-fatal", "fail to fail the disk $data_disks[0].\n";
	  }
	  sleep(10);
	  #say($r, "priv set -q diag; disk unfail $data_disks[0]",
          #"-wait", "should now be spare",
          #"-fail", "fail to unfail the disk\n",
	  #"-timeout", 120);
	  if (!unfail_disk($data_disks[0])) {
        	tstlog "-fail", "fail to unfail the disk $data_disks[0]\n";
	  }
	  sleep(30);
	
	  raidv2_info_group_load($group);

          if ($raidv2_info_group_by_name{"$group"}{"fsm_state"} ne "RECONS" &&
	     $raidv2_info_group_by_name{"$group"}{"fsm_state"} ne "DOUBLERECONS")
	  {
                tstlog -fatal, "reconstruction didn't start\n";
	  }
	}
}


sub fail_datas_by_vol_wait_recon($) {
	my $vol = $_[0];
	my @groups;
	my @data_disks;

	raidv2_info_group_load();
	@groups = split(',', $raidv2_info_tree_group_list{$vol});
	
	my $group;
	foreach $group (@groups){
	  @data_disks = raidv2_get_disks_by_group_type("$group","DATA");
	  tstlog -comment, "data_disks are @data_disks \n";
	  
	  if ($#data_disks < 1) {
                tstlog "-fatal", "need at least two data disks for this test\n";
          }

	  my $i =0;
	  while ($i < 2) {
	  #say($r, "priv set -q diag;disk fail -i -f $data_disks[$i]",
          #"-wait", "Failure and unload of disk $data_disks[$i] has been initiated",
          #"-fatal", "fail to fail the data disk\n",
	  #"-timeout", 120);
	  if (!fail_disk($data_disks[$i])) {
        	tstlog "-fatal", "fail to fail the disk $data_disks[$i].\n";
	  }
	  sleep(10);
	  #say($r, "priv set -q diag; disk unfail $data_disks[$i]",
          #"-wait", "should now be spare",
          #"-fail", "fail to unfail the disk\n",
	  #"-timeout", 120);
	  if (!unfail_disk($data_disks[$i])) {
        	tstlog "-fail", "fail to unfail the disk $data_disks[$i]\n";
	  }
	  sleep (20);
	  $i ++;
  	  }
	
	  raidv2_info_group_load($group);

          if ($raidv2_info_group_by_name{"$group"}{"fsm_state"} ne "DOUBLERECONS")
	  {
                tstlog -fatal, "reconstruction didn't start\n";
          }
	}
}


sub fail_parity_by_vol_wait_recon($) {
	my $vol = $_[0];
	my @groups;
	my @parity_disks;

	raidv2_info_group_load();
	@groups = split(',', $raidv2_info_tree_group_list{$vol});
	
	my $group;
	foreach $group (@groups){
	  @parity_disks = raidv2_get_disks_by_group_type("$group","PARITY");
	  tstlog -comment, "parity_disk is @parity_disks \n";
	  #say($r, "priv set -q diag;disk fail -i -f $parity_disks[0]",
          #"-wait", "Failure and unload of disk $parity_disks[0] has been initiated",
          #"-fatal", "fail to fail the parity disk\n",
	  #"-timeout", 120);
	  if (!fail_disk($parity_disks[0])) {
        	tstlog "-fatal", "fail to fail the disk $parity_disks[0].\n";
	  }
	  sleep(10);
	  #say($r, "priv set -q diag; disk unfail $parity_disks[0]",
          #"-wait", "should now be spare",
          #"-fail", "fail to unfail the disk\n",
	  #"-timeout", 120);
	  if (!unfail_disk($parity_disks[0])) {
        	tstlog "-fail", "fail to unfail the disk $parity_disks[0]\n";
	  }
	  sleep(10);
	
	  raidv2_info_group_load($group);

          if ($raidv2_info_group_by_name{"$group"}{"fsm_state"} ne "RECONS" &&
	   $raidv2_info_group_by_name{"$group"}{"fsm_state"} ne "DOUBLERECONS")
	  {
                tstlog -fatal, "reconstruction didn't start\n";
          }
	}
}


sub fail_dparity_by_vol_wait_recon($) {
	my $vol = $_[0];
	my @groups;
	my @dparity_disks;
	
	raidv2_info_group_load();
	@groups = split(',', $raidv2_info_tree_group_list{$vol});
	
	my $group;
	foreach $group (@groups){
	  @dparity_disks = raidv2_get_disks_by_group_type("$group","PARITY");
	  tstlog -comment, "dparity_disk is @dparity_disks \n";
	  #say($r, "priv set -q diag;disk fail -i -f $dparity_disks[0]",
          #"-wait", "Failure and unload of disk $dparity_disks[0] has been initiated",
          #"-fatal", "fail to fail the parity disk\n",
	  #"-timeout", 120);
	  if (!fail_disk($dparity_disks[0])) {
        	tstlog "-fatal", "fail to fail the disk.\n";
	  }
	  sleep(10);
	  #say($r, "priv set -q diag; disk unfail $dparity_disks[0]",
          #"-wait", "should now be spare",
          #"-fail", "fail to unfail the disk\n",
	  #"-timeout", 120);
	  if (!unfail_disk($dparity_disks[0])) {
        	tstlog "-fail", "fail to unfail the disk $dparity_disks[0]\n";
	  }
	  sleep(20);
	
	  raidv2_info_group_load($group);

          if ($raidv2_info_group_by_name{"$group"}{"fsm_state"} ne "RECONS" &&
	   $raidv2_info_group_by_name{"$group"}{"fsm_state"} ne "DOUBLERECONS")
	  {
                tstlog -fatal, "reconstruction didn't start\n";
          }
	}
}

sub fail_by_vol_type_nowait_recon($$){
	my $vol = $_[0];
	my $disk_type = $_[1];
	my @groups;
	my @disks;

        raidv2_info_group_load();
        @groups = split(',', $raidv2_info_tree_group_list{$vol});
        
	my $group;
        foreach $group (@groups){
          @disks = raidv2_get_disks_by_group_type("$group","$disk_type");
          tstlog -comment, "dparity_disk is @disks \n";
	  if (!fail_disk($disks[0])) {
        	tstlog "-fatal", "fail to fail the disk $disks[0].\n";
	  }
          sleep(10);
	  #if (!unfail_disk($disks[0])) {
        #	tstlog "-fail", "fail to unfail the disk $disks[0]\n";
	#  }
        #  sleep(20);
	}
}


sub test_init{
	
	raidv2_stop_hammer();
	raidv2_unfail_disks();
	if($VVOLS){ 
	  raidv2_remove_volume($FILER_VOL);
	  $VVOLS = 0;
	  raidv2_remove_volume($FILER_VOL);
	  $VVOLS = 1;
	} else {
	  raidv2_remove_volume($FILER_VOL);
	  $VVOLS = 1; 
	  raidv2_remove_volume($FILER_VOL);
	  $VVOLS = 0;
	}
	say($r, "priv set -q diag; disk zero spares");
	say($r, "priv set diag; license add KBPLGBN");
	say($r, "priv set diag; license add UELJHSI");

	say($r, "priv set diag; disk scrub stop");
	if ($VVOLS){
		say($r, "priv set diag; aggr verify stop"); }
	else { say ($r, "priv set diag; vol verify stop");}
	sleep 10;
};

sub test_init_notouch_lic{
	
	raidv2_stop_hammer();
	raidv2_unfail_disks();
	if($VVOLS){ 
	  raidv2_remove_volume($FILER_VOL);
	  $VVOLS = 0;
	  raidv2_remove_volume($FILER_VOL);
	  $VVOLS = 1;
	} else {
	  raidv2_remove_volume($FILER_VOL);
	  $VVOLS = 1;
	  raidv2_remove_volume($FILER_VOL);
	  $VVOLS = 0;
	}
	say($r, "priv set -q diag; disk zero spares");
	say($r, "priv set -q diag; disk scrub stop");
	if ($VVOLS) {
		say($r, "priv set -q diag; aggr verify stop");
	} else {say($r, "priv set -q diag; vol verify stop"); }
}

sub raidqa_test_init_notouch_lic{
       
        raidv2_stop_hammer();
        raidv2_unfail_disks();
        if($VVOLS){
          raidv2_remove_volume($FILER_VOL);
          $VVOLS = 0;
          raidv2_remove_volume($FILER_VOL);
          $VVOLS = 1;
        } else {
          raidv2_remove_volume($FILER_VOL);
          $VVOLS = 1;
          raidv2_remove_volume($FILER_VOL);
          $VVOLS = 0;
        }
        say($r, "priv set -q diag; disk zero spares");
        say($r, "priv set -q diag; disk scrub stop");
        if ($VVOLS) {
                say($r, "priv set -q diag; aggr verify stop");
        } else {
		say($r, "priv set -q diag; vol verify stop"); 
	}
}



sub get_group_by_diskname($){

	my $disk = $_[0];
	my $group;

	raidv2_info_disk_load($disk);

	my $raidname = $raidv2_info_disk_by_name{"$disk"}{"raid_name"};
	if ($raidname =~ /\/(.*)\/(.*)\/(.*)\/(.*)/){
		$group="\/$1\/$2\/$3";
		tstlog -comment, "$disk belong to raidgroup $group\n";
		return $group;
	}
	if ($raidname !~ /\/(.*)\/(.*)\/(.*)\/(.*)/){
		tstlog -comment, "$disk doesn't belong to any rg\n";
		return 0;
	}
	
}

	
sub get_plex_by_diskname($){
	my $disk = $_[0];
	my $plex;

	raidv2_info_disk_load($disk);

	my $raidname = $raidv2_info_disk_by_name{"$disk"}{"raid_name"};
	if ($raidname =~ /\/(.*)\/(.*)\/(.*)\/(.*)/){
		$plex="\/$1\/$2";
		tstlog -comment, "$disk belong to plex $plex\n";
		return $plex;
	}
	if ($raidname !~ /\/(.*)\/(.*)\/(.*)\/(.*)/){
		tstlog -comment, "$disk doesn't belong to any rg\n";
		return 0;
	}
	
}

sub get_plexid_by_diskname($){
	my $disk = $_[0];
	my $plexid;

	raidv2_info_disk_load($disk);

	my $plexid = $raidv2_info_disk_by_name{"$disk"}{"plex_pid"};
	return $plexid;
}

sub run_disk_mung($$) {
	my $disk_id = $_[0];
	my $sector = $_[1];
	my $output;

	(undef,undef,$output)=say($r,"priv set -q test; disk_mung $disk_id $sector");
	if ($output =~ /scsi_write_long succeeded on block $sector/ ) {
		return 1;
	} else {
		return 0;
	}
}

sub unfail_disk($) {
	my $disk_id = $_[0];

	#(undef,undef,$output)=say($r,"priv set -q diag; disk unfail -s $disk_id");
   	$output = saycmd_real($FILER, "priv set -q diag; disk unfail -s $disk_id", $RAIDV2_TIMEOUT);
	if ($output =~ /usage/) {
   		saycmd_real($FILER, "priv set -q diag; disk unfail $disk_id", $RAIDV2_TIMEOUT);
		#say($r,"priv set -q diag; disk unfail $disk_id");
	}
	sleep 30;

	raidv2_info_disk_load($disk_id);
	if($raidv2_info_disk_by_name{$disk_id}{"fsm_state"} eq "FAILED" ) {
		return 0;
	} else {
		return 1;
	}
}

sub fail_disk($) {
	my $disk_id = $_[0];


	#(undef,undef,$output)=say($r,"disk fail -i -f $disk_id");
   	saycmd_real($FILER, "priv set -q diag; disk fail -i -f $disk_id", $RAIDV2_TIMEOUT);
	sleep 30;

	##********* in case of dual attach ********
	my $disk_id_2ndpath = get_2ndpath_name($disk_id);
	if ($disk_id_2ndpath) {
		tstlog "-comment", "RAIDQA_LIB==2nd path of $disk_id is : $disk_id_2ndpath \n";
		raidv2_info_disk_load($disk_id);
		raidv2_info_disk_load($disk_id_2ndpath);
		if($raidv2_info_disk_by_name{$disk_id}{"fsm_state"} ne "FAILED"  &&
	   	   $raidv2_info_disk_by_name{$disk_id_2ndpath}{"fsm_state"} ne "FAILED") {
			my $value=$raidv2_info_disk_by_name{$disk_id}{"fsm_state"};
			my $value2=$raidv2_info_disk_by_name{$disk_id_2ndpath}{"fsm_state"};
			tstlog "-comment", "RAIDQA_LIB==fsm_state=$value \n";
			tstlog "-comment", "RAIDQA_LIB==fsm_state_2ndpath=$value2 \n";
			return 0;
		} else {
			return 1;
		}
	}
	else {
		raidv2_info_disk_load($disk_id);
		if($raidv2_info_disk_by_name{$disk_id}{"fsm_state"} ne "FAILED") { 
		my $value=$raidv2_info_disk_by_name{$disk_id}{"fsm_state"};
		tstlog "-comment", "RAIDQA_LIB==fsm_state=$value \n";
		return 0;
		} else {
			return 1;
		}
	}
}

sub prefail_disk($) {
	my $disk_id = $_[0];

	#(undef,undef,$output)=say($r,"disk fail -f $disk_id");
   	saycmd_real($FILER, "priv set -q diag; disk fail -f $disk_id", $RAIDV2_TIMEOUT);
	sleep 30;

	raidv2_info_disk_load($disk_id);
	if($raidv2_info_disk_by_name{$disk_id}{"prefail"} ne "1" ) {
		return 0;
	} else {
		return 1;
	}
}

sub get_default_rgsize() {
	my $default_rgsize = 16;

	say($r, "sysconfig -v 0", "Model Name.+\n");
	if($RESPONSE =~ /R200/) {
        	$default_rgsize = 14;
	}
	if($RESPONSE =~ /R150/ || $RESPONSE =~ /R100/ ) {
        	$default_rgsize = 12;
	}
	return $default_rgsize;
}

sub get_max_rgsize() {

	my $max_rgsize = 28;

	say($r, "sysconfig -v 0", "Model Name.+\n");
	if($RESPONSE =~ /R200/) {
       		$max_rgsize = 16;
	}
	if($RESPONSE =~ /R150/ || $RESPONSE =~ /R100/ ) {
        	$max_rgsize = 12;
	}

	return $max_rgsize;
}

sub get_checksum_type($) {
	my @data;
	my $vol = $_[0];

#	if ($VVOLS) {	
	  say($r, "aggr status -c $vol", "$vol .*\n");
#	} else {
#	  say($r, "vol status -c $vol", "$vol .*\n");
#	}
	@data = split(" ", $RESPONSE);

	tstlog('-comment', "checksum type  is $data[1]\n\n");
	
	return $data[1];
}

sub remove_spare($) {
	my $spare = $_[0];

	#say($r, "priv set -q diag; disk remove $spare");
   	saycmd_real($FILER, "priv set -q diag; disk remove $spare", $RAIDV2_TIMEOUT);
	sleep 20;
	raidv2_info_disk_load($spare);
	my $spare_path1=$raidv2_info_disk_by_name{$spare}{"path_name1"};
	my $spare_path2=$raidv2_info_disk_by_name{$spare}{"path_name2"};
	if($raidv2_info_disk_by_name{$spare_path1}{"fsm_state"} ne "FAILED" ) {
    		if($raidv2_info_disk_by_name{$spare_path2}{"fsm_state"} ne "FAILED" ) {
                	tstlog "-comment", "unable to remove spare $spare.\n";
			return 0;
    		}
	}

        # if($raidv2_info_disk_by_name{$spare}{fsm_state} ne "FAILED" &&
        #    $raidv2_info_disk_by_name{$spare}{fsm_state} ne "BROKEN") {
        #       tstlog "-comment", "unable to remove spare $spare.\n";
	#	return 0;
	# }
	return 1;
}

sub remove_spares_all() {
	raidv2_info_disk_load;
	my @spare_disks_0 = split(",", $raidv2_info_tree_disk_list{"POOL:Pool0"});
	my @spare_disks_1 = split(",", $raidv2_info_tree_disk_list{"POOL:Pool1"});

	my $spare;
	foreach $spare(@spare_disks_0){
		if (!remove_spare($spare) ) {
		   tstlog "-fail", "fail to remove spare $spare.\n";
		}
 	}
	foreach $spare(@spare_disks_1){
		if (!remove_spare($spare) ) {
		   tstlog "-fail", "fail to remove spare $spare.\n";
		}
	}
}

sub start_verify($) {
	my $vol = $_[0];
	my $output;

	if ($VVOLS) {
          (undef,undef,$output)=say($r, "aggr verify start $vol");
        } else {
          (undef,undef,$output)=say($r, "vol verify start $vol");
        }

	if($output =~ /not/ || $output =~ /already running/ ) {
	  return 0; }
	else {
	  return 1;
	}
}

sub verify_status($) {
	my $vol = $_[0];
	my $output;

	if ($VVOLS) {
        (undef,undef,$output)=say($r, "priv set -q diag; aggr verify status $vol");} else {
        (undef,undef,$output)=say($r, "priv set -q diag; vol verify status $vol");}

	if($output =~ /is (.*) complete/ ) {
	  return 1;}
	else {
	  return 0;}
}
sub get_recons_disks_by_group($) {
    my(@ldisks) = ();
    raidv2_info_disk_load();
    raidv2_info_group_load();

    # get all the disks in a group
    my(@disklist) = ();
    @disklist = split(',', $raidv2_info_group_disk_list{$_[0]});
    if ($#disklist < 0) {
        tstlog -fatal,  "no disks in group named: $_[0]";
    }

    foreach my $e (@disklist) {
        if ($raidv2_info_disk_by_name{$e}{parent_state} =~ "RECONS") {
            push @ldisks, $e;
        }
    }

    if ($#ldisks < 0) {
        tstlog -fatal,  "no disks in group named: $_[0], is a $_[1] disk\n";
    }
    return @ldisks;

}

sub prefail_data_by_group_wait_sdc($) {
	my $group = $_[0];
	my @data_disks;

	@data_disks = raidv2_get_disks_by_group_type("$group","DATA");
	tstlog -comment, "data_disks are @data_disks \n";
	if (!prefail_disk($data_disks[0])) {
        tstlog "-fatal", "fail to prefail the disk $data_disks[0].\n";
	}
	sleep(20);
	
	raidv2_info_group_load($group);

        if ($raidv2_info_group_by_name{"$group"}{"disk_copy_source_id"} eq "-1" &&
	    $raidv2_info_group_by_name{"$group"}{"disk_copy_target_id"} eq "-1")
	{
                tstlog -fatal, "sdc didn't start\n";
        }
}

sub prefail_parity_by_group_wait_sdc($) {
	my $group = $_[0];
	my @parity_disks;

	@parity_disks = raidv2_get_disks_by_group_type("$group","PARITY");
	tstlog -comment, "data_disks are @parity_disks \n";
	if (!prefail_disk($parity_disks[0])) {
        tstlog "-fatal", "fail to prefail the disk $parity_disks[0].\n";
	}
	sleep(20);
	
	raidv2_info_group_load($group);

        if ($raidv2_info_group_by_name{"$group"}{"disk_copy_source_id"} eq "-1" &&
	    $raidv2_info_group_by_name{"$group"}{"disk_copy_target_id"} eq "-1")
	{
                tstlog -fatal, "sdc didn't start\n";
        }
}

sub prefail_dparity_by_group_wait_sdc($) {
	my $group = $_[0];
	my @dparity_disks;

	@dparity_disks = raidv2_get_disks_by_group_type("$group","DPARITY");
	tstlog -comment, "data_disks are @dparity_disks \n";
	if (!prefail_disk($dparity_disks[0])) {
        tstlog "-fatal", "fail to prefail the disk $dparity_disks[0].\n";
	}
	sleep(20);
	
	raidv2_info_group_load($group);

        if ($raidv2_info_group_by_name{"$group"}{"disk_copy_source_id"} eq "-1" &&
	    $raidv2_info_group_by_name{"$group"}{"disk_copy_target_id"} eq "-1")
	{
                tstlog -fatal, "sdc didn't start\n";
        }
}

sub turn_on_debug_syslog($) {
	my $root_mountpoint = $_[0];

	if(-e "$root_mountpoint/etc/syslog.conf") {
  	  `sudo -u root mv "$root_mountpoint/etc/syslog.conf" "$root_mountpoint/etc/syslog.conf.copy"`;

  	  `sudo -u root echo "*.debug             /dev/console" > "/tmp/syslog.conf"`;
  	  `sudo -u root echo "*.debug             /etc/messages" >> "/tmp/syslog.conf"`;
  	  `sudo -u root cp "/tmp/syslog.conf" "$root_mountpoint/etc/syslog.conf"`;

	}
	else {
  	  `sudo -u root echo "*.debug             /dev/console" > "/tmp/syslog.conf"`;
  	  `sudo -u root echo "*.debug             /etc/messages" >> "/tmp/syslog.conf"`;
  	  `sudo -u root cp "/tmp/syslog.conf" "$root_mountpoint/etc/syslog.conf"`;
	}
}
sub start_zeroing_on_spares() {

	say($r, "priv set -q diag; disk zero spares");

}

sub get_labelmaint_list(){

	my $output;
        (undef, undef, $output)=say($r, "priv set -q diag;labelmaint list ");
        @olm_list= split(/\r?\n/, $output);
	return @olm_list;

}

sub labelmaint_isolate(@) {
	my @iso_list = @_;
	if (@iso_list < 1) {
		tstlog -fail, "Need to define at least one parameter to this funtion";
	} else {
        	say($r, "priv set -q diag;labelmaint isolate @iso_list ");
	}
#	return 1;

}

sub labelmaint_unisolate() {

        say($r, "priv set -q diag;labelmaint unisolate");
#	return 1;

}

sub raidqa_get_labelmaint_list(){

	my $output;
        (undef, undef, $output)=say($r, "priv set -q diag;labelmaint list ");
        @olm_list= split(/\r?\n/, $output);
	return @olm_list;

}

sub raidqa_labelmaint_isolate(@) {
	my @iso_list = @_;
	if (@iso_list < 1) {
		tstlog -fail, "Need to define at least one parameter to this funtion";
	} else {
        	say($r, "priv set -q diag;labelmaint isolate @iso_list ");
	}

}

sub raidqa_labelmaint_unisolate() {

        say($r, "priv set -q diag;labelmaint unisolate");

}

# get list of all volumes in filer using vol status -r command
sub get_vol_list() {

        my $output;
        (undef, undef, $output)=say($r, "priv set -q diag;vol status -r");
        @vol_list= split(/\r?\n/, $output);
	return @vol_list;

}

sub raidqa_get_vol_list() {

        my $output;
        (undef, undef, $output)=say($r, "priv set -q diag;vol status -r");
        @vol_list= split(/\r?\n/, $output);
	return @vol_list;

}

# get list of all aggr in filer using aggr status -r command
sub get_aggr_list() {

        my $output;
        (undef, undef, $output)=say($r, "priv set -q diag;aggr status -r");
        @aggr_list= split(/\r?\n/, $output);
	return @aggr_list;
}

sub raidqa_get_aggr_list() {

        my $output;
        (undef, undef, $output)=say($r, "priv set -q diag;aggr status -r");
        @aggr_list= split(/\r?\n/, $output);
	return @aggr_list;
}


#get list of given volume using vol status -r <volname> command
sub get_vol_status($) {
        my $vol = $_[0];
        my $output;

        (undef,undef,$output)=say($r, "priv set -q diag; vol status -r $vol");
        @vol_list= split(/\r?\n/, $output);
	return @vol_list;

}

sub raidqa_get_vol_status($) {
        my $vol = $_[0];
        my $output;

        (undef,undef,$output)=say($r, "priv set -q diag; vol status -r $vol");
        @vol_list= split(/\r?\n/, $output);
	return @vol_list;
}


#get list of given aggr using aggr status -r <aggrname> command
sub get_aggr_status($) {
        my $aggr = $_[0];
        my $output;

        (undef, undef, $output)=say($r, "priv set -q diag;aggr status -r $aggr");
        @aggr_list= split(/\r?\n/, $output);
	return @aggr_list;
}
sub raidqa_get_aggr_status($) {
        my $aggr = $_[0];
        my $output;

        (undef, undef, $output)=say($r, "priv set -q diag;aggr status -r $aggr");
        @aggr_list= split(/\r?\n/, $output);
	return @aggr_list;
}


sub remove_spares_all_even_after_boot() {
	raidv2_info_load();
	@spares_0 = split(",", $raidv2_info_tree_disk_list{"POOL:Pool0"});
	@spares_1 = split(",", $raidv2_info_tree_disk_list{"POOL:Pool1"});
	$num_of_spares_0 = @spares_0;
	$num_of_spares_1 = @spares_1;
	if($num_of_spares_0 > 1) {
        	if(!raidv2_vol_create("vol_pool0_spares -d @spares_0 ") ) {
                	tstlog -fatal, "vol create to use all pool0 spare failed, check if you have enough spares!";
        	}
	}
	elsif ($num_of_spares_0 == 1) {
        	say($r, "priv set -q test;disk remove  $spares_0[0]",
        	"-prompt", " Unload of disk .+ has completed successfully",
        	"-fatal", "fail to remove the spare disk from pool0 \n");
	}

	if($num_of_spares_1 > 1) {
        	if(!raidv2_vol_create("vol_pool1_spares -d @spares_1 ") ) {
                	tstlog -fatal, "vol create to use all pool1 spares failed, check if you have enough spares!";
        	}
	} elsif ($num_of_spares_1 == 1) {
        	say($r, "priv set -q test;disk remove  $spares_1[0]",
        	"-prompt", " Unload of disk .+ has completed successfully",
        	"-fatal", "fail to remove the spare disk from pool1 \n");
	}

	#--------------------------------
	# Again check to remove spares
	#-------------------------------
	raidv2_info_load();
	@spares_0 = split(",", $raidv2_info_tree_disk_list{"POOL:Pool0"});
	@spares_1 = split(",", $raidv2_info_tree_disk_list{"POOL:Pool1"});
	$num_of_spares_0 = @spares_0;
	$num_of_spares_1 = @spares_1;
	if($num_of_spares_0 > 1) {
        	if(!raidv2_vol_create("vol_pool0_spares_1 -d @spares_0 ") ) {
                	tstlog -fatal, "vol create to use all pool0 spare failed, check if you have enough spares!";
        	}
	}
	elsif ($num_of_spares_0 == 1) {
        	say($r, "priv set -q test;disk remove  $spares_0[0]",
        	"-prompt", " Unload of disk .+ has completed successfully",
        	"-fatal", "fail to remove the spare disk from pool0 \n");
	}

	if($num_of_spares_1 > 1) {
        	if(!raidv2_vol_create("vol_pool1_spares_1 -d @spares_1 ") ) {
                	tstlog -fatal, "vol create to use all pool1 spares failed, check if you have enough spares!";
        	}
	}
	elsif ($num_of_spares_1 == 1) {
        	say($r, "priv set -q test;disk remove  $spares_1[0]",
        	"-prompt", " Unload of disk .+ has completed successfully",
        	"-fatal", "fail to remove the spare disk from pool1 \n");
	}
}

sub remove_spares_all_even_after_boot_cleanup() {
	
	raidv2_remove_volume("vol_pool0_spares");
	raidv2_remove_volume("vol_pool1_spares");
	raidv2_remove_volume("vol_pool0_spares_1");
	raidv2_remove_volume("vol_pool1_spares_1");
}

sub export_vol($) {
	my $vol = $_[0];
	my $output;

	(undef,undef,$output)=say($r, "exportfs -io anon=0 /vol/$vol");
}

sub snapmirrored_off($) {
	my $vol = $_[0];
	my $output;

	if($VVOLS) {
	  (undef,undef,$output)=say($r, "aggr options $vol snapmirrored off");
	} else {
	  (undef,undef,$output)=say($r, "vol options $vol snapmirrored off");
	}
	if ($output =~ /is now writable/) {
		return 1;
	} else {
		return 0;
	}
}

sub get_2ndpath_name($) {
	my $disk = $_[0];
	my $output;

	(undef, undef, $output)=say($r,"priv set -q advanced;storage show disk -p ");
	my @dualpaths = split(/\r?\n/, $output);
	my @my_dualpath = grep /$disk/, @dualpaths;
	my @my_dualpath_names = split(/\s+/,$my_dualpath[0]);

	if ($#my_dualpath_names != 5 ) {
		tstlog "-comment", "Disk $disk is not dual attached.\n";
		return 0;
	} else {
		if ($disk eq $my_dualpath_names[0] ) {
		  tstlog "-comment", "The other path of $disk is $my_dualpath_names[2].\n";
		  return $my_dualpath_names[2];
		} else {
		  tstlog "-comment", "The other path of $disk is $my_dualpath_names[0].\n";
		  return $my_dualpath_names[0];
		}
		  
	}
}	

sub get_root_aggr() {
	if ($VVOLS) {
		$set_vvols=1;
	} else {
		$set_vvols=0;
	}
	
	$VVOLS=1;
	
	raidv2_info_vol_load();

	foreach my $vol(@raidv2_info_vol_list){
	  	if ($raidv2_info_vol_by_name{$vol}{root} == 1 ) {
		$VVOLS=$set_vvols;
		  return $vol;
   		}
	}
	$VVOLS=$set_vvols;
	return 0;
}

sub get_root_vol() {
	if ($VVOLS) {
		$set_vvols=1;
	} else {
		$set_vvols=0;
	}
	if ($AGGR){
		$set_aggr=1;
	}else{
		$set_aggr=0;
	}

	$VVOLS=0;
	$AGGR=0;
	raidv2_info_vol_load();

	foreach my $vol(@raidv2_info_vol_list){
	  	if ($raidv2_info_vol_by_name{$vol}{root} == 1 ) {
		$VVOLS=$set_vvols;
		$AGGR=$set_aggr;
		  return $vol;
   		}
	}
	$VVOLS=$set_vvols;
	return 0;
}
sub raidqa_check_vol_exist {
        my (%opts) = validate(@_, {
                                filer_vol => { type=>SCALAR },
                                vvols => { type=>SCALAR,default=>0,optional=>1 },
                                }
                        );
                  my $vvols = $opts{vvols};
                  my $filer_vol = $opts{filer_vol};

        raidv2_info_vol_load($filer_vol);

        if ($raidv2_info_vol_by_name{$filer_vol}{"tree"}) {
		tstlog "-comment", "Volume $filer_vol exist.\n";
		return 1;
	}
	return 0
}
sub raidqa_check_vol_online {
        my (%opts) = validate(@_, {
                                filer_vol => { type=>SCALAR },
                                vvols => { type=>SCALAR,default=>0,optional=>1 },
                                }
                        );
                  my $vvols = $opts{vvols};
                  my $filer_vol = $opts{filer_vol};

        raidv2_info_vol_load($filer_vol);

        if ($raidv2_info_vol_by_name{$filer_vol}{"state_name"} eq "online") {
		tstlog "-comment", "Volume $filer_vol is online.\n";
		return 1;
	}
	return 0
}

sub raidqa_exist_ok1 {

        my (%opts) = validate(@_, {
                                filer_vol => { type=>SCALAR },
                                vvols => { type=>SCALAR,default=>0,optional=>1 },
                                raid_type => { type=>SCALAR, default=>4,optional=>1 },
                                mirror => { type=>SCALAR, default=>0, optional=>1 },
                                rg_state => { type=>SCALAR, default=>0, optional=>1 },
                                }
                        );
                  my $vvols = $opts{vvols};
                  my $filer_vol = $opts{filer_vol};
                  my $raid_type = $opts{raid_type};
                  my $mirror = $opts{mirror};
                  my $rg_state = $opts{rg_state};

	my $fsm;
	my $state;
	my $waflonline;
	my $waflmounted; 
	my $inconsist; 
	my $snapmir; 
	my $mir_state;
	my $rt_type;
#	my $plexcount;
#	my @plexes;
#	my $resync;
	my @groups;
	my $sid;
	my $tid;

	raidv2_info_vol_load($filer_vol);

	$fsm = $raidv2_info_vol_by_name{$filer_vol}{"fsm_state"} ;
	$state = $raidv2_info_vol_by_name{$filer_vol}{"state_name"} ;
	$waflonline = $raidv2_info_vol_by_name{$filer_vol}{"wafl_online"} ;
	$waflmounted = $raidv2_info_vol_by_name{$filer_vol}{"wafl_mounted"} ;
	$inconsist = $raidv2_info_vol_by_name{$filer_vol}{"ignore_inconsist"} ;
	$snapmir = $raidv2_info_vol_by_name{$filer_vol}{"snapmirrored"} ;
	$mir_state = $raidv2_info_vol_by_name{$filer_vol}{"mirror_state"} ;
	$rt_type = $raidv2_info_vol_by_name{$filer_vol}{"raidtree_type"} ;
#	$plex_count = $raidv2_info_vol_by_name{$filer_vol}{"plex_count"} ;
	
#	print "$fsm $state $waflonline $waflmounted $inconsist $snapmir $mir_state $rt_type \n";

	# Verifying if aggr/vol is normal/online/mounted and not inconsistent/snapmirror destination.

	if ($fsm ne "NORMAL" || $state ne "online" || $waflonline ne "1" ||
            $waflmounted ne "1" || $inconsist ne "0" || $snapmir ne "0") {
		tstlog "-comment", "Volume $filer_vol doesn't exist OR not in ONLINE/NORMAL state.\n";
		return 0;
	}

	# Verifying if aggr/vol is matching the MIRRORING requirement for the test.

	if ($mirror eq "yes" || $mirror eq "1") {
		if ($mir_state ne "NORMAL") {
		   tstlog "-comment", "Volume $filer_vol is not in required MIRRORED state.\n";
		   return 0;
	         } 
	} elsif ($mirror eq "no" || $mirror eq "0") {
		     if ($mir_state ne "UNMIRRORED") {
		     tstlog "-comment", "Volume $filer_vol is not in required UNMIRRORED state.\n";
		     return 0;
		     }
       	}

	# Verifying if aggr/vol is matching the RAID_TYPE requirement for the test.

	if ($raid_type eq "raid4" || $raid_type eq "4") {
		#if ($rt_type ne "raid4") #
		if (!($rt_type =~ /raid4/)) {
		   tstlog "-comment", "volume is not matching to its required type RAID4.\n";
		   return 0;
	         } 
	} elsif ($raid_type eq "raid_dp" || $raid_type eq "dp"|| $raid_type eq "raiddp" || $raid_type eq "raid-dp" || $raid_type eq "raidrd") {
		     #if ($rt_type ne "raidrd") #
		     if (!($rt_type =~ /raidrd/)) {
		     tstlog "-comment", "Volume $filer_vol is not matching to its required type RAID-DP.\n";
		     return 0;
		     }
        }

	# Verifying if aggr contains the required flex vol for the test.

	if ($vvols) {

		# This is simple hack which runs 'raid_config info listvol $vol' to make use of existing 
		# Library routine raidv2_info_vol_load. The value of VVOLS is restored upon completion. 

		$VVOLS=0;
		raidv2_info_vol_load($filer_vol);
		my $store_type = $raidv2_info_vol_by_name{$filer_vol}{"store_type"} ;
		my $tree = $raidv2_info_vol_by_name{$filer_vol}{"tree"} ;
		my $state_name = $raidv2_info_vol_by_name{$filer_vol}{"state_name"} ;
		# print "$store_type $tree \n";

		if ($store_type eq "" || $tree eq "" || $state_name eq "") {
		   tstlog "-comment", "Aggregate doesn't contain the required flex volume.\n";
		   	$VVOLS=1;
			raidv2_info_vol_load($filer_vol);
		   return 0;
	         } elsif ($store_type ne "flex" || $tree ne "$filer_vol" || $state_name ne "online") {
		     tstlog "-comment", "Aggregate doesn't contain the required flex volume.\n";
		   	$VVOLS=1;
			raidv2_info_vol_load($filer_vol);
		     return 0;
		 }
	       $VVOLS=1;
	       raidv2_info_vol_load($filer_vol);
             }

	# Verifying if aggr/vol's raidgroups are matching its RG_STATE requirement of the test.
	if ($rg_state) {
		raidv2_info_group_load();
		@groups = split(',', $raidv2_info_tree_group_list{$filer_vol});
        	my $group;
        	foreach $group ( @groups) {
          		$fsm = $raidv2_info_group_by_name{$group}{"fsm_state"} ;
	  		$sid = $raidv2_info_group_by_name{$group}{"disk_copy_source_id"} ;
	  		$tid = $raidv2_info_group_by_name{$group}{"disk_copy_target_id"} ;
	  			if ($fsm ne "NORMAL" || $sid ne "-1" || $tid ne "-1") {
            				tstlog "-comment", "Not all the raidgroups are in normal state.\n";
	    				return 0;
          			}
          	}
        }
	return 1
}

sub raidqa_create_new1 {

        my (%opts) = validate(@_, {
                                filer_vol => { type=>SCALAR },
                                vvols => { type=>SCALAR,default=>0,optional=>1 },
                                raid_type => { type=>SCALAR, default=>4,optional=>1 },
                                mirror => { type=>SCALAR, default=>0, optional=>1 },
                                disks => { type=>SCALAR, default=>4, optional=>1 },
                                rg_size => { type=>SCALAR, default=>0, optional=>1 },
                                }
                        );
                  my $vvols = $opts{vvols};
                  my $filer_vol = $opts{filer_vol};
                  my $raid_type = $opts{raid_type};
                  my $mirror = $opts{mirror};
                  my $disks = $opts{disks};
                  my $rg_size = $opts{rg_size};

	my $t;
	my $m;
	my $r;
	my $d;

	if ($raid_type eq "raid4" || $raid_type eq "4") {
		$t="-t 4";
	} elsif ($raid_type eq "raid_dp" || $raid_type eq "dp" || $raid_type eq "raiddp" || $raid_type eq "raid-dp" || $raid_type eq "raidrd") {
		$t="-t dp";
	}

	if ($mirror eq "yes" || $mirror eq "1") {
		$m="-m";
		$d= 2 * $disks; # Will this break if $disks is specified in ndisks@size format?
	} elsif ($mirror eq "no" || $mirror eq "0") {
		$m="";
		$d=$disks;
	}

	if ($rg_size ne "0") {
		$r="-r $rg_size";
	} else {
		$r="";
	}

	if ($vvols) {	
	  $o = saycmd_real($FILER, "aggr create $filer_vol -f $t $m $r $d", $RAIDV2_TIMEOUT);
	} else {
	  $o = saycmd_real($FILER, "vol create $filer_vol -f $t $m $r $d", $RAIDV2_TIMEOUT);
	}
	
	raidv2_info_vol_load($filer_vol);

#	if (!($o =~ /has completed/ || $o =~ /has been created/ || $o =~ /has been initiated/ )) {
		if (!$raidv2_info_vol_by_name{$filer_vol}) {
			saycmd_real($FILER,"sysconfig -r");
			# Making this fatal error.
			tstlog "-fatal", "Aggr/Volume creation appears to have failed.\n";
			return 0;
		}
#	}

	sleep 60; 
	raidv2_wait_on_vol_zeroing($filer_vol);

	raidv2_info_vol_load($filer_vol);

	# Create flex volume having same name of aggregate with 3/4th of its size.

	if ($vvols) {	
	  $size = 3072 * $raidv2_info_vol_by_name{$filer_vol}{raidsize};
	  $o = saycmd_real($FILER, "vol create $vol $vol $size", $RAIDV2_TIMEOUT);
	} 

	return 1
}

sub raidqa_get_rtid {
	my (%opts) = validate(@_, {
				filer_vol=> { type=>SCALAR },
                                timeout => { type=>SCALAR, default=>300, optional=>1 },
                                } 
                        );
                  my $filer_vol = $opts{filer_vol};

	my $rtid = "";

	raidv2_info_disk_load();

	# Now get a list of all the disks in the volume
	my @d_disks = raidv2_get_disks_by_type("$filer_vol","DATA");
	#my @p_disks = raidv2_get_disks_by_type("$filer_vol","PARITY");
	#my @dp_disks = raidv2_get_disks_by_type("$filer_vol","DPARITY");

	my @d = ();
	push (@d, @d_disks);
	#push (@d, @p_disks);
	#push (@d, @dp_disks);

	#use Data::Dumper;

	raidv2_info_label_load($d[0]);

	my $rt = $raidv2_info_label{'tree'}{'rtid'};
	my @rtID = split(/x/,$rt);

	if ($rtID[1] eq "") {
		tstlog "-comment", "Failed to get the RAIDTREE ID of a specified volume. Returning UNDEFINED value for rtid. \n";
		return $rtid;
	} else {
		$rtid = $rtID[1];
		return $rtid;
		
	}
}	
sub raidqa_assim_for_raid_replay1 {

        my (%opts) = validate(@_, { 	assim => { type=>SCALAR },
                                	skip_count => { type=>SCALAR,default=>0,optional=>1 },
                                	skip_disk1 => { type=>SCALAR,default=>undef,optional=>1 },
                                	skip_disk2 => { type=>SCALAR, default=>undef,optional=>1 },
                                	skip_plex => { type=>SCALAR, default=>undef,optional=>1 },
                                	timeout => { type=>SCALAR, default=>300, optional=>1 },
                                  }
                             );

                  my $assim = $opts{assim};
                  my $skip_count = $opts{skip_count};
                  my $skip_disk1 = $opts{skip_disk1};
                  my $skip_disk2 = $opts{skip_disk2};
                  my $skip_plex = $opts{skip_plex};

	print "XXX - $assim $skip_count $skip_disk1 $skip_disk2 $skip_plex\n";

	my $h = host ($FILER);
	my $c = connect("#console");
	my $cmd1 = "fiji filter \"(repeat 5 (raid.label.read.done (eq \@disk $skip_disk1) (return buf_Errno E_DISK_LINK_ERROR)))\""; 
	my $cmd2 = "fiji filter \"(repeat 5 (raid.label.read.done (eq \@disk $skip_disk2) (return buf_Errno E_DISK_LINK_ERROR)))\""; 
	my $cmd3 = "fiji filter \"(repeat 5 (raid.plex.skip.activation (eq \@plex $skip_plex) (return 1)))\""; 

		if ($assim eq "REBOOT") {
                	# -------------------------------
                	# boot time assimilation after clean shutdown.
                	# -------------------------------
			#transit_to($c, BOOT_MENU, maxidle=>600) or die("transit_to: $@");
			transit_to($c, BOOT_MENU, maxidle=>600) or return 0;

			my $boot_state = boot_state($c, timeout=>600, maxidle=>600);

        		if ($boot_state ne "BOOT_MENU") {
                		tstlog -comment, "The filer failed to boot into floppy-boot menu.\n";
                		return 0;
        		}

			if ($skip_count eq "1") {
                		say($c, "$cmd1", "-prompt","fiji: filter set", "-timeout",600);
			} elsif ($skip_count eq "2") {
                		say($c, "$cmd1", "-prompt","fiji: filter set", "-timeout",600);
                		say($c, "$cmd2", "-prompt","fiji: filter set", "-timeout",600);
			}
			if ($skip_plex) {
                		say($c, "$cmd3", "-prompt","fiji: filter set", "-timeout",600);
			}

			#transit_to($c, UP, maxidle=>120) or die("transit_to: $@");
			transit_to($c, UP, maxidle=>120) or return 0;
			sleep (120);


                	#if (!reboot($c, maxidle=>600)) {
                        #	halt($c, maxidle=>600);
                        #	tstlog -comment, "Failed to boot normally after reboot.";
			#	return 0;
                	#}
        	} elsif ($assim eq "PANIC") {
                	# -------------------------------
                	# boot time assimilation after unclean shutdown.
                	# -------------------------------
                	say($c, "priv set advanced; panic TEST", "-noprompt", "-timeout",600);

			#transit_to($c, BOOT_MENU, maxidle=>600) or die("transit_to: $@");
			transit_to($c, BOOT_MENU, maxidle=>600) or return 0;

			my $boot_state = boot_state($c, timeout=>600, maxidle=>600);

        		if ($boot_state ne "BOOT_MENU") {
                		tstlog -comment, "The filer failed to boot into floppy-boot menu.\n";
                		return 0;
        		}

			if ($skip_count eq "1") {
                		say($c, "$cmd1", "-prompt","fiji: filter set", "-timeout",600);
			} elsif ($skip_count eq "2") {
                		say($c, "$cmd1", "-prompt","fiji: filter set", "-timeout",600);
                		say($c, "$cmd2", "-prompt","fiji: filter set", "-timeout",600);
			}
			if ($skip_plex) {
                		say($c, "$cmd3", "-prompt","fiji: filter set", "-timeout",600);
			}

			#transit_to($c, UP, maxidle=>120) or die("transit_to: $@");
			transit_to($c, UP, maxidle=>120) or return 0;
			sleep (120);


                	#if (!boot($c, maxidle=>600)) {
                      	#tstlog -comment, "The filer is unable to boot up normally.\n";
	  	      	#return 0;
                	#}
        	} elsif ($assim eq "DYNAMIC") {
                	# -------------------------------
                	# dynamic assimilation
                	# -------------------------------
  		 	saycmd_real($FILER, "priv set -q diag; labelmaint isolate $FILER_VOL", $RAIDV2_TIMEOUT);
			sleep 10;

			if ($skip_count eq "1") {
                		say($c, "priv set -q diag; $cmd1", "-prompt","fiji: filter set", "-timeout",600);
			} elsif ($skip_count eq "2") {
                		say($c, "priv set -q diag; $cmd1", "-prompt","fiji: filter set", "-timeout",600);
                		say($c, "priv set -q diag; $cmd2", "-prompt","fiji: filter set", "-timeout",600);
			}
			if ($skip_plex) {
                		say($c, "$cmd3", "-prompt","fiji: filter set", "-timeout",600);
			}
			sleep 10;

  		 	saycmd_real($FILER, "priv set -q diag; labelmaint unisolate", $RAIDV2_TIMEOUT);
			sleep 120;

			#saycmd_real($FILER, "priv set -q diag; fiji filter \"(raid.label.read.done (eq \@disk $skip_disk1) (return buf_Errno E_DISK_LINK_ERROR))\", $RAIDV2_TIMEOUT);
			#saycmd_real($FILER, "priv set -q diag; fiji filter \"(raid.label.read.done (eq \@disk $skip_disk2) (return buf_Errno E_DISK_LINK_ERROR))\", $RAIDV2_TIMEOUT);
               		#if (!raidv2_vol_online ($FILER_VOL)) {
                	#	tstlog -comment, "Failed to ONLINE $FILER_VOL.\n";
	  	      	#	return 0;
                	#}
        	} elsif ($assim eq "WAFLIRON") {
                	# -------------------------------
                	# wafliron assimilation
                	# -------------------------------
			if ($skip_count eq "1") {
                		say($c, "priv set -q diag; $cmd1", "-prompt","fiji: filter set", "-timeout",600);
			} elsif ($skip_count eq "2") {
                		say($c, "priv set -q diag; $cmd1", "-prompt","fiji: filter set", "-timeout",600);
                		say($c, "priv set -q diag; $cmd2", "-prompt","fiji: filter set", "-timeout",600);
			}
			if ($skip_plex) {
                		say($c, "$cmd3", "-prompt","fiji: filter set", "-timeout",600);
			}

                	#if ($VVOLS) {
			#	say($c, "priv set -q diag; aggr wafliron start $FILER_VOL", "-prompt","Starting wafliron", "-timeout",600);
			#} else {
			#	say($c, "priv set -q diag; vol wafliron start $FILER_VOL", "-prompt","Starting wafliron", "-timeout",600);
			#}

               		raidv2_wafliron_start ($FILER_VOL);
			sleep 120;
               		if (!raidqa_check_vol_online (filer_vol=>$FILER_VOL,vvols=>$VVOLS)) {
                		tstlog -comment, "Wafliron appears Failed to ONLINE $FILER_VOL.\n";
	  	      		return 0;
                	}
        	} elsif ($assim eq "NONE") {
			sleep 60; # Sleeping for a minute as replay often takes a while and volume's state is NOT online yet.
               		if (!raidqa_check_vol_online (filer_vol=>$FILER_VOL,vvols=>$VVOLS)) {
                		tstlog -comment, "Volume $FILER_VOL was expected to be online without having any assimilation to be performed. That doesn't seem to be the case here.\n";
	  	      		return 0;
			}			
		}
		return 1;
}	

sub raidqa_get_one_plex_of_state($) {
	my $plex_state = $_[0];

	my $h = host($FILER);
	my $c = connect("#console");

        raidv2_info_plex_load();

        my @plexes = split(',',$raidv2_info_tree_plex_list{$FILER_VOL});
        my $normal_plex;
        my $resync_plex;
        my $offlined_plex;
        my $plex;

        foreach $plex (@plexes) {
                $online_state = $raidv2_info_plex_by_name{$plex}{"online"};
                $parent_state_resync = $raidv2_info_plex_by_name{$plex}{"parent_state_resync"};
                        
                if ($online_state eq "1" && $parent_state_resync eq "0") {
                        $normal_plex = $plex;
                } elsif ($online_state eq "1" && $parent_state_resync eq "1") {
                        $resync_plex = $plex;
                } elsif ($online_state eq "0") {
                        $offlined_plex = $plex;
                }
        }

	if ($plex_state eq "NORMAL") {
		return $normal_plex;
	} elsif ($plex_state eq "RESYNC") {
		return $resync_plex;
	} elsif ($plex_state eq "OFFLINED") {
		return $offlined_plex;
	} else {
		return 0;
	}
}


sub raidqa_take_mirror_to($) {
	my $state = $_[0];
	#my $c = connect("#console; logfile=$LOGDIR/console.log" );

        raidv2_info_vol_load($FILER_VOL);
                 if ( ($raidv2_info_vol_by_name{"$FILER_VOL"}{"mirror_state"} ne "NORMAL") || ($raidv2_info_vol_by_name{"$FILER_VOL"}{"state_name"} ne "online") ) {
			tstlog "-comment", "The volume doesn't seem online and mirrored to begin with.\n";
                 return 0;
                 }

        my @plexes = raidv2_get_plexes_by_vol($FILER_VOL);
        if ($state eq "DEGRADED") {
                if (!raidv2_plex_offline ("$plexes[0]")) {
			tstlog "-comment", "Failed to offline the plex. \n";
			return 0;
		}
                sleep 10;
		return 1;
        } elsif ($state eq "RESYNCL1") {
                if (!raidv2_plex_offline ("$plexes[0]")) {
			tstlog "-comment", "Failed to offline the plex. \n";
			return 0;
		}
                sleep 480;

                if (!raidv2_plex_online ("$plexes[0]")) {
			tstlog "-comment", "Failed to online the plex. \n";
			return 0;
		}
                sleep 30;
		return 1;
        } elsif ($state eq "RESYNCL0") {
                if (!raidv2_plex_offline ("$plexes[0]")) {
			tstlog "-comment", "Failed to offline the plex. \n";
			return 0;
		}
                sleep 120;

                #raidqa_plex_destroy ("$plexes[0]");

                #say($r, "aggr destroy $plexes[0] -f", "-timeout", 120);
	 	saycmd_real($FILER, "aggr destroy $plexes[0] -f", $RAIDV2_TIMEOUT);
                #say($r, "disk zero spares", "-timeout", 120);
	 	saycmd_real($FILER, "disk zero spares", $RAIDV2_TIMEOUT);

                sleep 30;

		# Volume should have been changed to unmirrored here. 

                raidv2_info_vol_load($FILER_VOL);
                        if ( $raidv2_info_vol_by_name{"$FILER_VOL"}{"mirror_state"} ne "UNMIRRORED") {
			tstlog "-comment", "It seems that destroy of the offlined plex failed.\n";
                        return 0;
                        }

                if (!raidv2_vol_mirror($FILER_VOL)) {
			#tstlog "-comment", "It seems that volume failed to get back to mirrored state.\n";
			# Its catch22 situation here. Sometimes vol mirror failsbecause disks have been failed to have the volume in degraded state.
			# This makes not enough disks available to make the volume mirrored again. Disks can't be unfailed as it would kick off reconstruction. 
			# Allowing level0 resync with disk failure will help here provided we bring up the mirrored state to its required state before disk failures. 
			#  I am making this error as fatal. 

			tstlog "-fatal", "It seems that volume failed to get back to mirrored state.\n";
                        return 0;
		}
                sleep 20;
                return 1;
        }
}
sub raidqa_assim2_for_raid_replay1 {

        my (%opts) = validate(@_, { 	assim => { type=>SCALAR },
                                	skip_count => { type=>SCALAR,default=>0,optional=>1 },
                                	skip_disk1 => { type=>SCALAR,default=>undef,optional=>1 },
                                	skip_disk2 => { type=>SCALAR, default=>undef,optional=>1 },
                                	skip_plex => { type=>SCALAR, default=>undef,optional=>1 },
                                	timeout => { type=>SCALAR, default=>300, optional=>1 },
                           	  }
                             );

        my $assim = $opts{assim};
        my $skip_count = $opts{skip_count};
        my $skip_disk1 = $opts{skip_disk1};
        my $skip_disk2 = $opts{skip_disk2};
        my $skip_plex = $opts{skip_plex};

	my $c = connect("#console" );
	my $cmd1;
	my $cmd2;
	my $cmd3;

	if ($assim =~ /^(DYNAMIC|WAFLIRON|NONE)$/) {
	 $cmd1 = "disk unfail $skip_disk1"; 
	 $cmd2 = "disk unfail $skip_disk2"; 
	 #$cmd3 = "labelmaint isolate $skip_plex"; Get the spare and isolate.
	 #$cmd3 = "plex unfail $skip_plex";  Get spare and isolate/unisolate.
	} else {

	# I don't think we have any testcase which results into disk/plex 
	# failure during 2nd assimilation with REBOOT/PANIC. 
	# Disks/Plex gets automatically unfailed during BOOT. 
	# However, keeping the code in place. May be its just commented out. 

	 $cmd1 = "fiji filter \"(raid.label.read.done (eq \@disk $skip_disk1) (return buf_Errno E_DISK_LINK_ERROR))\""; 
	 $cmd2 = "fiji filter \"(raid.label.read.done (eq \@disk $skip_disk2) (return buf_Errno E_DISK_LINK_ERROR))\""; 
	 #$cmd3 = "fiji filter \"(repeat 5 (raid.plex.skip.activation (eq \@plex $skip_plex) (return 1)))\""; 
	}
		if ($assim eq "REBOOT") {
                	# -------------------------------
                	# boot time assimilation after clean shutdown.
                	# -------------------------------
			transit_to($c, BOOT_MENU, maxidle=>600) or return 0;
			my $boot_state = boot_state($c, timeout=>600, maxidle=>600);
        		if ($boot_state ne "BOOT_MENU") {
                		tstlog -comment, "The filer failed to boot into floppy-boot menu.\n";
                		return 0;
        		}

			if ($skip_count eq "1") {
                		say($c, "$cmd1", "-prompt","fiji: filter set", "-timeout",600);
			} elsif ($skip_count eq "2") {
                		say($c, "$cmd1", "-prompt","fiji: filter set", "-timeout",600);
                		say($c, "$cmd2", "-prompt","fiji: filter set", "-timeout",600);
			}
	#		if ($skip_plex) {
        #        		say($c, "$cmd3", "-prompt","fiji: filter set", "-timeout",600);
	#		}

			transit_to($c, UP, maxidle=>120) or return 0;
			sleep (120);


        	} elsif ($assim eq "PANIC") {
                	# -------------------------------
                	# boot time assimilation after unclean shutdown.
                	# -------------------------------
                	say($c, "priv set advanced; panic TEST", "-noprompt", "-timeout",600);
			transit_to($c, BOOT_MENU, maxidle=>600) or return 0;
			my $boot_state = boot_state($c, timeout=>600, maxidle=>600);
        		if ($boot_state ne "BOOT_MENU") {
                		tstlog -comment, "The filer failed to boot into floppy-boot menu.\n";
                		return 0;
        		}

			if ($skip_count eq "1") {
                		say($c, "$cmd1", "-prompt","fiji: filter set", "-timeout",600);
			} elsif ($skip_count eq "2") {
                		say($c, "$cmd1", "-prompt","fiji: filter set", "-timeout",600);
                		say($c, "$cmd2", "-prompt","fiji: filter set", "-timeout",600);
			}
	#		if ($skip_plex) {
        #        		say($c, "$cmd3", "-prompt","fiji: filter set", "-timeout",600);
	#		}

			transit_to($c, UP, maxidle=>120) or return 0;
			sleep (120);

        	} elsif ($assim eq "DYNAMIC") {
                	# -------------------------------
                	# dynamic assimilation
                	# -------------------------------
			if ($skip_plex) {
				# Get spare and isolate one of it.
				get_spares_and_isolate_one();
			} else {
  		 		saycmd_real($FILER, "priv set -q diag; labelmaint isolate $FILER_VOL", $RAIDV2_TIMEOUT);
			}
			sleep 10;

			if ($skip_count eq "1") {
                		say($c, "priv set -q diag; $cmd1", "-noprompt", "-timeout",600);
			} elsif ($skip_count eq "2") {
                		say($c, "priv set -q diag; $cmd1", "-noprompt", "-timeout",600);
                		say($c, "priv set -q diag; $cmd2", "-noprompt", "-timeout",600);
			}
			#if ($skip_plex) {
                	#	say($c, "priv set -q diag; $cmd3", "-noprompt", "-timeout",600);
			#}
			sleep 30;

  		 	saycmd_real($FILER, "priv set -q diag; labelmaint unisolate", $RAIDV2_TIMEOUT);
			sleep 120;

			#saycmd_real($FILER, "priv set -q diag; fiji filter \"(raid.label.read.done (eq \@disk $skip_disk1) (return buf_Errno E_DISK_LINK_ERROR))\", $RAIDV2_TIMEOUT);
			#saycmd_real($FILER, "priv set -q diag; fiji filter \"(raid.label.read.done (eq \@disk $skip_disk2) (return buf_Errno E_DISK_LINK_ERROR))\", $RAIDV2_TIMEOUT);
               		#if (!raidv2_vol_online ($FILER_VOL)) {
                	#	tstlog -comment, "Failed to ONLINE $FILER_VOL.\n";
	  	      	#	return 0;
                	#}
        	} elsif ($assim eq "WAFLIRON") {
                	# -------------------------------
                	# wafliron assimilation
                	# -------------------------------
			if ($skip_count eq "1") {
                		say($c, "priv set -q diag; $cmd1", "-prompt","fiji: filter set", "-timeout",600);
			} elsif ($skip_count eq "2") {
                		say($c, "priv set -q diag; $cmd1", "-prompt","fiji: filter set", "-timeout",600);
                		say($c, "priv set -q diag; $cmd2", "-prompt","fiji: filter set", "-timeout",600);
			}
			if ($skip_plex) {
                		say($c, "$cmd3", "-prompt","fiji: filter set", "-timeout",600);
			}

                	#if ($VVOLS) {
			#	say($c, "priv set -q diag; aggr wafliron start $FILER_VOL", "-prompt","Starting wafliron", "-timeout",600);
			#} else {
			#	say($c, "priv set -q diag; vol wafliron start $FILER_VOL", "-prompt","Starting wafliron", "-timeout",600);
			#}

               		raidv2_wafliron_start ($FILER_VOL);
			sleep 60;
               		if (!raidqa_check_vol_online (filer_vol=>$FILER_VOL,vvols=>$VVOLS)) {
                		tstlog -comment, "Wafliron appears Failed to ONLINE $FILER_VOL.\n";
	  	      		return 0;
                	}
		}
		return 1;
}	
sub get_spares_and_isolate_one() {
	raidv2_info_disk_load;
	my @spare_disks_0 = split(",", $raidv2_info_tree_disk_list{"POOL:Pool0"});
	my @spare_disks_1 = split(",", $raidv2_info_tree_disk_list{"POOL:Pool1"});

	my @d = ();
	push (@d, @spare_disks_0);
	push (@d, @spare_disks_1);

  	saycmd_real($FILER, "priv set -q diag; labelmaint isolate $d[0]", $RAIDV2_TIMEOUT);
}

sub delete_all_minis($) {
	my $conn = $_[0];

	my $btstate = boot_state($conn);
	if ($btstate ne 'MAINT') {
	   tstlog "-comment", "FILER IS NOT IN MAINTENANCE MODE, NOW REBOOT.\n";
	   reboot_to($conn, 'MAINT');
	}
 	
	say($conn, "mini_disk delete all", "-prompt", "Are you sure you want to continue?", "-fatal", "didn\'t see expected string after enter create.\n", "-timeout", 120);

	say($conn, "y", "-noprompt"); sleep 30;

	say($conn, "n", "-noprompt"); sleep 30;

	boot($conn);
	say($r, "priv set -q diag; disk zero spares");
	sleep 60;

	raidv2_wait_for_complete_zeroing();
}

sub make_minis($$$) {
	my $conn = $_[0];
	my $size = $_[1];
	my $number = $_[2];

	if($size < 600 || $size >= 72000 ) {
        tstlog "-fatal", " INVALID MINI_DISK SIZE MUST BE >= 600 < 72000 MB!\n";
	}

	raidv2_info_disk_load;
	my @spare_disks_0 = split(",", $raidv2_info_tree_disk_list{"POOL:Pool0"});
	my @spare_disks_1 = split(",", $raidv2_info_tree_disk_list{"POOL:Pool1"});
	my $how_many;
	if ($number eq "all") {
		$how_many = $#spare_disks_0 + $#spare_disks_1 + 2;
	} else {
		$how_many = $number;
	}

	#-------------------------
	#go through the spare list is a spare already have the asked size, we take
	#this disk out and reduce $HOW_MANY by 1
	#-------------------------
	my @spare_disks;
	foreach my $disk(@spare_disks_0) {
	  my $s = $raidv2_info_disk_by_name{$disk}{used_sz};
	  if ( $s != $size ) {
	   push (@spare_disks, $disk);
	  } else {            ### If we found a disk already have the same size, then HOW_MANY--
	   tstlog "-comment", "$disk IS ALREADY HAVE SIZE $SIZE, MAKDE 1 LESS.\n";
	   $how_many --;
	  }
	}	
	foreach my $disk(@spare_disks_1) {
	  my $s = $raidv2_info_disk_by_name{$disk}{used_sz};
	  if ( $s != $size ) {
	   push (@spare_disks, $disk);
	  } else {            ### If we found a disk already have the same size, then HOW_MANY--
	   tstlog "-comment", "$disk IS ALREADY HAVE SIZE $SIZE, MAKE 1 LESS.\n";
	   $how_many --;
	  }
	}	

	if($how_many > ++$#spare_disks ) {
	  #tstlog "-comment", "HOW_MANY IS $how_many.\n";
	  #tstlog "-comment", "SPARE COUNT IS ++$#spare_disks.\n";
	  tstlog "-fatal", "YOU DON'T HAVE ENOUGH SPARES TO CREATE $HOW_MANY MINIS.\n";
	} 

	if($how_many <= 0 ) {
	  tstlog "-fatal", "YOU ALREADY HAVE $HOW_MANY $SIZE MINIS IN SPARES.\n";
	} 

	tstlog "-comment", "SPARE DISK LIST IS: @spare_disks.\n";
	tstlog "-comment", "WILL MAKE $how_many SIZE $size.m MINIs .\n";

	#------------------------
	# get the 2nd path name if dual attached
	#------------------------
	my @spare_disks_dual;
	foreach my $disk(@spare_disks) {
	  $secpath=get_2ndpath_name($disk);
	  push(@spare_disks_dual, $secpath);
	}
	 
	tstlog "-comment", "SPARES 2ND PATH NAME: @spare_disks_dual \n";
 
	#------------------------------
	# reboot to maint mode
	#------------------------------
	reboot_to($conn, 'MAINT');

	#-----------------------------
	#get the list of already minied disks, if they are spares need to takeout
	#from @spare_diskids
	#----------------------------
	(undef, undef, $output) =say ($conn, "mini_disk list", -prompt, '\*>');
	my @all = split(/\r?\n/, $output);
	my @old_mini_names;
	foreach my $line (@all) {
	   #tstlog "-comment", "LINE IS: $line \n";
	  if ($line =~ /Disk (.*): is configured as a (.*) minidisk/ ) {
	   #tstlog "-comment", "FOUND A MINI DISK: $1 \n";
	   push(@old_mini_names,$1);
	  }
	}
	tstlog "-comment", "OLD MINI DISK_NAME LIST IS: @old_mini_names.\n";

	#--------------------------
	# takeout the old mini disks from spare list
	#--------------------------
	my @usable_spares;
	for (my $i=0; $i<=$#spare_disks; $i++) {
	  #tstlog "-comment", "NUMBER $i: $spare_disks[$i].\n";
	  my $found =0;
	  for (my $j=0; $j<=$#old_mini_names; $j++) {
	    if(($old_mini_names[$j] eq $spare_disks[$i]) || 
	       ($old_mini_names[$i] eq $spare_disks_dual[$i])) {
		  $found =1;
		  tstlog "-comment", "TAKING OUT $spare_disks[$i].\n";
		  if ($number eq "all") { $how_many--;}
	    }
	  }
	  if(!$found) {
	    push(@usable_spares, $spare_disks[$i]);
	  }
	}
	tstlog "-comment", "USABLE SPARE LIST IS: @usable_spares.\n";

	if($how_many > ++$#usable_spares ) {
	  boot($conn);
	  #tstlog "-comment", "HOW_MANY IS $how_many.\n";
	  #tstlog "-comment", "SPARE COUNT IS ++$#spare_disks.\n";
	  tstlog "-fatal", "AFTER COUNT THE OLD MINIS YOU DON'T HAVE ENOUGH SPARES TO CREATE $how_many MINIS.\n";
	} 
	
	#---------------------------------
	# Now I have the list of usable spares, it's time to built mini-disks
	#---------------------------------	
	$#usable_spares=($how_many-1);
	my $mini_list = join(" ", @usable_spares);
	tstlog "-comment", "WILL CRAETE MINI ON $mini_list.\n";

	say($conn, "mini_disk create $size $mini_list", "-prompt", "Are you sure you want to continue?", "-fatal", "didn\'t see expected string after enter create.\n");

	say($conn, "y", "-prompt", "Would you like to zero newly created minidisks now?", "-fatal", "didn\'t see expected string after enter y.\n");

	#say($conn, "n", "-prompt", "RAIDV2 will not see the minidisks if they are not rezeroed", "-fatal", "didn\'t see expected string after enter n.\n");
	say($conn, "n", "-noprompt");
	sleep 30;

	boot($conn);

	#--------------------------------------
	#mini disks created, now need to zero them
	#--------------------------------------
	say($r, "priv set -q diag; disk zero spares");
	sleep 60;

	raidv2_wait_for_complete_zeroing();

}
sub get_version_string() {
	my $output;
	(undef,undef,$output)=say ($r, "version");
	return $output;
}

sub raidqa_get_raid4_default_rgsize() {
        my $default_rgsize = 8;

        say($r, "sysconfig -v 0", "Model Name.+\n");
        if($RESPONSE =~ /R100/) {
                $default_rgsize = 8;
        }
        if($RESPONSE =~ /R150/) {
                $default_rgsize = 6;
        }
        if($RESPONSE =~ /R200/ || $RESPONSE =~ /FAS250/) {
                $default_rgsize = 7;
        }
	# need to add more code for ata disks of other filer model
        return $default_rgsize;
}
sub raidqa_get_raiddp_default_rgsize() {
        my $default_rgsize = 16;

        say($r, "sysconfig -v 0", "Model Name.+\n");
        if($RESPONSE =~ /R100/ || $RESPONSE =~ /R150/) {
                $default_rgsize = 12;
        }
        if($RESPONSE =~ /R200/) {
                $default_rgsize = 14;
        }
	# need to add more code for ata disks of other filer model
        return $default_rgsize;
}

sub raidqa_get_raid4_max_rgsize() {

        my $max_rgsize = 14;

        say($r, "sysconfig -v 0", "Model Name.+\n");
        if($RESPONSE =~ /R100/) {
                $max_rgsize = 8;
        }
        if($RESPONSE =~ /R150/) {
                $max_rgsize = 6;
        }
        if($RESPONSE =~ /R200/) {
                $max_rgsize = 7;
        }
	# need to add more code for ata disks of other filer model

        return $max_rgsize;
}

sub raidqa_get_raiddp_max_rgsize() {

        my $max_rgsize = 28;

        say($r, "sysconfig -v 0", "Model Name.+\n");
        if($RESPONSE =~ /R100/) {
                $max_rgsize = 12;
        }
        if($RESPONSE =~ /R150/ || $RESPONSE =~ /R200/) {
                $max_rgsize = 16;
        }
	# need to add more code for ata disks of other filer model

        return $max_rgsize;
}

sub raidqa_get_spare_list($) {
    my $disk_type = $_[0];
    raidv2_info_disk_load();
    my @spares_0 = split(",", $raidv2_info_tree_disk_list{"POOL:Pool0"});
    my @spares_1 = split(",", $raidv2_info_tree_disk_list{"POOL:Pool1"});
    my @spares = (@spares_0, @spares_1);
    my $n=0;
    my $m=0;
    my $p=0;
    my @spares_ata=();
    my @spares_fcal=();
    my @spares_sas=();
    foreach $disk (@spares) {
      if ($raidv2_info_disk_by_name{$disk}{disk_type} eq "ATA") {
        $spares_ata[$n]=$disk;
        $n++;
      } elsif ($raidv2_info_disk_by_name{$disk}{disk_type} eq "FCAL") {
        $spares_fcal[$m]=$disk;
        $m++;
      } elsif ($raidv2_info_disk_by_name{$disk}{disk_type} eq "SAS") {
        $spares_sas[$p]=$disk;
        $p++;
      }
    }

    if ($disk_type eq "ALL") {
       return @spares;
    } elsif ($disk_type eq "ATA") {
      return @spares_ata;
    } elsif ($disk_type eq "FCAL") {
      return @spares_fcal;
    } elsif ($disk_type eq "SAS") {
      return @spares_sas;
    }

}

sub raidqa_get_spare_count($) {
    my $disk_type = $_[0];

    raidv2_info_disk_load();
    my @spares_0 = split(",", $raidv2_info_tree_disk_list{"POOL:Pool0"});
    my @spares_1 = split(",", $raidv2_info_tree_disk_list{"POOL:Pool1"});
    my @spares = (@spares_0, @spares_1);
    my $spare_disks_count;
    my $n=0;
    my $m=0;
    my $p=0;
    my @spares_ata=();
    my @spares_fcal=();
    my @spares_sas=();
    foreach $disk (@spares) {
      if ($raidv2_info_disk_by_name{$disk}{disk_type} eq "ATA") {
        $spares_ata[$n]=$disk;
        $n++;
      } elsif ($raidv2_info_disk_by_name{$disk}{disk_type} eq "FCAL") {
        $spares_fcal[$m]=$disk;
        $m++;
      } elsif ($raidv2_info_disk_by_name{$disk}{disk_type} eq "SAS") {
        $spares_sas[$p]=$disk;
        $p++;
      }
    }

    if ($disk_type eq "ALL") {
      $spare_disks_count=@spares;
    } elsif ($disk_type eq "ATA") {
      $spare_disks_count=@spares_ata;
    } elsif ($disk_type eq "FCAL") {
      $spare_disks_count=@spares_fcal;
    } elsif ($disk_type eq "SAS") {
      $spare_disks_count=@spares_sas;      
    }
      
    return $spare_disks_count;
}

sub raidqa_get_preferred_storage_type() {
    raidv2_info_disk_load();
    my @spares_0 = split(",", $raidv2_info_tree_disk_list{"POOL:Pool0"});
    my @spares_1 = split(",", $raidv2_info_tree_disk_list{"POOL:Pool1"});
    my @spares = (@spares_0, @spares_1);
    my $n=0;
    my $m=0;
    my $p=0;
    my @spares_ata=();
    my @spares_fcal=();
    my @spares_sas=();
    foreach $disk (@spares) {
      if ($raidv2_info_disk_by_name{$disk}{disk_type} eq "ATA") {
        $spares_ata[$n]=$disk;
        $n++;
      } elsif ($raidv2_info_disk_by_name{$disk}{disk_type} eq "FCAL") {
        $spares_fcal[$m]=$disk;
        $m++;
      } elsif ($raidv2_info_disk_by_name{$disk}{disk_type} eq "SAS") {
        $spares_sas[$p]=$disk;
        $p++;
      }
    }
    my $spare_ata_disks_count=@spares_ata;
    my $spare_fcal_disks_count=@spares_fcal;
    my $spare_sas_disks_count=@spares_sas;

    if ( $spare_ata_disks_count ge $spare_fcal_disks_count && $spare_ata_disks_count ge $spare_sas_disks_count) {
      $storage_type=ATA;
    } elsif ($spare_fcal_disks_count ge $spare_ata_disks_count && $spare_fcal_disks_count ge $spare_sas_disks_count) {
      $storage_type=FCAL;
    } elsif ($spare_sas_disks_count ge $spare_ata_disks_count && $spare_sas_disks_count ge $spare_fcal_disks_count) {
      $storage_type=SAS;
    }

    return $storage_type;
}

sub raidqa_get_raid_size_value($$$) {
  $raid_size=$_[0];
  $raid_type=$_[1];
  $storage_type=$_[2];
  if ($raid_size eq "min") {
    if ($raid_type eq "raid4") {
        $raid_size_value=2;
    } elsif ($raid_type eq "raid_dp") {
        $raid_size_value=3;
    }
  } elsif ( $raid_size eq "max" || $raid_size eq "default") {

    if ($storage_type eq "ATA") {
      if ($raid_size eq "default")  {
        if ($raid_type eq "raid4") {
          $raid_size_value=7;
        } elsif ($raid_type eq "raid_dp") {
          $raid_size_value=14;
        }
      } elsif ($raid_size eq "max")  {
        if ($raid_type eq "raid4") {
          $raid_size_value=7;
        } elsif ($raid_type eq "raid_dp") {
          $raid_size_value=16;
        }
      }
    } elsif ($storage_type eq "FCAL" || $storage_type eq "SAS"){
      if ($raid_size eq "default") {
        if ($raid_type eq "raid4") {
          $raid_size_value=8;
        } elsif ($raid_type eq "raid_dp") {
          $raid_size_value=16;
        }
      } elsif ($raid_size eq "max") {
        if ($raid_type eq "raid4") {
          $raid_size_value=14;
        } elsif ($raid_type eq "raid_dp") {
          $raid_size_value=28;
        }
      }
    } else {
      tstlog -fail, "raidsize is neither defined as min, max or default nor a user defined value in valid range";

    }
  }
  return $raid_size_value;
}

sub raidqa_check_raid_size_valid_range($$$) {
  $raid_size=$_[0];
  $raid_type=$_[1];
  $storage_type=$_[2];

  if ($storage_type eq "ATA") {
    if ($raid_type eq "raid4") {
      if ($raid_size >= 2 &&  $raid_size <= 7) {
        tstlog -comment, "raid size:$raid_size for disktype: $storage_type disks and raidtype: $raid_type is in valid range (2-7)";   
      } else {
        tstlog -fatal, "raid size:$raid_size for disktype: $storage_type disks and raidtype: $raid_type is not in valid range (2-7), can not continue test, rerun test with correct RAID_SIZE value";
      }
    }
    if ($raid_type eq "raid_dp") {
      if ($raid_size >= 3 &&  $raid_size <= 14) {
        tstlog -comment, "raid size:$raid_size for disktype: $storage_type disks and raidtype: $raid_type is in valid range (3-14)";   
      } else {
        tstlog -fatal, "raid size:$raid_size for disktype: $storage_type disks and raidtype: $raid_type is not in valid range (3-14), can not continue test, rerun test with correct RAID_SIZE value";
      }
    }
  } elsif ($storage_type eq "FCAL" || $storage_type eq "SAS"){
    if ($raid_type eq "raid4") {
      if ($raid_size >= 2 &&  $raid_size <= 16) {
       tstlog -comment, "raid size:$raid_size for disktype: $storage_type disks and raidtype: $raid_type is in valid range (2-7)";   
      } else {
        tstlog -fatal, "raid size:$raid_size for disktype: $storage_type disks and raidtype: $raid_type is not in valid range (2-16, rerun test with correct RAID_SIZE value";
      }
    }
    if ($raid_type eq "raid_dp") {
      if ($raid_size >= 3 &&  $raid_size <= 28) {
        tstlog -comment, "raid size:$raid_size for disktype: $storage_type disks and raidtype: $raid_type is in valid range (3-28)";   
      } else {
        tstlog -fatal, "raid size:$raid_size for disktype: $storage_type disks and raidtype: $raid_type is not in valid range (3-28), can not continue test, rerun test with correct RAID_SIZE value";
      }
    }
  }
}


sub raidqa_get_vol_disk_list($) {
	$filer_vol=$_[0];
	raidv2_info_disk_load();
 	@vol_disk_list = split(",", $raidv2_info_tree_disk_list{"$filer_vol"});
	return  @vol_disk_list;
}

sub raidqa_spare_exist($) {
	$spare_disk=$_[0];
	raidv2_info_disk_load();
        if ($raidv2_info_disk_by_name{$spare_disk}{spare} eq 1) {
                logcomment("disk $test_disk is in spare list");
                return 1;
        } else {
                logcomment("disk $test_disk is not in spare list");
                return 0;
        }

}

