
# -*-perl-*-
# $Id: //depot/prod/test/Rsierranevada/dp/ossv/Dataset/attribs.pm#1 $
### --------------------------------------------------
## This  module is used to modify the attributes of the files such as Encryption,Compression,Sparse,ACL,Streams,Hard link
## --------------------------------------------------
#use Switch;

#sub modify_attribute  {

# my ($modop,$filetype,$pc)=@_;
# my $re;	
# logcomment("modop----> :$modop   File Type:$filetype\n"); 
 
#SWITCH: for ($modop) {
#
#	 m/SET_ENC/   && do {
#				$re=&Encryption_Add($filetype,"",$pc);
#				logcomment("matched for SET_ENC return value set_enc:$re");
#				last SWITCH; 
#			  };
# 
#	m/UNSET_ENC/ && do     {
#			        $re=&Encryption_Del($filetype,"",$pc);	
#				logcomment(" Matched for UNSET_ENC return value del_enc:$re"); 
#				last SWITCH; 
#			      };
       	
#       logcomment("Mod string is NOT valid in MOD_STRING_BASELINE string");	

# }
#	return re;

#} 


sub modify_attribute  {

   my ($modop,$filetype,$datapath,$pc)=@_;    # Need changes in future to accomdate additional params
   my $re=0;
   logcomment("modop----> :$modop   File Type:$filetype\n");

   if($modop =~ m/^SET_ENC$/) {
   	$re=&Encryption_Add($filetype,$datapath,$pc);
        logcomment("Matched for SET_ENC return value set_enc:$re");
   }elsif ($modop =~ m/^UNSET_ENC$/) {
        $re=&Encryption_Del($filetype,$datapath,$pc);
        logcomment(" Matched for UNSET_ENC return value del_enc:$re");
   }elsif($modop =~ m/^SET_COM$/) {
   	$re=&Compression_Add($filetype,$datapath,$pc);
        logcomment("Matched for SET_COM return value set_com:$re");
   }elsif ($modop =~ m/^UNSET_COM$/) {
        $re=&Compression_Del($filetype,$datapath,$pc);
        logcomment(" Matched for UNSET_COM return value del_com:$re");
   }elsif ($modop =~ m/^ADD_HARD$/) {
        $re=&Hardlink_Add($filetype,3,$datapath,$pc); # hardlink count 3 is hardcoded as of now,which can be used in future,
        logcomment(" Matched for Hardlink Add  return value :$re");
   }elsif ($modop =~ m/^DEL_HARD$/) {
        $re=&Hardlink_Del($filetype,2,$datapath,$pc);  # hardlink count 2 is hardcoded as of now,which can be used in future,
        logcomment(" Matched for DEL Hardlink return value del hardlink:$re");
   }elsif ($modop =~ m/^ADD_FILES$/) {
        $re=&Add_Files($filetype,1,$datapath,$pc); # Addition of files count 2 is hardcoded as of now,which can be used in future,
        logcomment(" Matched for ADD Files:$re");
   }elsif ($modop =~ m/^DEL_FILES$/) {
        $re=&Del_Files($filetype,1,$datapath,$pc); # deletion of files count 2 is hardcoded as of now,which can be used in future,
        logcomment(" Matched for DEL Files:$re");
   }elsif ($modop =~ m/^ADD_STREAM$/) {
        $re=&stream_Add($filetype,3,$datapath,$pc);  #  Addition of streams count 2 is hardcoded as of now,which can be used in future,
        logcomment(" Matched for Add Stream:$re");
   }elsif ($modop =~ m/^DEL_STREAM$/) {
        $re=&stream_Del($filetype,2,$datapath,$pc);   # deletion of streams count 2 is hardcoded as of now,which can be used in future,
        logcomment(" Matched for Del Stream:$re");
   }elsif ($modop =~ m/^ADD_OBJ$/) {
        $re=&ObjectID_Add($filetype,$datapath,$pc);
        logcomment(" Matched for Add Object ID:$re");
   }elsif ($modop =~ m/^DEL_OBJ$/) {
        $re=&ObjectID_Del($filetype,$datapath,$pc);
        logcomment(" Matched for Del Object ID:$re");
   }elsif ($modop =~ m/NONE/) { 
        logcomment("Mod string is NONE,So Not Modifying the Data");
	$re=1;
   }else {
        logcomment("Mod string is NOT valid in MOD_STRING_BASELINE string");
        logcomment("NOTE:Enter flags ->SET_ENC,UNSET_ENC,SET_COM,UNSET_COM,ADD_HARD,DEL_HARD,ADD_FILES,DEL_FILES,ADD_STREAM,DEL_STREAM,ADD_OBJ,_DEL_OBJ");
        return re;
   }
        return re;
}


## --------------------------------------------------------------------
## This routine will Add  the Encrypted bit of a given file type or given file in the path.
## As of now only 'FType' is implemented,'DataPath'is for future implementation 
##
## sub Encryption_Add(FType,DataPath,fc)
## ---------------------------------------------------------------------

sub Encryption_Add {
 
 my $j=1,$i=1,$m;
 my $enc=1,$normal;
 my $path="";
 my $SET_ENCRYPTION="/cygdrive/c/OSSV_TESTING/TOOLS/setgetattr.exe";
 my $result=1;
 my ($Ftype,$DataPath,$fc) = @_;
      
 
	logcomment("*************Arguments Passed ******************");	 
	logcomment("FileType :  $Ftype");	
	logcomment("DataPath : Path of the file: $DataPath");	
      

	#Below lines commented bcoz It can be used for future enhancement
	#if ( $DataPath != "") {
        #}else {

        #}
	

	if (($Ftype =~ /NOR/i) ||($Ftype =~ /ENC/i) ||($Ftype =~ /SPR/i) ||($Ftype =~ /COM/i) ) {
		logcomment("::::>>>>.File Type is given as  : $Ftype");
	}else {

		logcomment(":::>>>>Invalid File Type:  Give File Type as NOR(normal) or ENC(encrypted) or SPR(sparse) or COM(Compressed)");
		return 0;
	}

      if ($Ftype =~ /ENC/i) {
	 
	     while ($i <= $CRE_DIR )                 #No.Of Sub dir/folders in BASE directory 
	     {	  
		  $m= "$j"."+"."$i";    
	          logcomment(" m value : : $m");
		  $path="$DataPath"."\\"."D$m";      # Constructing Sub folder/Dir Path      
		  while  ( $j <= $R_DIR )            # No.of Deep/Recursive directories 
		  {
			  while ( $enc <= $ENCRYPT_FILES ) #No.of Encrypted files 
			  {
		       		   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/EncryptDIR/Encryfile$enc' '16384'", -timeout,7200);
				   logcomment(":::::::::::::::Encryption set  to Normal Encr File : $after");
	       			 
				   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/EncryptDIR/Encryfile$enc+1' '16384'", -timeout,7200);
				   logcomment(":::::::::::::::Encryption set  to EncrWithOBJ File : $after"); 
		       		  
				   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/EncryptDIR/Encryfile$enc+2' '16384'", -timeout,7200);
				   logcomment(":::::::::::::::Encryption set  to EncrWithADS File : $after");
	       			   
				   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/EncryptDIR/Encryfile$enc+3' '16384'", -timeout,7200);
				   logcomment(":::::::::::::::Encryption set  to EncrWith-HARD File : $after");

				   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/EncryptDIR/Encryfile$enc+4' '16384'", -timeout,7200);
				   logcomment("::::::::::::::::Encryption set  to EncrWith ADS-OBJ File : $after");
				   
				   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/EncryptDIR/Encryfile$enc+5' '16384'", -timeout,7200);
				   logcomment("::::::::::::::::Encryption set  to EncrWith OBJ-HARD File : $after");
				   
				   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/EncryptDIR/Encryfile$enc+6' '16384'", -timeout,7200);
				   logcomment("::::::::::::::::Encryption set  to EncrWith ADS-HARD File : $after");

				   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/EncryptDIR/Encryfile$enc+7' '16384'", -timeout,7200);
				   logcomment("::::::::::::::::Encryption set  to EncrWith ADS-HARD-OBJ  File : $after");
				   
				   if ($after =~ /Failed | Error/i){
					logcomment("::::::::::>>> Setting Encryption Failed to Data Type ENC  : $after");
				        $result=0;
				   }else {
				        logcomment("::::::::::::>>> Encryption is Set to Data Type ENC : $after");;  
			           }
				   $enc=$enc+1;
	  		 }
			 $path= "$path"."/"."D$j";    #Constructing the Deep dir path
		  	 $j=$j+1;
			 $enc=1;
		}		
		$i=$i+1;
	  	$j=1;	
	    }
	    
	  # Compare final operation result  
	  if(($result == 1) && ($i > $CRE_DIR)){
		  logcomment("::::::>>> Encryption is set to all files in Encrypted folders");  
		return 1;
	  }else {
	   
		logcomment("::::::::>>> Encryption NOT Set in Encrypted folders ");  
		return 0;
	  }
    }elsif ($Ftype =~ /COM/i) {
      		
	        while ($i <= $CRE_DIR )
		{
		  $m= "$j"."+"."$i";    
	          logcomment(" m value : : $m");;
		  #$path="$DataPath"."/"."D$m";
		  $path="$DataPath"."\\"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ( $comp <= $COMPRESS_FILES )
				{
		       			   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/CompressDIR/Compressfile$comp' 16384", -timeout,7200);
					   logcomment(":::::::::::::::Encryption set  to Normal Compressed File : $after");
	 
					   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/CompressDIR/Compressfile$comp+1' 16384", -timeout,7200);
					   logcomment(":::::::::::::::Encryption set  to CompWith OBJ File : $after"); 
			       		  
					   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/CompressDIR/Compressfile$comp+2' 16384", -timeout,7200);
					   logcomment(":::::::::::::::Encryption set  to CompWithADS File : $after");
	       			   
					   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/CompressDIR/Compressfile$comp+3' 16384", -timeout,7200);
					   logcomment(":::::::::::::::Encryption set  to CompWith-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/CompressDIR/Compressfile$comp+4' 16384", -timeout,7200);
					    logcomment("::::::::::::::::Encryption set to CompWith ADS-OBJ File : $after");

					   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/CompressDIR/Compressfile$comp+5' 16384", -timeout,7200);
					    logcomment("::::::::::::::::Encryption set  to CompWith OBJ-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/CompressDIR/Compressfile$comp+6' 16384", -timeout,7200);
					   logcomment("::::::::::::::::Encryption set  to CompWith ADS-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/CompressDIR/Compressfile$comp+7' 16384", -timeout,7200);
					     logcomment("::::::::::::::::Encryption set  to CompWith ADS-HARD-OBJ  File : $after");
					   
					   if ($after =~ /Failed | Error/i){
						logcomment("::::::::::>>> Setting Encryption  Failed on COM   : $after");;
					    	    $result=0;
					   }else {
					        logcomment("::::::::::::>>> Encryption IS Set on COM : $after");;  
				           }
				  	   $comp=$comp+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$comp=1;
			}
			$i=$i+1;
		  	$j=1;	
		}

	  # Compare final operation result  
	  if(($result == 1) && ($i > $CRE_DIR)){
		  logcomment("::::::::::::>>> Encryption is set to all files in Compress files");  
		return 1;
	  }else {
	   
		logcomment("::::::::::::>>> Encryption NOT Set for Compress files");  
		return 0;
	  }
     }elsif ($Ftype =~ /SPR/i) {
      		while ($i <= $CRE_DIR )
		{
		  $m= "$j"."+"."$i";    
	          logcomment(" m value : : $m");;
		  #$path="$DataPath"."/"."D$m";
		  $path="$DataPath"."\\"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ( $spa <= $Sparse_Files )
				{
		       			   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/SparseDIR/Sparsefile$spa' 16384", -timeout,7200);
					   logcomment(":::::::::::::::Encryption set  to Normal Sparse File : $after");
	 
					   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/SparseDIR/Sparsefile$spa+1' 16384", -timeout,7200);
					   logcomment(":::::::::::::::Encryption set  to SparseWith OBJ File : $after"); 
			       		  
					   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/SparseDIR/Sparsefile$spa+2' 16384", -timeout,7200);
					   logcomment(":::::::::::::::Encryption set  to SparseWithADS File : $after");
	       			   
					   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/SparseDIR/Sparsefile$spa+3' 16384", -timeout,7200);
					   logcomment(":::::::::::::::Encryption set  to SparseWith-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/SparseDIR/Sparsefile$spa+4' 16384", -timeout,7200);
					   logcomment("::::::::::::::::Encryption set to SparseWith ADS-OBJ File : $after");

					   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/SparseDIR/Sparsefile$spa+5' 16384", -timeout,7200);
					   logcomment("::::::::::::::::Encryption set  to SparseWith OBJ-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/SparseDIR/Sparsefile$spa+6' 16384", -timeout,7200);
					   logcomment("::::::::::::::::Encryption set  to SparseWith ADS-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/SparseDIR/Sparsefile$spa+7' 16384", -timeout,7200);
					   logcomment("::::::::::::::::Encryption set  to SparseWith ADS-HARD-OBJ  File : $after");
					   
					   
					   if ($after =~ /Failed | Error/i){
						logcomment("::::::::::>>> Setting Encryption  Failed on SPR : $after");;
					    	    $result=0;
					   }else {
					        logcomment("::::::::::::>>> Encryption IS Set on SPR : $after");;  
				           }
				  	   $spa=$spa+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$spa=1;
			}
			$i=$i+1;
		  	$j=1;	
		}


	  # Compare final operation result  
	  if(($result == 1) && ($i > $CRE_DIR)){
		  logcomment("::::::::::::>>> Encryption is set to all files in SPARSE folders");  
		return 1;
	  }else {
	   
		logcomment("::::::::::::>>> Encryption NOT Set for SPARSE files");  
		return 0;
	  }

	}elsif  ($Ftype =~ /NOR/i) {
      		while ($i <= $CRE_DIR )
		{
	   	   $m= "$j"."+"."$i";    
	           logcomment(" m value : : $m");;
		   #$path="$DataPath"."/"."D$m";
		   $path="$DataPath"."\\"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ($normal <= $R_File)
				{
		       			   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/file$normal' 16384", -timeout,7200);
					   logcomment(":::::::::::::::Encryption set  to  Normal File : $after");

					   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/file$normal+1' 16384", -timeout,7200);
					   logcomment(":::::::::::::::Encryption set  to NormalWith OBJ File : $after");  
			       		  
					   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/file$normal+2' 16384", -timeout,7200);
					   logcomment(":::::::::::::::Encryption set  to NormalWithADS File : $after");
	       			   
					   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/file$normal+3' 16384", -timeout,7200);
					   logcomment(":::::::::::::::Encryption set  to NormalWith-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/file$normal+4' 16384", -timeout,7200);
					   logcomment("::::::::::::::::Encryption set to NormalWith ADS-OBJ File : $after");

					   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/file$normal+5' 16384", -timeout,7200);
					   logcomment("::::::::::::::::Encryption set  to NormalWith OBJ-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/file$normal+6' 16384", -timeout,7200);
					   logcomment("::::::::::::::::Encryption set  to NormalWith ADS-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$SET_ENCRYPTION '$path/file$normal+7' 16384", -timeout,7200);
					   logcomment("::::::::::::::::Encryption set  to NormalWith ADS-HARD-OBJ  File : $after");
					   

					   if ($after =~ /Failed | Error/i){
						logcomment("::::::::::>>> Setting Encryption  Failed for Normal  files  : $after");;
					    	    $result=0;
					   }else {
					        logcomment("::::::::::::>>> Encryption IS Set for Normal files  : $after");;  
				           }
					   $normal=$normal+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$normal=1;
			}
			$i=$i+1;
		  	$j=1;	
		}
	}
	 #Compare final operation result  
	  if(($result == 1) && ($i > $CRE_DIR)){
		  logcomment("::::::::::::>>> Encryption is set to all files in NORMAL files");  
		return 1;
	  }else {
	   
		logcomment("::::::::::::>>> Encryption NOT Set for NORMAL files");  
		return 0;
	  }
}







## --------------------------------------------------------------------
## This routine will Delete/Remove the Encrypted bit of a given file type or given file in the path.
## As of now only 'FType' is implemented,'DataPath'is for future implementation 
##
## sub Encryption_Del(FType,DataPath,fc)
## ---------------------------------------------------------------------

sub Encryption_Del {

 my $j=1,$i=1,$m,;
 my $enc=1;
 my $path="";
 my $SET_DECRYPTION="cipher.exe /d /a";
 my $result=1;
 my ($Ftype,$DataPath,$fc) = @_;
      
 
	logcomment("*************Arguments Passed ******************");	 
	logcomment("FileType :  $Ftype");	
	logcomment("DataPath : Path of the file: $DataPath");	
      

	#Below lines commented bcoz It can be used for future enhancement
	#if ( $DataPath != "") {
        #}else {
        #}

	if (($Ftype =~ /NOR/i) ||($Ftype =~ /ENC/i) ||($Ftype =~ /SPR/i) ||($Ftype =~ /COM/i) ) {
		logcomment("::::>>>>.File Type is given as  : $Ftype");
	}else {

		logcomment(":::>>>>Invalid File Type:  Give File Type as NOR(normal) or ENC(encrypted) or SPR(sparse) or COM(Compressed)");
		return 0;
	}
      
	if ($Ftype =~ /ENC/i) {
	 
	     while ($i <= $CRE_DIR )                 #No.Of Sub dir/folders in BASE directory 
	     {	  
		  $m= "$j"."+"."$i";    
	          logcomment(" m value : : $m");
		  $path="$DataPath"."\\"."D$m";      # Constructing Sub folder/Dir Path      
		  while  ( $j <= $R_DIR )            # No.of Deep/Recursive directories 
		  {
			  while ( $enc <= $ENCRYPT_FILES ) #No.of Encrypted files 
			  {
		       		   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/EncryptDIR/Encryfile$enc' ", -timeout,7200);
				   logcomment(":::::::::::::::Encryption UNset  to Normal Encr File : $after");
	       			 
				   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/EncryptDIR/Encryfile$enc+1' ", -timeout,7200);
				   logcomment(":::::::::::::::Encryption UNset  to EncrWithOBJ File : $after"); 
		       		  
				   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/EncryptDIR/Encryfile$enc+2' ", -timeout,7200);
				   logcomment(":::::::::::::::Encryption UNset  to EncrWithADS File : $after");
	       			   
				   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/EncryptDIR/Encryfile$enc+3' ", -timeout,7200);
				   logcomment(":::::::::::::::Encryption UNset  to EncrWith-HARD File : $after");

				   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/EncryptDIR/Encryfile$enc+4' ", -timeout,7200);
				   logcomment("::::::::::::::::Encryption UNset  to EncrWith ADS-OBJ File : $after");
				   
				   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/EncryptDIR/Encryfile$enc+5' ", -timeout,7200);
				   logcomment("::::::::::::::::Encryption UNset  to EncrWith OBJ-HARD File : $after");
				   
				   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/EncryptDIR/Encryfile$enc+6' ", -timeout,7200);
				   logcomment("::::::::::::::::Encryption UNset  to EncrWith ADS-HARD File : $after");

				   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/EncryptDIR/Encryfile$enc+7' ", -timeout,7200);
				   logcomment("::::::::::::::::Encryption UNset  to EncrWith ADS-HARD-OBJ  File : $after");
				   
				   if ($after =~ /Failed | Error/i){
					logcomment("::::::::::>>> UNSetting Encryption Failed to Data Type ENC  : $after");
				        $result=0;
				   }else {
				        logcomment("::::::::::::>>> UEncryption  UNSet to Data Type ENC : $after");;  
			           }
				   $enc=$enc+1;
	  		 }
			 $path= "$path"."/"."D$j";    #Constructing the Deep dir path
		  	 $j=$j+1;
			 $enc=1;
		}		
		$i=$i+1;
	  	$j=1;	
	    }
	    
	  # Compare final operation result  
	  if(($result == 1) && ($i > $CRE_DIR)){
		  logcomment("::::::>>> Encryption  UNset to all files in Encrypted folders");  
		return 1;
	  }else {
	   
		logcomment("::::::::>>> Failed: Encryption  UNSet in Encrypted folders ");  
		return 0;
	  }
    }elsif ($Ftype =~ /COM/i) {
      		
	        while ($i <= $CRE_DIR )
		{
		  $m= "$j"."+"."$i";    
	          logcomment(" m value : : $m");;
		  #$path="$DataPath"."/"."D$m";
		  $path="$DataPath"."\\"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ( $comp <= $COMPRESS_FILES )
				{
		       			   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/CompressDIR/Compressfile$comp' ", -timeout,7200);
					   logcomment(":::::::::::::::Encryption UNset  to Normal Compressed File : $after");
	 
					   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/CompressDIR/Compressfile$comp+1' ", -timeout,7200);
					   logcomment(":::::::::::::::Encryption UNset  to CompWith OBJ File : $after"); 
			       		  
					   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/CompressDIR/Compressfile$comp+2' ", -timeout,7200);
					   logcomment(":::::::::::::::Encryption UNset  to CompWithADS File : $after");
	       			   
					   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/CompressDIR/Compressfile$comp+3' ", -timeout,7200);
					   logcomment(":::::::::::::::Encryption UNset  to CompWith-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/CompressDIR/Compressfile$comp+4' ", -timeout,7200);
					    logcomment("::::::::::::::::Encryption UNset to CompWith ADS-OBJ File : $after");

					   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/CompressDIR/Compressfile$comp+5' ", -timeout,7200);
					    logcomment("::::::::::::::::Encryption UNset  to CompWith OBJ-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/CompressDIR/Compressfile$comp+6' ", -timeout,7200);
					   logcomment("::::::::::::::::Encryption UNset  to CompWith ADS-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/CompressDIR/Compressfile$comp+7' ", -timeout,7200);
					     logcomment("::::::::::::::::Encryption UNset  to CompWith ADS-HARD-OBJ  File : $after");
					   
					   if ($after =~ /Failed | Error/i){
						logcomment("::::::::::>>> UNSetting Encryption  Failed on COM   : $after");;
					    	    $result=0;
					   }else {
					        logcomment("::::::::::::>>> Encryption UnSet on COM : $after");;  
				           }
				  	   $comp=$comp+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$comp=1;
			}
			$i=$i+1;
		  	$j=1;	
		}

	  # Compare final operation result  
	  if(($result == 1) && ($i > $CRE_DIR)){
		  logcomment("::::::::::::>>> Encryption UNset to all files in Compress files");  
		return 1;
	  }else {
	   
		logcomment("::::::::::::>>> Failed: Encryption UNSet for Compress files");  
		return 0;
	  }
     }elsif ($Ftype =~ /SPR/i) {
      		while ($i <= $CRE_DIR )
		{
		  $m= "$j"."+"."$i";    
	          logcomment(" m value : : $m");;
		  #$path="$DataPath"."/"."D$m";
		  $path="$DataPath"."\\"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ( $spa <= $Sparse_Files )
				{
		       			   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/SparseDIR/Sparsefile$spa' ", -timeout,7200);
					   logcomment(":::::::::::::::Encryption UNset  to Normal Sparse File : $after");
	 
					   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/SparseDIR/Sparsefile$spa+1' ", -timeout,7200);
					   logcomment(":::::::::::::::Encryption UNset  to SparseWith OBJ File : $after"); 
			       		  
					   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/SparseDIR/Sparsefile$spa+2' ", -timeout,7200);
					   logcomment(":::::::::::::::Encryption UNset  to SparseWithADS File : $after");
	       			   
					   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/SparseDIR/Sparsefile$spa+3' ", -timeout,7200);
					   logcomment(":::::::::::::::Encryption UNset  to SparseWith-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/SparseDIR/Sparsefile$spa+4' ", -timeout,7200);
					   logcomment("::::::::::::::::Encryption UNset to SparseWith ADS-OBJ File : $after");

					   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/SparseDIR/Sparsefile$spa+5' ", -timeout,7200);
					   logcomment("::::::::::::::::Encryption UNset  to SparseWith OBJ-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/SparseDIR/Sparsefile$spa+6' ", -timeout,7200);
					   logcomment("::::::::::::::::Encryption UNset  to SparseWith ADS-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/SparseDIR/Sparsefile$spa+7' ", -timeout,7200);
					   logcomment("::::::::::::::::Encryption UNset  to SparseWith ADS-HARD-OBJ  File : $after");
					   
					   
					   if ($after =~ /Failed | Error/i){
						logcomment("::::::::::>>> UnSetting Encryption  Failed on SPR : $after");;
					    	    $result=0;
					   }else {
					        logcomment("::::::::::::>>> Encryption UNSet on SPR : $after");;  
				           }
				  	   $spa=$spa+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$spa=1;
			}
			$i=$i+1;
		  	$j=1;	
		}


	  # Compare final operation result  
	  if(($result == 1) && ($i > $CRE_DIR)){
		  logcomment("::::::::::::>>> Encryption is set to all files in SPARSE folders");  
		return 1;
	  }else {
	   
		logcomment("::::::::::::>>> Failed :Encryption UNSet for SPARSE files");  
		return 0;
	  }

	}elsif  ($Ftype =~ /NOR/i) {
      		while ($i <= $CRE_DIR )
		{
	   	   $m= "$j"."+"."$i";    
	           logcomment(" m value : : $m");;
		   #$path="$DataPath"."/"."D$m";
		   $path="$DataPath"."\\"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ($normal <= $R_File)
				{
		       			   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/file$normal' ", -timeout,7200);
					   logcomment(":::::::::::::::Encryption UNset  to  Normal File : $after");

					   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/file$normal+1' ", -timeout,7200);
					   logcomment(":::::::::::::::Encryption UNset  to NormalWith OBJ File : $after");  
			       		  
					   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/file$normal+2' ", -timeout,7200);
					   logcomment(":::::::::::::::Encryption UNset  to NormalWithADS File : $after");
	       			   
					   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/file$normal+3' ", -timeout,7200);
					   logcomment(":::::::::::::::Encryption UNset  to NormalWith-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/file$normal+4' ", -timeout,7200);
					   logcomment("::::::::::::::::Encryption UNset to NormalWith ADS-OBJ File : $after");

					   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/file$normal+5' ", -timeout,7200);
					   logcomment("::::::::::::::::Encryption UNset  to NormalWith OBJ-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/file$normal+6' ", -timeout,7200);
					   logcomment("::::::::::::::::Encryption UNset  to NormalWith ADS-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$SET_DECRYPTION '$path/file$normal+7' ", -timeout,7200);
					   logcomment("::::::::::::::::Encryption UNset  to NormalWith ADS-HARD-OBJ  File : $after");
					   

					   if ($after =~ /Failed | Error/i){
						logcomment("::::::::::>>> UNSetting Encryption  Failed for Normal  files  : $after");;
					    	    $result=0;
					   }else {
					        logcomment("::::::::::::>>> Encryption UNSet for Normal files  : $after");;  
				           }
					   $normal=$normal+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$normal=1;
			}
			$i=$i+1;
		  	$j=1;	
		}
	}
	 #Compare final operation result  
	  if(($result == 1) && ($i > $CRE_DIR)){
		  logcomment("::::::::::::>>> Encryption UNset to all files in NORMAL files");  
		return 1;
	  }else {
	   
		logcomment("::::::::::::>>> Failed :Encryption UNSet for NORMAL files");  
		return 0;
	  }
 }       #routine end 





## --------------------------------------------------------------------
## This routine will Add  Files of give Type at different levels of directory structure,
## Parameters: 
##
## sub Add_Files(FType,Fcount,DataPath,fc)
## ---------------------------------------------------------------------


sub Add_Files {
 
 my $j=1,$i=1,$m,;
 my $path="";
 my $result=1;
 my ($Ftype,$Fcount,$DataPath,$fc) = @_;

 my $enc= $NEWENCRYPT_FILES + 1;
 my $comp= $NEWCOMPRESS_FILES + 1;
 my $spa= $NEWSparse_Files + 1;
 my $normal= $NEWR_File + 1;
 my $toolLoc = &set_right_win_path($TOOL_LOC); 
 
 
	logcomment("*************Arguments Passed ******************");	 
	logcomment("FileType :  $Ftype");	
	logcomment("FileCount :  $Fcount");	
      
	#Below lines commented bcoz It can be used for future enhancement
	#if ( $DataPath != "") {
        #}else {

        #}
	
	if (($Ftype =~ /NOR/i) ||($Ftype =~ /ENC/i) || ($Ftype =~ /COM/i) ||($Ftype =~ /SPR/i)) {
		logcomment(":::::::::::::::::::::::::::>>>>.File Type is given as  : $Ftype");
	}else {

		logcomment(":::>>>>Invalid File Type:  Give File Type as NOR(normal) or ENC(encrypted) or SPR(sparse) or COM(Compressed)");
		return 0;
	}

      if ($Ftype =~ /ENC/i) {
	    $Fcount = $Fcount + $NEWENCRYPT_FILES; 
	     while ($i <= $CRE_DIR ) 
	     {	  
		  #$m=$j+$i;    
		  $m= "$j"."+"."$i";    
	          logcomment(" m value : : $m");;
		  #$path="$DATA_PATH"."/"."D$m";
		  $path="$DataPath"."\\"."D$m";
		  while  ( $j <= $R_DIR ) 
		  {
			  while ( $enc <= $Fcount ) 
			  {
		       		   ($match,$before,$after) =say($fc,"$toolLoc/AddFiles.sh ENC '$path' '$enc'",-timeout,7200);
				   logcomment("::::::::::::::::Adding Encr File : $after");;
				   
				   if ($after =~ /Failed | Error/i){
					logcomment("::::::::::>>> Error in Adding $Ftype File : $after");
					$result=0;
				   }else {
				        logcomment("::::::::::::>>>  Adding $Ftype Files : $after");  
			           }
				   $enc=$enc+1;
	  		 }
			 $path= "$path"."/"."D$j";
		  	 $j=$j+1;
			 $enc=$NEWENCRYPT_FILES +1;
		}		
		$i=$i+1;
	  	$j=1;	
	    }
	    $NEWENCRYPT_FILES= $Fcount;
      }elsif ($Ftype =~ /COM/i) {
      		
	    $Fcount = $Fcount + $NEWCOMPRESS_FILES; 
	    	while ($i <= $CRE_DIR )
		{
			$m= "$j"."+"."$i";    
	        	$path="$DATA_PATH"."/"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ( $comp <= $Fcount )
				{
		       		   ($match,$before,$after) =say($fc,"$toolLoc/AddFiles.sh COM '$path' '$comp'", -timeout,7200);
				   logcomment("::::::::::::::::Adding Compressed File : $after");
				   if ($after =~ /Failed | Error/i){
					logcomment("::::::::::>>> Error in Adding $Ftype File : $after");
					$result=0;
				   }else {
				        logcomment("::::::::::::>>>  Adding $Ftype Files : $after");  
			           }
				   $comp=$comp+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$comp=$NEWCOMPRESS_FILES + 1;
			}
			$i=$i+1;
		  	$j=1;	
		}
		$NEWCOMPRESS_FILES=$Fcount;
      }elsif  ($Ftype =~ /SPR/i) {

	      $Fcount = $Fcount + $NEWSparse_Files; 
      		while ($i <= $CRE_DIR )
		{
			$m= "$j"."+"."$i";    
	        	$path="$DATA_PATH"."/"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ( $spa <= $Fcount )
				{
		       			   ($match,$before,$after) =say($fc,"$toolLoc/AddFiles.sh SPR '$path' '$spa'", -timeout,7200);
					   logcomment("::::::::::::::::Adding Sparse File : $after");;
	   				   if ($after =~ /Failed | Error/i){
						logcomment("::::::::::>>> Error in Adding $Ftype File : $after");
						$result=0;
					   }else {
					        logcomment("::::::::::::>>>  Adding $Ftype Files : $after");  
			           	   }
				  	   $spa=$spa+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$spa=$NEWSparse_Files + 1;
			}
			$i=$i+1;
		  	$j=1;	
		}
		$NEWSparse_Files=$Fcount;
	}elsif  ($Ftype =~ /NOR/) {

	      $Fcount = $Fcount +  $NEWR_File ; 
      		while ($i <= $CRE_DIR )
		{
			$m= "$j"."+"."$i";    
	        	$path="$DATA_PATH"."/"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ($normal <= $Fcount)
				{
		       			   ($match,$before,$after) =say($fc,"$toolLoc//AddFiles.sh NOR '$path' '$normal'", -timeout,7200);
					   logcomment(":::::::::::::::: Adding Normal  File : $after");
					   if ($after =~ /Failed | Error/i){
						logcomment("::::::::::>>> Error in Adding $Ftype File : $after");
						$result=0;
					   }else {
					        logcomment("::::::::::::>>>  Adding $Ftype Files : $after");  
			           	   }
					   $normal=$normal+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$normal=$NEWR_File + 1;
			}
			$i=$i+1;
		  	$j=1;	
		}
		$NEWR_File = $Fcount; 
	}
	 # Compare final operation result  
	  if(($result == 1) && ($i > $CRE_DIR)){
		  logcomment("::::::::::::>>> Adding New $Ftype Files Done");  
		return 1;
	  }else {
	   
		logcomment("::::::::::::>>> Adding New $Ftype Files Failed");  
		return 0;
	  }
}






## --------------------------------------------------------------------
## This routine will Del  Files of give Type at different levels of directory structure,
## Parameters: 
##
## sub Del_Files(FType,Fcount,FilePath,fc)
## ---------------------------------------------------------------------


sub Del_Files {
 
 my $j=1,$i=1,$m,;
 my $path="";
 my $SET_ENCRYPTION="/cygdrive/c/OSSV_TESTING/TOOLS/setgetattr.exe";
 my $result=1;
 my ($Ftype,$Fcount,$DataPath,$fc) = @_;

 my $enc= 1;
 my $comp= 1 ;
 my $spa= 1 ;
 my $normal= 1;
 
       
 
	 
	logcomment("*************Arguments Passed ******************");	 
	logcomment("FileType :  $Ftype");	
	logcomment("FileCount:  $Fcount");	
      
	#Below lines commented bcoz It can be used for future enhancement
	#if ( $DataPath != "") {
        #}else {

        #} 
	
	if (($Ftype =~ /NOR/i) ||($Ftype =~ /ENC/i) || ($Ftype =~ /COM/i) ||($Ftype =~ /SPR/i)) {
		logcomment(":::::::::::::::::::::::::::>>>>.File Type is given as  : $Ftype");
	}else {

		logcomment(":::::::::::::::::::::::::::>>>> Invalid File Type-  Give File Type as     Normal or  Encrypted or Compressed or Sparse");
		return 0;
	}



      if ($Ftype =~ /ENC/i) {

	      	if($Fcount > $NEWENCRYPT_FILES){
			logcomment("::::::::::>>>> Can't Delete these 'ENC' files");
			logcomment("::::::::::>>>> Given File Type doesn't exists in the data set,Enter less value");
			return 0;

		}

	     while ($i <= $CRE_DIR ) 
	     {	  
		  #$m=$j+$i;    
		  $m= "$j"."+"."$i";    
	          logcomment(" m value : : $m");;
		  #$path="$DATA_PATH"."/"."D$m";
		  $path="$DataPath"."\\"."D$m";
		  while  ( $j <= $R_DIR ) 
		  {
			  while ( $enc <= $Fcount ) 
			  {
				  ($match,$before,$after) =say($fc,"$toolLocation/DelFiles.sh ENC '$path' '$enc'",-timeout,7200);
				   logcomment("::::::::::::::::Deleting Encr File : $after");;
	       			 
				   
				   if ($after =~ /Failed | Error/i){
					logcomment("::::::::::>>> Error in Deleting $Ftype File : $after");
					$result=0;
				   }else {
				        logcomment("::::::::::::>>>  Deleting $Ftype Files : $after");  
			           }
				   $enc=$enc+1;
	  		 }
			 $path= "$path"."/"."D$j";
		  	 $j=$j+1;
			 $enc=1;
		}		
		$i=$i+1;
	  	$j=1;	
	    }
	     $NEWENCRYPT_FILES = $NEWENCRYPT_FILES - $Fcount; 
      }elsif ($Ftype =~ /COM/i) {
      		
	     	if($Fcount > $NEWCOMPRESS_FILES){
			logcomment("::::::::::>>>> Can't Delete these 'COMP' files");
			logcomment("::::::::::>>>> Given File Type doesn't exists in the data set,Enter less value");
			return 0;

		}
	    	while ($i <= $CRE_DIR )
		{
			$m= "$j"."+"."$i";    
	        	$path="$DATA_PATH"."/"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ( $comp <= $Fcount )
				{
		       		   ($match,$before,$after) =say($fc,"$toolLocation/DelFiles.sh COM '$path' '$comp'", -timeout,7200);
				   logcomment("::::::::::::::::Deleting Compressed File : $after");
				   if ($after =~ /Failed | Error/i){
					logcomment("::::::::::>>> Error in Deleting $Ftype File : $after");
					$result=0;
				   }else {
				        logcomment("::::::::::::>>>  Deletinh $Ftype Files : $after");  
			           }
				   $comp=$comp+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$comp=1;
			}
			$i=$i+1;
		  	$j=1;	
		}
		$NEWCOMPRESS_FILES= $NEWCOMPRESS_FILES - $Fcount;
      }elsif  ($Ftype =~ /SPR/i) {

	      if($Fcount > $NEWSparse_Files){
			logcomment("::::::::::>>>> Can't Delete these 'SPR' files");
			logcomment("::::::::::>>>> Given File Type doesn't exists in the data set,Enter less value");
			return 0;

		}
      		while ($i <= $CRE_DIR )
		{
			$m= "$j"."+"."$i";    
	        	$path="$DATA_PATH"."/"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ( $spa <= $Fcount )
				{
		       			   ($match,$before,$after) =say($fc,"$toolLocation/DelFiles.sh SPR '$path' '$spa'", -timeout,7200);
					   logcomment("::::::::::::::::Deleting Sparse File : $after");;
	   				   if ($after =~ /Failed | Error/i){
						logcomment("::::::::::>>> Error in Deleting $Ftype File : $after");
						$result=0;
					   }else {
					        logcomment("::::::::::::>>>  Deleting $Ftype Files : $after");  
			           	   }
				  	   $spa=$spa+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$spa=1;
			}
			$i=$i+1;
		  	$j=1;	
		}
		$NEWSparse_Files= $NEWSparse_Files - $Fcount;
	}elsif  ($Ftype =~ /NOR/) {

	       if($Fcount > $NEWR_File){
			logcomment("::::::::::>>>> Can't Delete these 'NOR' files");
			logcomment("::::::::::>>>> Given File Type doesn't exists in the data set,Enter less value");
			return 0;

		}
      		while ($i <= $CRE_DIR )
		{
			$m= "$j"."+"."$i";    
	        	$path="$DATA_PATH"."/"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ($normal <= $Fcount)
				{
		       			   ($match,$before,$after) =say($fc,"$toolLocation/DelFiles.sh NOR '$path' '$normal'", -timeout,7200);
					   logcomment("::::::::::::::::Deleting  Normal  File : $after");
					   if ($after =~ /Failed | Error/i){
						logcomment("::::::::::>>> Error in Deleting $Ftype File : $after");
						$result=0;
					   }else {
					        logcomment("::::::::::::>>>  Deleting $Ftype Files : $after");  
			           	   }
					   $normal=$normal+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$normal=1;
			}
			$i=$i+1;
		  	$j=1;	
		}
		$NEWR_File = $NEWR_File - $Fcount; 
	}
	 # Compare final operation result  
	  if(($result == 1) && ($i > $CRE_DIR)){
		  logcomment("::::::::::::>>> Deleting  $Ftype Files Done");  
		return 1;
	  }else {
	   
		logcomment("::::::::::::>>> Deleting  $Ftype Files Failed");  
		return 0;
	  }
}




#This routine will add Hardlink to given file type or given file in the path.
#sub Hardlink_Add(FType,HardCount,DataPath,fc) {

sub Hardlink_Add {
 my $j=1,$i=1,$n=1;
 my $enc=1;
 my $path="";
 my $SET_HARDLINK="fsutil.exe hardlink create";
 #my $SET_HARDLINK="\/cygdrive\/c\/OSSV_TESTING\/TOOLS\/AddHard.sh";

 my ($Ftype,$HardCount,$DataPath,$fc) = @_;
 	 
      logcomment("FileType :  $Ftype");	
      logcomment("HardlinkCount :  $HardCount");	
      logcomment("DataPath : Path of the file: $DataPath");	
      

	#Below lines commented bcoz It can be used for future enhancement
	#if ( $FilePath != "") {
        #}else {

        #}
	
	if (($Ftype =~ /NOR/i) ||($Ftype =~ /ENC/i) || ($Ftype =~ /COM/i) ||($Ftype =~ /SPR/i)) {
		logcomment(":::::::::::::::::::::::::::>>>>.File Type is given as  : $Ftype");
	}else {

		logcomment(":::>>>>Invalid File Type:  Give File Type as NOR(normal) or ENC(encrypted) or SPR(sparse) or COM(Compressed)");
		return 0;
	}
	
	if ($Ftype =~ /ENC/i) {
	 
	     while ($i <= $CRE_DIR ) 
	     {	  
		  $m= "$j"."+"."$i";    
	          logcomment(" m value : : $m");;
		  #$path="$DATA_PATH"."/"."D$m";
		  $path="$DATA_PATH"."\\"."D$m";
		  while  ( $j <= $R_DIR ) 
		  {
			  while ( $enc <= $ENCRYPT_FILES )
			  {
				  #  for ($n=1;$n<=$HardCount;$n++)	
				  #{
		       		   ($match,$before,$after) =say($fc,"$SET_HARDLINK  '$path\\EncryptDIR\\hlinkEncryfile$enc' '$path\\EncryptDIR\\Encryfile$enc'", -timeout,7200);
				   logcomment(":::::::::::::::Hardlink Set  to Normal Encrypted File : $after");
	       			 
				   ($match,$before,$after) =say($fc,"$SET_HARDLINK  '$path\\EncryptDIR\\hlinkEncryfile$enc+1' '$path\\EncryptDIR\\Encryfile$enc+1'",-timeout,7200);
				   logcomment(":::::::::::::::Hardlink Set  to EncryptWith OBJ File : $after"); 
		       		  
				   ($match,$before,$after) =say($fc,"$SET_HARDLINK '$path/EncryptDIR/hlinkEncryfile$enc+2'  '$path/EncryptDIR/Encryfile$enc+2' ",-timeout,7200);
				   logcomment(":::::::::::::::Hardlink Set  to EncryptWithADS File : $after");
	       			   
				   ($match,$before,$after) =say($fc,"$SET_HARDLINK '$path/EncryptDIR/hlinkEncryfile$enc+3' '$path/EncryptDIR/Encryfile$enc+3'", -timeout,7200);
				   logcomment(":::::::::::::::Hardlink Set  to EncryptWith-HARD File : $after");

				   ($match,$before,$after) =say($fc,"$SET_HARDLINK '$path/EncryptDIR/hlinkEncryfile$enc+4' '$path/EncryptDIR/Encryfile$enc+4'", -timeout,7200);
				   logcomment("::::::::::::::::Hardlink Set to EncryptWith ADS-OBJ File : $after");
				   
				   ($match,$before,$after) =say($fc,"$SET_HARDLINK '$path/EncryptDIR/hlinkEncryfile$enc+5' '$path/EncryptDIR/Encryfile$enc+5'", -timeout,7200);
				  logcomment("::::::::::::::::Hardlink Set  to EncryptWith OBJ-HARD File : $after");
				   
				   ($match,$before,$after) =say($fc,"$SET_HARDLINK '$path/EncryptDIR/hlinkEncryfile$enc+6'  '$path/EncryptDIR/Encryfile$enc+6'", -timeout,7200);
				   logcomment("::::::::::::::::Hardlink Set  to EncryptWith ADS-HARD File : $after");

				   ($match,$before,$after) =say($fc,"$SET_HARDLINK '$path/EncryptDIR/hlinkEncryfile$enc+7' '$path/EncryptDIR/Encryfile$enc+7'", -timeout,7200);
				   logcomment("::::::::::::::::Hardlink Set  to EncryptWith ADS-HARD-OBJ  File : $after");
				   #}
				  if($after =~ m/Error|Unable|Not/) {
					logcomment("::::::::::::::::Hard link creation error : $after");
					$result=0;
				  }
				  $enc=$enc+1;
			 }
			 $path=$path."/"."D$j";
		  	 $j=$j+1;
			 $enc=1;
	  	  }
		$i=$i+1;
	  	$j=1;	
	    }
	  # Compare final operation result  
	  if(($result == 1) && ($i > $CRE_DIR)){
		  logcomment("::::::::::::>>> Hardlink  is set to all files in Encrypted folders");  
		return 1;
	  }else {
	   
		logcomment("::::::::::::>>> Hardlink to Encryption NOT Set");  
		return 0;
	  }

    }elsif ($Ftype =~ /COM/) {
      		while ($i <= $CRE_DIR )
		{
			$m=$j+$i;    
	        	$path="$DATA_PATH"."/"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ( $comp <= $COMPRESS_FILES )
				{
					# for ($n=1;$n<=$HardCount;$n++)	
					#{
					   ($match,$before,$after) =say($fc,"$SET_HARDLINK $path/CompressDIR/hlinkCompressfile$comp $path/CompressDIR/Compressfile$comp", -timeout,7200);
					   logcomment(":::::::::::::::Hardlink Set  to Normal Compressed File : $after");
	 
					   ($match,$before,$after) =say($fc,"$SET_HARDLINK $path/CompressDIR/hlinkCompressfile$comp+1 $path/CompressDIR/Compressfile$comp+1", -timeout,7200);
					  logcomment(":::::::::::::::Hardlink Set  to CompWith OBJ File : $after"); 
			       		  
					   ($match,$before,$after) =say($fc,"$SET_HARDLINK $path/CompressDIR/hlinkCompressfile$comp+2 $path/CompressDIR/Compressfile$comp+2", -timeout,7200);
					   logcomment(":::::::::::::::Hardlink Set  to CompWithADS File : $after");
	       			   
					   ($match,$before,$after) =say($fc,"'$SET_HARDLINK' $path/CompressDIR/hlinkCompressfile$comp+3 $path/CompressDIR/Compressfile$comp+3", -timeout,7200);
					   logcomment(":::::::::::::::Hardlink Set  to CompWith-HARD File : $after");

					   ($match,$before,$after) =say($fc,"'$SET_HARDLINK' $path/CompressDIR/hlinkCompressfile$comp+4 $path/CompressDIR/Compressfile$comp+4", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Set to CompWith ADS-OBJ File : $after");

					   ($match,$before,$after) =say($fc,"$SET_HARDLINK $path/CompressDIR/hlinkCompressfile$comp+5 $path/CompressDIR/Compressfile$comp+5", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Set  to CompWith OBJ-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$SET_HARDLINK $path/CompressDIR/hlinkCompressfile$comp+6 $path/CompressDIR/Compressfile$comp+6t", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Set  to CompWith ADS-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$SET_HARDLINK $path/CompressDIR/hlinkCompressfile$comp+7 $path/CompressDIR/Compressfile$comp+7", -timeout,7200);

					   logcomment("::::::::::::::::Hardlink Set  to CompWith ADS-HARD-OBJ  File : $after");
					   #}
					   if($after =~ m/Error|Unable|Not/) {
					      logcomment("::::::::::::::::Hard link creation error : $after");
					     $result=0;
			 		   }
					   $comp=$comp+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$comp=1;
			}
			$i=$i+1;
		  	$j=1;	
		}
	
	# Compare final operation result  
	  if(($result == 1) && ($i > $CRE_DIR)){
		  logcomment("::::::::::::>>> Hardlink  is set to all files in COM files");  
		return 1;
	  }else {
	   
		logcomment("::::::::::::>>> Hardlink to COM NOT Set");  
		return 0;
	  }


      }elsif  ($Ftype =~ /SPR/) {
      		while ($i <= $CRE_DIR )
		{
			$m=$j+$i;    
	        	$path="$DATA_PATH"."/"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ( $spa <= $Sparse_Files )
				{
					# for ($n=1;$n<=$HardCount;$n++)	
					#{
		       			   ($match,$before,$after) =say($fc,"$SET_HARDLINK $path/SparseDIR/hlinkSparsefile$spa $path/SparseDIR/Sparsefile$spa", -timeout,7200);
					   logcomment(":::::::::::::::Hardlink Set  to Normal Sparse File : $after");
	 
					   ($match,$before,$after) =say($fc,"$SET_HARDLINK $path/SparseDIR/hlinkSparsefile$spa+1  $path/SparseDIR/Sparsefile$spa+1", -timeout,7200);
					  logcomment(":::::::::::::::Hardlink Set  to SparseWith OBJ File : $after");  
			       		  
					   ($match,$before,$after) =say($fc,"$SET_HARDLINK $path/SparseDIR/hlinkSparsefile$spa+2 $path/SparseDIR/Sparsefile$spa+2", -timeout,7200);
					   logcomment(":::::::::::::::Hardlink Set  to SparseWithADS File : $after");
	       			   
					   ($match,$before,$after) =say($fc,"$SET_HARDLINK $path/SparseDIR/hlinkSparsefile$spa+3 $path/SparseDIR/Sparsefile$spa+3", -timeout,7200);
					   logcomment(":::::::::::::::Hardlink Set  to SparseWith-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$SET_HARDLINK $path/SparseDIR/hlinkSparsefile$spa+4 $path/SparseDIR/Sparsefile$spa+4", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Set to SparseWith ADS-OBJ File : $after");

					   ($match,$before,$after) =say($fc,"$SET_HARDLINK $path/SparseDIR/hlinkSparsefile$spa+5 $path/SparseDIR/Sparsefile$spa+5", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Set  to SparseWith OBJ-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$SET_HARDLINK $path/SparseDIR/hlinkSparsefile$spa+6 $path/SparseDIR/Sparsefile$spa+6", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Set  to SparseWith ADS-HARD File : $after");
					   ($match,$before,$after) =say($fc,"$SET_HARDLINK $path/SparseDIR/hlinkSparsefile$spa+7 $path/SparseDIR/Sparsefile$spa+7", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Set  to SparseWith ADS-HARD-OBJ  File : $after");
					   #}
					   if($after =~ m/Error|Unable|Not/) {
					      logcomment("::::::::::::::::Hard link creation error : $after");
					     $result=0;
			 		   }
				  	   $spa=$spa+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$spa=1;
			}
			$i=$i+1;
		  	$j=1;	
		}

	# Compare final operation result  
	  if(($result == 1) & ($i > $CRE_DIR)){
		  logcomment("::::::::::::>>> Hardlink  is set to all files in SPR files");  
		return 1;
	  }else {
	   
		logcomment("::::::::::::>>> Hardlink to SPR NOT Set");  
		return 0;
	  }
	}elsif  ($Ftype =~ /NOR/) {
      		while ($i <= $CRE_DIR )
		{
			$m=$j+$i;    
	        	$path="$DATA_PATH"."/"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ($normal <= $R_File)
				{
					#for ($n=1;$n<=$HardCount;$n++)	
					#{
		       			   ($match,$before,$after) =say($fc,"$SET_HARDLINK $path/hlinkfile$normal $path/file$normal", -timeout,7200);
					   logcomment(":::::::::::::::Encryption set  to Normal  File : $after");
	 
					   ($match,$before,$after) =say($fc,"$SET_HARDLINK $path/hlinkfile$normal+1 $path/file$normal+1", -timeout,7200);
					   logcomment(":::::::::::::::Encryption set  to NormalWith OBJ File : $after"); 
			       		  
					   ($match,$before,$after) =say($fc,"$SET_HARDLINK $path/hlinkfile$normal+2 $path/file$normal+2", -timeout,7200);
					   logcomment(":::::::::::::::Encryption set  to NormalWithADS File : $after");
	       			   
					   ($match,$before,$after) =say($fc,"$SET_HARDLINK $path/hlinkfile$normal+3 $path/file$normal+3", -timeout,7200);
					   logcomment(":::::::::::::::Encryption set  to NormalWith-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$SET_HARDLINK $path/hlinkfile$normal+4 $path/file$normal+4", -timeout,7200);
					   logcomment("::::::::::::::::Encryption set to NormalWith ADS-OBJ File : $after");
					   ($match,$before,$after) =say($fc,"$SET_HARDLINK $path/hlinkfile$normal+5 $path/file$normal+5", -timeout,7200);
					   logcomment("::::::::::::::::Encryption set  to NormalWith OBJ-HARD File : $after");
					   ($match,$before,$after) =say($fc,"$SET_HARDLINK $path/hlinkfile$normal+6 $path/file$normal+6", -timeout,7200);
					   logcomment("::::::::::::::::Encryption set  to NormalWith ADS-HARD File : $after");
					   ($match,$before,$after) =say($fc,"$SET_HARDLINK $path/hlinkfile$normal+7 $path/file$normal+7", -timeout,7200);
					   logcomment("::::::::::::::::Encryption set  to NormalWith ADS-HARD-OBJ  File : $after");
					   #}
					   if($after =~ m/Error|Unable|Not/) {
					      logcomment("::::::::::::::::Hard link creation error : $after");
					     $result=0;
			 		   }
					$normal=$normal+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$normal=1;
			}
			$i=$i+1;
		  	$j=1;	
		}
	    # Compare final operation result  
  	    if(($result == 1) && ($i > $CRE_DIR)){
		  logcomment("::::::::::::>>> Hardlink  is set to all files in NOR files");  
	 	  return 1;
 	    }else {
	   
		logcomment("::::::::::::>>> Hardlink to NOR NOT Set");  
		return 0;
	    }
	}

}


#This routine will delete Hardlink to given file type or given file in the path.
#sub Hardlink_Del(FType,Hardount,DataPath,pc) {

sub Hardlink_Del {
 my $j=1,$i=1,$n=1;
 my $enc=1;
 my $path="";

 my ($Ftype,$HardCount,$DataPath,$fc) = @_;
 	 
      logcomment("FileType :  $Ftype");	
      logcomment("HardlinkCount :  $HardCount");	
      logcomment("DataPath : Path of the file: $DataPath");	
      

	#Below lines commented bcoz It can be used for future enhancement
	#if ( $DataPath != "") {
        #}else {

        #}
			
	if (($Ftype =~ /NOR/i) ||($Ftype =~ /ENC/i) || ($Ftype =~ /COM/i) ||($Ftype =~ /SPR/i)) {
		logcomment(":::::::::::::::::::::::::::>>>>.File Type is given as  : $Ftype");
	}else {

		logcomment(":::>>>>Invalid File Type:  Give File Type as NOR(normal) or ENC(encrypted) or SPR(sparse) or COM(Compressed)");
		return 0;
	}
	
	if ($Ftype =~ /ENC/i) {
	 
	     while ($i <= $CRE_DIR ) 
	     {	  
		  $m= "$j"."+"."$i";    
	          logcomment(" m value : : $m");;
		  $path="$DATA_PATH"."/"."D$m";
		  #$path="$DATA_PATH"."D$m";
		  while  ( $j <= $R_DIR ) 
		  {
			  while ( $enc <= $ENCRYPT_FILES )
			  {
				  # for ($n=1;$n<=$HardCount;$n++)	
				  #{
		       		   ($match,$before,$after) =say($fc,"rm  '$path/EncryptDIR/hlinkEncryfile$enc'", -timeout,7200);
				   logcomment("::::::::::::::::Hardlink Delete to Normal Encr File : $after");
	       			 
				   ($match,$before,$after) =say($fc,"rm  '$path/EncryptDIR/hlinkEncryfile$enc+1'", -timeout,7200);
				   logcomment("::::::::::::::::Hardlink Delete to EncrWith OBJ File : $after"); 
		       		  
				   ($match,$before,$after) =say($fc,"rm  '$path/EncryptDIR/hlinkEncryfile$enc+2'", -timeout,7200);
				   logcomment("::::::::::::::::Hardlink Delete to EncrWithADS File  : $after");
	       			   
				   ($match,$before,$after) =say($fc,"rm  '$path/EncryptDIR/hlinkEncryfile$enc+3'", -timeout,7200);
				   logcomment("::::::::::::::::Hardlink Delete to EncrWith-HARD File : $after");

				   ($match,$before,$after) =say($fc,"rm  '$path/EncryptDIR/hlinkEncryfile$enc+4'", -timeout,7200);
				   logcomment("::::::::::::::::Hardlink Delete to EncrWith ADS-OBJ File  : $after");
				   
				   ($match,$before,$after) =say($fc,"rm  '$path/EncryptDIR/hlinkEncryfile$enc+5'", -timeout,7200);
				   logcomment("::::::::::::::::Hardlink Delete to EncrWith OBJ-HARD File : $after");
				   
				   ($match,$before,$after) =say($fc,"rm  '$path/EncryptDIR/hlinkEncryfile$enc+6' ", -timeout,7200);
				   logcomment("::::::::::::::::Hardlink Delete to EncrWith ADS-HARD File  : $after");

				   ($match,$before,$after) =say($fc,"rm  '$path/EncryptDIR/hlinkEncryfile$enc+7' ", -timeout,7200);
				   logcomment("::::::::::::::::Hardlink Delete to EncrWith ADS-HARD-OBJ  File : $after");
				   #}
				   if($after =~ m/Error|Unable|Not/) {
					      logcomment("::::::::::::::::Hard link Deletion error : $after");
					     $result=0;
			 	   }
				$enc=$enc+1;
			 }
			 $path=$path."/"."D$j";
		  	 $j=$j+1;
			 $enc=1;
	  	  }
			 
		$i=$i+1;
	  	$j=1;	
	     }		

		# Compare final operation result  
	  if(($result == 1) && ($i > $CRE_DIR)){
		  logcomment("::::::::::::>>> Hardlink Deletion in ENC files done  successfully");  
		return 1;
	  }else {
	   
		logcomment("::::::::::::>>> Faiule Hardlink Deletion ENC");  
		return 0;
	  }
    }elsif ($Ftype =~ /COM/) {
      		while ($i <= $CRE_DIR )
		{
			$m=$j+$i;    
	        	$path="$DATA_PATH"."/"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ( $comp <= $COMPRESS_FILES )
				{
					#   	 for ($n=1;$n<=$HardCount;$n++)	
					#{
					   ($match,$before,$after) =say($fc," rm  $path/CompressDIR/hlinkCompressfile$comp", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Delete to Normal Comp File : $after");
	 
					   ($match,$before,$after) =say($fc," rm  $path/CompressDIR/hlinkCompressfile$comp+1 ", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Delete to CompWith OBJ File  : $after"); 
			       		  
					   ($match,$before,$after) =say($fc," rm  $path/CompressDIR/hlinkCompressfile$comp+2", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Delete toCompWWithADS File : $after");
	       			   
					   ($match,$before,$after) =say($fc," rm  $path/CompressDIR/hlinkCompressfile$comp+3", -timeout,7200);
					   logcomment(":::::::::::::::Hardlink Delete  to CompWith-HARD File : $after");

					   ($match,$before,$after) =say($fc," rm  $path/CompressDIR/hlinkCompressfile$comp+4", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Delete to CompWith ADS-OBJ File : $after");
					   ($match,$before,$after) =say($fc," rm  $path/CompressDIR/hlinkCompressfile$comp+5", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Delete  to CompWith OBJ-HARD File : $after");

					   ($match,$before,$after) =say($fc," rm  $path/CompressDIR/hlinkCompressfile$comp+6", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Delete  to CompWith ADS-HARD File : $after");

					   ($match,$before,$after) =say($fc," rm  $path/CompressDIR/hlinkCompressfile$comp+7 ", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Delete  to CompWith ADS-HARD-OBJ  File : $after");
					   #}
					     if($after =~ m/Error|Unable|Not/) {
					      logcomment("::::::::::::::::Hard link Deletion error : $after");
					     $result=0;
				 	   }
					   $comp=$comp+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$comp=1;
			}
			$i=$i+1;
		  	$j=1;	
		}
	# Compare final operation result  
	  if(($result == 1) && ($i > $CRE_DIR)){
		  logcomment("::::::::::::>>> Hardlink Deletion in COM files done  successfully");  
		return 1;
	  }else {
	   
		logcomment("::::::::::::>>> Failure: Hardlink Deletion on Data Type COM");  
		return 0;
	  };


      }elsif  ($Ftype =~ /SPR/) {
      		while ($i <= $CRE_DIR )
		{
			$m=$j+$i;    
	        	$path="$DATA_PATH"."/"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ( $spa <= $Sparse_Files )
				{
					#for ($n=1;$n<=$HardCount;$n++)	
					#{
		       			   ($match,$before,$after) =say($fc," rm  $path/SparseDIR/hlinkSparsefile$spa", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Delete to Normal Sparse File : $after");
	 
					   ($match,$before,$after) =say($fc," rm  $path/SparseDIR/hlinkSparsefile$spa+1", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Delete to SparseWith OBJ File  : $after"); 
			       		  
					   ($match,$before,$after) =say($fc," rm  $path/SparseDIR/hlinkSparsefile$spa+2", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Delete to SparseWith ADS File  : $after");
	       			   
					   ($match,$before,$after) =say($fc," rm  $path/SparseDIR/hlinkSparsefile$spa+3", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Delete to SparseWith-HARD File : $after"); 

					   ($match,$before,$after) =say($fc," rm  $path/SparseDIR/hlinkSparsefile$spa+4", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Delete to SparseWith ADS-OBJ File : $after"); 

					   ($match,$before,$after) =say($fc," rm  $path/SparseDIR/hlinkSparsefile$spa+5", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Delete to SparsWith OBJ-HARD File: $after"); 

					   ($match,$before,$after) =say($fc," rm  $path/SparseDIR/hlinkSparsefile$spa+6", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Delete to SparseWith ADS-HARD File  : $after"); 

					   ($match,$before,$after) =say($fc," rm  $path/SparseDIR/hlinkSparsefile$spa+7", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Delete to Sparseith ADS-HARD-OBJ  File  : $after");
					   #}
					    if($after =~ m/Error|Unable|Not/) {
					      logcomment("::::::::::::::::Hard link Deletion error : $after");
					     $result=0;
				 	   }
				  	   $spa=$spa+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$spa=1;
			}
			$i=$i+1;
		  	$j=1;	
		}

			# Compare final operation result  
	  if(($result == 1) && ($i > $CRE_DIR)){
		  logcomment("::::::::::::>>> Hardlink Deletion in SPR files done  successfully");  
		return 1;
	  }else {
	   
		logcomment("::::::::::::>>> Faiule Hardlink Deletion SPR");  
		return 0;
	  }
	}elsif  ($Ftype =~ /NOR/) {
      		while ($i <= $CRE_DIR )
		{
			$m=$j+$i;    
	        	$path="$DATA_PATH"."/"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ($normal <= $R_File)
				{
					#for ($n=1;$n<=$HardCount;$n++)	
					#{
		       			   ($match,$before,$after) =say($fc," rm  $path/hlinkfile$normal", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Delete to Normal  File : $after");
	 
					   ($match,$before,$after) =say($fc," rm  $path/hlinkfile$normal+1", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Delete to NormalWith OBJ File : $after"); 
			       		  
					   ($match,$before,$after) =say($fc," rm  $path/hlinkfile$normal+2", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Delete to NormalWith ADS File  : $after");
	       			   
					   ($match,$before,$after) =say($fc," rm  $path/hlinkfile$normal+3", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Delete to NormalWith-HARD File : $after");

					   ($match,$before,$after) =say($fc," rm  $path/hlinkfile$normal+4", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Delete to NormalWith ADS-OBJ File : $after");

					   ($match,$before,$after) =say($fc," rm  $path/hlinkfile$normal+5", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Delete to NormalWith OBJ-HARD File  : $after");

					   ($match,$before,$after) =say($fc," rm  $path/hlinkfile$normal+6", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Delete to NormalWith ADS-HARD File: $after");

					   ($match,$before,$after) =say($fc," rm  $path/hlinkfile$normal+7", -timeout,7200);
					   logcomment("::::::::::::::::Hardlink Delete to NormalWith ADS-HARD-OBJ  File: $after");
					   #}
					    if($after =~ m/Error|Unable|Not/) {
					      logcomment("::::::::::::::::Hard link Deletion error : $after");
					     $result=0;
				 	   }
					$normal=$normal+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$normal=1;
			}
			$i=$i+1;
		  	$j=1;	
		}
	}
				# Compare final operation result  
	  if(($result == 1) && ($i > $CRE_DIR)){
		  logcomment("::::::::::::>>> Hardlink Deletion in NOR files done  successfully");  
		return 1;
	  }else {
	   
		logcomment("::::::::::::>>> Failure Hardlink Deletion  on NOR Files");  
		return 0;
	  };
}










# This routine will add streams to given file type or given file in the path.
#sub Stream_Add(FType, SCount, SSize,FilePath) {

sub stream_Add {
 
 my $j=1,$i=1,$m,$n;
 my $enc=1;
 my $path="";
 #Move it to GLOBAL Variable: 
 my $SET_ADS="/cygdrive/c/OSSV_TESTING/TOOLS/ADS.exe";
 my ($Ftype,$Scount,$DataPath,$fc) = @_;
 #my $Ssize=100;
 my $Ssize=49821834;
 my($match,$before,$after);
 	 
      
 
      logcomment("*************Arguments Passed ******************");	
      logcomment("FileType :  $Ftype");	
      logcomment("Stream Count :  $Scount");	
      logcomment("DataPath : Path of the file: $DataPath");	
      

	#Below lines commented bcoz It can be used for future enhancement
	#if ( $DataPath != "") {
        #}else {

        #}
	if (($Ftype =~ /NOR/i) ||($Ftype =~ /ENC/i) || ($Ftype =~ /COM/i) ||($Ftype =~ /SPR/i)) {
			logcomment(":::::::::::::::::::::::::::>>>>.File Type is given as  : $Ftype");
		}else {
		logcomment(":::::::::::::::::::::::::::>>>> Invalid File Type-  Give File Type as     Normal or  Encrypted or Compressed or Sparse");
		return 0;
	}

        if ($Scount > 0)  {
		logcomment(":::::::::::::::::::::::::::>>>> Stream Count is :$Scount\n ");
	}else {
		logcomment(":::::::::::::::::::::::::::>>>>Invalid Stream Count, Please pass Valid counts");
		return 0;
        }
      
	if ($Ftype =~ /ENC/i) {
	 
	     while ($i <= $CRE_DIR ) 
	     {	  
		  $m= "$j"."+"."$i";    
	          logcomment(" m value : : $m");;
		  $path="$DataPath"."\\"."D$m";
		  while  ( $j <= $R_DIR ) 
		  {
			  while ( $enc <= $ENCRYPT_FILES ) 
			  {
				for ($n=1;$n<=$SCount;$n++)
				{	
		       		   ($match,$before,$after) =say($fc,"$SET_ADS '$path/EncryptDIR/Encryfile$enc' /add stream$n $Ssize", -timeout,7200);
				   logcomment("::::::::::::::::ADS set to Normal Encr File : $after");
	       			 
				   ($match,$before,$after) =say($fc,"$SET_ADS '$path/EncryptDIR/Encryfile$enc+1' /add stream$n $Ssize", -timeout,7200);
				   logcomment("::::::::::::::::ADS set to EncrWith OBJ File : $after"); 
		       		  
				   ($match,$before,$after) =say($fc,"$SET_ADS '$path/EncryptDIR/Encryfile$enc+2' /add stream$n $Ssize", -timeout,7200);
				   logcomment("::::::::::::::::ADS set to EncrWithADS File  : $after");
	       			   
				   ($match,$before,$after) =say($fc,"$SET_ADS '$path/EncryptDIR/Encryfile$enc+3' /add stream$n $Ssize", -timeout,7200);
				   logcomment("::::::::::::::::ADS set to EncrWithADS-HARD File : $after");

				   ($match,$before,$after) =say($fc,"$SET_ADS '$path/EncryptDIR/Encryfile$enc+4' /add stream$n $Ssize", -timeout,7200);
				   logcomment("::::::::::::::::ADS set to EncrWithADS-OBJ File  : $after");
				   
				   ($match,$before,$after) =say($fc,"$SET_ADS '$path/EncryptDIR/Encryfile$enc+5' /add stream$n $Ssize", -timeout,7200);
				   logcomment("::::::::::::::::ADS set to EncrWithOBJ-HARD File  : $after");
				   
				   ($match,$before,$after) =say($fc,"$SET_ADS '$path/EncryptDIR/Encryfile$enc+6' /add stream$n $Ssize", -timeout,7200);
				   logcomment("::::::::::::::::ADS set to EncrWithADS-HARD File  : $after");

				   ($match,$before,$after) =say($fc,"$SET_ADS '$path/EncryptDIR/Encryfile$enc+7' /add stream$n $Ssize", -timeout,7200);
				   logcomment("::::::::::::::::ADS set to EncrWithADS-HARD-OBJ  File  : $after");

				   if ($after =~ /Failed | Error | Not/i){
					logcomment("::::::::::>>> Setting  ADS Failed for ENC data type  : $after");
				   }else {
				      logcomment("::::::::::::>>> ADS IS Set for ENC data type : $after");  
			           }
				}
				$enc=$enc+1;
	  		 }
			 $path= "$path"."/"."D$j";
		  	 $j=$j+1;
			 $enc=1;
		}		
		$i=$i+1;
	  	$j=1;	
	    }

 	 # Compare final operation result  
	  if(($result == 1) && ($i >= $CRE_DIR)){
		  logcomment("::::::::::::>>> ADS set to all files for ENC data type");  
		return 1;
	  }else {
	   
		logcomment("::::::::::::>>>Failed: ADS NOT Set for ENC data type,");  
		return 0;
	  }

    }elsif ($Ftype =~ /COM/i) {
      		while ($i <= $CRE_DIR )
		{
		  $m= "$j"."+"."$i";    
	          logcomment(" m value : : $m");;
		  #$path="$DataPath"."/"."D$m";
		  $path="$DataPath"."\\"."D$m";
		
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ( $comp <= $COMPRESS_FILES )
				{
			        	for ($n=1;$n<=$SCount;$n++)	
					{	
		       			   ($match,$before,$after) =say($fc,"$SET_ADS '$path/CompressDIR/Compressfile$comp; /add stream$n $Ssize", -timeout,7200);
					   logcomment("::::::::::::::::ADS set to Normal Comp File : $after");
	 
					   ($match,$before,$after) =say($fc,"$SET_ADS '$path/CompressDIR/Compressfile$comp+1' /add stream$n $Ssize", -timeout,7200);
					   logcomment("::::::::::::::::ADS set to CompWithOBJ File  : $after") ;
			       		  
					   ($match,$before,$after) =say($fc,"$SET_ADS '$path/CompressDIR/Compressfile$comp+2' /add stream$n $Ssize", -timeout,7200);
					   logcomment("::::::::::::::::ADS set to CompWithADS File  : $after");

	       			   
					   ($match,$before,$after)=say($fc,"$SET_ADS '$path/CompressDIR/Compressfile$comp+3' /add stream$n $Ssize",-timeout,7200);
					   logcomment("::::::::::::::::ADS set to CompWith-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$SET_ADS '$path/CompressDIR/Compressfile$comp+4' /add stream$n $Ssize", -timeout,7200);
					   logcomment("::::::::::::::::ADS set to CompWithADS-OBJ File   : $after");
					   ($match,$before,$after) =say($fc,"$SET_ADS '$path/CompressDIR/Compressfile$comp+5' /add stream$n $Ssize", -timeout,7200);
					   logcomment("::::::::::::::::ADS set to CompWithOBJ-HARD File   : $after");
					   ($match,$before,$after) =say($fc,"$SET_ADS '$path/CompressDIR/Compressfile$comp+6' /add stream$n $Ssize", -timeout,7200);
					   logcomment("::::::::::::::::ADS set to CompWithADS-HARD File   : $after");
					   ($match,$before,$after) =say($fc,"$SET_ADS '$path/CompressDIR/Compressfile$comp+7' /add stream$n $Ssize", -timeout,7200);
					   logcomment("::::::::::::::::ADS set to CompWithADS-HARD-OBJ File : $after");

					   if ($after =~ /Failed | Error | Not/i){
						logcomment("::::::::::>>> Setting  ADS Failed for COMP data type : $after");
					   }else {
					      logcomment("::::::::::::>>> ADS IS Set for COMP data type : $after"); 
				           }
					}
					$comp=$comp+1;
				}
				$path=$path."/"."D$j";
			  	$j=$j+1;
				$comp=1;
			}
			$i=$i+1;
		  	$j=1;	
		}
	
	 # Compare final operation result  
	  if(($result == 1) && ($i > $CRE_DIR)){
		  logcomment("::::::::::::>>> ADS set to  COMP data type");  
		return 1;
	  }else {
	   
		logcomment("::::::::::::>>> ADS NOT Set,for COMP data type");  
		return 0;
	  }
      }elsif  ($Ftype =~ /SPR/i) {
      		while ($i <= $CRE_DIR )
		{
		   $m= "$j"."+"."$i";    
	           logcomment(" m value : : $m");;
		   #$path="$DataPath"."/"."D$m";
		   $path="$DataPath"."\\"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ( $spa <= $Sparse_Files )
				{
			        	for ($n=1;$n<=$SCount;$n++)	
					{	
		       			   ($match,$before,$after) =say($fc,"$SET_ADS '$path/SparseDIR/Sparsefile$spa' /add stream$n $Ssize",-timeout,7200);
					   logcomment("::::::::::::::::ADS set to Normal Sparse File : $after");
	 
					   ($match,$before,$after) =say($fc,"$SET_ADS '$path/SparseDIR/Sparsefile$spa+1' /add stream$n $Ssize",-timeout,7200);
					   logcomment("::::::::::::::::ADS set to SparseWithOBJ File  : $after");
			       		  
					   ($match,$before,$after) =say($fc,"$SET_ADS '$path/SparseDIR/Sparsefile$spa+2' /add stream$n $Ssize",-timeout,7200);
					   logcomment("::::::::::::::::ADS set to SparseWithADS File  : $after");
	       			   
					   ($match,$before,$after) =say($fc,"$SET_ADS '$path/SparseDIR/Sparsefile$spa+3' /add stream$n $Ssize",-timeout,7200);
					   logcomment("::::::::::::::::ADS set to SparseWithHARD File   : $after");

					   ($match,$before,$after) =say($fc,"$SET_ADS '$path/SparseDIR/Sparsefile$spa+4' /add stream$n $Ssize",-timeout,7200);
					   logcomment("::::::::::::::::ADS set to SparseWithADS-OBJ File   : $after");

					   ($match,$before,$after) =say($fc,"$SET_ADS '$path/SparseDIR/Sparsefile$spa+5' /add stream$n $Ssize",-timeout,7200);
					   logcomment("::::::::::::::::ADS set to SparseWithOBJ-HARD File   : $after");

					   ($match,$before,$after) =say($fc,"$SET_ADS '$path/SparseDIR/Sparsefile$spa+6' /add stream$n $Ssize",-timeout,7200);
					   logcomment("::::::::::::::::ADS set to SparseWithADS-HARD File   : $after");

					   ($match,$before,$after) =say($fc,"$SET_ADS '$path/SparseDIR/Sparsefile$spa+7' /add stream$n $Ssize",-timeout,7200);
					   logcomment("::::::::::::::::ADS set to SparseWithADS-HARD-OBJ  File  : $after");

					   if ($after =~ /Failed | Error | Not/i){
						logcomment("::::::::::>>> Setting  ADS Failed for SPARSE data type : $after");
					   }else {
					      logcomment("::::::::::::>>> ADS IS Set for SPARSE data type : $after") ; 
				           }
					}
					$spa=$spa+1;
				}
				$path=$path."/"."D$j";
			  	$j=$j+1;
				$spa=1;
			}
			$i=$i+1;
		  	$j=1;	
		}

		 # Compare final operation result  
	 	 if(($result == 1) && ($i > $CRE_DIR)){
			  logcomment("::::::::::::>>> ADS set to SPARSE   data type");  
			return 1;
		  }else {
	   
			logcomment("::::::::::::>>> ADS NOT Set,for SPARSE data type");  
			return 0;
		  }
	}elsif  ($Ftype =~ /NOR/i) {
      		while ($i <= $CRE_DIR )
		{
		   $m= "$j"."+"."$i";    
	           logcomment(" m value : : $m");;
		   #$path="$DataPath"."/"."D$m";
		   $path="$DataPath"."\\"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ($normal <= $R_File)
				{
			        	for ($n=1;$n<=$SCount;$n++)	
					{	
		       			   ($match,$before,$after) =say($fc,"$SET_ADS '$path/file$normal' /add stream$n $Ssize", -timeout,7200);
					   logcomment("::::::::::::::::ADS set to Normal  File : $after");
	 
					   ($match,$before,$after) =say($fc,"$SET_ADS '$path/file$normal+1' /add stream$n $Ssize", -timeout,7200);
					   logcomment("::::::::::::::::ADS set to NormalWithOBJ File  : $after"); 
			       		  
					   ($match,$before,$after) =say($fc,"$SET_ADS '$path/file$normal+2' /add stream$n $Ssize", -timeout,7200);
					   logcomment("::::::::::::::::ADS set to NormalWithADS File  : $after");
	       			   
					   ($match,$before,$after) =say($fc,"$SET_ADS '$path/file$normal+3' /add stream$n $Ssize", -timeout,7200);
					   logcomment("::::::::::::::::ADS set to NormalWithHARD File  : $after");

					   ($match,$before,$after) =say($fc,"$SET_ADS '$path/file$normal+4' /add stream$n $Ssize", -timeout,7200);
					   logcomment("::::::::::::::::ADS set to NormalWithADS-OBJ File  : $after");

					   ($match,$before,$after) =say($fc,"$SET_ADS '$path/file$normal+5' /add stream$n $Ssize", -timeout,7200);
					   logcomment("::::::::::::::::ADS set to NormalWithOBJ-HARD File  : $after");

					   ($match,$before,$after) =say($fc,"$SET_ADS '$path/file$normal+6' /add stream$n $Ssize", -timeout,7200);
					   logcomment("::::::::::::::::ADS set to NormalWithADS-HARD File  : $after");

					   ($match,$before,$after) =say($fc,"$SET_ADS '$path/file$normal+7' /add stream$n $Ssize", -timeout,7200);
					   logcomment("::::::::::::::::ADS set to NormalWithADS-HARD-OBJ   File : $after");

					   if ($after =~ /Failed | Error | Not/i){
						logcomment("::::::::::>>> Setting  ADS Failed for NORMAL data type : $after");
					   }else {
					      logcomment("::::::::::::>>> ADS IS Set for NORMAL data type : $after");  
				           }
					}
					$normal=$normal+1;
				}
				$path=$path."/"."D$j";
			  	$j=$j+1;
				$normal=1;
			}
			$i=$i+1;
		  	$j=1;	
		}
	}
	# Compare final operation result  
 	if(($result == 1) && ($i > $CRE_DIR)){
		logcomment("::::::::::::>>> ADS set to NORMAL data type");  
		return 1;
	}else {
		logcomment("::::::::::::>>> ADS NOT Set,for NORMAL data type");  
		return 0;
	}
}

# This routine will add streams to given file type or given file in the path.
#sub Stream_Del(FType,SCount,DataPath,pc) {

sub stream_Del {
 
 my $j=1,$i=1,$m,$n;
 my $enc=1;
 my $path="";
 #Move it to GLOBAL Variable: 
 my $UNSET_ADS="/cygdrive/c/OSSV_TESTING/TOOLS/ADS.exe";
 my ($Ftype,$Scount,$DataPath,$fc) = @_;
 my $Ssize=100;
 my($match,$before,$after);
 	 
 
      logcomment("*************Arguments Passed ******************");	
      logcomment("FileType :  $Ftype");	
      logcomment("Stream Count :  $Scount");	
      logcomment("DataPath : Path of the file: $DataPath");	
      

	#Below lines commented bcoz It can be used for future enhancement
	#if ( $DataPath != "") {
        #}else {

        #}
	if (($Ftype =~ /NOR/i) ||($Ftype =~ /ENC/i) || ($Ftype =~ /COM/i) ||($Ftype =~ /SPR/i)) {
			logcomment(":::::::::::::::::::::::::::>>>>.File Type is given as  : $Ftype");
		}else {
		logcomment(":::::::::::::::::::::::::::>>>> Invalid File Type-  Give File Type as     Normal or  Encrypted or Compressed or Sparse");
		return 0;
	}

        if ($Scount > 0)  {
		logcomment(":::::::::::::::::::::::::::>>>> Stream Count is :$Scount\n ");
	}else {
		logcomment(":::::::::::::::::::::::::::>>>>Invalid Stream Count, Please pass Valid counts");
		return 0;
        }
      
	if ($Ftype =~ /ENC/i) {
	 
	     while ($i <= $CRE_DIR ) 
	     {	  
		  $m= "$j"."+"."$i";    
	          logcomment(" m value : : $m");;
		  $path="$DataPath"."\\"."D$m";
		  while  ( $j <= $R_DIR ) 
		  {
			  while ( $enc <= $ENCRYPT_FILES ) 
			  {
				for ($n=1;$n<=$SCount;$n++)
				{	
		       		   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/EncryptDIR/Encryfile$enc' /delete stream$n", -timeout,7200);
				   logcomment("::::::::::::::::UNSET ADS  to Normal Encr File : $after");
	       			 
				   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/EncryptDIR/Encryfile$enc+1' /delete stream$n", -timeout,7200);
				   logcomment("::::::::::::::::UNSET ADS  to EncrWith OBJ File : $after"); 
		       		  
				   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/EncryptDIR/Encryfile$enc+2' /delete stream$n", -timeout,7200);
				   logcomment("::::::::::::::::UNSET ADS  to EncrWithADS File  : $after");
	       			   
				   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/EncryptDIR/Encryfile$enc+3' /delete stream$n", -timeout,7200);
				   logcomment("::::::::::::::::UNSET ADS  to EncrWithADS-HARD File : $after");

				   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/EncryptDIR/Encryfile$enc+4' /delete stream$n", -timeout,7200);
				   logcomment("::::::::::::::::UNSET ADS  to EncrWithADS-OBJ File  : $after");
				   
				   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/EncryptDIR/Encryfile$enc+5' /delete stream$n", -timeout,7200);
				   logcomment("::::::::::::::::UNSET ADS  to EncrWithOBJ-HARD File  : $after");
				   
				   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/EncryptDIR/Encryfile$enc+6' /delete stream$n", -timeout,7200);
				   logcomment("::::::::::::::::UNSET ADS  to EncrWithADS-HARD File  : $after");

				   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/EncryptDIR/Encryfile$enc+7' /delete stream$n", -timeout,7200);
				   logcomment("::::::::::::::::UNSET ADS  to EncrWithADS-HARD-OBJ  File  : $after");

				   if ($after =~ /Failed | Error | Not/i){
					logcomment("::::::::::>>> UNSetting  ADS Failed for ENC data type  : $after");
				   }else {
				      logcomment("::::::::::::>>> UNSET ADS DONE for ENC data type : $after");  
			           }
				}
				$enc=$enc+1;
	  		 }
			 $path= "$path"."/"."D$j";
		  	 $j=$j+1;
			 $enc=1;
		}		
		$i=$i+1;
	  	$j=1;	
	    }

 	 # Compare final operation result  
	  if(($result == 1) && ($i >= $CRE_DIR)){
		  logcomment("::::::::::::>>> UNSET ADS Done  to all files for ENC data type");  
		return 1;
	  }else {
	   
		logcomment("::::::::::::>>>Failed: UNSET ADS for ENC data type,");  
		return 0;
	  }

    }elsif ($Ftype =~ /COM/i) {
      		while ($i <= $CRE_DIR )
		{
		  $m= "$j"."+"."$i";    
	          logcomment(" m value : : $m");;
		  #$path="$DataPath"."/"."D$m";
		  $path="$DataPath"."\\"."D$m";
		
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ( $comp <= $COMPRESS_FILES )
				{
			        	for ($n=1;$n<=$SCount;$n++)	
					{	
		       			   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/CompressDIR/Compressfile$comp; /delete stream$n", -timeout,7200);
					   logcomment("::::::::::::::::Add ADS  to Normal Comp File : $after");
	 
					   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/CompressDIR/Compressfile$comp+1' /delete stream$n", -timeout,7200);
					   logcomment("::::::::::::::::UNSET ADS  to CompWithOBJ File  : $after") ;
			       		  
					   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/CompressDIR/Compressfile$comp+2' /delete stream$n", -timeout,7200);
					   logcomment("::::::::::::::::UNSET ADS  to CompWithADS File  : $after");

	       			   
					   ($match,$before,$after)=say($fc,"$UNSET_ADS '$path/CompressDIR/Compressfile$comp+3' /delete stream$n",-timeout,7200);
					   logcomment("::::::::::::::::UNSET ADS  to CompWith-HARD File : $after");

					   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/CompressDIR/Compressfile$comp+4' /delete stream$n", -timeout,7200);
					   logcomment("::::::::::::::::UNSET ADS  to CompWithADS-OBJ File   : $after");
					   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/CompressDIR/Compressfile$comp+5' /delete stream$n", -timeout,7200);
					   logcomment("::::::::::::::::UNSET ADS  to CompWithOBJ-HARD File   : $after");
					   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/CompressDIR/Compressfile$comp+6' /delete stream$n", -timeout,7200);
					   logcomment("::::::::::::::::UNSET ADS  to CompWithADS-HARD File   : $after");
					   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/CompressDIR/Compressfile$comp+7' /delete stream$n", -timeout,7200);
					   logcomment("::::::::::::::::UNSET ADS  to CompWithADS-HARD-OBJ File : $after");

					   if ($after =~ /Failed | Error | Not/i){
						logcomment("::::::::::>>> UnSetting  ADS Failed for COMP data type : $after");
					   }else {
					      logcomment("::::::::::::>>> UNSET ADS Done for COMP data type : $after"); 
				           }
					}
					$comp=$comp+1;
				}
				$path=$path."/"."D$j";
			  	$j=$j+1;
				$comp=1;
			}
			$i=$i+1;
		  	$j=1;	
		}
	
	 # Compare final operation result  
	  if(($result == 1) && ($i > $CRE_DIR)){
		  logcomment("::::::::::::>>> UNSET ADS Done for COMP data type");  
		return 1;
	  }else {
	   
		logcomment("::::::::::::>>> Failed:UNSET ADS for COMP data type");  
		return 0;
	  }
      }elsif  ($Ftype =~ /SPR/i) {
      		while ($i <= $CRE_DIR )
		{
		   $m= "$j"."+"."$i";    
	           logcomment(" m value : : $m");;
		   #$path="$DataPath"."/"."D$m";
		   $path="$DataPath"."\\"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ( $spa <= $Sparse_Files )
				{
			        	for ($n=1;$n<=$SCount;$n++)	
					{	
		       			   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/SparseDIR/Sparsefile$spa' /delete stream$n",-timeout,7200);
					   logcomment("::::::::::::::::UNSET ADS  to Normal Sparse File : $after");
	 
					   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/SparseDIR/Sparsefile$spa+1' /delete stream$n",-timeout,7200);
					   logcomment("::::::::::::::::UNSET ADS  to SparseWithOBJ File  : $after");
			       		  
					   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/SparseDIR/Sparsefile$spa+2' /delete stream$n",-timeout,7200);
					   logcomment("::::::::::::::::UNSET ADS  to SparseWithADS File  : $after");
	       			   
					   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/SparseDIR/Sparsefile$spa+3' /delete stream$n",-timeout,7200);
					   logcomment("::::::::::::::::UNSET ADS  to SparseWithHARD File   : $after");

					   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/SparseDIR/Sparsefile$spa+4' /delete stream$n",-timeout,7200);
					   logcomment("::::::::::::::::UNSET ADS  to SparseWithADS-OBJ File   : $after");

					   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/SparseDIR/Sparsefile$spa+5' /delete stream$n",-timeout,7200);
					   logcomment("::::::::::::::::UNSET ADS  to SparseWithOBJ-HARD File   : $after");

					   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/SparseDIR/Sparsefile$spa+6' /delete stream$n",-timeout,7200);
					   logcomment("::::::::::::::::UNSET ADS  to SparseWithADS-HARD File   : $after");

					   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/SparseDIR/Sparsefile$spa+7' /delete stream$n",-timeout,7200);
					   logcomment("::::::::::::::::UNSET ADS  to SparseWithADS-HARD-OBJ  File  : $after");

					   if ($after =~ /Failed | Error | Not/i){
						logcomment("::::::::::>>> UNSetting  ADS Failed for SPARSE data type : $after");
					   }else {
					      logcomment("::::::::::::>>> UNSET ADS Done for SPARSE data type : $after") ; 
				           }
					}
					$spa=$spa+1;
				}
				$path=$path."/"."D$j";
			  	$j=$j+1;
				$spa=1;
			}
			$i=$i+1;
		  	$j=1;	
		}

		 # Compare final operation result  
	 	 if(($result == 1) && ($i > $CRE_DIR)){
			  logcomment("::::::::::::>>> UNSET ADS Done to SPARSE   data type");  
			return 1;
		  }else {
	   
			logcomment("::::::::::::>>>Faile: UNSET ADS for SPARSE data type");  
			return 0;
		  }
	}elsif  ($Ftype =~ /NOR/i) {
      		while ($i <= $CRE_DIR )
		{
		   $m= "$j"."+"."$i";    
	           logcomment(" m value : : $m");;
		   #$path="$DataPath"."/"."D$m";
		   $path="$DataPath"."\\"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ($normal <= $R_File)
				{
			        	for ($n=1;$n<=$SCount;$n++)	
					{	
		       			   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/file$normal' /delete stream$n", -timeout,7200);
					   logcomment("::::::::::::::::UNSET ADS  to Normal  File : $after");
	 
					   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/file$normal+1' /delete stream$n", -timeout,7200);
					   logcomment("::::::::::::::::UNSET ADS  to NormalWithOBJ File  : $after"); 
			       		  
					   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/file$normal+2' /delete stream$n", -timeout,7200);
					   logcomment("::::::::::::::::UNSET ADS  to NormalWithADS File  : $after");
	       			   
					   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/file$normal+3' /delete stream$n", -timeout,7200);
					   logcomment("::::::::::::::::UNSET ADS  to NormalWithHARD File  : $after");

					   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/file$normal+4' /delete stream$n", -timeout,7200);
					   logcomment("::::::::::::::::UNSET ADS  to NormalWithADS-OBJ File  : $after");

					   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/file$normal+5' /delete stream$n", -timeout,7200);
					   logcomment("::::::::::::::::UNSET ADS  to NormalWithOBJ-HARD File  : $after");

					   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/file$normal+6' /delete stream$n", -timeout,7200);
					   logcomment("::::::::::::::::UNSET ADS  to NormalWithADS-HARD File  : $after");

					   ($match,$before,$after) =say($fc,"$UNSET_ADS '$path/file$normal+7' /delete stream$n", -timeout,7200);
					   logcomment("::::::::::::::::UNSET ADS  to NormalWithADS-HARD-OBJ   File : $after");

					   if ($after =~ /Failed | Error | Not/i){
						logcomment("::::::::::>>> UNSetting  ADS Failed for NORMAL data type : $after");
					   }else {
					      logcomment("::::::::::::>>> UNSET ADS done for NORMAL data type : $after");  
				           }
					}
					$normal=$normal+1;
				}
				$path=$path."/"."D$j";
			  	$j=$j+1;
				$normal=1;
			}
			$i=$i+1;
		  	$j=1;	
		}
	}
	# Compare final operation result  
 	if(($result == 1) && ($i > $CRE_DIR)){
		logcomment("::::::::::::>>> UNSET ADS  Done to NORMAL data type");  
		return 1;
	}else {
		logcomment("::::::::::::>>> Failed : UNSET ADS for NORMAL data type");  
		return 0;
	}
}



# This routine will add ObjectID to given file type or given file in the path.
#sub ObjectId_Add(FType,DataPath,pc) {

sub ObjectID_Add {
 my $j=1,$i=1;
 my $enc=1;
 my $path="";
 my $SET_OBJID="/cygdrive/c/OSSV_TESTING/TOOLS/objid.exe";

 my ($Ftype,$DataPath,$fc) = @_;
 	 
      logcomment("FileType :  $Ftype");	
      logcomment("DataPath : Path of the file: $DataPath");	

	#Below lines commented bcoz It can be used for future enhancement
	#if ( $DataPath != "") {
        #}else {

        #}
	if (($Ftype =~ /NOR/i) ||($Ftype =~ /ENC/i) || ($Ftype =~ /COM/i) ||($Ftype =~ /SPR/i)) {
			logcomment(":::::::::::::::::::::::::::>>>>.File Type is given as  : $Ftype");
	}else {

		logcomment(":::::::::::::::::::::::::::>>>> Invalid File Type-  Give File Type as     Normal or  Encrypted or Compressed or Sparse");
		return 0;
	}

	if ($Ftype =~ /ENC/i) {
	     while ($i <= $CRE_DIR ) 
	     {	  
		  $m= "$j"."+"."$i";    
	          logcomment(" m value : : $m");;
		  $path="$DataPath"."\\"."D$m";
		  while  ( $j <= $R_DIR ) 
		  {
			  while ( $enc <= $ENCRYPT_FILES ) 
			  {
		       		   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/EncryptDIR/Encryfile$enc' /set", -timeout,7200);
				   logcomment("::::::::::::::::Object ID  set to Normal Encr File : $after");
	       			 
				   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/EncryptDIR/Encryfile$enc+1' /set", -timeout,7200);
				   logcomment("::::::::::::::::Object ID  set to EncrWithOBJ File  : $after"); 
		       		  
				   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/EncryptDIR/Encryfile$enc+2' /set", -timeout,7200);
				   logcomment("::::::::::::::::Object ID  set to EncrWithADS File  : $after");
	       			   
				   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/EncryptDIR/Encryfile$enc+3' /set", -timeout,7200);
				   logcomment("::::::::::::::::Object ID  set to EncrWith-HARD File  : $after");

				   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/EncryptDIR/Encryfile$enc+4' /set", -timeout,7200);
				   logcomment("::::::::::::::::Object ID  set to EncrWithADS-OBJ File  : $after");
				   
				   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/EncryptDIR/Encryfile$enc+5' /set", -timeout,7200);
				   logcomment("::::::::::::::::Object ID  set to EncrWithOBJ-HARD File  : $after");
				   
				   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/EncryptDIR/Encryfile$enc+6' /set", -timeout,7200);
				   logcomment("::::::::::::::::Object ID  set to EncrWithADS-HARD File  : $after");

				   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/EncryptDIR/Encryfile$enc+7' /set", -timeout,7200);
				   logcomment("::::::::::::::::Object ID  set to EncrWithADS-HARD-OBJ  File  : $after");

				   if ($after =~ /Failed | Error | Not/i){
				      logcomment("::::::::::>>> Failed Setting  Objetc ID  for ENC data type : $after");
				   }else {
				      logcomment("::::::::::::>>> Objetc ID Set for ENC data type : $after");  
				   }
 	     			  $enc=$enc+1;
	  		 }
			 $path= "$path"."/"."D$j";
		  	 $j=$j+1;
			 $enc=1;
		}		
		$i=$i+1;
	  	$j=1;	
	    }

	# Compare final operation result  
 	if(($result == 1) && ($i > $CRE_DIR)){
		logcomment("::::::::::::>>> Objetc ID set to ENC data type");  
		return 1;
	}else {
		logcomment("::::::::::::>>>Failed: Objetc ID Set,for ENC data type");  
		return 0;
	}

    }elsif ($Ftype =~ /COM/) {
      		while ($i <= $CRE_DIR )
		{
		   $m= "$j"."+"."$i";    
	           logcomment(" m value : : $m");;
		   $path="$DataPath"."\\"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ( $comp <= $COMPRESS_FILES )
				{
		       			   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/CompressDIR/Compressfile$comp' /set", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to Normal Comp File : $after");
	 
					   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/CompressDIR/Compressfile$comp+1' /set", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to CompWithOBJ File  : $after"); 
			       		  
					   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/CompressDIR/Compressfile$comp+2' /set", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to CompWithADS File  : $after");
	       			   
					   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/CompressDIR/Compressfile$comp+3' /set", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to CompWith-HARD File  : $after");

					   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/CompressDIR/Compressfile$comp+4' /set", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to CompWithADS-OBJ File  : $after");

					   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/CompressDIR/Compressfile$comp+5' /set", -timeout,7200);
					    logcomment("::::::::::::::::Object ID  set to CompWithOBJ-HARD File  : $after");

					   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/CompressDIR/Compressfile$comp+6' /set", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to CompWithADS-HARD File  : $after");

					   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/CompressDIR/Compressfile$comp+7' /set", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to CompWithADS-HARD-OBJ  File  : $after");
					   
					   if ($after =~ /Failed | Error | Not/i){
				    		  logcomment("::::::::::>>> Failed Setting  Objetc ID  for COM data type : $after");
					   }else {
					          logcomment("::::::::::::>>> Objetc ID Set for COM data type : $after");  
					   }
					   $comp=$comp+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$comp=1;
			}
			$i=$i+1;
		  	$j=1;	
		}
	
	# Compare final operation result  
 	if(($result == 1) && ($i > $CRE_DIR)){
		logcomment("::::::::::::>>> Objetc ID set to COM   data type");  
		return 1;
	}else {
		logcomment("::::::::::::>>> Failed :Objetc ID Set for COM data type");  
		return 0;
	}
      }elsif  ($Ftype =~ /SPR/) {
      		while ($i <= $CRE_DIR )
		{
		   $m= "$j"."+"."$i";    
	           logcomment(" m value : : $m");;
		   $path="$DataPath"."\\"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ( $spa <= $Sparse_Files )
				{
		       			   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/SparseDIR/Sparsefile$spa' /set", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to Normal Sparse File : $after");
	 
					   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/SparseDIR/Sparsefile$spa+1' /set", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to SparseWithOBJ File  : $after");  
			       		  
					   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/SparseDIR/Sparsefile$spa+2' /set", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to SparseWithADS File  : $after");
	       			   
					   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/SparseDIR/Sparsefile$spa+3' /set", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to SparseWith-HARD File  : $after");

					   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/SparseDIR/Sparsefile$spa+4' /set", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to SparseWithADS-OBJ File  : $after");

					   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/SparseDIR/Sparsefile$spa+5' /set", -timeout,7200);
					    logcomment("::::::::::::::::Object ID  set to SparseWithOBJ-HARD File  : $after");

					   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/SparseDIR/Sparsefile$spa+6' /set", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to SparseWithADS-HARD File  : $after");

					   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/SparseDIR/Sparsefile$spa+7' /set", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to SparseWithADS-HARD-OBJ  File  : $after");
					   
					   if ($after =~ /Failed | Error | Not/i){
				    		  logcomment("::::::::::>>> Failed Setting  Objetc ID  for SPR data type : $after");
					   }else {
					          logcomment("::::::::::::>>> Objetc ID Set for SPR data type : $after");  
					   }
				  	   $spa=$spa+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$spa=1;
			}
			$i=$i+1;
		  	$j=1;	
		}

	# Compare final operation result  
 	if(($result == 1) && ($i > $CRE_DIR)){
		logcomment("::::::::::::>>> Objetc ID set to SPR data type");  
		return 1;
	}else {
		logcomment("::::::::::::>>> Failed :Objetc ID Set for SPR data type");  
		return 0;
	}
	}elsif  ($Ftype =~ /NOR/) {
      		while ($i <= $CRE_DIR )
		{
		          $m= "$j"."+"."$i";    
  	                  logcomment(" m value : : $m");
 			  $path="$DataPath"."\\"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ($normal <= $R_File)
				{
		       			   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/file$normal' /set", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to Normal File : $after");
	 
					   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/file$normal+1' /set", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to NormalWithOBJ File  : $after");
			       		  
					   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/file$normal+2' /set", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to NormalWithADS File  : $after");
	       			   
					   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/file$normal+3' /set", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to NormalWith-HARD File  : $after");

					   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/file$normal+4' /set", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to NormalWithADS-OBJ File  : $after");

					   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/file$normal+5' /set", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to NormalWithADS-OBJ File  : $after");

					   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/file$normal+6' /set", -timeout,7200);
					    logcomment("::::::::::::::::Object ID  set to NormalWithOBJ-HARD File  : $after");

					   ($match,$before,$after) =say($fc,"$SET_OBJID '$path/file$normal+7' /set", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to NormalWithADS-HARD-OBJ  File  : $after");

					   if ($after =~ /Failed | Error | Not/i){
				    		  logcomment("::::::::::>>> Failed Setting  Objetc ID  for NOR data type : $after");
					   }else {
					          logcomment("::::::::::::>>> Objetc ID Set for NOR data type : $after");  
					   }
					$normal=$normal+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$normal=1;
			}
			$i=$i+1;
		  	$j=1;	
		}
	}
		# Compare final operation result  
 	if(($result == 1) && ($i > $CRE_DIR)){
		logcomment("::::::::::::>>> Objetc ID set to NOR   data type");  
		return 1;
	}else {
		logcomment("::::::::::::>>>Falied: Objetc ID Set for NOR data type");  
		return 0;
	}
}





# This routine will Delete ObjectID to given file type or given file in the path.
#sub ObjectId_Del(FType,DataPath.fc) {

sub ObjectID_Del {
 my $j=1,$i=1;
 my $enc=1;
 my $path="";
 my $UNSET_OBJID="/cygdrive/c/OSSV_TESTING/TOOLS/objid.exe";
 my ($Ftype,$DataPath,$fc) = @_;
 	 
      logcomment("FileType :  $Ftype");	
      logcomment("DataPath : Path of the file: $DataPath");	

	#Below lines commented bcoz It can be used for future enhancement
	#if ( $DataPath != "") {
        #}else {

        #}
	if (($Ftype =~ /NOR/i) ||($Ftype =~ /ENC/i) || ($Ftype =~ /COM/i) ||($Ftype =~ /SPR/i)) {
			logcomment(":::::::::::::::::::::::::::>>>>.File Type is given as  : $Ftype");
	}else {

		logcomment(":::::::::::::::::::::::::::>>>> Invalid File Type-  Give File Type as     Normal or  Encrypted or Compressed or Sparse");
		return 0;
	}
	if ($Ftype =~ /ENC/i) {
	     while ($i <= $CRE_DIR ) 
	     {	  
		  $m= "$j"."+"."$i";    
	          logcomment(" m value : : $m");;
		  $path="$DataPath"."\\"."D$m";
		  while  ( $j <= $R_DIR ) 
		  {
			  while ( $enc <= $ENCRYPT_FILES ) 
			  {
		       		   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/EncryptDIR/Encryfile$enc' /del", -timeout,7200);
				   logcomment("::::::::::::::::Object ID  set to Normal Encr File : $after");
	       			 
				   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/EncryptDIR/Encryfile$enc+1' /del", -timeout,7200);
				   logcomment("::::::::::::::::Object ID  set to EncrWithOBJ File  : $after"); 
		       		  
				   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/EncryptDIR/Encryfile$enc+2' /del", -timeout,7200);
				   logcomment("::::::::::::::::Object ID  set to EncrWithADS File  : $after");
	       			   
				   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/EncryptDIR/Encryfile$enc+3' /del", -timeout,7200);
				   logcomment("::::::::::::::::Object ID  set to EncrWith-HARD File  : $after");

				   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/EncryptDIR/Encryfile$enc+4' /del", -timeout,7200);
				   logcomment("::::::::::::::::Object ID  set to EncrWithADS-OBJ File  : $after");
				   
				   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/EncryptDIR/Encryfile$enc+5' /del", -timeout,7200);
				   logcomment("::::::::::::::::Object ID  set to EncrWithOBJ-HARD File  : $after");
				   
				   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/EncryptDIR/Encryfile$enc+6' /del", -timeout,7200);
				   logcomment("::::::::::::::::Object ID  set to EncrWithADS-HARD File  : $after");

				   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/EncryptDIR/Encryfile$enc+7' /del", -timeout,7200);
				   logcomment("::::::::::::::::Object ID  set to EncrWithADS-HARD-OBJ  File  : $after");

				   if ($after =~ /Failed | Error | Not/i){
				      logcomment("::::::::::>>> Failed Setting  Objetc ID  for ENC data type : $after");
				   }else {
				      logcomment("::::::::::::>>> Objetc ID Set for ENC data type : $after");  
				   }
 	     			  $enc=$enc+1;
	  		 }
			 $path= "$path"."/"."D$j";
		  	 $j=$j+1;
			 $enc=1;
		}		
		$i=$i+1;
	  	$j=1;	
	    }

	# Compare final operation result  
 	if(($result == 1) && ($i > $CRE_DIR)){
		logcomment("::::::::::::>>> Objetc ID set to ENC data type");  
		return 1;
	}else {
		logcomment("::::::::::::>>>Failed: Objetc ID Set,for ENC data type");  
		return 0;
	}

    }elsif ($Ftype =~ /COM/) {
      		while ($i <= $CRE_DIR )
		{
		   $m= "$j"."+"."$i";    
	           logcomment(" m value : : $m");;
		   $path="$DataPath"."\\"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ( $comp <= $COMPRESS_FILES )
				{
		       			   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/CompressDIR/Compressfile$comp' /del", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to Normal Comp File : $after");
	 
					   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/CompressDIR/Compressfile$comp+1' /del", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to CompWithOBJ File  : $after"); 
			       		  
					   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/CompressDIR/Compressfile$comp+2' /del", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to CompWithADS File  : $after");
	       			   
					   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/CompressDIR/Compressfile$comp+3' /del", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to CompWith-HARD File  : $after");

					   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/CompressDIR/Compressfile$comp+4' /del", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to CompWithADS-OBJ File  : $after");

					   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/CompressDIR/Compressfile$comp+5' /del", -timeout,7200);
					    logcomment("::::::::::::::::Object ID  set to CompWithOBJ-HARD File  : $after");

					   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/CompressDIR/Compressfile$comp+6' /del", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to CompWithADS-HARD File  : $after");

					   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/CompressDIR/Compressfile$comp+7' /del", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to CompWithADS-HARD-OBJ  File  : $after");
					   
					   if ($after =~ /Failed | Error | Not/i){
				    		  logcomment("::::::::::>>> Failed Setting  Objetc ID  for COM data type : $after");
					   }else {
					          logcomment("::::::::::::>>> Objetc ID Set for COM data type : $after");  
					   }
					   $comp=$comp+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$comp=1;
			}
			$i=$i+1;
		  	$j=1;	
		}
	
	# Compare final operation result  
 	if(($result == 1) && ($i > $CRE_DIR)){
		logcomment("::::::::::::>>> Objetc ID set to COM   data type");  
		return 1;
	}else {
		logcomment("::::::::::::>>> Failed :Objetc ID Set for COM data type");  
		return 0;
	}
      }elsif  ($Ftype =~ /SPR/) {
      		while ($i <= $CRE_DIR )
		{
		   $m= "$j"."+"."$i";    
	           logcomment(" m value : : $m");;
		   $path="$DataPath"."\\"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ( $spa <= $Sparse_Files )
				{
		       			   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/SparseDIR/Sparsefile$spa' /del", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to Normal Sparse File : $after");
	 
					   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/SparseDIR/Sparsefile$spa+1' /del", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to SparseWithOBJ File  : $after");  
			       		  
					   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/SparseDIR/Sparsefile$spa+2' /del", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to SparseWithADS File  : $after");
	       			   
					   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/SparseDIR/Sparsefile$spa+3' /del", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to SparseWith-HARD File  : $after");

					   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/SparseDIR/Sparsefile$spa+4' /del", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to SparseWithADS-OBJ File  : $after");

					   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/SparseDIR/Sparsefile$spa+5' /del", -timeout,7200);
					    logcomment("::::::::::::::::Object ID  set to SparseWithOBJ-HARD File  : $after");

					   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/SparseDIR/Sparsefile$spa+6' /del", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to SparseWithADS-HARD File  : $after");

					   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/SparseDIR/Sparsefile$spa+7' /del", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to SparseWithADS-HARD-OBJ  File  : $after");
					   
					   if ($after =~ /Failed | Error | Not/i){
				    		  logcomment("::::::::::>>> Failed Setting  Objetc ID  for SPR data type : $after");
					   }else {
					          logcomment("::::::::::::>>> Objetc ID Set for SPR data type : $after");  
					   }
				  	   $spa=$spa+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$spa=1;
			}
			$i=$i+1;
		  	$j=1;	
		}

	# Compare final operation result  
 	if(($result == 1) && ($i > $CRE_DIR)){
		logcomment("::::::::::::>>> Objetc ID set to SPR data type");  
		return 1;
	}else {
		logcomment("::::::::::::>>> Failed :Objetc ID Set for SPR data type");  
		return 0;
	}
	}elsif  ($Ftype =~ /NOR/) {
      		while ($i <= $CRE_DIR )
		{
		          $m= "$j"."+"."$i";    
  	                  logcomment(" m value : : $m");
 			  $path="$DataPath"."\\"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ($normal <= $R_File)
				{
		       			   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/file$normal' /del", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to Normal File : $after");
	 
					   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/file$normal+1' /del", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to NormalWithOBJ File  : $after");
			       		  
					   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/file$normal+2' /del", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to NormalWithADS File  : $after");
	       			   
					   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/file$normal+3' /del", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to NormalWith-HARD File  : $after");

					   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/file$normal+4' /del", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to NormalWithADS-OBJ File  : $after");

					   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/file$normal+5' /del", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to NormalWithADS-OBJ File  : $after");

					   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/file$normal+6' /del", -timeout,7200);
					    logcomment("::::::::::::::::Object ID  set to NormalWithOBJ-HARD File  : $after");

					   ($match,$before,$after) =say($fc,"$UNSET_OBJID '$path/file$normal+7' /del", -timeout,7200);
					   logcomment("::::::::::::::::Object ID  set to NormalWithADS-HARD-OBJ  File  : $after");

					   if ($after =~ /Failed | Error | Not/i){
				    		  logcomment("::::::::::>>> Failed Setting  Objetc ID  for NOR data type : $after");
					   }else {
					          logcomment("::::::::::::>>> Objetc ID Set for NOR data type : $after");  
					   }
					$normal=$normal+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$normal=1;
			}
			$i=$i+1;
		  	$j=1;	
		}
	}
		# Compare final operation result  
 	if(($result == 1) && ($i > $CRE_DIR)){
		logcomment("::::::::::::>>> Objetc ID set to NOR   data type");  
		return 1;
	}else {
		logcomment("::::::::::::>>>Falied: Objetc ID Set for NOR data type");  
		return 0;
	}
}




#This routine will add Compression bit to given file type or given file in the path.
#sub Compression_Add(FType,DataPath,pc {

sub Compression_Add {
 my $j=1,$i=1;
 my $enc=1;
 my $path="";
 my $SET_COMPRESSION="/cygdrive/c/OSSV_TESTING/TOOLS/setgetattr.exe";

 my ($Ftype,$DataPath,$fc) = @_;
 	 
      logcomment("FileType :  $Ftype");	
      logcomment("DataPath : Path of the file: $DataPath");	
      

	#Below lines commented bcoz It can be used for future enhancement
	#if ( $DataPath != "") {
        #}else {

        #}
	if (($Ftype =~ /NOR/i) ||($Ftype =~ /ENC/i) || ($Ftype =~ /COM/i) ||($Ftype =~ /SPR/i)) {
		logcomment(":::::::::::::::::::::::::::>>>>.File Type is given as  : $Ftype");
	}else {

		logcomment(":::::::::::::::::::::::::::>>>> Invalid File Type-  Give File Type as     Normal or  Encrypted or Compressed or Sparse");
		return 0;
	}

	if ($Ftype =~ /ENC/i) {
	     while ($i <= $CRE_DIR ) 
	     {	  
		  $m= "$j"."+"."$i";     
		  $path="$DATA_PATH"."\\"."D$m";
		  
		  while  ( $j <= $R_DIR ) 
		  {
			  while ( $enc <= $ENCRYPT_FILES ) 
			  {
		       		   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/EncryptDIR/Encryfile$enc 639040", -timeout,7200);
				   logcomment("::::::::::::::::Compression Normal ENC File : $after");
	       			 
				   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/EncryptDIR/Encryfile$enc+1 639040", -timeout,7200);
				   logcomment("::::::::::::::::Compression Set to EncrWith OBJ File: $after"); 
		       		  
				   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/EncryptDIR/Encryfile$enc+2 639040", -timeout,7200);
				   logcomment("::::::::::::::::Compression Set to EncrWithADS File: $after");
	       			   
				   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/EncryptDIR/Encryfile$enc+3 639040", -timeout,7200);
				   logcomment("::::::::::::::::Compression Set to EncrWithADS-HARD File : $after");

				   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/EncryptDIR/Encryfile$enc+4 639040", -timeout,7200);
				   logcomment("::::::::::::::::Compression Set to EncrWithADS-OBJ File : $after");
				   
				   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/EncryptDIR/Encryfile$enc+5 639040", -timeout,7200);
				   logcomment("::::::::::::::::Compression Set to EncrWithOBJ-HARD File: $after");
				   
				   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/EncryptDIR/Encryfile$enc+6 639040", -timeout,7200);
				   logcomment("::::::::::::::::Compression Set to EncrWithADS-HARD File : $after");

				   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/EncryptDIR/Encryfile$enc+7 639040", -timeout,7200);
				   logcomment("::::::::::::::::Compression Set to EncrWithADS-HARD-OBJ  File : $after");
				   if ($after =~ /Failed | Error | Not/i){
				    		  logcomment("::::::::::>>> Failed Set Compression  for ENC data type : $after");
					   }else {
					          logcomment("::::::::::::>>> Set Compression for ENC data type Done : $after");  
				   }
				$enc=$enc+1;
	  		 }
			 $path= "$path"."/"."D$j";
		  	 $j=$j+1;
			 $enc=1;
		}		
		$i=$i+1;
	  	$j=1;	
	    }

		# Compare final operation result  
 		if(($result == 1) && ($i > $CRE_DIR)){
			logcomment("::::::::::::>>> Set Compression to ENC  data type DONE");  
			return 1;
		}else {
			logcomment("::::::::::::>>>Failed: Set Compression for ENC data type");  
			return 0;
		}
    }elsif ($Ftype =~ /COM/) {
      		while ($i <= $CRE_DIR )
		{
			$m= "$j"."+"."$i";     
		  	$path="$DATA_PATH"."\\"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ( $comp <= $COMPRESS_FILES )
				{
		       			   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/CompressDIR/Compressfile$comp 639040", -timeout,7200);
					   logcomment("::::::::::::::::Compression Set to Normal Comp File : $after");
	 
					   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/CompressDIR/Compressfile$comp+1 639040", -timeout,7200);
					   logcomment("::::::::::::::::Compression Set to CompWithOBJ File  : $after"); 
			       		  
					   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/CompressDIR/Compressfile$comp+2 639040", -timeout,7200);
					   logcomment("::::::::::::::::Compression Set toCompWithADS File: $after");
	       			   
					   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/CompressDIR/Compressfile$comp+3 639040", -timeout,7200);
					   logcomment("::::::::::::::::Compression Set toCompWithHARD File : $after");
					   
					   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/CompressDIR/Compressfile$comp+4 639040", -timeout,7200);
					   logcomment("::::::::::::::::Compression Set toCompWithADS-OBJ File: $after");
					   
					   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/CompressDIR/Compressfile$comp+5 639040", -timeout,7200);
					   logcomment("::::::::::::::::Compression Set toCompWithOBJ-HARD File: $after");
					   
					   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/CompressDIR/Compressfile$comp+6 639040", -timeout,7200);
					   logcomment("::::::::::::::::Compression Set toCompWithADS-HARD File: $after");
					   
					   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/CompressDIR/Compressfile$comp+7 639040", -timeout,7200);
					   logcomment("::::::::::::::::Compression Set to CompWithADS-HARD-OBJ  File $after");
					   
					   if ($after =~ /Failed | Error | Not/i){
				    		  logcomment("::::::::::>>> Failed :Set Compression  for COM data type : $after");
					   }else {
					          logcomment("::::::::::::>>> Set Compression for COM data type : $after");  
				   	   }
					   $comp=$comp+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$comp=1;
			}
			$i=$i+1;
		  	$j=1;	
		}
	

		# Compare final operation result  
 		if(($result == 1) && ($i > $CRE_DIR)){
			logcomment("::::::::::::>>> Set Compression to COM  data type Done");  
			return 1;
		}else {
			logcomment("::::::::::::>>>Failed Set Compression for COM data type");  
			return 0;
		}
      }elsif  ($Ftype =~ /SPR/) {
      		while ($i <= $CRE_DIR )
		{
			$m= "$j"."+"."$i";     
		  	$path="$DATA_PATH"."\\"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ( $spa <= $Sparse_Files )
				{
		       			   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/SparseDIR/Sparsefile$spa 639040", -timeout,7200);
					   logcomment("::::::::::::::::Compression Set to Normal Sparse File : $after");
	 
					   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/SparseDIR/Sparsefile$spa+1 639040", -timeout,7200);
					   logcomment("::::::::::::::::Compression Set to SparseWithOBJ File  : $after"); 
			       		  
					   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/SparseDIR/Sparsefile$spa+2 639040", -timeout,7200);
					   logcomment("::::::::::::::::Compression Set to SPRWithADS File   : $after");
	       			   
					   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/SparseDIR/Sparsefile$spa+3 639040", -timeout,7200);
					   logcomment("::::::::::::::::Compression Set to SPRWithHARD File   : $after");
					   
					   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/SparseDIR/Sparsefile$spa+4 639040", -timeout,7200);
					   logcomment("::::::::::::::::Compression Set to SPRWithADS-OBJ File: $after");
					   
					   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/SparseDIR/Sparsefile$spa+5 639040", -timeout,7200);
					   logcomment("::::::::::::::::Compression Set to SPRWithOBJ-HARD File : $after");
					   
					   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/SparseDIR/Sparsefile$spa+6 639040", -timeout,7200);
					   logcomment("::::::::::::::::Compression Set to SPRWithADS-HARD File : $after");
					   
					   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/SparseDIR/Sparsefile$spa+7 639040", -timeout,7200);
					   logcomment("::::::::::::::::Compression Set to SPRWith ADS-HARD-OBJ  File : $after");

					   if ($after =~ /Failed | Error | Not/i){
				    		  logcomment("::::::::::>>> Failed Set Compression  for SPR data type : $after");
					   }else {
					          logcomment("::::::::::::>>> Set Compression for SPR data type : $after");  
				   	   }
				  	   $spa=$spa+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$spa=1;
			}
			$i=$i+1;
		  	$j=1;	
		}

			# Compare final operation result  
 		if(($result == 1) && ($i > $CRE_DIR)){
			logcomment("::::::::::::>>> Set Compression to SPR  data type Done");  
			return 1;
		}else {
			logcomment("::::::::::::>>>Failed: Set Compression for SPR data type");  
			return 0;
		}
	}elsif  ($Ftype =~ /NOR/) {
      		while ($i <= $CRE_DIR )
		{
			$m= "$j"."+"."$i";     
		  	$path="$DATA_PATH"."\\"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ($normal <= $R_File)
				{
		       			   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/file$normal 639040", -timeout,7200);
					   logcomment("::::::::::::::::Compression Set to Normal  File : $after");
	 
					   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/file$normal+1 639040", -timeout,7200);
					   logcomment("::::::::::::::::Compression Set to NormalWithOBJ File  : $after"); 
			       		  
					   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/file$normal+2 639040", -timeout,7200);
					   logcomment("::::::::::::::::Compression Set to NormalWithADS File  : $after");
	       			   
					   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/file$normal+3 639040", -timeout,7200);
					   logcomment("::::::::::::::::Compression Set to NormalWith-HARD File  : $after");
					   
					   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/file$normal+4 639040", -timeout,7200);
					   logcomment("::::::::::::::::Compression Set to NormalWithADS-OBJ File   : $after");
					   
					   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/file$normal+5 639040", -timeout,7200);
					   logcomment("::::::::::::::::Compression Set to NormalWithOBJ-HARD File  : $after");
					   
					   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/file$normal+6 639040", -timeout,7200);
					   logcomment("::::::::::::::::Compression Set to NormalWithADS-HARD File  : $after");
					   
					   ($match,$before,$after) =say($fc,"$SET_COMPRESSION $path/file$normal+7 639040", -timeout,7200);
					   logcomment("::::::::::::::::Compression Set to NormalWithADS-HARD-OBJ  File : $after");
					   
					     if ($after =~ /Failed | Error | Not/i){
				    		  logcomment("::::::::::>>> Failed Set Compression  for NOR data type : $after");
					   }else {
					          logcomment("::::::::::::>>> Set Compression for NOR type : $after");  
				   	   }
					$normal=$normal+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$normal=1;
			}
			$i=$i+1;
		  	$j=1;	
		}
	}
		# Compare final operation result  
 		if(($result == 1) && ($i > $CRE_DIR)){
			logcomment("::::::::::::>>> Set Compression to NOR  data type Done");  
			return 1;
		}else {
			logcomment("::::::::::::>>>Failed: Set Compression for NOR data type");  
			return 0;
		}
}



#This routine will Delete Compression bit to given file type or given file in the path.
#sub Compression_Del(FType,DataPath,pc) {

sub Compression_Del {
 my $j=1,$i=1;
 my $enc=1;
 my $path="";
 my $UNSET_COMPRESSION="compact.exe /u";

 my ($Ftype,$DataPath,$fc) = @_;
 	 
      logcomment("FileType :  $Ftype");	
      logcomment("DataPath : Path of the file: $DataPath");	
      

	#Below lines commented bcoz It can be used for future enhancement
	#if ( $DataPath != "") {
        #}else {

        #}
	if (($Ftype =~ /NOR/i) ||($Ftype =~ /ENC/i) || ($Ftype =~ /COM/i) ||($Ftype =~ /SPR/i)) {
		logcomment(":::::::::::::::::::::::::::>>>>.File Type is given as  : $Ftype");
	}else {

		logcomment(":::::::::::::::::::::::::::>>>> Invalid File Type-  Give File Type as     Normal or  Encrypted or Compressed or Sparse");
		return 0;
	}

	if ($Ftype =~ /ENC/i) {
	     while ($i <= $CRE_DIR ) 
	     {	  
		 $m= "$j"."+"."$i";     
		 $path="$DATA_PATH"."\\"."D$m";
		  
		  while  ( $j <= $R_DIR ) 
		  {
			  while ( $enc <= $ENCRYPT_FILES ) 
			  {
		       		   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN '$path/EncryptDIR/Encryfile$enc'", -timeout,7200);
				   logcomment("::::::::::::::::Compression UNSet to Normal Encr File : $after");
	       			 
				   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN '$path/EncryptDIR/Encryfile$enc+1'", -timeout,7200);
				   logcomment("::::::::::::::::Compression UNSet to EncrWithOBJ File  : $after"); 
		       		  
				   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN '$path/EncryptDIR/Encryfile$enc+2'", -timeout,7200);
				   logcomment("::::::::::::::::Compression UNSet to EncrWithADS File : $after");
	       			   
				   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN '$path/EncryptDIR/Encryfile$enc+3'", -timeout,7200);
				   logcomment("::::::::::::::::Compression UNSet to EncrWith-HARD File : $after");

				   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN '$path/EncryptDIR/Encryfile$enc+4'", -timeout,7200);
				   logcomment("::::::::::::::::Compression UNSet to EncrWithADS-OBJ File  : $after");
				   
				   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN '$path/EncryptDIR/Encryfile$enc+5'", -timeout,7200);
				   logcomment("::::::::::::::::Compression UNSet to EncrWithOBJ-HARD File  : $after");
				   
				   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN '$path/EncryptDIR/Encryfile$enc+6'", -timeout,7200);
				   logcomment("::::::::::::::::Compression UNSet to EncrWithADS-HARD File  : $after");

				   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN '$path/EncryptDIR/Encryfile$enc+7'", -timeout,7200);
				   logcomment("::::::::::::::::Compression UNSet to EncrWithADS-HARD-OBJ  : $after");
				   if ($after =~ /Failed | Error | Not/i){
				    		  logcomment("::::::::::>>> Failed to UNSet Compression  for ENC data type : $after");
					   }else {
					          logcomment("::::::::::::>>> UNSet Compression for ENC data type : $after");  
				   }
				$enc=$enc+1;
	  		 }
			 $path= "$path"."/"."D$j";
		  	 $j=$j+1;
			 $enc=1;
		}		
		$i=$i+1;
	  	$j=1;	
	    }

		# Compare final operation result  
 		if(($result == 1) && ($i > $CRE_DIR)){
			logcomment("::::::::::::>>> UNSet Compression to ENC  data type Done");  
			return 1;
		}else {
			logcomment("::::::::::::>>>Failed :UNSet Compression for ENC data type");  
			return 0;
		}
    }elsif ($Ftype =~ /COM/) {
      		while ($i <= $CRE_DIR )
		{
			$m= "$j"."+"."$i";     
		 	$path="$DATA_PATH"."\\"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ( $comp <= $COMPRESS_FILES )
				{
		       			   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN $path/CompressDIR/Compressfile$comp ", -timeout,7200);
					   logcomment("::::::::::::::::Compression UNSet to Normal Comp File : $after");
	 
					   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN $path/CompressDIR/Compressfile$comp+1 ", -timeout,7200);
					   logcomment("::::::::::::::::Compression UNSet to CompWithOBJ File  : $after"); 
			       		  
					   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN $path/CompressDIR/Compressfile$comp+2 ", -timeout,7200);
					   logcomment("::::::::::::::::Compression UNSet toCompWithADS File  : $after");
	       			   
					   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN $path/CompressDIR/Compressfile$comp+3 ", -timeout,7200);
					   logcomment("::::::::::::::::Compression UNSet to CompWith-HARD File : $after");
					   
					   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN $path/CompressDIR/Compressfile$comp+4 ", -timeout,7200);
					   logcomment("::::::::::::::::Compression UNSet to CompWithADS-OBJ File  : $after");
					   
					   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN $path/CompressDIR/Compressfile$comp+5 ", -timeout,7200);
					   logcomment("::::::::::::::::Compression UNSet to CompWithOBJ-HARD File  : $after");
					   
					   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN $path/CompressDIR/Compressfile$comp+6 ", -timeout,7200);
					   logcomment("::::::::::::::::Compression UNSet to CompWithADS-HARD File : $after");
					   
					   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN $path/CompressDIR/Compressfile$comp+7 ", -timeout,7200);
					   logcomment("::::::::::::::::Compression UNSet to CompWithADS-HARD-OBJ : $after");
					   
					   if ($after =~ /Failed | Error | Not/i){
				    		  logcomment("::::::::::>>> Failed UNSet Compression  for COM data type : $after");
					   }else {
					          logcomment("::::::::::::>>> UNSet Compression for COM data type : $after");  
				   	   }
					   $comp=$comp+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$comp=1;
			}
			$i=$i+1;
		  	$j=1;	
		}
	

		# Compare final operation result  
 		if(($result == 1) && ($i > $CRE_DIR)){
			logcomment("::::::::::::>>> UNSet Compression to COM  data type Done");  
			return 1;
		}else {
			logcomment("::::::::::::>>>Failed UNSet Compression for COM data type");  
			return 0;
		}
      }elsif  ($Ftype =~ /SPR/) {
      		while ($i <= $CRE_DIR )
		{
			
			$m= "$j"."+"."$i";     
		 	$path="$DATA_PATH"."\\"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ( $spa <= $Sparse_Files )
				{
		       			   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN $path/SparseDIR/Sparsefile$spa ", -timeout,7200);
					   logcomment("::::::::::::::::Compression UNSet to Normal Sparse File : $after");
	 
					   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN $path/SparseDIR/Sparsefile$spa+1 ", -timeout,7200);
					   logcomment("::::::::::::::::Compression UNSet to SparseWithOBJ File : $after"); 
			       		  
					   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN $path/SparseDIR/Sparsefile$spa+2 ", -timeout,7200);
					   logcomment("::::::::::::::::Compression UNSet to SparseWithADS File : $after");
	       			   
					   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN $path/SparseDIR/Sparsefile$spa+3 ", -timeout,7200);
					   logcomment("::::::::::::::::Compression UNSet to SparseWithHARD File: $after"); 
					   
					   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN $path/SparseDIR/Sparsefile$spa+4 ", -timeout,7200);
					   logcomment("::::::::::::::::Compression UNSet to SparseWithADS-OBJ File : $after"); 
					   
					   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN $path/SparseDIR/Sparsefile$spa+5 ", -timeout,7200);
					   logcomment("::::::::::::::::Compression UNSet to SparseWithOBJ-HARD File : $after"); 
					   
					   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN $path/SparseDIR/Sparsefile$spa+6 ", -timeout,7200);
					   logcomment("::::::::::::::::Compression UNSet to SparseWithADS-HARD File : $after"); 
					   
					   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN $path/SparseDIR/Sparsefile$spa+7 ", -timeout,7200);
					   logcomment("::::::::::::::::Compression UNSet to SparseWithADS-HARD-OBJ : $after"); 
					   
					   if ($after =~ /Failed | Error | Not/i){
				    		  logcomment("::::::::::>>> Failed UNSet Compression  for SPR data type : $after");
					   }else {
					          logcomment("::::::::::::>>> UNSet Compression for SPR data type : $after");  
				   	   }
				  	   $spa=$spa+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$spa=1;
			}
			$i=$i+1;
		  	$j=1;	
		}

			# Compare final operation result  
 		if(($result == 1) && ($i > $CRE_DIR)){
			logcomment("::::::::::::>>> UNSet Compression to SPR  data type Done");  
			return 1;
		}else {
			logcomment("::::::::::::>>>Failed : UNSet Compression for SPR data type");  
			return 0;
		}
	}elsif  ($Ftype =~ /NOR/) {
      		while ($i <= $CRE_DIR )
		{
			$m= "$j"."+"."$i";     
		 	$path="$DATA_PATH"."\\"."D$m";
	    		while  ( $j <= $R_DIR )
			{ 
	   	  		while ($normal <= $R_File)
				{
		       			   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN $path/file$normal ", -timeout,7200);
					   logcomment("::::::::::::::::Compression UNSet to Normal  File : $after");
	 
					   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN $path/file$normal+1 ", -timeout,7200);
					   logcomment("::::::::::::::::Compression UNSet to NormalWithOBJ File : $after"); 
			       		  
					   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN $path/file$normal+2 ", -timeout,7200);
					   logcomment("::::::::::::::::Compression UNSet to NormalWithADS File : $after");
	       			   
					   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN $path/file$normal+3 ", -timeout,7200);
					   logcomment("::::::::::::::::Compression UNSet to NormalWith-HARD File  : $after");
					   
					   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN $path/file$normal+4 ", -timeout,7200);
					   logcomment("::::::::::::::::Compression UNSet to NormalWithADS-OBJ File: $after");
					   
					   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN $path/file$normal+5 ", -timeout,7200);
					   logcomment("::::::::::::::::Compression UNSet to NormalWithOBJ-HARD File : $after");
					   
					   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN $path/file$normal+6 ", -timeout,7200);
					   logcomment("::::::::::::::::Compression UNSet to NormalWithADS-HARD File: $after");
					   
					   ($match,$before,$after) =say($fc,"$UNSET_COMPRESSIONN $path/file$normal+7 ", -timeout,7200);
					   logcomment("::::::::::::::::Compression UNSet to NormalWithADS-HARD-OBJ  File : $after");
					   
					   if ($after =~ /Failed | Error | Not/i){
				    		  logcomment("::::::::::>>> Failed UNSet Compression for NOR data type : $after");
					   }else {
					          logcomment("::::::::::::>>> UNSet Compression for NOR type : $after");  
				   	   }
					$normal=$normal+1;
				}
				$path="$path"."/"."D$j";
			  	$j=$j+1;
				$normal=1;
			}
			$i=$i+1;
		  	$j=1;	
		}
	}
		# Compare final operation result  
 		if(($result == 1) && ($i > $CRE_DIR)){
			logcomment("::::::::::::>>> UNSet Compression to NOR data type Done");  
			return 1;
		}else {
			logcomment("::::::::::::>>>Failed: UNSet Compression for NOR  data type");  
			return 0;
		}
}


1;
__END__

