# -*-perl-*-
# $Id: //depot/prod/test/Rsierranevada/dp/ossv/Dataset/data.pm#1 $

###################################################
## This procedure is used to create/modify Dataset
####################################################

sub create_data {
   my($config_file,$mode,$fc) = @_;
   if($mode !~ /mod/i) {
     	$config_file = "mk_".$config_file;
   } else {
  	$config_file = "mod_".$config_file;
   }

   say($fc,"'$TOOL_LOC//nvtdsetup.exe' -cf '$TOOL_LOC//$config_file' -di '$DATA_LOC'",-prompt,"$PRIMARY",-timeout,3600);
}

###################################################
## This procedure inserts a file in the given path
###################################################

sub insert_this_file {
   my($file,$data_loc,$pc) = @_;
   say($pc,"touch '$data_loc//stddata//data//.OSSV_DATABASE_BACKUP'");
   $DB_FLAG=1;
   
}

###################################################
## This procedure is used to profile a dataset
####################################################

sub create_profile {
   my($data_type,$num,$data_path,$fc) = @_;
   say($fc,"'$TOOL_LOC//nvtdprofile' '$data_path' $data_type $num",-timeout,600);   
} 

####################################################
## This procedure is used to compare 2 profiles
####################################################

sub compare_profile {
    my($dataPath,$dataType,$profile1,$profile2,$fc) = @_;
    my($match,$before,$after) = say($fc,"'$TOOL_LOC//nvtddiff' \-t '$dataPath' $dataType $profile1 $profile2","dummy",-ok,-timeout,600);

        if( $after =~ m/No differences/) {
                return(1);
        } else {
                return(0);
        }
    
}

#################################################################
## This is a hack used by us to compare data.
## Restore the backed up data to a different location.
## Rename the location to the original backedup location.
## Profile the data.Now compare it with the older profiles.
##################################################################

sub manipulator1 {
   my($primary_path,$tmp,$restore_path,$pc)=@_;

   say($pc,"mv '$primary_path' '$tmp'");
   say($pc,"mv '$restore_path' '$primary_path'");
  
} 

1;

__END__
