
ROUTINE dumper
   <CODE>
        use Data::Dumper;
        local $Data::Dumper::Sortkeys = 1;

        my %opt  = validate( @_,
                             {
                                 list       => { type  => ARRAYREF },
                                 msg        => { type  => SCALAR, default => "" },
                                 maxdepth   => { type  => SCALAR, default => 2 }
                             }
                   );

        my @list         = @{$opt{list}};
        my $msg          = $opt{msg};

        local $Data::Dumper::Maxdepth = $opt{maxdepth};

        if ( $msg ) {
            print $msg."\n";
        }
        print Dumper(\@list);

        return @list;
    </CODE>;

