
ROUTINE flatten
   <CODE>
        my %opt  = validate( @_,
                             {
                                 list       => { type  => ARRAYREF },
                                 msg        => { type  => SCALAR, default => "" }
                                 verbose    => { type  => SCALAR, default => 0 },
                             }
                   );

        my @list         = @{$opt{list}};
        my $msg          = $opt{msg};

        my @return;

        foreach my $item ( @list ) {
            if ( ref( $item ) =~ /ARRAY/i ) {
                foreach my $subitem ( @$item ) {
                    push( @return, $subitem );
                }
            } else {
                push( @return, $item );
            }
        }

        if ( $opt{verbose} ) {
            print "routine flatten\n";
            print Dumper(\@return);
        }

        return @return;
    </CODE>;

