# -*- perl -*-
# $Id: //depot/prod/test/Rsierranevada/lib/CConfig/TEST/EvalAdapter.pm#1 $

## @summary EvalAdapter 
## @author kenneth.gates@netapp.com
## @cf     false
## @status public
## @pod here

=head1 NAME

EvalAdapter - FIT Eval Adapter

=head1 SYNOPSIS

  use CConfig::TEST::EvalAdapter

=head1 DESCRIPTION

FIT Adapter

=cut

# --------------------------------------------------------
# Class:Config::TEST::EvalAdapter
#   FIT Adapter
# --------------------------------------------------------

package CConfig::TEST::EvalAdapter;

use HTML::Entities;
use NCPAN::Test::C2FIT;
use Tharn qw($Log);
use Data::Dumper;
use base "NCPAN::Test::C2FIT::TypeAdapter";
use strict;

sub parse {
    my $self = shift;
    my ($s) = @_;

    my $text=decode_entities($s);
    my %result=();
    if ($text ne "") {
        %result=eval($text);
        if ($@) { throw NCPAN::Test::C2FIT::Exception( "ERROR parsing text: $text"); }
    }
    return %result;
}

1;

