# $Id: //depot/prod/test/Rsierranevada/lib/CR/C/DebugSmdbTableAggrTable.pm#1 $

#
# Copyright (c) 2001-2010 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary Debug Smdb Table aggrTable component 
## @author dl-crqa-auto@netapp.com
## @status shared
## @pod here

=head1 NAME

CR::C::DebugSmdbTableAggrTable

=head1 DESCRIPTION

C<CR::C::DebugSmdbTableAggrTable> represents access to an ONTAP
debug smdb table aggrTable.

=head1 ATTRIBUTES

=head2 command_interface

The Node we want to access the table

=cut

package CR::C::DebugSmdbTableAggrTable;

use CR::C::DebugSmdbTableFactory;

my $table = 'aggrTable';

sub find{
    return CR::C::DebugSmdbTableFactory->find(@_, '-table' => $table);
}

1;
