# $Id: //depot/prod/test/Rrollingrock/lib/CR/C/DebugSmdbTableDataPolicy.pm#1 $

#
# Copyright (c) 2001-2011 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary DebugSmdbDataPolicy
## @author dl-crqa-auto@netapp.com
## @status shared
## @pod here

=head1 NAME

CR::C::DebugSmdbTableDataPolicy

=head1 DESCRIPTION

C<CR::C::DebugSmdbTableDataPolicy> represents access to an ONTAP
debug smdb table data_policy_expr_unified

=head1 ATTRIBUTES

=head2 command_interface

The Node we want to access the table

=cut

package CR::C::DebugSmdbTableDataPolicy;

use CR::C::DebugSmdbTableFactory;

my $table = 'data_policy';

sub find {
    return CR::C::DebugSmdbTableFactory->find( @_, '-table' => $table );
}

1;
