# Copyright (c) 2001-2012 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.

## @summary DebugSmdbTableNextIdTable
## @author dl-crqa-auto@netapp.com
## @status shared
## @pod here

=head1 NAME

CR::C::DebugSmdbTableNextIdTable

=head1 DESCRIPTION

C<CR::C::DebugSmdbTableNextIdTable> represents access to an ONTAP
debug smdb table nextIdTable

=head1 ATTRIBUTES

=head2 command_interface

The Node we want to access the table

=cut

package CR::C::DebugSmdbTableNextIdTable;

use CR::C::DebugSmdbTableFactory;

my $table = 'nextIdTable';

sub find {
    return CR::C::DebugSmdbTableFactory->find(@_, '-table' => $table);
}

1;
