# $Id$

 #
 # Copyright (c) 2001-2010 NetApp, Inc., All Rights Reserved
 # Any use, modification, or distribution is prohibited
 # without prior written consent from NetApp, Inc.
 #

# ## @summary DebugSmdbTableReposPolicyRules
# ## @author dl-crqa-auto@netapp.com
# ## @status shared
# ## @pod here

=head1 NAME

CR::C::DebugSmdbTableReposPolicyRules

=head1 DESCRIPTION

C<CR::C::DebugSmdbTableReposPolicyRules> represents access to an ONTAP
debug smdb table repos_policy_rules

=head1 ATTRIBUTES

=head2 command_interface

The Node we want to access the table

=cut

package CR::C::DebugSmdbTableReposPolicyRules;

use CR::C::DebugSmdbTableFactory;

my $table = 'repos_policy_rules';

sub find {
    return CR::C::DebugSmdbTableFactory->find(@_, '-table' => $table);
}

