# $Id: //depot/prod/test/Rsierranevada/lib/CR/C/DebugSmdbTableVserverByName.pm#1 $

#
# Copyright (c) 2001-2010 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary DebugSmdbTableVserverByName 
## @author dl-crqa-auto@netapp.com
## @status shared
## @pod here

=head1 NAME

CR::C::DebugSmdbTableVserverByName

=head1 DESCRIPTION

C<CR::C::DebugSmdbTableVserverByName> represents access to an ONTAP
debug smdb table vserver_by_name

=head1 ATTRIBUTES

=head2 command_interface

The Node we want to access the table

=cut

package CR::C::DebugSmdbTableVserverByName;

use CR::C::DebugSmdbTableFactory;

my $table = 'vserver_by_name';

sub find{
    return CR::C::DebugSmdbTableFactory->find(@_, '-table' => $table);
}

1;
