# $Id: //depot/prod/test/Rrollingrock/lib/CR/C/DebugSmdbTableVserverIdToName.pm#1 $

#
# Copyright (c) 2001-2010 NetApp, Inc., All Rights Reserved
#   Any use, modification, or distribution is prohibited
#   without prior written consent from NetApp, Inc.
#

## @summary DebugSmdbTableVserverIdToName
## @author dl-crqa-auto@netapp.com
## @status shared
## @pod here

=head1 NAME

CR::C::DebugSmdbTableVserverIdToName

=head1 DESCRIPTION

C<CR::C::DebugSmdbTableVserverIdToName> represents access to an ONTAP
debug smdb table vserver_id_to_name

=head1 ATTRIBUTES

=head2 command_interface

The Node we want to access the table

=cut

package CR::C::DebugSmdbTableVserverIdToName;

use CR::C::DebugSmdbTableFactory;

my $table = 'vserver_id_to_name';

sub find{
    return CR::C::DebugSmdbTableFactory->find(@_, '-table' => $table);
    }

1;
