#
# $Id: //depot/prod/test/Rsierranevada/lib/CR/Exception.pm#1 $:
#
# Copyright (c) 2010 NetApp Inc.
# All rights reserved.
#
## @summary Provide base class for all exceptions defined in Content Repository.
##          It in turns based on NATE::BaseException.
##
## @author ngok@netapp.com
## @status private
## @pod here

=pod

=head1 Package Name

CR::Exception.pm

=head1 Author

ngok@netapp.com

=head1 Description

Base class for Content Repository Exceptions.

=head1 See Also

Package inherits from the BaseException module in NATE.

=head1 CR::Exception

=head2 Expected use

This is the base class of all exceptions defined in Content Repository.
Its main use is in the catch clause to catch all unspecified Content Repository Exception.

=head2 Usage

Same as for exceptions defined by BaseException.pm

=head2 Base Class

NATE::BaseException

=cut

package CR::Exception;
use base qw(NATE::BaseException);
1;
