#
# $Id: //depot/prod/test/Rsierranevada/lib/CR/Exceptions/ArgumentError.pm#1 $:
#
# Copyright (c) 2010 NetApp Inc.
# All rights reserved.
#
## @summary Provide an exception class that is a subclass of CR::Exception 
##          but is identical to NACL::Exceptions::ArgumentError
##
## @author ngok@netapp.com
## @status private
## @pod here

=pod

=head1 Package Name

CR::Exceptions::ArgumentError.pm

=head1 Author

ngok@netapp.com

=head1 Description

An exception for when a method detects that it has been passed invalid arguments 
or there are arguments missing.

=head1 See Also

Package inherits from the Exception module in CR.

=head1 CR::Exceptions::ArgumentError

=head2 Expected use

Use when a method detects that it has been passed invalid arguments or there are arguments missing.

=head2 Usage

Same as for exceptions defined by Exception.pm

=head2 Base Class

CR::Exception

=cut

package CR::Exceptions::ArgumentError;
use base qw(CR::Exception);
1;
