#
# $Id: //depot/prod/test/Rsierranevada/lib/CR/Exceptions/NoRootVolume.pm#1 $:
#
# Copyright (c) 2010 NetApp Inc.
# All rights reserved.
#
## @summary Provide an exception class that is a subclass of
##          CR::Exception that will be thrown
##          when no root volume is found associated with the Vserver.
##
## @author ngok@netapp.com
## @status private
## @pod here

=pod

=head1 Package Name

CR::Exceptions::NoRootVolume.pm

=head1 Author

ngok@netapp.com

=head1 Description

An exception for when no root volume for the Vserser is found.

=head1 See Also

Package inherits from the Exception module in CR.

=head1 CR::Exceptions::NoRootVolume

=head2 Expected use

Use when no root volume for the Vserser is found.

=head2 Usage

Same as for exceptions defined by Exception.pm

=head2 Base Class

CR::Exception

=cut

package CR::Exceptions::NoRootVolume;
use base qw(CR::Exception);
1;
