# Copyright (c) 2012 Network Appliance, Inc.
# All rights reserved.

## @summary BasicSetup Library - 8.3 FullSteam Release
## @author  galane@netapp.com
## @pod     here

=head1 NAME

CR::Setup::BasicSetup::FullSteam

=head1 DESCRIPTION

This module implements basic setup for the FullSteam release.

=head1 METHODS

=cut

package CR::Setup::BasicSetup::FullSteam;
use Moose;
use namespace::autoclean;
extends 'CR::Setup::BasicSetup::Base';

package CR::Setup::BasicSetup::FullSteam::CIFSConfig;
use Moose;
use namespace::autoclean;
extends 'CR::Setup::BasicSetup::Base::CIFSConfig';

package CR::Setup::BasicSetup::FullSteam::InfinitevolConfig;
use Moose;
use namespace::autoclean;
extends 'CR::Setup::BasicSetup::Base::InfinitevolConfig';

package CR::Setup::BasicSetup::FullSteam::LIFManager;
use Moose;
use namespace::autoclean;
extends 'CR::Setup::BasicSetup::Base::LIFManager';

package CR::Setup::BasicSetup::FullSteam::MultiCluster;
use Moose;
use namespace::autoclean;
extends 'CR::Setup::BasicSetup::Base::MultiCluster';

package CR::Setup::BasicSetup::FullSteam::SnapmirrorConfig;
use Moose;
use namespace::autoclean;
extends 'CR::Setup::BasicSetup::Base::MultiCluster::SnapmirrorConfig';

package CR::Setup::BasicSetup::FullSteam::StorageServiceConfig;
use Moose;
use namespace::autoclean;
extends 'CR::Setup::BasicSetup::Base::StorageServiceConfig';

package CR::Setup::BasicSetup::FullSteam::VserverConfig;
use Moose;
use namespace::autoclean;
extends 'CR::Setup::BasicSetup::Base::VserverConfig';

1;
