#!/usr/software/bin/perl -w
use CGI::Carp qw(fatalsToBrowser);
use strict;
use CGI;
use Data::Dumper;
use Switch;
use CBTemplate;


# $Id: $
## @summary Perl module for ConfigBroker GUI
## @status Public
## @author Sreekumar Methil (sreekuma@netapp.com, dl-nst-tools@netapp.com)
## @pod here

=head1 NAME

intro.cgi

=head1 DESCRIPTION

This is the introductory page which asks the user for testbed path and creates log file for a particular session and particular user
.This also validates the testbed path and gives the user an option to change the logfile name

=cut


##This is function used to print the intorduction page which is used to load the testbed path and also create log files.

my $cgi= CGI->new();
&print();
sub print{

print $cgi->header();	
		
		print "<head><title>Welcome to ConfigBroker</title></head>";
		
		##Checks if testbed has been given by the user
		if($cgi->param('testbed'))
			{
				print "<img src='http://brand.netapp.com/images/logos/color-vert/na_logo_vrt_2c_rgb.png' align='right' width='158' height='150'/>";

		my $testbed=$cgi->param('testbed');

			if(-d $testbed)
				{
					## Creates a default log file for the user under a directory called cbgui under the testbed
					my $logfile = CBTemplate::log_creation(testbed => "$testbed");
					print "<center>";
					print "<br><br><br><br><br><br><br><br><br><br><h1>TestBed Locations and Logfile Location</H1>\n";
					print "<form action='http://csiqa-web.rtp.netapp.com/cgi-bin/ConfigBroker/main.cgi'>";
					print " Testbed: <input type='text' name='testbed' value=$testbed border='0' /><br>";
					print " Logfile Location(Optional:Edit Logfile name only) : <input type='text' name='logfile' value=$logfile /><br>";
					print "<input type='submit' value='Create and Go To Main Menu' />";
					print "</center>";
				} 
			else 
				{
					
					## If the testbed path given by the user is incorrect.
					
					print "<center>";
					print "<br><br><br><br><br><br><br><br><br><br><h1>Invalid Testbed path. Enter your Testbed again</H1>\n";
					print "<h2>Enter Your Testbed</H2>\n";
					print "<h3>NOTE: Make sure the testbed path or the directory to create the database and logfile has full permissions for the GUI to create DB and files <h3>";
					print "<form>";
					print "<input type='text' name='testbed' />";
					print "<input type='submit' value='load' />";
					print "</form>";
					print "</center>";	
				}
			}
			
			else
				{
					##Prompts the user to enter the testbed path
					print "<img src='http://brand.netapp.com/images/logos/color-vert/na_logo_vrt_2c_rgb.png' align='right' width='158' height='150'/>";
					print "<center>";
					print "<br><br><br><br><br><br><br><br><br><br><h1>Welcome to Config Broker</H1>\n";
					print "<h2>Enter Your Testbed</H2>\n";
					print "<h3>NOTE: Make sure the testbed path or the directory to create the database and logfile has full permissions for the GUI to create DB and files </h3>";
					print "<form>";
					print "<input type='text' name='testbed' />";
					print "<input type='submit' value='load' />";
					print "</form>";
					print "</center>";
				}

print $cgi->end_html();

}
