#!/usr/software/bin/perl -w
use CGI::Carp qw(fatalsToBrowser);
use strict;
use CGI;
use Data::Dumper;
use Switch;
use CBTemplate;
my $cgi= CGI->new();
my $testbed;
my $logfile;
my $resource_group;
my $resource_type;
my $resource_name;
my %fieldhash;
my @types;
my $primary_keys;
&post();

# $Id: $
## @summary Perl module for ConfigBroker GUI
## @status Public
## @author Sreekumar Methil (sreekuma@netapp.com, dl-nst-tools@netapp.com)
## @pod here

=head1 NAME

leftpane.cgi

=head1 DESCRIPTION

This is the resource page which is available when user clicks a resource group on the leftpane .This page provides view of all the
resource groups and resources under them in form of tables. It also has access to resource functions like removing a resource from
the resource group ,modifying resource and adding new/existing resources.

=cut



## Function to post the main layout of the page Resource View.This layout includes the left pane which list all the resource groups
## and the tables of resources to display and any forms such as add resource or add new resource.
 
sub post
{
$logfile=$cgi->param('logfile');
$testbed=$cgi->param('testbed');
$resource_group=$cgi->param('rg');

## This part is used to print the resource groups on left pane and also the resources under each of the resource group.

print $cgi->header();
print "<img src='http://brand.netapp.com/images/logos/color-vert/na_logo_vrt_2c_rgb.png' align='right' width='158' height='150'/>";
print "<head><title>ConfigBroker-Resource-Page</title></head>";
print "<div id='menu' style='background-color:silver;float:left; overflow-y:scroll;width: 20%; height: 100%;'>";
print "<FORM METHOD='LINK' ACTION='http://csiqa-web.rtp.netapp.com/cgi-bin/ConfigBroker/main.cgi'>";
print "<input type='hidden' name='testbed' value='$testbed'/>";
print "<input type='hidden' name='logfile' value='$logfile' /><br>";
print "<INPUT TYPE='submit' VALUE='Back to Main page'/>";
print "</FORM>";
print "<h1><b>ResourceGroups</b><br></h1>";

## Prints all the resource groups present in the ConfigBroker DB.

my @rgs=resource_groups();
 for my $it (@rgs) 
 	{
 		my %rghash = %$it;
 		print "<form action='http://csiqa-web.rtp.netapp.com/cgi-bin/ConfigBroker/leftpane.cgi'>";
 		print "<input type='hidden' name='testbed' value='$testbed' />";
		print "<input type='hidden' name='logfile' value='$logfile' />";
 		print "<input type='submit' style='padding:0; margin:0,border:0;background-color:transparent;' name=rg value=$rghash{'name'} /><br>";
 		print "</form>";

##If the user clicks on a resource group name to expand , this block of code will list all the resource types present under the
##particular resource groups
 		
 		if($rghash{'name'} eq $resource_group)
 			{ 
				@types=resource_types();
				print "<BLOCKQUOTE>";

		for my $type(@types)
			{
				my $name="+".$type;
 				print "<form action='http://csiqa-web.rtp.netapp.com/cgi-bin/ConfigBroker/leftpane.cgi'>";
				print "<input type='hidden' name='testbed' value='$testbed' />";
				print "<input type='hidden' name='logfile' value='$logfile' />";
				print "<input type='hidden' name='rg' value=$rghash{'name'} />";
				print "<input type='submit' style='padding:0; margin:10,border:0;background-color:transparent;' name='resource_type' value=$name /><br>";	
 				print "</form>";
 				
 ##If the user clicks on a particular resource type (aggregate,volume etc ) under a particular resource group to expand
 ##This block of code list all the resources present under them .
 
			if ($cgi->param('resource_type')) 
				{
					$resource_type=substr($cgi->param('resource_type'),1);
					if($resource_type eq $type){
					my $resource_fields=resource_fields();
 					my @fields=@$resource_fields;
					print "<BLOCKQUOTE>";
 					print "<form action='http://csiqa-web.rtp.netapp.com/cgi-bin/ConfigBroker/leftpane.cgi'>";
 					print "<input type='hidden' name='testbed' value='$testbed' />";
					print "<input type='hidden' name='logfile' value='$logfile' />";
					print "<input type='hidden' name='rg' value=$rghash{'name'} />";
					print "<input type='hidden' name='resource_type' value=$name />";	
 					$primary_keys=resource_primarykeys($resource_type);
 					for my $field(@fields)
  						{
 							%fieldhash=%$field;
							my $resource_identifier=print_resource_identifiers_unq_test(hashref => \%fieldhash,primary_keys=>$primary_keys); 
							print "<input type='submit' style='padding:0; margin:10,border:0;background-color:transparent;' name='resource_names' value=$resource_identifier /><br>";
 						}

print "</BLOCKQUOTE></form>";
	}
		}
			}
print "</BLOCKQUOTE>";

 			}

 }
print "</div>";

## This block of code has the html to print the heading of the page and give access to resource functions such as Adding resource
## and adding new resource

print "<div style='float:center;width: 80%; height: 20%;'>";
print "<center><h1>Resource Page</h1></center>";
print "<b><h2>Resource Functions :</h2></b>";
print "<form>";
print "<input type='hidden' name='testbed' value='$testbed' />";
print "<input type='hidden' name='logfile' value='$logfile' />";
print "<input type='hidden' name='rg' value=$resource_group />";
print "<input type='submit' name='resource_func' value='Add_existing_resource'/>";
print "<input type='submit' name='resource_func' value='Add_new_custom_resource'/>";
print "</form>";
print "</div>";

## This block of code prints the center page of the resource page . It prints all the resource in form of tables and also the forms
## to add new and and add existing resources

print "<div style='float:center;'>";
print "<div style='float:left; width: 80%; height: 80%; overflow-y:scroll; overflow-x:scroll;'>";
my $resource_function=$cgi->param('resource_func');

## This is function to add existing resource in the CB db as part of resource group . This block of code asks user for the resource
## type they want to add

		if ($resource_function eq 'Add_existing_resource')
			{
				my @alltypes=get_all_resourcetypes(); 
				print "<form>";
				print "<input type='hidden' name='testbed' value='$testbed' />";
				print "<input type='hidden' name='logfile' value='$logfile' />";
				print "<input type='hidden' name='rg' value=$resource_group />";
				print "<center><br><br><br><br><br><b>Select ResourceTypes:</b><select name='resource_type'>";
					
					for my $type(@alltypes)
						{
							print "<option value='$type'>$type</option>"	
						}
							print "</select>";
							print "<input type='submit' name='resource_func' value='Get_all_resources_names'/>";
							print "</form></center>";
						}

## This function gets all resource names of particular type.This is used to add existing resource as part of resource group.

					if ($resource_function eq 'Get_all_resources_names')
						{
							$resource_type=$cgi->param('resource_type'); 
							print "<form action='http://csiqa-web.rtp.netapp.com/cgi-bin/ConfigBroker/subpage.cgi'>";
							print "<input type='hidden' name='testbed' value='$testbed' />";
							print "<input type='hidden' name='logfile' value='$logfile' />";
							print "<input type='hidden' name='rg' value=$resource_group />";
							print "<input type=hidden name='resource_type' value='$resource_type'";
							print "<center><br><br><br><br><br><b>ResourceTypes:</b><input type=text name='resource_types' value='$resource_type' disabled='disabled'/><br>";	
							my $resource_fields_type=get_all_resourcenames_type();
				
## This block of code is used to remove all duplicate names from the arrays which is passed as the resource tables have multiple entry
## for one resource as it may be present in different resource groups

				my @resource_identifiers; 
				$primary_keys=resource_primarykeys($resource_type);
					for my $href ( @$resource_fields_type) 
					{
						my $resource_identifier=print_resource_identifiers_unq_test(hashref =>$href,primary_keys=>$primary_keys);
						push(@resource_identifiers,$resource_identifier);
					}
					my %unq=();
					
					foreach my $key(@resource_identifiers)
						{
							$unq{$key} ++;
						}
					my @resource_identifier_unq=keys %unq;
					print "<b>Resource Names:</b><br>";
						
						for my $identifier(@resource_identifier_unq)
							{
								print "<input type=checkbox name=resource_identifier value='$identifier' />$identifier</br>";

							}

					print "<input type='submit' name='func' value='add_resource'/>";
					print "</form></center>";
					
			}

## This function is used to add a new custom resource type to the group
					if ($resource_function eq 'Add_new_custom_resource' )
						{
							my @customtypes=get_custom_resourcetypes(); 
							print "<form>";
							print "<input type='hidden' name='testbed' value='$testbed' />";
							print "<input type='hidden' name='logfile' value='$logfile' />";
							print "<input type='hidden' name='rg' value=$resource_group />";
							print "<center><br><br><br><br><br><b>Custom ResourceTypes:<select name='resource_type'>";

				for my $type(@customtypes)
				{
					print "<option value='$type'>$type</option>"	
				}
					print "</select>";
					print "<input type='submit' name='resource_func' value='get_form'/>";
					print "</form></center>";
				}	

## This block of code is when user wants to add an custom resource to CB db and it prints a form to get user input.

			if ($resource_function eq 'get_form')
				{
					$resource_type=$cgi->param('resource_type'); 
					print "<form action='http://csiqa-web.rtp.netapp.com/cgi-bin/ConfigBroker/subpage.cgi'>";
					print "<input type='hidden' name='testbed' value='$testbed' />";
					print "<input type='hidden' name='logfile' value='$logfile' />";
					print "<input type='hidden' name='rg' value=$resource_group />";
					print "<input type=hidden name='resource_type' value='$resource_type'";
					print "<br><br><b>Resource Type</b><input type=text name='resource_type' value='$resource_type' disabled='disabled'/>";	
					my @fields=customresource_typesfields();
					print "<center><br><br><br><b>Input Form for Custom Resouce Type</b>";
				## Prints the resourcegroup and resource status fields  in the table as it will not be edited by the user
						for my $field(@fields)
							{
								if($field eq 'resourcegroup')
									{
										print "<br><b>$field:</b><input type=text name=$field value=$resource_group disabled='disabled' />";	
									}
							
						else 
						{
							print "<br><b>$field:</b><input type=text name=$field />";
						}
							}
							print "<br><input type='submit' name='func' value='add_new_resource'/>";
							print "</form></center>";
						}

## This block of code is used to print the resource tables when user selects it from the left pane
		
				if(!$resource_function)
						{
							
							print "<h1>Resource in $resource_group are :</h1>";

						if($cgi->param('resource_names'))
							{
								$resource_name=$cgi->param('resource_names');
								$resource_type=substr($cgi->param('resource_type'),1);
								resource_tables();
							}
							else
							{
								if($cgi->param('resource_type')) 
								{
									$resource_type=substr($cgi->param('resource_type'),1);
									resource_tables();
								}
								else
								{
									for my $type(@types)
									{
										$resource_type=$type;
										resource_tables();
									}
								}
							}
print "</div>";
print $cgi->end_html();
	}
}

## NOTE : The below functions are meant for GUI design to display appropriate fields
## Function to get all resource group names which is to be printed on the left pane of the web page.

sub resource_groups 
	{
		redirect_log();
		my @rgs= CBTemplate::get_resourcegroup_names(testbed => "$testbed");
		stop_redirect_log();
		return @rgs;
	}

##Function to get all custom resource types . This function is used in add new resource types to give the list of custom resource types
##a user wants to add.

sub get_custom_resourcetypes 

	{

		redirect_log();
		my @rgs= CBTemplate::get_custom_resourcetypes(testbed => "$testbed");
		stop_redirect_log();
		return @rgs;
	}

## Function used to get all resource types which needs to be displayed when user wants to add existing resources.

sub get_all_resourcetypes 

	{
		redirect_log();
		my @rgs= CBTemplate::get_all_resourcetypes(testbed => "$testbed");
		stop_redirect_log();
		return @rgs;
	}

## This function is used to get all resourece names under a particular type .

sub get_all_resourcenames_type 

	{
		redirect_log();
		my $resnames= CBTemplate::get_resource_type_names(testbed => "$testbed",typename=>"$resource_type");
		stop_redirect_log();
		return $resnames;
	}
	
## Function is used to get all resource types present in the Database . This is retrieved from the typedefn table

sub resource_types 
	
	{
		redirect_log();
		my @type=CBTemplate::get_resourcegroup_type(testbed=>"$testbed",name => $resource_group);
 		stop_redirect_log();
		return @type;	
	}
	
## Function is used to get all resource fields of a particular type . This used while printing the table.

sub resource_fields
	
	{
		redirect_log();
		my $resource_fields=CBTemplate::get_resource_fields(testbed=>$testbed,name=>$resource_group,type=>$resource_type);
		stop_redirect_log();
		return $resource_fields;
	}
	
## Function is used to get the fields of custom type resources . This is used to print the form when user wants to add a custom 
## type resource to the table.

sub customresource_typesfields 
	
	{
		redirect_log();
		my @type=CBTemplate::get_all_custom_restypefields(testbed=>"$testbed",resource_type=>$resource_type);
		stop_redirect_log();
		return @type;	
	}
	
## Function is used to get resource fields and print the table for a particular resource name.

sub resource_fields_name
	
	{
		redirect_log();
		my $resource_fields=CBTemplate::get_resource_fields_name(testbed=>$testbed,name=>$resource_group,type=>$resource_type,resource_name=>$resource_name);
		stop_redirect_log();
		return $resource_fields;
	}
	
sub resource_primarykeys
{
		redirect_log();
		my $primary=CBTemplate::get_primarykeys(typename=>$resource_type);
		stop_redirect_log();
		
		return $primary;
	}

## This function is used to print the resource table.

sub resource_tables 
	{
		my $select_resourceno=0;
		my $resource_fields;
		if($cgi->param('resource_names')){
			$resource_fields =resource_fields_name();
		}
		else {
				$resource_fields =resource_fields();	
		}
		
		my $href = @$resource_fields; 
		print "<h1><b>$resource_type</b></h1>";
		print "<form action='http://csiqa-web.rtp.netapp.com/cgi-bin/ConfigBroker/subpage.cgi'>";
   		print "<input type='hidden' name='testbed' value='$testbed' />";
		print "<input type='hidden' name='resource_type' value=$resource_type />";
		print "<input type='hidden' name='rg_grp' value=$resource_group />";
   		print "<input type='hidden' name='logfile' value='$logfile' />";
		print "<table border=10>\n";
 		my $href = @$resource_fields->[0];
 		
 		redirect_log();
		my $primary_fields=CBTemplate::get_primarykeys(typename=>$resource_type);
		stop_redirect_log();
		
		##Prints the header for the tables.
		## Prints the primary key fields first in the table and followed by the other parameters.
		print "<td> </td>";
		for my $primaryfields(@$primary_fields)
			{
				print "<td><b>$primaryfields</b></td>";
			}	
			for my $role ( keys %$href ) 
				{
   					
         			if (!grep /^$role$/,@$primary_fields){
         			print "<td><b>$role</b></td>";
				}
				}
    
    	print "</tr>";
		
		## Prints the value for the resource tables 
	
		$primary_keys=resource_primarykeys($resource_type);
		print "<tr>";
			for my $href ( @$resource_fields) 
				{
					my $resource_identifier=print_resource_identifiers_unq_test(hashref =>$href,primary_keys=>$primary_keys);
	
		
			print "<input type='hidden' name='resource_identifier' value=$resource_identifier />";
			
   			print "<td><input type='checkbox' name=select_resourceno value=$select_resourceno /></td>";
    	for my $primaryfields(@$primary_fields)
			{
				if($primaryfields eq 'resourcegroup')
				{
			print "<td><input type='text' name='resourcegroup' value='$href->{$primaryfields}' /></td>";	
				}
				else 
				{
			print "<td><input type='text' name=$primaryfields value='$href->{$primaryfields}' disabled='disabled'/></td>";
				}	
			}	
			for my $role ( keys %$href ) { 
				if (!grep /^$role$/,@$primary_fields){
    	
    		print "<td><input type='text' name='$role' value='$href->{$role}' disabled='disabled' /></td>";
    		} 
			
			}  
 
     
			print "</tr>";
			$select_resourceno=$select_resourceno+1;
			}
			print "</table>";
			print "<td><input type='submit' name='func' value='Remove_resource'/></td>";
			print "<td><input type='submit' name='func' value='Modify_resource'/></td>";
 			print "</form>";
}




##This function is used to assign unique identifiers to resource types which dont have name attribute defined . It is 
## a combination off all primary keys taken from Schema.pm and seperated by comma . Note : This function is just for GUI 
## identification and does not an update on the name attribute on the database table.

sub print_resource_identifiers_unq_test{
		
		my %defs = (
        hashref => undef,
       	primary_keys=>undef,
        @_,
    );
    
    	my %matchfilter;
		my $resource_identifier="";
  		my $fieldhashes=$defs{'hashref'};
  		my %fieldhash=%$fieldhashes;
  		my $primary_keys=$defs{'primary_keys'};
  		my @values;
  		for my $pk (@$primary_keys)
		{
			if($pk ne 'resourcegroup')
			{
			push(@values,$fieldhash{$pk});
			
			}
		}
		$resource_identifier=join(",",@values);
		}


##Function to redirect log output to the logfile created

sub redirect_log
	{
		open (OLDOUT, ">&STDOUT") or die $!;
		open OUTPUT, '>>', $logfile or die $!;
		STDERR->fdopen(\*OUTPUT, 'w') or die $!;
		STDOUT->fdopen(\*OUTPUT, 'w') or die $!;	
	}

##Routine to stop redirecting and print html on screen 

sub stop_redirect_log
 {
	 STDOUT->fdopen(\*OLDOUT, 'w') or die $!;	 
 }
	
