#!/usr/software/bin/perl -w

use CGI::Carp qw(fatalsToBrowser);
use strict;
use CGI;
use Data::Dumper;
use Switch;
use CBTemplate;
my $cgi= CGI->new();
my $ret;
my $testbed;
my $result;
my $logfile;
$ENV{'PATH'}='/usr/software/bin:/usr/software/bin:/usr/lib64/qt-3.3/bin:/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/usr/X11R6/bin:/usr/NX/bin:/usr/software/bin:/usr/software/utils/bin:/usr/software/rats/bin:/usr/software/test/bin:/usr/NX/bin:/usr/software/bin:/usr/software/utils/bin:/usr/software/rats/bin:/usr/software/test/bin';
&post();

# $Id: $
## @summary Perl module for ConfigBroker GUI
## @status Public
## @author Sreekumar Methil (sreekuma@netapp.com, dl-nst-tools@netapp.com)
## @pod here

=head1 NAME

subpage.cgi

=head1 DESCRIPTION

This is the subpage/result page which passes and calls the appropriate function from CBTemplate and displays the result

=cut

## Function which calls the Library CBTemplate which is used to perform functions on the ConfigBroker Database
sub post{
	
print $cgi ->header();
print "<head><title>ConfigBroker-Result-Page</title></head>";
print "<img src='http://brand.netapp.com/images/logos/color-vert/na_logo_vrt_2c_rgb.png' align='right' width='158' height='150'/>";
my $func=$cgi->param('func');
$testbed=$cgi->param('testbed');
$logfile=$cgi->param('logfile');

print "<br><br><br><br><br><br><br><br><br><br><center>";

## If the user wants to create a new resource group with name only
	if($func eq 'create_resource_group')
	{	
		my $cb=$cgi->param('cb');
		my $groupname=$cgi -> param('name');
		my $configfile=$cgi -> param('configfile');
		my $configengine=$cgi -> param('configengine');
		my $reuse=$cgi -> param('reuse');
		my $cmdlinestring=$cgi -> param('cmdlinestring');
		my $status=$cgi ->param('status');
		my $cleanupfile=$cgi -> param('cleanupfile');
		my $share=$cgi -> param('share');
		redirect_log();
		$ret=CBTemplate::create_resource_group(cb=>"$cb",name => "$groupname",testbed =>"$testbed",reuse =>"$reuse",status => "$status",share=>"$share");
		stop_redirect_log();
		print "<h2>$ret</h2>";
	}
	
## If the user wants to discover and create resource group from existing resources

	if($func eq 'discovercreate')
	{
		my $groupname=$cgi -> param('groupname');
		my $nodename=$cgi ->param('node');
		my $reuse=$cgi ->param('reuse');
		my $share=$cgi ->param('share');
		my @distype=$cgi ->param('distype');
		redirect_log();
		$ret=CBTemplate::discover_create(name => "$groupname",testbed =>"$testbed",node=>"$nodename",reuse=>"$reuse",share=>"$share",distype=>"@distype");
		stop_redirect_log();
		print "<h2>$ret</h2>";
	}
	
## If the user wants to update resourcgroup status

	if($func eq 'update_resourcegroup')
		{
		my $groupname=$cgi -> param('resourcegroup');
		my $status=$cgi -> param('status');
		my $reuse=$cgi -> param('reuse');
		my $share=$cgi -> param ('share');
		redirect_log();
		$ret=CBTemplate::update_resourcegroup(name => "$groupname",testbed =>"$testbed",status =>"$status",share =>"$share",reuse =>"$reuse");
		stop_redirect_log();
		print "<h2>$ret</h2>";
		}
		
## If the user wants to reserve a resource group

	if($func eq 'reserve_resourcegroup')
	{
		my $groupname=$cgi -> param('resourcegroup');
		my $reservecode=$cgi -> param('reservecode');
		redirect_log();
		$ret=CBTemplate::reserve_resourcegroup(name => "$groupname",testbed =>"$testbed",reservecode =>"$reservecode");
		stop_redirect_log();
		print "<h2>$ret</h2>";
	}

## If the user wants to unreserve a resourcegroup

	if($func eq 'unreserve_resourcegroup')
	{
		my $groupname=$cgi -> param('resourcegroup');
		my $reservecode=$cgi -> param('reservecode');
		redirect_log();
		$ret=CBTemplate::unreserve_resourcegroup(name => "$groupname",testbed =>"$testbed",reservecode =>"$reservecode");
		stop_redirect_log();
		print "<h2>$ret</h2>";
	}
	
## If the user wants to delete a resourcegroup

	if($func eq 'delete_resource_group')
	{
		my @groupname=$cgi -> param('resourcegroup');
		my $cleanupfile=$cgi -> param('cleanupfile');
		redirect_log();
		$ret=CBTemplate::delete_resource_group(name => "@groupname",testbed =>"$testbed",cleanupfile =>"$cleanupfile");
		stop_redirect_log();
		print "<h2>$ret</h2>";
	}
	
## If the user wants to create a custom resource type

	if($func eq 'create_resource_type')
	{
		my $name=$cgi -> param('resourcetype');
		my $primarykey=$cgi -> param('primarykey');
		my $tabledefn=$cgi -> param('tabledefn');
		redirect_log();
		$ret=CBTemplate::create_resource_type(name => "$name",testbed =>"$testbed",primarykey =>"$primarykey",tabledefn =>"$tabledefn");
		stop_redirect_log();	
		print "<h2>$ret</h2>";
	}
	
## If the user wants to delete a custom resource type

	if($func eq 'delete_resource_type')
	{
		my @resourcetype=$cgi -> param('resourcetype');
		redirect_log();
		$ret=CBTemplate::delete_resource_type(resourcetype => "@resourcetype",testbed =>"$testbed");
		stop_redirect_log();
		print "<h2>$ret</h2>";
	}
	
## If the user wants to delete a resource from a resource group

	if($func eq 'Remove_resource')
	{
		my $restype=$cgi -> param('resource_type');
		my $groupname=$cgi -> param('resourcegroup');
		my @selection_resources=$cgi -> param('select_resourceno');
		my @resource_identifier=$cgi -> param('resource_identifier');
		redirect_log();
		$ret=CBTemplate::remove_resource_name(selection_resources=>"@selection_resources",resourceidentifiers => "@resource_identifier",testbed =>"$testbed",restype =>"$restype",groupname =>"$groupname");
		stop_redirect_log();
		print "<h2>$ret</h2>";
	}
	
## If the user wants to modify resource

	if($func eq 'Modify_resource')
	{
		my $restype=$cgi -> param('resource_type');
		my @groupname=$cgi -> param('resourcegroup');
		my $rg_grp=$cgi -> param('rg_grp');
		my @resource_identifier=$cgi -> param('resource_identifier');
		my @selection_resources=$cgi -> param('select_resourceno');
		my $resource_status=$cgi -> param('resource_status');
		redirect_log();
		$ret=CBTemplate::modify_resource(selection_resources=>"@selection_resources",rg_grp=>"$rg_grp",resource_identifiers => "@resource_identifier",resource_status=>"$resource_status",testbed =>"$testbed",restype =>"$restype",groupname =>"@groupname");
		stop_redirect_log();
		print "<h2>$ret</h2>";
	
	}

## If the user wants to add resource

	if($func eq 'add_resource')
	{
		my $restype=$cgi -> param('resource_type');
		my $groupname=$cgi -> param('rg');
		my @resource_identifier=$cgi -> param('resource_identifier');
		redirect_log();
		$ret=CBTemplate::add_resource(groupname=>"$groupname",resourceidentifier => "@resource_identifier",testbed =>"$testbed",restype =>"$restype");
		stop_redirect_log();
		print "<h2>$ret</h2>";
	
	}


##Function if user wants to add a new custom resource type as part of existing resource group 

	if($func eq 'add_new_resource')
	{
		my $groupname=$cgi -> param('rg');
		my $resource_type=$cgi -> param('resource_type');
		redirect_log();
		my @fields=CBTemplate::get_all_custom_restypefields(testbed=>"$testbed",resource_type=>$resource_type);
		
		##Creating resource hash to be added
		my %resourcehash= map { $_ => 1 } @fields;
		for my $role ( keys %resourcehash )
			
			{
			my $value=$cgi->param($role);
			$resourcehash{$role}="$value";
			}

		$ret=CBTemplate::add_new_resource(restype =>$resource_type,testbed=>"$testbed",groupname=>"$groupname",resourcehash=>\%resourcehash);
		stop_redirect_log();
		print "<h2>$ret</h2>";
	
	}
print "<FORM ACTION='http://csiqa-web.rtp.netapp.com/cgi-bin/ConfigBroker/main.cgi'>";
print "<input type='hidden' name='testbed' value='$testbed' />";
print "<input type='hidden' name='logfile' value='$logfile' /><br>";
print "<INPUT TYPE='submit' VALUE='Back to Main page'/>";
print "</CENTER></FORM>";
print $cgi->end_html();

}
##Function to redirect log output to the logfile created
sub redirect_log
{
	open (OLDOUT, ">&STDOUT") or die $!;
	open OUTPUT, '>>', $logfile or die $!;
	STDERR->fdopen(\*OUTPUT, 'w') or die $!;
	STDOUT->fdopen(\*OUTPUT, 'w') or die $!;	
}

##Routine to stop redirecting and print html on screen 
 sub stop_redirect_log
 {
 	STDOUT->fdopen(\*OLDOUT, 'w') or die $!;	
 	
 }
 
 