
package MyElements::ApplicationPolicyCopy;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ApplicationPolicyCopy');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ApplicationPolicyDescription_of :ATTR(:get<ApplicationPolicyDescription>);
my %ApplicationPolicyName_of :ATTR(:get<ApplicationPolicyName>);
my %GroupNameOrId_of :ATTR(:get<GroupNameOrId>);
my %SourcePolicyNameOrId_of :ATTR(:get<SourcePolicyNameOrId>);

__PACKAGE__->_factory(
    [ qw(        ApplicationPolicyDescription
        ApplicationPolicyName
        GroupNameOrId
        SourcePolicyNameOrId

    ) ],
    {
        'ApplicationPolicyDescription' => \%ApplicationPolicyDescription_of,
        'ApplicationPolicyName' => \%ApplicationPolicyName_of,
        'GroupNameOrId' => \%GroupNameOrId_of,
        'SourcePolicyNameOrId' => \%SourcePolicyNameOrId_of,
    },
    {
        'ApplicationPolicyDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'ApplicationPolicyName' => 'MyTypes::ObjName',
        'GroupNameOrId' => 'MyTypes::ObjNameOrId',
        'SourcePolicyNameOrId' => 'MyTypes::ObjNameOrId',
    },
    {

        'ApplicationPolicyDescription' => 'ApplicationPolicyDescription',
        'ApplicationPolicyName' => 'ApplicationPolicyName',
        'GroupNameOrId' => 'GroupNameOrId',
        'SourcePolicyNameOrId' => 'SourcePolicyNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ApplicationPolicyCopy

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ApplicationPolicyCopy from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ApplicationPolicyDescription

 $element->set_ApplicationPolicyDescription($data);
 $element->get_ApplicationPolicyDescription();




=item * ApplicationPolicyName

 $element->set_ApplicationPolicyName($data);
 $element->get_ApplicationPolicyName();




=item * GroupNameOrId

 $element->set_GroupNameOrId($data);
 $element->get_GroupNameOrId();




=item * SourcePolicyNameOrId

 $element->set_SourcePolicyNameOrId($data);
 $element->get_SourcePolicyNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ApplicationPolicyCopy->new($data);

Constructor. The following data structure may be passed to new():

 {
   ApplicationPolicyDescription =>  $some_value, # string
   ApplicationPolicyName => $some_value, # ObjName
   GroupNameOrId => $some_value, # ObjNameOrId
   SourcePolicyNameOrId => $some_value, # ObjNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

