
package MyElements::ApplicationPolicyDestroy;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ApplicationPolicyDestroy');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ApplicationPolicyNameOrId_of :ATTR(:get<ApplicationPolicyNameOrId>);
my %Force_of :ATTR(:get<Force>);

__PACKAGE__->_factory(
    [ qw(        ApplicationPolicyNameOrId
        Force

    ) ],
    {
        'ApplicationPolicyNameOrId' => \%ApplicationPolicyNameOrId_of,
        'Force' => \%Force_of,
    },
    {
        'ApplicationPolicyNameOrId' => 'MyTypes::ObjNameOrId',
        'Force' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
    },
    {

        'ApplicationPolicyNameOrId' => 'ApplicationPolicyNameOrId',
        'Force' => 'Force',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ApplicationPolicyDestroy

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ApplicationPolicyDestroy from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ApplicationPolicyNameOrId

 $element->set_ApplicationPolicyNameOrId($data);
 $element->get_ApplicationPolicyNameOrId();




=item * Force

 $element->set_Force($data);
 $element->get_Force();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ApplicationPolicyDestroy->new($data);

Constructor. The following data structure may be passed to new():

 {
   ApplicationPolicyNameOrId => $some_value, # ObjNameOrId
   Force =>  $some_value, # boolean
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

