
package MyElements::CommentFieldCreate;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('CommentFieldCreate');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %CommentFieldInfo_of :ATTR(:get<CommentFieldInfo>);

__PACKAGE__->_factory(
    [ qw(        CommentFieldInfo

    ) ],
    {
        'CommentFieldInfo' => \%CommentFieldInfo_of,
    },
    {
        'CommentFieldInfo' => 'MyTypes::CommentFieldInfo',
    },
    {

        'CommentFieldInfo' => 'CommentFieldInfo',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::CommentFieldCreate

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
CommentFieldCreate from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * CommentFieldInfo

 $element->set_CommentFieldInfo($data);
 $element->get_CommentFieldInfo();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::CommentFieldCreate->new($data);

Constructor. The following data structure may be passed to new():

 {
   CommentFieldInfo =>  { # MyTypes::CommentFieldInfo
     CommentFieldId => $some_value, # CommentFieldId
     CommentFieldName => $some_value, # CommentFieldName
     CommentFieldObjectTypes =>  { # MyTypes::ArrayOfCommentFieldObjectType
       CommentFieldObjectType => $some_value, # CommentFieldObjectType
     },
     IsSystemComment =>  $some_value, # boolean
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

