
package MyElements::CommentFieldListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('CommentFieldListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %CommentFields_of :ATTR(:get<CommentFields>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        CommentFields
        Records

    ) ],
    {
        'CommentFields' => \%CommentFields_of,
        'Records' => \%Records_of,
    },
    {
        'CommentFields' => 'MyTypes::ArrayOfCommentFieldInfo',
        'Records' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
    },
    {

        'CommentFields' => 'CommentFields',
        'Records' => 'Records',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::CommentFieldListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
CommentFieldListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * CommentFields

 $element->set_CommentFields($data);
 $element->get_CommentFields();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::CommentFieldListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   CommentFields =>  { # MyTypes::ArrayOfCommentFieldInfo
     CommentFieldInfo =>  { # MyTypes::CommentFieldInfo
       CommentFieldId => $some_value, # CommentFieldId
       CommentFieldName => $some_value, # CommentFieldName
       CommentFieldObjectTypes =>  { # MyTypes::ArrayOfCommentFieldObjectType
         CommentFieldObjectType => $some_value, # CommentFieldObjectType
       },
       IsSystemComment =>  $some_value, # boolean
     },
   },
   Records =>  $some_value, # integer
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

