
package MyElements::CommentFieldValuesListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('CommentFieldValuesListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %CommentFieldValues_of :ATTR(:get<CommentFieldValues>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        CommentFieldValues
        Records

    ) ],
    {
        'CommentFieldValues' => \%CommentFieldValues_of,
        'Records' => \%Records_of,
    },
    {
        'CommentFieldValues' => 'MyTypes::ArrayOfCommentFieldValue',
        'Records' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
    },
    {

        'CommentFieldValues' => 'CommentFieldValues',
        'Records' => 'Records',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::CommentFieldValuesListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
CommentFieldValuesListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * CommentFieldValues

 $element->set_CommentFieldValues($data);
 $element->get_CommentFieldValues();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::CommentFieldValuesListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   CommentFieldValues =>  { # MyTypes::ArrayOfCommentFieldValue
     CommentFieldValue =>  { # MyTypes::CommentFieldValue
       CommentFieldId => $some_value, # CommentFieldId
       CommentFieldName => $some_value, # CommentFieldName
       CommentValue => $some_value, # CommentValue
       ObjectFullName => $some_value, # ObjFullName
       ObjectId => $some_value, # ObjId
       ObjectType =>  $some_value, # string
     },
   },
   Records =>  $some_value, # integer
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

