
package MyElements::CommentFieldValuesListInfoIterStartResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('CommentFieldValuesListInfoIterStartResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Records_of :ATTR(:get<Records>);
my %Tag_of :ATTR(:get<Tag>);

__PACKAGE__->_factory(
    [ qw(        Records
        Tag

    ) ],
    {
        'Records' => \%Records_of,
        'Tag' => \%Tag_of,
    },
    {

        'Records' => 'MyElements::CommentFieldValuesListInfoIterStartResult::_Records',
        'Tag' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'Records' => 'Records',
        'Tag' => 'Tag',
    }
);

} # end BLOCK




package MyElements::CommentFieldValuesListInfoIterStartResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::CommentFieldValuesListInfoIterStartResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
CommentFieldValuesListInfoIterStartResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Records

 $element->set_Records($data);
 $element->get_Records();




=item * Tag

 $element->set_Tag($data);
 $element->get_Tag();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::CommentFieldValuesListInfoIterStartResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Records => $some_value, # atomic
   Tag =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

