
package MyElements::DatasetAddToExclusionList;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DatasetAddToExclusionList');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %EditLockId_of :ATTR(:get<EditLockId>);
my %IsExcludedMemberOk_of :ATTR(:get<IsExcludedMemberOk>);
my %ObjectsToBeAdded_of :ATTR(:get<ObjectsToBeAdded>);

__PACKAGE__->_factory(
    [ qw(        EditLockId
        IsExcludedMemberOk
        ObjectsToBeAdded

    ) ],
    {
        'EditLockId' => \%EditLockId_of,
        'IsExcludedMemberOk' => \%IsExcludedMemberOk_of,
        'ObjectsToBeAdded' => \%ObjectsToBeAdded_of,
    },
    {

        'EditLockId' => 'MyElements::DatasetAddToExclusionList::_EditLockId',
        'IsExcludedMemberOk' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'ObjectsToBeAdded' => 'MyTypes::ArrayOfObjNameOrId',
    },
    {

        'EditLockId' => 'EditLockId',
        'IsExcludedMemberOk' => 'IsExcludedMemberOk',
        'ObjectsToBeAdded' => 'ObjectsToBeAdded',
    }
);

} # end BLOCK




package MyElements::DatasetAddToExclusionList::_EditLockId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DatasetAddToExclusionList

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DatasetAddToExclusionList from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * EditLockId

 $element->set_EditLockId($data);
 $element->get_EditLockId();




=item * IsExcludedMemberOk

 $element->set_IsExcludedMemberOk($data);
 $element->get_IsExcludedMemberOk();




=item * ObjectsToBeAdded

 $element->set_ObjectsToBeAdded($data);
 $element->get_ObjectsToBeAdded();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DatasetAddToExclusionList->new($data);

Constructor. The following data structure may be passed to new():

 {
   EditLockId => $some_value, # atomic
   IsExcludedMemberOk =>  $some_value, # boolean
   ObjectsToBeAdded =>  { # MyTypes::ArrayOfObjNameOrId
     ObjNameOrId => $some_value, # ObjNameOrId
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

