
package MyElements::DatasetConformBegin;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DatasetConformBegin');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %AssumeConfirmation_of :ATTR(:get<AssumeConfirmation>);
my %DatasetNameOrId_of :ATTR(:get<DatasetNameOrId>);

__PACKAGE__->_factory(
    [ qw(        AssumeConfirmation
        DatasetNameOrId

    ) ],
    {
        'AssumeConfirmation' => \%AssumeConfirmation_of,
        'DatasetNameOrId' => \%DatasetNameOrId_of,
    },
    {
        'AssumeConfirmation' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'DatasetNameOrId' => 'MyTypes::ObjNameOrId',
    },
    {

        'AssumeConfirmation' => 'AssumeConfirmation',
        'DatasetNameOrId' => 'DatasetNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DatasetConformBegin

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DatasetConformBegin from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * AssumeConfirmation

 $element->set_AssumeConfirmation($data);
 $element->get_AssumeConfirmation();




=item * DatasetNameOrId

 $element->set_DatasetNameOrId($data);
 $element->get_DatasetNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DatasetConformBegin->new($data);

Constructor. The following data structure may be passed to new():

 {
   AssumeConfirmation =>  $some_value, # boolean
   DatasetNameOrId => $some_value, # ObjNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

