
package MyElements::DatasetDynamicReferenceListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DatasetDynamicReferenceListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DatasetDynamicReferences_of :ATTR(:get<DatasetDynamicReferences>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        DatasetDynamicReferences
        Records

    ) ],
    {
        'DatasetDynamicReferences' => \%DatasetDynamicReferences_of,
        'Records' => \%Records_of,
    },
    {
        'DatasetDynamicReferences' => 'MyTypes::ArrayOfDatasetDynamicReferenceInfo',
        'Records' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
    },
    {

        'DatasetDynamicReferences' => 'DatasetDynamicReferences',
        'Records' => 'Records',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DatasetDynamicReferenceListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DatasetDynamicReferenceListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DatasetDynamicReferences

 $element->set_DatasetDynamicReferences($data);
 $element->get_DatasetDynamicReferences();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DatasetDynamicReferenceListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   DatasetDynamicReferences =>  { # MyTypes::ArrayOfDatasetDynamicReferenceInfo
     DatasetDynamicReferenceInfo =>  { # MyTypes::DatasetDynamicReferenceInfo
       DpNodeName => $some_value, # DpPolicyNodeName
       DynamicReferenceId => $some_value, # ObjId
       DynamicReferenceName => $some_value, # ObjName
       DynamicReferenceStatus => $some_value, # ObjStatus
       DynamicReferenceSubtype =>  $some_value, # string
       DynamicReferenceType =>  $some_value, # string
       IsAvailable =>  $some_value, # boolean
       IsDeleted =>  $some_value, # boolean
       StoragesetId => $some_value, # ObjId
       StoragesetName => $some_value, # ObjName
     },
   },
   Records =>  $some_value, # integer
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

