
package MyElements::DatasetEditCommit;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DatasetEditCommit');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %AssumeConfirmation_of :ATTR(:get<AssumeConfirmation>);
my %DryRun_of :ATTR(:get<DryRun>);
my %EditLockId_of :ATTR(:get<EditLockId>);
my %IncludeDryRunReasonDetails_of :ATTR(:get<IncludeDryRunReasonDetails>);

__PACKAGE__->_factory(
    [ qw(        AssumeConfirmation
        DryRun
        EditLockId
        IncludeDryRunReasonDetails

    ) ],
    {
        'AssumeConfirmation' => \%AssumeConfirmation_of,
        'DryRun' => \%DryRun_of,
        'EditLockId' => \%EditLockId_of,
        'IncludeDryRunReasonDetails' => \%IncludeDryRunReasonDetails_of,
    },
    {
        'AssumeConfirmation' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'DryRun' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',

        'EditLockId' => 'MyElements::DatasetEditCommit::_EditLockId',
        'IncludeDryRunReasonDetails' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
    },
    {

        'AssumeConfirmation' => 'AssumeConfirmation',
        'DryRun' => 'DryRun',
        'EditLockId' => 'EditLockId',
        'IncludeDryRunReasonDetails' => 'IncludeDryRunReasonDetails',
    }
);

} # end BLOCK




package MyElements::DatasetEditCommit::_EditLockId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DatasetEditCommit

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DatasetEditCommit from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * AssumeConfirmation

 $element->set_AssumeConfirmation($data);
 $element->get_AssumeConfirmation();




=item * DryRun

 $element->set_DryRun($data);
 $element->get_DryRun();




=item * EditLockId

 $element->set_EditLockId($data);
 $element->get_EditLockId();




=item * IncludeDryRunReasonDetails

 $element->set_IncludeDryRunReasonDetails($data);
 $element->get_IncludeDryRunReasonDetails();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DatasetEditCommit->new($data);

Constructor. The following data structure may be passed to new():

 {
   AssumeConfirmation =>  $some_value, # boolean
   DryRun =>  $some_value, # boolean
   EditLockId => $some_value, # atomic
   IncludeDryRunReasonDetails =>  $some_value, # boolean
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

