
package MyElements::DatasetExclusionListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DatasetExclusionListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ExclusionList_of :ATTR(:get<ExclusionList>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        ExclusionList
        Records

    ) ],
    {
        'ExclusionList' => \%ExclusionList_of,
        'Records' => \%Records_of,
    },
    {
        'ExclusionList' => 'MyTypes::ArrayOfExcludedObjectInfo',

        'Records' => 'MyElements::DatasetExclusionListInfoIterNextResult::_Records',
    },
    {

        'ExclusionList' => 'ExclusionList',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::DatasetExclusionListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DatasetExclusionListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DatasetExclusionListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ExclusionList

 $element->set_ExclusionList($data);
 $element->get_ExclusionList();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DatasetExclusionListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   ExclusionList =>  { # MyTypes::ArrayOfExcludedObjectInfo
     ExcludedObjectInfo =>  { # MyTypes::ExcludedObjectInfo
       ObjectId => $some_value, # ObjId
       ObjectName => $some_value, # ObjName
       ObjectType =>  $some_value, # string
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

