
package MyElements::DatasetMemberDedupeAbort;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DatasetMemberDedupeAbort');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DatasetNameOrId_of :ATTR(:get<DatasetNameOrId>);
my %VolumeNameOrId_of :ATTR(:get<VolumeNameOrId>);

__PACKAGE__->_factory(
    [ qw(        DatasetNameOrId
        VolumeNameOrId

    ) ],
    {
        'DatasetNameOrId' => \%DatasetNameOrId_of,
        'VolumeNameOrId' => \%VolumeNameOrId_of,
    },
    {
        'DatasetNameOrId' => 'MyTypes::ObjNameOrId',
        'VolumeNameOrId' => 'MyTypes::ObjNameOrId',
    },
    {

        'DatasetNameOrId' => 'DatasetNameOrId',
        'VolumeNameOrId' => 'VolumeNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DatasetMemberDedupeAbort

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DatasetMemberDedupeAbort from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DatasetNameOrId

 $element->set_DatasetNameOrId($data);
 $element->get_DatasetNameOrId();




=item * VolumeNameOrId

 $element->set_VolumeNameOrId($data);
 $element->get_VolumeNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DatasetMemberDedupeAbort->new($data);

Constructor. The following data structure may be passed to new():

 {
   DatasetNameOrId => $some_value, # ObjNameOrId
   VolumeNameOrId => $some_value, # ObjNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

