
package MyElements::DatasetMemberDeleteSnapshots;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DatasetMemberDeleteSnapshots');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DeleteSnapshotsRequestInfo_of :ATTR(:get<DeleteSnapshotsRequestInfo>);
my %EditLockId_of :ATTR(:get<EditLockId>);

__PACKAGE__->_factory(
    [ qw(        DeleteSnapshotsRequestInfo
        EditLockId

    ) ],
    {
        'DeleteSnapshotsRequestInfo' => \%DeleteSnapshotsRequestInfo_of,
        'EditLockId' => \%EditLockId_of,
    },
    {
        'DeleteSnapshotsRequestInfo' => 'MyTypes::DeleteSnapshotsRequestInfo',

        'EditLockId' => 'MyElements::DatasetMemberDeleteSnapshots::_EditLockId',
    },
    {

        'DeleteSnapshotsRequestInfo' => 'DeleteSnapshotsRequestInfo',
        'EditLockId' => 'EditLockId',
    }
);

} # end BLOCK




package MyElements::DatasetMemberDeleteSnapshots::_EditLockId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DatasetMemberDeleteSnapshots

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DatasetMemberDeleteSnapshots from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DeleteSnapshotsRequestInfo

 $element->set_DeleteSnapshotsRequestInfo($data);
 $element->get_DeleteSnapshotsRequestInfo();




=item * EditLockId

 $element->set_EditLockId($data);
 $element->get_EditLockId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DatasetMemberDeleteSnapshots->new($data);

Constructor. The following data structure may be passed to new():

 {
   DeleteSnapshotsRequestInfo =>  { # MyTypes::DeleteSnapshotsRequestInfo
     Snapshots =>  { # MyTypes::ArrayOfSnapshot
       Snapshot =>  { # MyTypes::Snapshot
         SnapshotName =>  $some_value, # string
         UniqueId =>  $some_value, # string
       },
     },
     VolumeId => $some_value, # ObjId
     VolumeName => $some_value, # ObjName
   },
   EditLockId => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

