
package MyElements::DatasetMemberUndedupeStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DatasetMemberUndedupeStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DatasetNameOrId_of :ATTR(:get<DatasetNameOrId>);
my %UndedupeMemberRequestInfo_of :ATTR(:get<UndedupeMemberRequestInfo>);

__PACKAGE__->_factory(
    [ qw(        DatasetNameOrId
        UndedupeMemberRequestInfo

    ) ],
    {
        'DatasetNameOrId' => \%DatasetNameOrId_of,
        'UndedupeMemberRequestInfo' => \%UndedupeMemberRequestInfo_of,
    },
    {
        'DatasetNameOrId' => 'MyTypes::ObjNameOrId',
        'UndedupeMemberRequestInfo' => 'MyTypes::UndedupeMemberRequestInfo',
    },
    {

        'DatasetNameOrId' => 'DatasetNameOrId',
        'UndedupeMemberRequestInfo' => 'UndedupeMemberRequestInfo',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DatasetMemberUndedupeStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DatasetMemberUndedupeStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DatasetNameOrId

 $element->set_DatasetNameOrId($data);
 $element->get_DatasetNameOrId();




=item * UndedupeMemberRequestInfo

 $element->set_UndedupeMemberRequestInfo($data);
 $element->get_UndedupeMemberRequestInfo();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DatasetMemberUndedupeStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   DatasetNameOrId => $some_value, # ObjNameOrId
   UndedupeMemberRequestInfo =>  { # MyTypes::UndedupeMemberRequestInfo
     VolumeId => $some_value, # ObjId
     VolumeName => $some_value, # ObjName
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

