
package MyElements::DatasetRemoveMember;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DatasetRemoveMember');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DatasetMemberParameters_of :ATTR(:get<DatasetMemberParameters>);
my %Destroy_of :ATTR(:get<Destroy>);
my %EditLockId_of :ATTR(:get<EditLockId>);

__PACKAGE__->_factory(
    [ qw(        DatasetMemberParameters
        Destroy
        EditLockId

    ) ],
    {
        'DatasetMemberParameters' => \%DatasetMemberParameters_of,
        'Destroy' => \%Destroy_of,
        'EditLockId' => \%EditLockId_of,
    },
    {
        'DatasetMemberParameters' => 'MyTypes::ArrayOfDatasetMemberParameter',
        'Destroy' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',

        'EditLockId' => 'MyElements::DatasetRemoveMember::_EditLockId',
    },
    {

        'DatasetMemberParameters' => 'DatasetMemberParameters',
        'Destroy' => 'Destroy',
        'EditLockId' => 'EditLockId',
    }
);

} # end BLOCK




package MyElements::DatasetRemoveMember::_EditLockId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DatasetRemoveMember

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DatasetRemoveMember from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DatasetMemberParameters

 $element->set_DatasetMemberParameters($data);
 $element->get_DatasetMemberParameters();




=item * Destroy

 $element->set_Destroy($data);
 $element->get_Destroy();




=item * EditLockId

 $element->set_EditLockId($data);
 $element->get_EditLockId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DatasetRemoveMember->new($data);

Constructor. The following data structure may be passed to new():

 {
   DatasetMemberParameters =>  { # MyTypes::ArrayOfDatasetMemberParameter
     DatasetMemberParameter =>  { # MyTypes::DatasetMemberParameter
       DpNodeName => $some_value, # DpPolicyNodeName
       ObjectNameOrId => $some_value, # ObjNameOrId
     },
   },
   Destroy =>  $some_value, # boolean
   EditLockId => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

