
package MyElements::DatasetResizeMember;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DatasetResizeMember');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %EditLockId_of :ATTR(:get<EditLockId>);
my %ResizeMemberRequestInfo_of :ATTR(:get<ResizeMemberRequestInfo>);

__PACKAGE__->_factory(
    [ qw(        EditLockId
        ResizeMemberRequestInfo

    ) ],
    {
        'EditLockId' => \%EditLockId_of,
        'ResizeMemberRequestInfo' => \%ResizeMemberRequestInfo_of,
    },
    {

        'EditLockId' => 'MyElements::DatasetResizeMember::_EditLockId',
        'ResizeMemberRequestInfo' => 'MyTypes::ResizeMemberRequestInfo',
    },
    {

        'EditLockId' => 'EditLockId',
        'ResizeMemberRequestInfo' => 'ResizeMemberRequestInfo',
    }
);

} # end BLOCK




package MyElements::DatasetResizeMember::_EditLockId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DatasetResizeMember

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DatasetResizeMember from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * EditLockId

 $element->set_EditLockId($data);
 $element->get_EditLockId();




=item * ResizeMemberRequestInfo

 $element->set_ResizeMemberRequestInfo($data);
 $element->get_ResizeMemberRequestInfo();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DatasetResizeMember->new($data);

Constructor. The following data structure may be passed to new():

 {
   EditLockId => $some_value, # atomic
   ResizeMemberRequestInfo =>  { # MyTypes::ResizeMemberRequestInfo
     MaximumCapacity => $some_value, # atomic
     MemberId => $some_value, # ObjId
     MemberName => $some_value, # ObjName
     NewSize => $some_value, # atomic
     SnapReserve => $some_value, # atomic
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

