
package MyElements::DfmGetApiStatisticsResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DfmGetApiStatisticsResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ApiStatistics_of :ATTR(:get<ApiStatistics>);

__PACKAGE__->_factory(
    [ qw(        ApiStatistics

    ) ],
    {
        'ApiStatistics' => \%ApiStatistics_of,
    },
    {
        'ApiStatistics' => 'MyTypes::ArrayOfApiStat',
    },
    {

        'ApiStatistics' => 'ApiStatistics',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DfmGetApiStatisticsResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DfmGetApiStatisticsResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ApiStatistics

 $element->set_ApiStatistics($data);
 $element->get_ApiStatistics();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DfmGetApiStatisticsResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   ApiStatistics =>  { # MyTypes::ArrayOfApiStat
     ApiStat =>  { # MyTypes::ApiStat
       ApiName =>  $some_value, # string
       CallCount => $some_value, # atomic
       CpuMaxTime => $some_value, # atomic
       CpuMeanTime => $some_value, # atomic
       CpuMinTime => $some_value, # atomic
       DbMaxCalls =>  $some_value, # unsignedInt
       DbMaxTime => $some_value, # atomic
       DbMeanCalls =>  $some_value, # unsignedInt
       DbMeanTime => $some_value, # atomic
       DbMinCalls =>  $some_value, # unsignedInt
       DbMinTime => $some_value, # atomic
       MaxTime => $some_value, # atomic
       MeanTime => $some_value, # atomic
       MinTime => $some_value, # atomic
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

