
package MyElements::DfmGetResourcePropertyValuesResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DfmGetResourcePropertyValuesResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ResourcePropertyValues_of :ATTR(:get<ResourcePropertyValues>);

__PACKAGE__->_factory(
    [ qw(        ResourcePropertyValues

    ) ],
    {
        'ResourcePropertyValues' => \%ResourcePropertyValues_of,
    },
    {
        'ResourcePropertyValues' => 'MyTypes::ArrayOfResourcePropertyValues',
    },
    {

        'ResourcePropertyValues' => 'ResourcePropertyValues',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DfmGetResourcePropertyValuesResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DfmGetResourcePropertyValuesResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ResourcePropertyValues

 $element->set_ResourcePropertyValues($data);
 $element->get_ResourcePropertyValues();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DfmGetResourcePropertyValuesResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   ResourcePropertyValues =>  { # MyTypes::ArrayOfResourcePropertyValues
     ResourcePropertyValues =>  { # MyTypes::ResourcePropertyValues
       ResourceProperty =>  $some_value, # string
       Values =>  $some_value, # string
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

