
package MyElements::DfmObjectRefresh;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DfmObjectRefresh');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ChildType_of :ATTR(:get<ChildType>);
my %MonitorNames_of :ATTR(:get<MonitorNames>);
my %ObjectNameOrId_of :ATTR(:get<ObjectNameOrId>);

__PACKAGE__->_factory(
    [ qw(        ChildType
        MonitorNames
        ObjectNameOrId

    ) ],
    {
        'ChildType' => \%ChildType_of,
        'MonitorNames' => \%MonitorNames_of,
        'ObjectNameOrId' => \%ObjectNameOrId_of,
    },
    {
        'ChildType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'MonitorNames' => 'MyTypes::ArrayOfMonitorName',
        'ObjectNameOrId' => 'MyTypes::ObjNameOrId',
    },
    {

        'ChildType' => 'ChildType',
        'MonitorNames' => 'MonitorNames',
        'ObjectNameOrId' => 'ObjectNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DfmObjectRefresh

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DfmObjectRefresh from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ChildType

 $element->set_ChildType($data);
 $element->get_ChildType();




=item * MonitorNames

 $element->set_MonitorNames($data);
 $element->get_MonitorNames();




=item * ObjectNameOrId

 $element->set_ObjectNameOrId($data);
 $element->get_ObjectNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DfmObjectRefresh->new($data);

Constructor. The following data structure may be passed to new():

 {
   ChildType =>  $some_value, # string
   MonitorNames =>  { # MyTypes::ArrayOfMonitorName
     MonitorName => $some_value, # MonitorName
   },
   ObjectNameOrId => $some_value, # ObjNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

