
package MyElements::DfmRelatedObjectsListInfo;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DfmRelatedObjectsListInfo');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %IncludeIndirect_of :ATTR(:get<IncludeIndirect>);
my %ObjectNameOrId_of :ATTR(:get<ObjectNameOrId>);

__PACKAGE__->_factory(
    [ qw(        IncludeIndirect
        ObjectNameOrId

    ) ],
    {
        'IncludeIndirect' => \%IncludeIndirect_of,
        'ObjectNameOrId' => \%ObjectNameOrId_of,
    },
    {
        'IncludeIndirect' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'ObjectNameOrId' => 'MyTypes::ObjNameOrId',
    },
    {

        'IncludeIndirect' => 'IncludeIndirect',
        'ObjectNameOrId' => 'ObjectNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DfmRelatedObjectsListInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DfmRelatedObjectsListInfo from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * IncludeIndirect

 $element->set_IncludeIndirect($data);
 $element->get_IncludeIndirect();




=item * ObjectNameOrId

 $element->set_ObjectNameOrId($data);
 $element->get_ObjectNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DfmRelatedObjectsListInfo->new($data);

Constructor. The following data structure may be passed to new():

 {
   IncludeIndirect =>  $some_value, # boolean
   ObjectNameOrId => $some_value, # ObjNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

