
package MyElements::DfmScheduleMonthlySubscheduleSet;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DfmScheduleMonthlySubscheduleSet');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %MonthlyScheduleNameOrId_of :ATTR(:get<MonthlyScheduleNameOrId>);
my %ScheduleCategory_of :ATTR(:get<ScheduleCategory>);
my %SubscheduleNameOrId_of :ATTR(:get<SubscheduleNameOrId>);

__PACKAGE__->_factory(
    [ qw(        MonthlyScheduleNameOrId
        ScheduleCategory
        SubscheduleNameOrId

    ) ],
    {
        'MonthlyScheduleNameOrId' => \%MonthlyScheduleNameOrId_of,
        'ScheduleCategory' => \%ScheduleCategory_of,
        'SubscheduleNameOrId' => \%SubscheduleNameOrId_of,
    },
    {
        'MonthlyScheduleNameOrId' => 'MyTypes::ObjNameOrId',
        'ScheduleCategory' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'SubscheduleNameOrId' => 'MyTypes::ObjNameOrId',
    },
    {

        'MonthlyScheduleNameOrId' => 'MonthlyScheduleNameOrId',
        'ScheduleCategory' => 'ScheduleCategory',
        'SubscheduleNameOrId' => 'SubscheduleNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DfmScheduleMonthlySubscheduleSet

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DfmScheduleMonthlySubscheduleSet from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * MonthlyScheduleNameOrId

 $element->set_MonthlyScheduleNameOrId($data);
 $element->get_MonthlyScheduleNameOrId();




=item * ScheduleCategory

 $element->set_ScheduleCategory($data);
 $element->get_ScheduleCategory();




=item * SubscheduleNameOrId

 $element->set_SubscheduleNameOrId($data);
 $element->get_SubscheduleNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DfmScheduleMonthlySubscheduleSet->new($data);

Constructor. The following data structure may be passed to new():

 {
   MonthlyScheduleNameOrId => $some_value, # ObjNameOrId
   ScheduleCategory =>  $some_value, # string
   SubscheduleNameOrId => $some_value, # ObjNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

