
package MyElements::DfmSnmpSettingsListInfo;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DfmSnmpSettingsListInfo');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %NetworkAddress_of :ATTR(:get<NetworkAddress>);
my %PrefixLength_of :ATTR(:get<PrefixLength>);
my %SnmpId_of :ATTR(:get<SnmpId>);

__PACKAGE__->_factory(
    [ qw(        NetworkAddress
        PrefixLength
        SnmpId

    ) ],
    {
        'NetworkAddress' => \%NetworkAddress_of,
        'PrefixLength' => \%PrefixLength_of,
        'SnmpId' => \%SnmpId_of,
    },
    {
        'NetworkAddress' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'PrefixLength' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
        'SnmpId' => 'MyTypes::SnmpId',
    },
    {

        'NetworkAddress' => 'NetworkAddress',
        'PrefixLength' => 'PrefixLength',
        'SnmpId' => 'SnmpId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DfmSnmpSettingsListInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DfmSnmpSettingsListInfo from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * NetworkAddress

 $element->set_NetworkAddress($data);
 $element->get_NetworkAddress();




=item * PrefixLength

 $element->set_PrefixLength($data);
 $element->get_PrefixLength();




=item * SnmpId

 $element->set_SnmpId($data);
 $element->get_SnmpId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DfmSnmpSettingsListInfo->new($data);

Constructor. The following data structure may be passed to new():

 {
   NetworkAddress =>  $some_value, # string
   PrefixLength =>  $some_value, # integer
   SnmpId => $some_value, # SnmpId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

