
package MyElements::DfmSnmpSettingsListInfoResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DfmSnmpSettingsListInfoResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %NetworkSnmpCredentials_of :ATTR(:get<NetworkSnmpCredentials>);

__PACKAGE__->_factory(
    [ qw(        NetworkSnmpCredentials

    ) ],
    {
        'NetworkSnmpCredentials' => \%NetworkSnmpCredentials_of,
    },
    {
        'NetworkSnmpCredentials' => 'MyTypes::ArrayOfNetworkSnmpCredentialInfo',
    },
    {

        'NetworkSnmpCredentials' => 'NetworkSnmpCredentials',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DfmSnmpSettingsListInfoResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DfmSnmpSettingsListInfoResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * NetworkSnmpCredentials

 $element->set_NetworkSnmpCredentials($data);
 $element->get_NetworkSnmpCredentials();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DfmSnmpSettingsListInfoResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   NetworkSnmpCredentials =>  { # MyTypes::ArrayOfNetworkSnmpCredentialInfo
     NetworkSnmpCredentialInfo =>  { # MyTypes::NetworkSnmpCredentialInfo
       IsSnmpPrivacyEnabled =>  $some_value, # boolean
       NetworkAddress =>  $some_value, # string
       PrefixLength =>  $some_value, # integer
       SnmpAuthenticationLogin =>  $some_value, # string
       SnmpAuthenticationProtocol =>  $some_value, # string
       SnmpCommunityName =>  $some_value, # string
       SnmpId => $some_value, # SnmpId
       SnmpVersion => $some_value, # SnmpVersion
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

