
package MyElements::DiskListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DiskListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Disks_of :ATTR(:get<Disks>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        Disks
        Records

    ) ],
    {
        'Disks' => \%Disks_of,
        'Records' => \%Records_of,
    },
    {
        'Disks' => 'MyTypes::ArrayOfDiskInfo',

        'Records' => 'MyElements::DiskListInfoIterNextResult::_Records',
    },
    {

        'Disks' => 'Disks',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::DiskListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DiskListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DiskListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Disks

 $element->set_Disks($data);
 $element->get_Disks();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DiskListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Disks =>  { # MyTypes::ArrayOfDiskInfo
     DiskInfo =>  { # MyTypes::DiskInfo
       AggregateId => $some_value, # ObjId
       AggregateName => $some_value, # ObjFullName
       DiskId => $some_value, # ObjId
       DiskName =>  $some_value, # string
       DiskSize => $some_value, # atomic
       DiskType =>  $some_value, # string
       DiskUidOrWwn =>  $some_value, # string
       HostId => $some_value, # ObjId
       HostName => $some_value, # ObjName
       PlexName =>  $some_value, # string
       RaidgroupName =>  $some_value, # string
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

