
package MyElements::DpAgentDiscover;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpAgentDiscover');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DpAgentNameOrId_of :ATTR(:get<DpAgentNameOrId>);
my %ResourceNameOrId_of :ATTR(:get<ResourceNameOrId>);
my %ResourceType_of :ATTR(:get<ResourceType>);
my %TrackProgress_of :ATTR(:get<TrackProgress>);

__PACKAGE__->_factory(
    [ qw(        DpAgentNameOrId
        ResourceNameOrId
        ResourceType
        TrackProgress

    ) ],
    {
        'DpAgentNameOrId' => \%DpAgentNameOrId_of,
        'ResourceNameOrId' => \%ResourceNameOrId_of,
        'ResourceType' => \%ResourceType_of,
        'TrackProgress' => \%TrackProgress_of,
    },
    {
        'DpAgentNameOrId' => 'MyTypes::ObjNameOrId',
        'ResourceNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'ResourceType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'TrackProgress' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
    },
    {

        'DpAgentNameOrId' => 'DpAgentNameOrId',
        'ResourceNameOrId' => 'ResourceNameOrId',
        'ResourceType' => 'ResourceType',
        'TrackProgress' => 'TrackProgress',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpAgentDiscover

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpAgentDiscover from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DpAgentNameOrId

 $element->set_DpAgentNameOrId($data);
 $element->get_DpAgentNameOrId();




=item * ResourceNameOrId

 $element->set_ResourceNameOrId($data);
 $element->get_ResourceNameOrId();




=item * ResourceType

 $element->set_ResourceType($data);
 $element->get_ResourceType();




=item * TrackProgress

 $element->set_TrackProgress($data);
 $element->get_TrackProgress();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpAgentDiscover->new($data);

Constructor. The following data structure may be passed to new():

 {
   DpAgentNameOrId => $some_value, # ObjNameOrId
   ResourceNameOrId =>  $some_value, # string
   ResourceType =>  $some_value, # string
   TrackProgress =>  $some_value, # boolean
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

