
package MyElements::DpAgentListUpgradeCandidatesResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpAgentListUpgradeCandidatesResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DpAgentVersionInfos_of :ATTR(:get<DpAgentVersionInfos>);

__PACKAGE__->_factory(
    [ qw(        DpAgentVersionInfos

    ) ],
    {
        'DpAgentVersionInfos' => \%DpAgentVersionInfos_of,
    },
    {
        'DpAgentVersionInfos' => 'MyTypes::ArrayOfDpAgentVersionInfo',
    },
    {

        'DpAgentVersionInfos' => 'DpAgentVersionInfos',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpAgentListUpgradeCandidatesResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpAgentListUpgradeCandidatesResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DpAgentVersionInfos

 $element->set_DpAgentVersionInfos($data);
 $element->get_DpAgentVersionInfos();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpAgentListUpgradeCandidatesResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   DpAgentVersionInfos =>  { # MyTypes::ArrayOfDpAgentVersionInfo
     DpAgentVersionInfo =>  { # MyTypes::DpAgentVersionInfo
       DpAgentId => $some_value, # ObjId
       DpAgentName => $some_value, # ObjName
       DpAgentVersion =>  $some_value, # string
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

