
package MyElements::DpAgentModify;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpAgentModify');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DpAgentNameOrId_of :ATTR(:get<DpAgentNameOrId>);
my %HostserviceModifyInfo_of :ATTR(:get<HostserviceModifyInfo>);

__PACKAGE__->_factory(
    [ qw(        DpAgentNameOrId
        HostserviceModifyInfo

    ) ],
    {
        'DpAgentNameOrId' => \%DpAgentNameOrId_of,
        'HostserviceModifyInfo' => \%HostserviceModifyInfo_of,
    },
    {
        'DpAgentNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'HostserviceModifyInfo' => 'MyTypes::HostserviceModifyInfo',
    },
    {

        'DpAgentNameOrId' => 'DpAgentNameOrId',
        'HostserviceModifyInfo' => 'HostserviceModifyInfo',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpAgentModify

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpAgentModify from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DpAgentNameOrId

 $element->set_DpAgentNameOrId($data);
 $element->get_DpAgentNameOrId();




=item * HostserviceModifyInfo

 $element->set_HostserviceModifyInfo($data);
 $element->get_HostserviceModifyInfo();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpAgentModify->new($data);

Constructor. The following data structure may be passed to new():

 {
   DpAgentNameOrId =>  $some_value, # string
   HostserviceModifyInfo =>  { # MyTypes::HostserviceModifyInfo
     AccessProtocol =>  $some_value, # string
     AdminPort =>  $some_value, # integer
     IpAddress =>  $some_value, # string
     MgmtPort =>  $some_value, # integer
     UpdateServicePort =>  $some_value, # integer
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

