
package MyElements::DpAgentStoragesystemListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpAgentStoragesystemListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Records_of :ATTR(:get<Records>);
my %StorageSystems_of :ATTR(:get<StorageSystems>);

__PACKAGE__->_factory(
    [ qw(        Records
        StorageSystems

    ) ],
    {
        'Records' => \%Records_of,
        'StorageSystems' => \%StorageSystems_of,
    },
    {
        'Records' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
        'StorageSystems' => 'MyTypes::ArrayOfStorageSystemInfo',
    },
    {

        'Records' => 'Records',
        'StorageSystems' => 'StorageSystems',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpAgentStoragesystemListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpAgentStoragesystemListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Records

 $element->set_Records($data);
 $element->get_Records();




=item * StorageSystems

 $element->set_StorageSystems($data);
 $element->get_StorageSystems();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpAgentStoragesystemListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Records =>  $some_value, # integer
   StorageSystems =>  { # MyTypes::ArrayOfStorageSystemInfo
     StorageSystemInfo =>  { # MyTypes::StorageSystemInfo
       AccessProtocol =>  $some_value, # string
       LoginStatusFromHs =>  $some_value, # string
       StorageSystemId => $some_value, # ObjId
       StorageSystemName => $some_value, # ObjName
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

