
package MyElements::DpAgentUpgrade;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpAgentUpgrade');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DpAgentNameOrId_of :ATTR(:get<DpAgentNameOrId>);
my %PackageNameOrId_of :ATTR(:get<PackageNameOrId>);

__PACKAGE__->_factory(
    [ qw(        DpAgentNameOrId
        PackageNameOrId

    ) ],
    {
        'DpAgentNameOrId' => \%DpAgentNameOrId_of,
        'PackageNameOrId' => \%PackageNameOrId_of,
    },
    {
        'DpAgentNameOrId' => 'MyTypes::ObjNameOrId',
        'PackageNameOrId' => 'MyTypes::ObjNameOrId',
    },
    {

        'DpAgentNameOrId' => 'DpAgentNameOrId',
        'PackageNameOrId' => 'PackageNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpAgentUpgrade

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpAgentUpgrade from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DpAgentNameOrId

 $element->set_DpAgentNameOrId($data);
 $element->get_DpAgentNameOrId();




=item * PackageNameOrId

 $element->set_PackageNameOrId($data);
 $element->get_PackageNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpAgentUpgrade->new($data);

Constructor. The following data structure may be passed to new():

 {
   DpAgentNameOrId => $some_value, # ObjNameOrId
   PackageNameOrId => $some_value, # ObjNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

