
package MyElements::DpDashboardGetLaggedDatasets;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpDashboardGetLaggedDatasets');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %GroupNameOrId_of :ATTR(:get<GroupNameOrId>);
my %MaxDatasets_of :ATTR(:get<MaxDatasets>);

__PACKAGE__->_factory(
    [ qw(        GroupNameOrId
        MaxDatasets

    ) ],
    {
        'GroupNameOrId' => \%GroupNameOrId_of,
        'MaxDatasets' => \%MaxDatasets_of,
    },
    {
        'GroupNameOrId' => 'MyTypes::GroupNameOrId',

        'MaxDatasets' => 'MyElements::DpDashboardGetLaggedDatasets::_MaxDatasets',
    },
    {

        'GroupNameOrId' => 'GroupNameOrId',
        'MaxDatasets' => 'MaxDatasets',
    }
);

} # end BLOCK




package MyElements::DpDashboardGetLaggedDatasets::_MaxDatasets;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpDashboardGetLaggedDatasets

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpDashboardGetLaggedDatasets from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * GroupNameOrId

 $element->set_GroupNameOrId($data);
 $element->get_GroupNameOrId();




=item * MaxDatasets

 $element->set_MaxDatasets($data);
 $element->get_MaxDatasets();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpDashboardGetLaggedDatasets->new($data);

Constructor. The following data structure may be passed to new():

 {
   GroupNameOrId => $some_value, # GroupNameOrId
   MaxDatasets => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

