
package MyElements::DpDashboardGetLaggedDatasetsResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpDashboardGetLaggedDatasetsResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DpDatasets_of :ATTR(:get<DpDatasets>);

__PACKAGE__->_factory(
    [ qw(        DpDatasets

    ) ],
    {
        'DpDatasets' => \%DpDatasets_of,
    },
    {
        'DpDatasets' => 'MyTypes::ArrayOfDpDatasetLagInfo',
    },
    {

        'DpDatasets' => 'DpDatasets',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpDashboardGetLaggedDatasetsResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpDashboardGetLaggedDatasetsResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DpDatasets

 $element->set_DpDatasets($data);
 $element->get_DpDatasets();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpDashboardGetLaggedDatasetsResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   DpDatasets =>  { # MyTypes::ArrayOfDpDatasetLagInfo
     DpDatasetLagInfo =>  { # MyTypes::DpDatasetLagInfo
       DatasetId => $some_value, # ObjId
       DatasetName => $some_value, # ObjName
       LagStatus => $some_value, # ObjStatus
       WorstLag => $some_value, # atomic
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

