
package MyElements::DpDashboardGetLaggedRelationships;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpDashboardGetLaggedRelationships');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %GroupNameOrId_of :ATTR(:get<GroupNameOrId>);
my %IsExternalRelationship_of :ATTR(:get<IsExternalRelationship>);
my %MaxRelationships_of :ATTR(:get<MaxRelationships>);

__PACKAGE__->_factory(
    [ qw(        GroupNameOrId
        IsExternalRelationship
        MaxRelationships

    ) ],
    {
        'GroupNameOrId' => \%GroupNameOrId_of,
        'IsExternalRelationship' => \%IsExternalRelationship_of,
        'MaxRelationships' => \%MaxRelationships_of,
    },
    {
        'GroupNameOrId' => 'MyTypes::GroupNameOrId',
        'IsExternalRelationship' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',

        'MaxRelationships' => 'MyElements::DpDashboardGetLaggedRelationships::_MaxRelationships',
    },
    {

        'GroupNameOrId' => 'GroupNameOrId',
        'IsExternalRelationship' => 'IsExternalRelationship',
        'MaxRelationships' => 'MaxRelationships',
    }
);

} # end BLOCK




package MyElements::DpDashboardGetLaggedRelationships::_MaxRelationships;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpDashboardGetLaggedRelationships

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpDashboardGetLaggedRelationships from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * GroupNameOrId

 $element->set_GroupNameOrId($data);
 $element->get_GroupNameOrId();




=item * IsExternalRelationship

 $element->set_IsExternalRelationship($data);
 $element->get_IsExternalRelationship();




=item * MaxRelationships

 $element->set_MaxRelationships($data);
 $element->get_MaxRelationships();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpDashboardGetLaggedRelationships->new($data);

Constructor. The following data structure may be passed to new():

 {
   GroupNameOrId => $some_value, # GroupNameOrId
   IsExternalRelationship =>  $some_value, # boolean
   MaxRelationships => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

