
package MyElements::DpDashboardGetLaggedRelationshipsResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpDashboardGetLaggedRelationshipsResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DpRelationships_of :ATTR(:get<DpRelationships>);

__PACKAGE__->_factory(
    [ qw(        DpRelationships

    ) ],
    {
        'DpRelationships' => \%DpRelationships_of,
    },
    {
        'DpRelationships' => 'MyTypes::ArrayOfDpRelationshipLagInfo',
    },
    {

        'DpRelationships' => 'DpRelationships',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpDashboardGetLaggedRelationshipsResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpDashboardGetLaggedRelationshipsResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DpRelationships

 $element->set_DpRelationships($data);
 $element->get_DpRelationships();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpDashboardGetLaggedRelationshipsResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   DpRelationships =>  { # MyTypes::ArrayOfDpRelationshipLagInfo
     DpRelationshipLagInfo =>  { # MyTypes::DpRelationshipLagInfo
       Lag => $some_value, # atomic
       RelationshipId => $some_value, # ObjId
       RelationshipSource => $some_value, # ObjName
       RelationshipState => $some_value, # RelationshipState
       RelationshipType => $some_value, # RelationshipType
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

