
package MyElements::DpDashboardGetProtectedDataCounts2Result;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpDashboardGetProtectedDataCounts2Result');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %IgnoredDatasetCount_of :ATTR(:get<IgnoredDatasetCount>);
my %IgnoredOssvDirectoryCount_of :ATTR(:get<IgnoredOssvDirectoryCount>);
my %IgnoredQtreeCount_of :ATTR(:get<IgnoredQtreeCount>);
my %IgnoredVolumeCount_of :ATTR(:get<IgnoredVolumeCount>);
my %ProtectedDatasetCount_of :ATTR(:get<ProtectedDatasetCount>);
my %ProtectedOssvDirectoryCount_of :ATTR(:get<ProtectedOssvDirectoryCount>);
my %ProtectedQtreeCount_of :ATTR(:get<ProtectedQtreeCount>);
my %ProtectedVolumeCount_of :ATTR(:get<ProtectedVolumeCount>);
my %UnprotectedApplicationResources_of :ATTR(:get<UnprotectedApplicationResources>);
my %UnprotectedDatasetCount_of :ATTR(:get<UnprotectedDatasetCount>);
my %UnprotectedQtreeCount_of :ATTR(:get<UnprotectedQtreeCount>);
my %UnprotectedVolumeCount_of :ATTR(:get<UnprotectedVolumeCount>);

__PACKAGE__->_factory(
    [ qw(        IgnoredDatasetCount
        IgnoredOssvDirectoryCount
        IgnoredQtreeCount
        IgnoredVolumeCount
        ProtectedDatasetCount
        ProtectedOssvDirectoryCount
        ProtectedQtreeCount
        ProtectedVolumeCount
        UnprotectedApplicationResources
        UnprotectedDatasetCount
        UnprotectedQtreeCount
        UnprotectedVolumeCount

    ) ],
    {
        'IgnoredDatasetCount' => \%IgnoredDatasetCount_of,
        'IgnoredOssvDirectoryCount' => \%IgnoredOssvDirectoryCount_of,
        'IgnoredQtreeCount' => \%IgnoredQtreeCount_of,
        'IgnoredVolumeCount' => \%IgnoredVolumeCount_of,
        'ProtectedDatasetCount' => \%ProtectedDatasetCount_of,
        'ProtectedOssvDirectoryCount' => \%ProtectedOssvDirectoryCount_of,
        'ProtectedQtreeCount' => \%ProtectedQtreeCount_of,
        'ProtectedVolumeCount' => \%ProtectedVolumeCount_of,
        'UnprotectedApplicationResources' => \%UnprotectedApplicationResources_of,
        'UnprotectedDatasetCount' => \%UnprotectedDatasetCount_of,
        'UnprotectedQtreeCount' => \%UnprotectedQtreeCount_of,
        'UnprotectedVolumeCount' => \%UnprotectedVolumeCount_of,
    },
    {

        'IgnoredDatasetCount' => 'MyElements::DpDashboardGetProtectedDataCounts2Result::_IgnoredDatasetCount',

        'IgnoredOssvDirectoryCount' => 'MyElements::DpDashboardGetProtectedDataCounts2Result::_IgnoredOssvDirectoryCount',

        'IgnoredQtreeCount' => 'MyElements::DpDashboardGetProtectedDataCounts2Result::_IgnoredQtreeCount',

        'IgnoredVolumeCount' => 'MyElements::DpDashboardGetProtectedDataCounts2Result::_IgnoredVolumeCount',

        'ProtectedDatasetCount' => 'MyElements::DpDashboardGetProtectedDataCounts2Result::_ProtectedDatasetCount',

        'ProtectedOssvDirectoryCount' => 'MyElements::DpDashboardGetProtectedDataCounts2Result::_ProtectedOssvDirectoryCount',

        'ProtectedQtreeCount' => 'MyElements::DpDashboardGetProtectedDataCounts2Result::_ProtectedQtreeCount',

        'ProtectedVolumeCount' => 'MyElements::DpDashboardGetProtectedDataCounts2Result::_ProtectedVolumeCount',
        'UnprotectedApplicationResources' => 'MyTypes::ArrayOfApplicationResourceInfo',

        'UnprotectedDatasetCount' => 'MyElements::DpDashboardGetProtectedDataCounts2Result::_UnprotectedDatasetCount',

        'UnprotectedQtreeCount' => 'MyElements::DpDashboardGetProtectedDataCounts2Result::_UnprotectedQtreeCount',

        'UnprotectedVolumeCount' => 'MyElements::DpDashboardGetProtectedDataCounts2Result::_UnprotectedVolumeCount',
    },
    {

        'IgnoredDatasetCount' => 'IgnoredDatasetCount',
        'IgnoredOssvDirectoryCount' => 'IgnoredOssvDirectoryCount',
        'IgnoredQtreeCount' => 'IgnoredQtreeCount',
        'IgnoredVolumeCount' => 'IgnoredVolumeCount',
        'ProtectedDatasetCount' => 'ProtectedDatasetCount',
        'ProtectedOssvDirectoryCount' => 'ProtectedOssvDirectoryCount',
        'ProtectedQtreeCount' => 'ProtectedQtreeCount',
        'ProtectedVolumeCount' => 'ProtectedVolumeCount',
        'UnprotectedApplicationResources' => 'UnprotectedApplicationResources',
        'UnprotectedDatasetCount' => 'UnprotectedDatasetCount',
        'UnprotectedQtreeCount' => 'UnprotectedQtreeCount',
        'UnprotectedVolumeCount' => 'UnprotectedVolumeCount',
    }
);

} # end BLOCK




package MyElements::DpDashboardGetProtectedDataCounts2Result::_IgnoredDatasetCount;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyElements::DpDashboardGetProtectedDataCounts2Result::_IgnoredOssvDirectoryCount;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyElements::DpDashboardGetProtectedDataCounts2Result::_IgnoredQtreeCount;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyElements::DpDashboardGetProtectedDataCounts2Result::_IgnoredVolumeCount;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyElements::DpDashboardGetProtectedDataCounts2Result::_ProtectedDatasetCount;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyElements::DpDashboardGetProtectedDataCounts2Result::_ProtectedOssvDirectoryCount;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyElements::DpDashboardGetProtectedDataCounts2Result::_ProtectedQtreeCount;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyElements::DpDashboardGetProtectedDataCounts2Result::_ProtectedVolumeCount;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyElements::DpDashboardGetProtectedDataCounts2Result::_UnprotectedDatasetCount;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyElements::DpDashboardGetProtectedDataCounts2Result::_UnprotectedQtreeCount;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyElements::DpDashboardGetProtectedDataCounts2Result::_UnprotectedVolumeCount;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpDashboardGetProtectedDataCounts2Result

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpDashboardGetProtectedDataCounts2Result from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * IgnoredDatasetCount

 $element->set_IgnoredDatasetCount($data);
 $element->get_IgnoredDatasetCount();




=item * IgnoredOssvDirectoryCount

 $element->set_IgnoredOssvDirectoryCount($data);
 $element->get_IgnoredOssvDirectoryCount();




=item * IgnoredQtreeCount

 $element->set_IgnoredQtreeCount($data);
 $element->get_IgnoredQtreeCount();




=item * IgnoredVolumeCount

 $element->set_IgnoredVolumeCount($data);
 $element->get_IgnoredVolumeCount();




=item * ProtectedDatasetCount

 $element->set_ProtectedDatasetCount($data);
 $element->get_ProtectedDatasetCount();




=item * ProtectedOssvDirectoryCount

 $element->set_ProtectedOssvDirectoryCount($data);
 $element->get_ProtectedOssvDirectoryCount();




=item * ProtectedQtreeCount

 $element->set_ProtectedQtreeCount($data);
 $element->get_ProtectedQtreeCount();




=item * ProtectedVolumeCount

 $element->set_ProtectedVolumeCount($data);
 $element->get_ProtectedVolumeCount();




=item * UnprotectedApplicationResources

 $element->set_UnprotectedApplicationResources($data);
 $element->get_UnprotectedApplicationResources();




=item * UnprotectedDatasetCount

 $element->set_UnprotectedDatasetCount($data);
 $element->get_UnprotectedDatasetCount();




=item * UnprotectedQtreeCount

 $element->set_UnprotectedQtreeCount($data);
 $element->get_UnprotectedQtreeCount();




=item * UnprotectedVolumeCount

 $element->set_UnprotectedVolumeCount($data);
 $element->get_UnprotectedVolumeCount();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpDashboardGetProtectedDataCounts2Result->new($data);

Constructor. The following data structure may be passed to new():

 {
   IgnoredDatasetCount => $some_value, # atomic
   IgnoredOssvDirectoryCount => $some_value, # atomic
   IgnoredQtreeCount => $some_value, # atomic
   IgnoredVolumeCount => $some_value, # atomic
   ProtectedDatasetCount => $some_value, # atomic
   ProtectedOssvDirectoryCount => $some_value, # atomic
   ProtectedQtreeCount => $some_value, # atomic
   ProtectedVolumeCount => $some_value, # atomic
   UnprotectedApplicationResources =>  { # MyTypes::ArrayOfApplicationResourceInfo
     ApplicationResourceInfo =>  { # MyTypes::ApplicationResourceInfo
       ApplicationObjectType => $some_value, # ApplicationObjectType
       ApplicationResourceNamespace => $some_value, # ApplicationResourceNamespace
       Count => $some_value, # atomic
     },
   },
   UnprotectedDatasetCount => $some_value, # atomic
   UnprotectedQtreeCount => $some_value, # atomic
   UnprotectedVolumeCount => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

