
package MyElements::DpGetDatasetBackupJobsDataResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpGetDatasetBackupJobsDataResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DpJobsData_of :ATTR(:get<DpJobsData>);

__PACKAGE__->_factory(
    [ qw(        DpJobsData

    ) ],
    {
        'DpJobsData' => \%DpJobsData_of,
    },
    {
        'DpJobsData' => 'MyTypes::ArrayOfDpJobData',
    },
    {

        'DpJobsData' => 'DpJobsData',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpGetDatasetBackupJobsDataResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpGetDatasetBackupJobsDataResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DpJobsData

 $element->set_DpJobsData($data);
 $element->get_DpJobsData();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpGetDatasetBackupJobsDataResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   DpJobsData =>  { # MyTypes::ArrayOfDpJobData
     DpJobData =>  { # MyTypes::DpJobData
       DatasetId => $some_value, # ObjId
       DpJobType =>  $some_value, # string
       DpLocalSnapshotJobData =>  { # MyTypes::DpLocalSnapshotJobData
         IsConfirmationData =>  $some_value, # boolean
         NodeId => $some_value, # atomic
         RetentionType => $some_value, # DpBackupRetentionType
       },
       DpSnapmirrorTransferJobData =>  { # MyTypes::DpSnapmirrorTransferJobData
         ConnectionId => $some_value, # atomic
         RetentionType => $some_value, # DpBackupRetentionType
       },
       DpSnapvaultTransferJobData =>  { # MyTypes::DpSnapvaultTransferJobData
         ConnectionId => $some_value, # atomic
         RetentionType => $some_value, # DpBackupRetentionType
       },
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

