
package MyElements::DpJobPurge;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpJobPurge');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %CompletedTimestamp_of :ATTR(:get<CompletedTimestamp>);
my %JobId_of :ATTR(:get<JobId>);
my %PurgeJobsCompletedWithError_of :ATTR(:get<PurgeJobsCompletedWithError>);

__PACKAGE__->_factory(
    [ qw(        CompletedTimestamp
        JobId
        PurgeJobsCompletedWithError

    ) ],
    {
        'CompletedTimestamp' => \%CompletedTimestamp_of,
        'JobId' => \%JobId_of,
        'PurgeJobsCompletedWithError' => \%PurgeJobsCompletedWithError_of,
    },
    {
        'CompletedTimestamp' => 'MyTypes::DpTimestamp',

        'JobId' => 'MyElements::DpJobPurge::_JobId',
        'PurgeJobsCompletedWithError' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
    },
    {

        'CompletedTimestamp' => 'CompletedTimestamp',
        'JobId' => 'JobId',
        'PurgeJobsCompletedWithError' => 'PurgeJobsCompletedWithError',
    }
);

} # end BLOCK




package MyElements::DpJobPurge::_JobId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpJobPurge

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpJobPurge from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * CompletedTimestamp

 $element->set_CompletedTimestamp($data);
 $element->get_CompletedTimestamp();




=item * JobId

 $element->set_JobId($data);
 $element->get_JobId();




=item * PurgeJobsCompletedWithError

 $element->set_PurgeJobsCompletedWithError($data);
 $element->get_PurgeJobsCompletedWithError();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpJobPurge->new($data);

Constructor. The following data structure may be passed to new():

 {
   CompletedTimestamp => $some_value, # DpTimestamp
   JobId => $some_value, # atomic
   PurgeJobsCompletedWithError =>  $some_value, # boolean
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

