
package MyElements::DpJobScheduleListIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpJobScheduleListIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Records_of :ATTR(:get<Records>);
my %ScheduledJobs_of :ATTR(:get<ScheduledJobs>);

__PACKAGE__->_factory(
    [ qw(        Records
        ScheduledJobs

    ) ],
    {
        'Records' => \%Records_of,
        'ScheduledJobs' => \%ScheduledJobs_of,
    },
    {

        'Records' => 'MyElements::DpJobScheduleListIterNextResult::_Records',
        'ScheduledJobs' => 'MyTypes::ArrayOfDpScheduledJob',
    },
    {

        'Records' => 'Records',
        'ScheduledJobs' => 'ScheduledJobs',
    }
);

} # end BLOCK




package MyElements::DpJobScheduleListIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpJobScheduleListIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpJobScheduleListIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Records

 $element->set_Records($data);
 $element->get_Records();




=item * ScheduledJobs

 $element->set_ScheduledJobs($data);
 $element->get_ScheduledJobs();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpJobScheduleListIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Records => $some_value, # atomic
   ScheduledJobs =>  { # MyTypes::ArrayOfDpScheduledJob
     DpScheduledJob =>  { # MyTypes::DpScheduledJob
       DatasetId => $some_value, # atomic
       DpLocalSnapshotJobData =>  { # MyTypes::DpLocalSnapshotJobData
         IsConfirmationData =>  $some_value, # boolean
         NodeId => $some_value, # atomic
         RetentionType => $some_value, # DpBackupRetentionType
       },
       DpSnapmirrorTransferJobData =>  { # MyTypes::DpSnapmirrorTransferJobData
         ConnectionId => $some_value, # atomic
         RetentionType => $some_value, # DpBackupRetentionType
       },
       DpSnapvaultTransferJobData =>  { # MyTypes::DpSnapvaultTransferJobData
         ConnectionId => $some_value, # atomic
         RetentionType => $some_value, # DpBackupRetentionType
       },
       ScheduledTime =>  $some_value, # integer
       StartTime =>  $some_value, # integer
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

