
package MyElements::DpJobScheduleListIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpJobScheduleListIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DatasetNameOrId_of :ATTR(:get<DatasetNameOrId>);
my %FromTime_of :ATTR(:get<FromTime>);
my %ToTime_of :ATTR(:get<ToTime>);

__PACKAGE__->_factory(
    [ qw(        DatasetNameOrId
        FromTime
        ToTime

    ) ],
    {
        'DatasetNameOrId' => \%DatasetNameOrId_of,
        'FromTime' => \%FromTime_of,
        'ToTime' => \%ToTime_of,
    },
    {

        'DatasetNameOrId' => 'MyElements::DpJobScheduleListIterStart::_DatasetNameOrId',
        'FromTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
        'ToTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
    },
    {

        'DatasetNameOrId' => 'DatasetNameOrId',
        'FromTime' => 'FromTime',
        'ToTime' => 'ToTime',
    }
);

} # end BLOCK




package MyElements::DpJobScheduleListIterStart::_DatasetNameOrId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpJobScheduleListIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpJobScheduleListIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DatasetNameOrId

 $element->set_DatasetNameOrId($data);
 $element->get_DatasetNameOrId();




=item * FromTime

 $element->set_FromTime($data);
 $element->get_FromTime();




=item * ToTime

 $element->set_ToTime($data);
 $element->get_ToTime();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpJobScheduleListIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   DatasetNameOrId => $some_value, # atomic
   FromTime =>  $some_value, # integer
   ToTime =>  $some_value, # integer
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

