
package MyElements::DpOssvApplicationRestoreDestinationListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpOssvApplicationRestoreDestinationListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %OssvApplicationRestoreDestinationList_of :ATTR(:get<OssvApplicationRestoreDestinationList>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        OssvApplicationRestoreDestinationList
        Records

    ) ],
    {
        'OssvApplicationRestoreDestinationList' => \%OssvApplicationRestoreDestinationList_of,
        'Records' => \%Records_of,
    },
    {
        'OssvApplicationRestoreDestinationList' => 'MyTypes::ArrayOfOssvApplicationRestoreDestinationInfo',
        'Records' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
    },
    {

        'OssvApplicationRestoreDestinationList' => 'OssvApplicationRestoreDestinationList',
        'Records' => 'Records',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpOssvApplicationRestoreDestinationListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpOssvApplicationRestoreDestinationListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * OssvApplicationRestoreDestinationList

 $element->set_OssvApplicationRestoreDestinationList($data);
 $element->get_OssvApplicationRestoreDestinationList();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpOssvApplicationRestoreDestinationListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   OssvApplicationRestoreDestinationList =>  { # MyTypes::ArrayOfOssvApplicationRestoreDestinationInfo
     OssvApplicationRestoreDestinationInfo =>  { # MyTypes::OssvApplicationRestoreDestinationInfo
       HostFullName => $some_value, # ObjFullName
       HostId => $some_value, # ObjId
       HostName => $some_value, # ObjName
     },
   },
   Records =>  $some_value, # integer
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

