
package MyElements::DpOssvDirectoryDiscoveredIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpOssvDirectoryDiscoveredIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Directories_of :ATTR(:get<Directories>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        Directories
        Records

    ) ],
    {
        'Directories' => \%Directories_of,
        'Records' => \%Records_of,
    },
    {
        'Directories' => 'MyTypes::ArrayOfDpOssvDirectoryInfo',

        'Records' => 'MyElements::DpOssvDirectoryDiscoveredIterNextResult::_Records',
    },
    {

        'Directories' => 'Directories',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::DpOssvDirectoryDiscoveredIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpOssvDirectoryDiscoveredIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpOssvDirectoryDiscoveredIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Directories

 $element->set_Directories($data);
 $element->get_Directories();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpOssvDirectoryDiscoveredIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Directories =>  { # MyTypes::ArrayOfDpOssvDirectoryInfo
     DpOssvDirectoryInfo =>  { # MyTypes::DpOssvDirectoryInfo
       DatasetId =>  $some_value, # integer
       Datasets =>  { # MyTypes::ArrayOfDatasetReference
         DatasetReference =>  { # MyTypes::DatasetReference
           DatasetId => $some_value, # ObjId
           DatasetName => $some_value, # ObjName
         },
       },
       DirId => $some_value, # atomic
       HostId => $some_value, # atomic
       HostName =>  $some_value, # string
       IsAvailable =>  $some_value, # boolean
       IsBrowsable =>  $some_value, # boolean
       IsDpIgnored =>  $some_value, # boolean
       IsInBackupRelationship =>  $some_value, # boolean
       IsInDataset =>  $some_value, # boolean
       Path =>  $some_value, # string
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

