
package MyElements::DpOssvDirectoryDiscoveredIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpOssvDirectoryDiscoveredIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %IncludeIsAvailable_of :ATTR(:get<IncludeIsAvailable>);
my %IsDpIgnored_of :ATTR(:get<IsDpIgnored>);
my %IsInBackupRelationship_of :ATTR(:get<IsInBackupRelationship>);
my %IsInDataset_of :ATTR(:get<IsInDataset>);
my %ObjectNameOrId_of :ATTR(:get<ObjectNameOrId>);

__PACKAGE__->_factory(
    [ qw(        IncludeIsAvailable
        IsDpIgnored
        IsInBackupRelationship
        IsInDataset
        ObjectNameOrId

    ) ],
    {
        'IncludeIsAvailable' => \%IncludeIsAvailable_of,
        'IsDpIgnored' => \%IsDpIgnored_of,
        'IsInBackupRelationship' => \%IsInBackupRelationship_of,
        'IsInDataset' => \%IsInDataset_of,
        'ObjectNameOrId' => \%ObjectNameOrId_of,
    },
    {
        'IncludeIsAvailable' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'IsDpIgnored' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'IsInBackupRelationship' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'IsInDataset' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'ObjectNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'IncludeIsAvailable' => 'IncludeIsAvailable',
        'IsDpIgnored' => 'IsDpIgnored',
        'IsInBackupRelationship' => 'IsInBackupRelationship',
        'IsInDataset' => 'IsInDataset',
        'ObjectNameOrId' => 'ObjectNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpOssvDirectoryDiscoveredIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpOssvDirectoryDiscoveredIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * IncludeIsAvailable

 $element->set_IncludeIsAvailable($data);
 $element->get_IncludeIsAvailable();




=item * IsDpIgnored

 $element->set_IsDpIgnored($data);
 $element->get_IsDpIgnored();




=item * IsInBackupRelationship

 $element->set_IsInBackupRelationship($data);
 $element->get_IsInBackupRelationship();




=item * IsInDataset

 $element->set_IsInDataset($data);
 $element->get_IsInDataset();




=item * ObjectNameOrId

 $element->set_ObjectNameOrId($data);
 $element->get_ObjectNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpOssvDirectoryDiscoveredIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   IncludeIsAvailable =>  $some_value, # boolean
   IsDpIgnored =>  $some_value, # boolean
   IsInBackupRelationship =>  $some_value, # boolean
   IsInDataset =>  $some_value, # boolean
   ObjectNameOrId =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

