
package MyElements::DpOssvDirectoryRootsIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpOssvDirectoryRootsIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Records_of :ATTR(:get<Records>);
my %Roots_of :ATTR(:get<Roots>);

__PACKAGE__->_factory(
    [ qw(        Records
        Roots

    ) ],
    {
        'Records' => \%Records_of,
        'Roots' => \%Roots_of,
    },
    {

        'Records' => 'MyElements::DpOssvDirectoryRootsIterNextResult::_Records',
        'Roots' => 'MyTypes::ArrayOfDpOssvDirectoryRootInfo',
    },
    {

        'Records' => 'Records',
        'Roots' => 'Roots',
    }
);

} # end BLOCK




package MyElements::DpOssvDirectoryRootsIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpOssvDirectoryRootsIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpOssvDirectoryRootsIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Records

 $element->set_Records($data);
 $element->get_Records();




=item * Roots

 $element->set_Roots($data);
 $element->get_Roots();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpOssvDirectoryRootsIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Records => $some_value, # atomic
   Roots =>  { # MyTypes::ArrayOfDpOssvDirectoryRootInfo
     DpOssvDirectoryRootInfo =>  { # MyTypes::DpOssvDirectoryRootInfo
       FilesystemDevice =>  $some_value, # string
       FilesystemState =>  $some_value, # string
       FilesystemType =>  $some_value, # string
       HostId => $some_value, # atomic
       HostName =>  $some_value, # string
       RootPath =>  $some_value, # string
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

