
package MyElements::DpOssvDirectoryRootsIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpOssvDirectoryRootsIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %FsInfo_of :ATTR(:get<FsInfo>);
my %OssvHostNameOrId_of :ATTR(:get<OssvHostNameOrId>);

__PACKAGE__->_factory(
    [ qw(        FsInfo
        OssvHostNameOrId

    ) ],
    {
        'FsInfo' => \%FsInfo_of,
        'OssvHostNameOrId' => \%OssvHostNameOrId_of,
    },
    {
        'FsInfo' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'OssvHostNameOrId' => 'MyTypes::OssvHostNameOrId',
    },
    {

        'FsInfo' => 'FsInfo',
        'OssvHostNameOrId' => 'OssvHostNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpOssvDirectoryRootsIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpOssvDirectoryRootsIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * FsInfo

 $element->set_FsInfo($data);
 $element->get_FsInfo();




=item * OssvHostNameOrId

 $element->set_OssvHostNameOrId($data);
 $element->get_OssvHostNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpOssvDirectoryRootsIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   FsInfo =>  $some_value, # boolean
   OssvHostNameOrId => $some_value, # OssvHostNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

