
package MyElements::DpPolicyCopy;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpPolicyCopy');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DpPolicyDescription_of :ATTR(:get<DpPolicyDescription>);
my %DpPolicyName_of :ATTR(:get<DpPolicyName>);
my %TemplateDpPolicyId_of :ATTR(:get<TemplateDpPolicyId>);
my %TemplateDpPolicyNameOrId_of :ATTR(:get<TemplateDpPolicyNameOrId>);

__PACKAGE__->_factory(
    [ qw(        DpPolicyDescription
        DpPolicyName
        TemplateDpPolicyId
        TemplateDpPolicyNameOrId

    ) ],
    {
        'DpPolicyDescription' => \%DpPolicyDescription_of,
        'DpPolicyName' => \%DpPolicyName_of,
        'TemplateDpPolicyId' => \%TemplateDpPolicyId_of,
        'TemplateDpPolicyNameOrId' => \%TemplateDpPolicyNameOrId_of,
    },
    {
        'DpPolicyDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'DpPolicyName' => 'MyTypes::ObjName',
        'TemplateDpPolicyId' => 'MyTypes::ObjId',
        'TemplateDpPolicyNameOrId' => 'MyTypes::ObjNameOrId',
    },
    {

        'DpPolicyDescription' => 'DpPolicyDescription',
        'DpPolicyName' => 'DpPolicyName',
        'TemplateDpPolicyId' => 'TemplateDpPolicyId',
        'TemplateDpPolicyNameOrId' => 'TemplateDpPolicyNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpPolicyCopy

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpPolicyCopy from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DpPolicyDescription

 $element->set_DpPolicyDescription($data);
 $element->get_DpPolicyDescription();




=item * DpPolicyName

 $element->set_DpPolicyName($data);
 $element->get_DpPolicyName();




=item * TemplateDpPolicyId

 $element->set_TemplateDpPolicyId($data);
 $element->get_TemplateDpPolicyId();




=item * TemplateDpPolicyNameOrId

 $element->set_TemplateDpPolicyNameOrId($data);
 $element->get_TemplateDpPolicyNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpPolicyCopy->new($data);

Constructor. The following data structure may be passed to new():

 {
   DpPolicyDescription =>  $some_value, # string
   DpPolicyName => $some_value, # ObjName
   TemplateDpPolicyId => $some_value, # ObjId
   TemplateDpPolicyNameOrId => $some_value, # ObjNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

