
package MyElements::DpPolicyListIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpPolicyListIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DpPolicyNameOrId_of :ATTR(:get<DpPolicyNameOrId>);
my %IsDrCapable_of :ATTR(:get<IsDrCapable>);

__PACKAGE__->_factory(
    [ qw(        DpPolicyNameOrId
        IsDrCapable

    ) ],
    {
        'DpPolicyNameOrId' => \%DpPolicyNameOrId_of,
        'IsDrCapable' => \%IsDrCapable_of,
    },
    {
        'DpPolicyNameOrId' => 'MyTypes::ObjNameOrId',
        'IsDrCapable' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
    },
    {

        'DpPolicyNameOrId' => 'DpPolicyNameOrId',
        'IsDrCapable' => 'IsDrCapable',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpPolicyListIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpPolicyListIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DpPolicyNameOrId

 $element->set_DpPolicyNameOrId($data);
 $element->get_DpPolicyNameOrId();




=item * IsDrCapable

 $element->set_IsDrCapable($data);
 $element->get_IsDrCapable();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpPolicyListIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   DpPolicyNameOrId => $some_value, # ObjNameOrId
   IsDrCapable =>  $some_value, # boolean
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

