
package MyElements::DpRelationshipListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpRelationshipListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DpRelationships_of :ATTR(:get<DpRelationships>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        DpRelationships
        Records

    ) ],
    {
        'DpRelationships' => \%DpRelationships_of,
        'Records' => \%Records_of,
    },
    {
        'DpRelationships' => 'MyTypes::ArrayOfDpRelationshipInfo',

        'Records' => 'MyElements::DpRelationshipListInfoIterNextResult::_Records',
    },
    {

        'DpRelationships' => 'DpRelationships',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::DpRelationshipListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpRelationshipListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpRelationshipListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DpRelationships

 $element->set_DpRelationships($data);
 $element->get_DpRelationships();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpRelationshipListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   DpRelationships =>  { # MyTypes::ArrayOfDpRelationshipInfo
     DpRelationshipInfo =>  { # MyTypes::DpRelationshipInfo
       DatasetId => $some_value, # ObjId
       DatasetName => $some_value, # ObjName
       DeletedBy =>  $some_value, # string
       DeletedTimestamp => $some_value, # DpTimestamp
       DestinationAggregateId => $some_value, # ObjId
       DestinationFullName => $some_value, # ObjFullName
       DestinationHostId => $some_value, # ObjId
       DestinationHostName => $some_value, # ObjFullName
       DestinationId => $some_value, # ObjId
       DestinationName => $some_value, # ObjName
       DestinationStoragesetId => $some_value, # ObjId
       DestinationType => $some_value, # RelationshipEndpointType
       DestinationVolumeId => $some_value, # ObjId
       DiscoveredTimestamp => $some_value, # DpTimestamp
       IsDpIgnored =>  $some_value, # boolean
       IsDpImported =>  $some_value, # boolean
       IsDpManaged =>  $some_value, # boolean
       IsDpOrphan =>  $some_value, # boolean
       IsDpRedundant =>  $some_value, # boolean
       IsInDataset =>  $some_value, # boolean
       Lag => $some_value, # atomic
       LagStatus => $some_value, # ObjStatus
       OperationalStatus => $some_value, # OperationalStatus
       RelationshipId => $some_value, # ObjId
       RelationshipState => $some_value, # RelationshipState
       RelationshipType => $some_value, # RelationshipType
       SourceAggregateId => $some_value, # ObjId
       SourceFullName => $some_value, # ObjFullName
       SourceHostId => $some_value, # ObjId
       SourceHostName => $some_value, # ObjFullName
       SourceId => $some_value, # ObjId
       SourceName => $some_value, # ObjName
       SourceStoragesetId => $some_value, # ObjId
       SourceType => $some_value, # RelationshipEndpointType
       SourceVolumeId => $some_value, # ObjId
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

