
package MyElements::DpScheduleWeeklyDelete;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpScheduleWeeklyDelete');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ItemId_of :ATTR(:get<ItemId>);
my %ScheduleCategory_of :ATTR(:get<ScheduleCategory>);
my %WeeklyScheduleNameOrId_of :ATTR(:get<WeeklyScheduleNameOrId>);

__PACKAGE__->_factory(
    [ qw(        ItemId
        ScheduleCategory
        WeeklyScheduleNameOrId

    ) ],
    {
        'ItemId' => \%ItemId_of,
        'ScheduleCategory' => \%ScheduleCategory_of,
        'WeeklyScheduleNameOrId' => \%WeeklyScheduleNameOrId_of,
    },
    {

        'ItemId' => 'MyElements::DpScheduleWeeklyDelete::_ItemId',
        'ScheduleCategory' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'WeeklyScheduleNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'ItemId' => 'ItemId',
        'ScheduleCategory' => 'ScheduleCategory',
        'WeeklyScheduleNameOrId' => 'WeeklyScheduleNameOrId',
    }
);

} # end BLOCK




package MyElements::DpScheduleWeeklyDelete::_ItemId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpScheduleWeeklyDelete

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpScheduleWeeklyDelete from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ItemId

 $element->set_ItemId($data);
 $element->get_ItemId();




=item * ScheduleCategory

 $element->set_ScheduleCategory($data);
 $element->get_ScheduleCategory();




=item * WeeklyScheduleNameOrId

 $element->set_WeeklyScheduleNameOrId($data);
 $element->get_WeeklyScheduleNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpScheduleWeeklyDelete->new($data);

Constructor. The following data structure may be passed to new():

 {
   ItemId => $some_value, # atomic
   ScheduleCategory =>  $some_value, # string
   WeeklyScheduleNameOrId =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

