
package MyElements::DpThrottleCreate;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpThrottleCreate');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ThrottleContent_of :ATTR(:get<ThrottleContent>);

__PACKAGE__->_factory(
    [ qw(        ThrottleContent

    ) ],
    {
        'ThrottleContent' => \%ThrottleContent_of,
    },
    {
        'ThrottleContent' => 'MyTypes::ThrottleContent',
    },
    {

        'ThrottleContent' => 'ThrottleContent',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpThrottleCreate

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpThrottleCreate from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ThrottleContent

 $element->set_ThrottleContent($data);
 $element->get_ThrottleContent();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpThrottleCreate->new($data);

Constructor. The following data structure may be passed to new():

 {
   ThrottleContent =>  { # MyTypes::ThrottleContent
     IsModifiable =>  $some_value, # boolean
     ThrottleDescription =>  $some_value, # string
     ThrottleId => $some_value, # atomic
     ThrottleItemList =>  { # MyTypes::ArrayOfThrottleItemInfo
       ThrottleItemInfo =>  { # MyTypes::ThrottleItemInfo
         DayList =>  { # MyTypes::ArrayOfDayInfo
           DayInfo =>  { # MyTypes::DayInfo
             Day => $some_value, # atomic
           },
         },
         EndHour => $some_value, # atomic
         EndMinute => $some_value, # atomic
         ItemId => $some_value, # atomic
         StartHour => $some_value, # atomic
         StartMinute => $some_value, # atomic
         Throughput => $some_value, # atomic
       },
     },
     ThrottleName =>  $some_value, # string
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

