
package MyElements::DpThrottleDependencyResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpThrottleDependencyResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ThrottleAssignees_of :ATTR(:get<ThrottleAssignees>);
my %ThrottleInUse_of :ATTR(:get<ThrottleInUse>);

__PACKAGE__->_factory(
    [ qw(        ThrottleAssignees
        ThrottleInUse

    ) ],
    {
        'ThrottleAssignees' => \%ThrottleAssignees_of,
        'ThrottleInUse' => \%ThrottleInUse_of,
    },
    {
        'ThrottleAssignees' => 'MyTypes::ArrayOfThrottleAssignee',
        'ThrottleInUse' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
    },
    {

        'ThrottleAssignees' => 'ThrottleAssignees',
        'ThrottleInUse' => 'ThrottleInUse',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpThrottleDependencyResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpThrottleDependencyResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ThrottleAssignees

 $element->set_ThrottleAssignees($data);
 $element->get_ThrottleAssignees();




=item * ThrottleInUse

 $element->set_ThrottleInUse($data);
 $element->get_ThrottleInUse();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpThrottleDependencyResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   ThrottleAssignees =>  { # MyTypes::ArrayOfThrottleAssignee
     ThrottleAssignee =>  { # MyTypes::ThrottleAssignee
       AssigneeFullName => $some_value, # ObjFullName
       AssigneeId => $some_value, # ObjId
     },
   },
   ThrottleInUse =>  $some_value, # boolean
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

