
package MyElements::DpThrottleItemAdd;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpThrottleItemAdd');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ThrottleItemContent_of :ATTR(:get<ThrottleItemContent>);
my %ThrottleNameOrId_of :ATTR(:get<ThrottleNameOrId>);

__PACKAGE__->_factory(
    [ qw(        ThrottleItemContent
        ThrottleNameOrId

    ) ],
    {
        'ThrottleItemContent' => \%ThrottleItemContent_of,
        'ThrottleNameOrId' => \%ThrottleNameOrId_of,
    },
    {
        'ThrottleItemContent' => 'MyTypes::WrapperOfThrottleItemInfo',
        'ThrottleNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'ThrottleItemContent' => 'ThrottleItemContent',
        'ThrottleNameOrId' => 'ThrottleNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpThrottleItemAdd

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpThrottleItemAdd from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ThrottleItemContent

 $element->set_ThrottleItemContent($data);
 $element->get_ThrottleItemContent();




=item * ThrottleNameOrId

 $element->set_ThrottleNameOrId($data);
 $element->get_ThrottleNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpThrottleItemAdd->new($data);

Constructor. The following data structure may be passed to new():

 {
   ThrottleItemContent =>  { # MyTypes::WrapperOfThrottleItemInfo
     ThrottleItemInfo =>  { # MyTypes::ThrottleItemInfo
       DayList =>  { # MyTypes::ArrayOfDayInfo
         DayInfo =>  { # MyTypes::DayInfo
           Day => $some_value, # atomic
         },
       },
       EndHour => $some_value, # atomic
       EndMinute => $some_value, # atomic
       ItemId => $some_value, # atomic
       StartHour => $some_value, # atomic
       StartMinute => $some_value, # atomic
       Throughput => $some_value, # atomic
     },
   },
   ThrottleNameOrId =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

