
package MyElements::DpThrottleItemDelete;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpThrottleItemDelete');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ThrottleItemId_of :ATTR(:get<ThrottleItemId>);
my %ThrottleNameOrId_of :ATTR(:get<ThrottleNameOrId>);

__PACKAGE__->_factory(
    [ qw(        ThrottleItemId
        ThrottleNameOrId

    ) ],
    {
        'ThrottleItemId' => \%ThrottleItemId_of,
        'ThrottleNameOrId' => \%ThrottleNameOrId_of,
    },
    {

        'ThrottleItemId' => 'MyElements::DpThrottleItemDelete::_ThrottleItemId',
        'ThrottleNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'ThrottleItemId' => 'ThrottleItemId',
        'ThrottleNameOrId' => 'ThrottleNameOrId',
    }
);

} # end BLOCK




package MyElements::DpThrottleItemDelete::_ThrottleItemId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpThrottleItemDelete

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpThrottleItemDelete from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ThrottleItemId

 $element->set_ThrottleItemId($data);
 $element->get_ThrottleItemId();




=item * ThrottleNameOrId

 $element->set_ThrottleNameOrId($data);
 $element->get_ThrottleNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpThrottleItemDelete->new($data);

Constructor. The following data structure may be passed to new():

 {
   ThrottleItemId => $some_value, # atomic
   ThrottleNameOrId =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

