
package MyElements::DpThrottleListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('DpThrottleListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Records_of :ATTR(:get<Records>);
my %ThrottleList_of :ATTR(:get<ThrottleList>);

__PACKAGE__->_factory(
    [ qw(        Records
        ThrottleList

    ) ],
    {
        'Records' => \%Records_of,
        'ThrottleList' => \%ThrottleList_of,
    },
    {

        'Records' => 'MyElements::DpThrottleListInfoIterNextResult::_Records',
        'ThrottleList' => 'MyTypes::ArrayOfThrottleContent',
    },
    {

        'Records' => 'Records',
        'ThrottleList' => 'ThrottleList',
    }
);

} # end BLOCK




package MyElements::DpThrottleListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::DpThrottleListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
DpThrottleListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Records

 $element->set_Records($data);
 $element->get_Records();




=item * ThrottleList

 $element->set_ThrottleList($data);
 $element->get_ThrottleList();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::DpThrottleListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Records => $some_value, # atomic
   ThrottleList =>  { # MyTypes::ArrayOfThrottleContent
     ThrottleContent =>  { # MyTypes::ThrottleContent
       IsModifiable =>  $some_value, # boolean
       ThrottleDescription =>  $some_value, # string
       ThrottleId => $some_value, # atomic
       ThrottleItemList =>  { # MyTypes::ArrayOfThrottleItemInfo
         ThrottleItemInfo =>  { # MyTypes::ThrottleItemInfo
           DayList =>  { # MyTypes::ArrayOfDayInfo
             DayInfo =>  { # MyTypes::DayInfo
               Day => $some_value, # atomic
             },
           },
           EndHour => $some_value, # atomic
           EndMinute => $some_value, # atomic
           ItemId => $some_value, # atomic
           StartHour => $some_value, # atomic
           StartMinute => $some_value, # atomic
           Throughput => $some_value, # atomic
         },
       },
       ThrottleName =>  $some_value, # string
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

