
package MyElements::EventAcknowledgeResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('EventAcknowledgeResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %EventAcknowledged_of :ATTR(:get<EventAcknowledged>);
my %EventsAcknowledgedList_of :ATTR(:get<EventsAcknowledgedList>);

__PACKAGE__->_factory(
    [ qw(        EventAcknowledged
        EventsAcknowledgedList

    ) ],
    {
        'EventAcknowledged' => \%EventAcknowledged_of,
        'EventsAcknowledgedList' => \%EventsAcknowledgedList_of,
    },
    {
        'EventAcknowledged' => 'SOAP::WSDL::XSD::Typelib::Builtin::unsignedInt',
        'EventsAcknowledgedList' => 'MyTypes::ArrayOfEventActionInfo',
    },
    {

        'EventAcknowledged' => 'EventAcknowledged',
        'EventsAcknowledgedList' => 'EventsAcknowledgedList',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::EventAcknowledgeResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
EventAcknowledgeResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * EventAcknowledged

 $element->set_EventAcknowledged($data);
 $element->get_EventAcknowledged();




=item * EventsAcknowledgedList

 $element->set_EventsAcknowledgedList($data);
 $element->get_EventsAcknowledgedList();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::EventAcknowledgeResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   EventAcknowledged =>  $some_value, # unsignedInt
   EventsAcknowledgedList =>  { # MyTypes::ArrayOfEventActionInfo
     EventActionInfo =>  { # MyTypes::EventActionInfo
       ErrorCode => $some_value, # atomic
       ErrorMessage =>  $some_value, # string
       EventId =>  $some_value, # unsignedInt
       Timestamp =>  $some_value, # unsignedInt
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

