
package MyElements::EventDelete;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('EventDelete');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %EventId_of :ATTR(:get<EventId>);
my %EventIdList_of :ATTR(:get<EventIdList>);

__PACKAGE__->_factory(
    [ qw(        EventId
        EventIdList

    ) ],
    {
        'EventId' => \%EventId_of,
        'EventIdList' => \%EventIdList_of,
    },
    {

        'EventId' => 'MyElements::EventDelete::_EventId',
        'EventIdList' => 'MyTypes::ArrayOfEventIdType',
    },
    {

        'EventId' => 'EventId',
        'EventIdList' => 'EventIdList',
    }
);

} # end BLOCK




package MyElements::EventDelete::_EventId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::EventDelete

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
EventDelete from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * EventId

 $element->set_EventId($data);
 $element->get_EventId();




=item * EventIdList

 $element->set_EventIdList($data);
 $element->get_EventIdList();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::EventDelete->new($data);

Constructor. The following data structure may be passed to new():

 {
   EventId => $some_value, # atomic
   EventIdList =>  { # MyTypes::ArrayOfEventIdType
     EventIdType => $some_value, # EventIdType
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

