
package MyElements::EventStatusChangeListIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('EventStatusChangeListIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %MaxEvents_of :ATTR(:get<MaxEvents>);
my %TimeRange_of :ATTR(:get<TimeRange>);
my %Timeout_of :ATTR(:get<Timeout>);

__PACKAGE__->_factory(
    [ qw(        MaxEvents
        TimeRange
        Timeout

    ) ],
    {
        'MaxEvents' => \%MaxEvents_of,
        'TimeRange' => \%TimeRange_of,
        'Timeout' => \%Timeout_of,
    },
    {

        'MaxEvents' => 'MyElements::EventStatusChangeListIterStart::_MaxEvents',
        'TimeRange' => 'MyTypes::WrapperOfEventTimestampRange',
        'Timeout' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
    },
    {

        'MaxEvents' => 'MaxEvents',
        'TimeRange' => 'TimeRange',
        'Timeout' => 'Timeout',
    }
);

} # end BLOCK




package MyElements::EventStatusChangeListIterStart::_MaxEvents;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::EventStatusChangeListIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
EventStatusChangeListIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * MaxEvents

 $element->set_MaxEvents($data);
 $element->get_MaxEvents();




=item * TimeRange

 $element->set_TimeRange($data);
 $element->get_TimeRange();




=item * Timeout

 $element->set_Timeout($data);
 $element->get_Timeout();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::EventStatusChangeListIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   MaxEvents => $some_value, # atomic
   TimeRange =>  { # MyTypes::WrapperOfEventTimestampRange
     EventTimestampRange =>  { # MyTypes::EventTimestampRange
       EndTime =>  $some_value, # integer
       StartTime =>  $some_value, # integer
     },
   },
   Timeout =>  $some_value, # integer
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

