
package MyElements::GroupListIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('GroupListIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %GroupList_of :ATTR(:get<GroupList>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        GroupList
        Records

    ) ],
    {
        'GroupList' => \%GroupList_of,
        'Records' => \%Records_of,
    },
    {
        'GroupList' => 'MyTypes::ArrayOfGroupInfo',

        'Records' => 'MyElements::GroupListIterNextResult::_Records',
    },
    {

        'GroupList' => 'GroupList',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::GroupListIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::GroupListIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
GroupListIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * GroupList

 $element->set_GroupList($data);
 $element->get_GroupList();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::GroupListIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   GroupList =>  { # MyTypes::ArrayOfGroupInfo
     GroupInfo =>  { # MyTypes::GroupInfo
       GroupPerfStatus => $some_value, # ObjStatus
       GroupStatus => $some_value, # ObjStatus
       HasPrivilege =>  $some_value, # boolean
       Id => $some_value, # atomic
       Name =>  $some_value, # string
       ParentGroupId => $some_value, # atomic
       ShortName =>  $some_value, # string
       SubgroupCount => $some_value, # atomic
       Type =>  $some_value, # string
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

