
package MyElements::GroupListIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('GroupListIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %GroupNameOrId_of :ATTR(:get<GroupNameOrId>);
my %ListSubgroups_of :ATTR(:get<ListSubgroups>);
my %RbacOperation_of :ATTR(:get<RbacOperation>);

__PACKAGE__->_factory(
    [ qw(        GroupNameOrId
        ListSubgroups
        RbacOperation

    ) ],
    {
        'GroupNameOrId' => \%GroupNameOrId_of,
        'ListSubgroups' => \%ListSubgroups_of,
        'RbacOperation' => \%RbacOperation_of,
    },
    {
        'GroupNameOrId' => 'MyTypes::GroupNameOrId',
        'ListSubgroups' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'RbacOperation' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'GroupNameOrId' => 'GroupNameOrId',
        'ListSubgroups' => 'ListSubgroups',
        'RbacOperation' => 'RbacOperation',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::GroupListIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
GroupListIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * GroupNameOrId

 $element->set_GroupNameOrId($data);
 $element->get_GroupNameOrId();




=item * ListSubgroups

 $element->set_ListSubgroups($data);
 $element->get_ListSubgroups();




=item * RbacOperation

 $element->set_RbacOperation($data);
 $element->get_RbacOperation();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::GroupListIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   GroupNameOrId => $some_value, # GroupNameOrId
   ListSubgroups =>  $some_value, # boolean
   RbacOperation =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

