
package MyElements::HostAddLicense;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('HostAddLicense');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %HostLicense_of :ATTR(:get<HostLicense>);
my %HostNameOrId_of :ATTR(:get<HostNameOrId>);
my %SuppressInuseError_of :ATTR(:get<SuppressInuseError>);

__PACKAGE__->_factory(
    [ qw(        HostLicense
        HostNameOrId
        SuppressInuseError

    ) ],
    {
        'HostLicense' => \%HostLicense_of,
        'HostNameOrId' => \%HostNameOrId_of,
        'SuppressInuseError' => \%SuppressInuseError_of,
    },
    {
        'HostLicense' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'HostNameOrId' => 'MyTypes::HostNameOrId',
        'SuppressInuseError' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
    },
    {

        'HostLicense' => 'HostLicense',
        'HostNameOrId' => 'HostNameOrId',
        'SuppressInuseError' => 'SuppressInuseError',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::HostAddLicense

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
HostAddLicense from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * HostLicense

 $element->set_HostLicense($data);
 $element->get_HostLicense();




=item * HostNameOrId

 $element->set_HostNameOrId($data);
 $element->get_HostNameOrId();




=item * SuppressInuseError

 $element->set_SuppressInuseError($data);
 $element->get_SuppressInuseError();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::HostAddLicense->new($data);

Constructor. The following data structure may be passed to new():

 {
   HostLicense =>  $some_value, # string
   HostNameOrId => $some_value, # HostNameOrId
   SuppressInuseError =>  $some_value, # boolean
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

