
package MyElements::HostAddResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('HostAddResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %AgentId_of :ATTR(:get<AgentId>);
my %ApplianceId_of :ATTR(:get<ApplianceId>);
my %HostAddress_of :ATTR(:get<HostAddress>);

__PACKAGE__->_factory(
    [ qw(        AgentId
        ApplianceId
        HostAddress

    ) ],
    {
        'AgentId' => \%AgentId_of,
        'ApplianceId' => \%ApplianceId_of,
        'HostAddress' => \%HostAddress_of,
    },
    {
        'AgentId' => 'MyTypes::HostId',
        'ApplianceId' => 'MyTypes::HostId',
        'HostAddress' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'AgentId' => 'AgentId',
        'ApplianceId' => 'ApplianceId',
        'HostAddress' => 'HostAddress',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::HostAddResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
HostAddResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * AgentId

 $element->set_AgentId($data);
 $element->get_AgentId();




=item * ApplianceId

 $element->set_ApplianceId($data);
 $element->get_ApplianceId();




=item * HostAddress

 $element->set_HostAddress($data);
 $element->get_HostAddress();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::HostAddResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   AgentId => $some_value, # HostId
   ApplianceId => $some_value, # HostId
   HostAddress =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

