
package MyElements::HostAgentOssvServiceStop;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('HostAgentOssvServiceStop');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %AgentNameOrId_of :ATTR(:get<AgentNameOrId>);
my %Timeout_of :ATTR(:get<Timeout>);

__PACKAGE__->_factory(
    [ qw(        AgentNameOrId
        Timeout

    ) ],
    {
        'AgentNameOrId' => \%AgentNameOrId_of,
        'Timeout' => \%Timeout_of,
    },
    {
        'AgentNameOrId' => 'MyTypes::HostNameOrId',

        'Timeout' => 'MyElements::HostAgentOssvServiceStop::_Timeout',
    },
    {

        'AgentNameOrId' => 'AgentNameOrId',
        'Timeout' => 'Timeout',
    }
);

} # end BLOCK




package MyElements::HostAgentOssvServiceStop::_Timeout;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::HostAgentOssvServiceStop

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
HostAgentOssvServiceStop from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * AgentNameOrId

 $element->set_AgentNameOrId($data);
 $element->get_AgentNameOrId();




=item * Timeout

 $element->set_Timeout($data);
 $element->get_Timeout();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::HostAgentOssvServiceStop->new($data);

Constructor. The following data structure may be passed to new():

 {
   AgentNameOrId => $some_value, # HostNameOrId
   Timeout => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

