
package MyElements::HostDomainuserPush;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('HostDomainuserPush');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %HostDomainuserNameOrIdOrSid_of :ATTR(:get<HostDomainuserNameOrIdOrSid>);
my %HostNameOrId_of :ATTR(:get<HostNameOrId>);

__PACKAGE__->_factory(
    [ qw(        HostDomainuserNameOrIdOrSid
        HostNameOrId

    ) ],
    {
        'HostDomainuserNameOrIdOrSid' => \%HostDomainuserNameOrIdOrSid_of,
        'HostNameOrId' => \%HostNameOrId_of,
    },
    {
        'HostDomainuserNameOrIdOrSid' => 'MyTypes::DomainuserNameOrIdOrSid',
        'HostNameOrId' => 'MyTypes::ObjNameOrId',
    },
    {

        'HostDomainuserNameOrIdOrSid' => 'HostDomainuserNameOrIdOrSid',
        'HostNameOrId' => 'HostNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::HostDomainuserPush

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
HostDomainuserPush from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * HostDomainuserNameOrIdOrSid

 $element->set_HostDomainuserNameOrIdOrSid($data);
 $element->get_HostDomainuserNameOrIdOrSid();




=item * HostNameOrId

 $element->set_HostNameOrId($data);
 $element->get_HostNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::HostDomainuserPush->new($data);

Constructor. The following data structure may be passed to new():

 {
   HostDomainuserNameOrIdOrSid => $some_value, # DomainuserNameOrIdOrSid
   HostNameOrId => $some_value, # ObjNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

