
package MyElements::HostGetDefaultsResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('HostGetDefaultsResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %HostDefaults_of :ATTR(:get<HostDefaults>);

__PACKAGE__->_factory(
    [ qw(        HostDefaults

    ) ],
    {
        'HostDefaults' => \%HostDefaults_of,
    },
    {
        'HostDefaults' => 'MyTypes::HostDefaults',
    },
    {

        'HostDefaults' => 'HostDefaults',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::HostGetDefaultsResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
HostGetDefaultsResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * HostDefaults

 $element->set_HostDefaults($data);
 $element->get_HostDefaults();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::HostGetDefaultsResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   HostDefaults =>  { # MyTypes::HostDefaults
     AdminPortAgent => $some_value, # IpPortNumber
     AdminPortCacheHttp => $some_value, # IpPortNumber
     AdminPortCacheHttps => $some_value, # IpPortNumber
     AdminPortHost => $some_value, # IpPortNumber
     AdminPortHostHttp => $some_value, # IpPortNumber
     AdminPortHostHttps => $some_value, # IpPortNumber
     AdminTransportAgent =>  $some_value, # string
     AdminTransportCache =>  $some_value, # string
     AdminTransportHost =>  $some_value, # string
     NdmpPort => $some_value, # IpPortNumber
     PerfAdvisorTransportHost =>  $some_value, # string
     SnapvaultMaxBackupThreads => $some_value, # atomic
     Timeout => $some_value, # atomic
     UseHostsEquiv =>  $some_value, # boolean
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

