
package MyElements::HostRoleListIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('HostRoleListIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %HostRoleNameOrId_of :ATTR(:get<HostRoleNameOrId>);
my %ObjectNameOrId_of :ATTR(:get<ObjectNameOrId>);
my %Verbose_of :ATTR(:get<Verbose>);

__PACKAGE__->_factory(
    [ qw(        HostRoleNameOrId
        ObjectNameOrId
        Verbose

    ) ],
    {
        'HostRoleNameOrId' => \%HostRoleNameOrId_of,
        'ObjectNameOrId' => \%ObjectNameOrId_of,
        'Verbose' => \%Verbose_of,
    },
    {
        'HostRoleNameOrId' => 'MyTypes::AccessObjectNameOrId',
        'ObjectNameOrId' => 'MyTypes::ObjNameOrId',
        'Verbose' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
    },
    {

        'HostRoleNameOrId' => 'HostRoleNameOrId',
        'ObjectNameOrId' => 'ObjectNameOrId',
        'Verbose' => 'Verbose',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::HostRoleListIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
HostRoleListIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * HostRoleNameOrId

 $element->set_HostRoleNameOrId($data);
 $element->get_HostRoleNameOrId();




=item * ObjectNameOrId

 $element->set_ObjectNameOrId($data);
 $element->get_ObjectNameOrId();




=item * Verbose

 $element->set_Verbose($data);
 $element->get_Verbose();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::HostRoleListIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   HostRoleNameOrId => $some_value, # AccessObjectNameOrId
   ObjectNameOrId => $some_value, # ObjNameOrId
   Verbose =>  $some_value, # boolean
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

