
package MyElements::HostRoleModify;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('HostRoleModify');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %HostRole_of :ATTR(:get<HostRole>);

__PACKAGE__->_factory(
    [ qw(        HostRole

    ) ],
    {
        'HostRole' => \%HostRole_of,
    },
    {
        'HostRole' => 'MyTypes::WrapperOfHostRoleInfo',
    },
    {

        'HostRole' => 'HostRole',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::HostRoleModify

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
HostRoleModify from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * HostRole

 $element->set_HostRole($data);
 $element->get_HostRole();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::HostRoleModify->new($data);

Constructor. The following data structure may be passed to new():

 {
   HostRole =>  { # MyTypes::WrapperOfHostRoleInfo
     HostRoleInfo =>  { # MyTypes::HostRoleInfo
       Capabilities =>  { # MyTypes::ArrayOfCapability
         Capability => $some_value, # Capability
       },
       Description => $some_value, # AccessObjectDescription
       HostId => $some_value, # ObjId
       HostName => $some_value, # ObjName
       HostRoleId => $some_value, # AccessObjectId
       HostRoleName => $some_value, # AccessObjectName
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

