
package MyElements::HostRolePush;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('HostRolePush');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %HostNameOrId_of :ATTR(:get<HostNameOrId>);
my %HostRoleNameOrId_of :ATTR(:get<HostRoleNameOrId>);

__PACKAGE__->_factory(
    [ qw(        HostNameOrId
        HostRoleNameOrId

    ) ],
    {
        'HostNameOrId' => \%HostNameOrId_of,
        'HostRoleNameOrId' => \%HostRoleNameOrId_of,
    },
    {
        'HostNameOrId' => 'MyTypes::ObjNameOrId',
        'HostRoleNameOrId' => 'MyTypes::AccessObjectNameOrId',
    },
    {

        'HostNameOrId' => 'HostNameOrId',
        'HostRoleNameOrId' => 'HostRoleNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::HostRolePush

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
HostRolePush from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * HostNameOrId

 $element->set_HostNameOrId($data);
 $element->get_HostNameOrId();




=item * HostRoleNameOrId

 $element->set_HostRoleNameOrId($data);
 $element->get_HostRoleNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::HostRolePush->new($data);

Constructor. The following data structure may be passed to new():

 {
   HostNameOrId => $some_value, # ObjNameOrId
   HostRoleNameOrId => $some_value, # AccessObjectNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

