
package MyElements::HostUserListIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('HostUserListIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %HostUsers_of :ATTR(:get<HostUsers>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        HostUsers
        Records

    ) ],
    {
        'HostUsers' => \%HostUsers_of,
        'Records' => \%Records_of,
    },
    {
        'HostUsers' => 'MyTypes::ArrayOfHostUserInfo',

        'Records' => 'MyElements::HostUserListIterNextResult::_Records',
    },
    {

        'HostUsers' => 'HostUsers',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::HostUserListIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::HostUserListIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
HostUserListIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * HostUsers

 $element->set_HostUsers($data);
 $element->get_HostUsers();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::HostUserListIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   HostUsers =>  { # MyTypes::ArrayOfHostUserInfo
     HostUserInfo =>  { # MyTypes::HostUserInfo
       Capabilities =>  { # MyTypes::ArrayOfCapability
         Capability => $some_value, # Capability
       },
       Description => $some_value, # AccessObjectDescription
       FullName =>  $some_value, # string
       HostId => $some_value, # ObjId
       HostName => $some_value, # ObjName
       HostRoleIds =>  { # MyTypes::ArrayOfHostRoleId
         HostRoleId => $some_value, # HostRoleId
       },
       HostRoleNames =>  { # MyTypes::ArrayOfHostRoleName
         HostRoleName => $some_value, # HostRoleName
       },
       HostUserId => $some_value, # AccessObjectId
       HostUserName => $some_value, # AccessObjectName
       HostUsergroupIds =>  { # MyTypes::ArrayOfHostUsergroupId
         HostUsergroupId => $some_value, # HostUsergroupId
       },
       HostUsergroupNames =>  { # MyTypes::ArrayOfHostUsergroupName
         HostUsergroupName => $some_value, # HostUsergroupName
       },
       MaximumPasswordAge =>  $some_value, # unsignedInt
       MinimumPasswordAge =>  $some_value, # unsignedInt
       Password => $some_value, # HostUserPassword
       Status =>  $some_value, # string
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

