
package MyElements::HostUserModifyPassword;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('HostUserModifyPassword');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %HostNameOrId_of :ATTR(:get<HostNameOrId>);
my %HostUserNameOrId_of :ATTR(:get<HostUserNameOrId>);
my %NewPassword_of :ATTR(:get<NewPassword>);
my %OldPassword_of :ATTR(:get<OldPassword>);

__PACKAGE__->_factory(
    [ qw(        HostNameOrId
        HostUserNameOrId
        NewPassword
        OldPassword

    ) ],
    {
        'HostNameOrId' => \%HostNameOrId_of,
        'HostUserNameOrId' => \%HostUserNameOrId_of,
        'NewPassword' => \%NewPassword_of,
        'OldPassword' => \%OldPassword_of,
    },
    {
        'HostNameOrId' => 'MyTypes::ObjNameOrId',
        'HostUserNameOrId' => 'MyTypes::AccessObjectNameOrId',
        'NewPassword' => 'MyTypes::HostUserPassword',
        'OldPassword' => 'MyTypes::HostUserPassword',
    },
    {

        'HostNameOrId' => 'HostNameOrId',
        'HostUserNameOrId' => 'HostUserNameOrId',
        'NewPassword' => 'NewPassword',
        'OldPassword' => 'OldPassword',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::HostUserModifyPassword

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
HostUserModifyPassword from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * HostNameOrId

 $element->set_HostNameOrId($data);
 $element->get_HostNameOrId();




=item * HostUserNameOrId

 $element->set_HostUserNameOrId($data);
 $element->get_HostUserNameOrId();




=item * NewPassword

 $element->set_NewPassword($data);
 $element->get_NewPassword();




=item * OldPassword

 $element->set_OldPassword($data);
 $element->get_OldPassword();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::HostUserModifyPassword->new($data);

Constructor. The following data structure may be passed to new():

 {
   HostNameOrId => $some_value, # ObjNameOrId
   HostUserNameOrId => $some_value, # AccessObjectNameOrId
   NewPassword => $some_value, # HostUserPassword
   OldPassword => $some_value, # HostUserPassword
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

