
package MyElements::HostUsergroupListIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('HostUsergroupListIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %HostUsergroups_of :ATTR(:get<HostUsergroups>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        HostUsergroups
        Records

    ) ],
    {
        'HostUsergroups' => \%HostUsergroups_of,
        'Records' => \%Records_of,
    },
    {
        'HostUsergroups' => 'MyTypes::ArrayOfHostUsergroupInfo',

        'Records' => 'MyElements::HostUsergroupListIterNextResult::_Records',
    },
    {

        'HostUsergroups' => 'HostUsergroups',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::HostUsergroupListIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::HostUsergroupListIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
HostUsergroupListIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * HostUsergroups

 $element->set_HostUsergroups($data);
 $element->get_HostUsergroups();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::HostUsergroupListIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   HostUsergroups =>  { # MyTypes::ArrayOfHostUsergroupInfo
     HostUsergroupInfo =>  { # MyTypes::HostUsergroupInfo
       Capabilities =>  { # MyTypes::ArrayOfCapability
         Capability => $some_value, # Capability
       },
       Description =>  $some_value, # string
       HostId => $some_value, # ObjId
       HostName => $some_value, # ObjName
       HostRoleIds =>  { # MyTypes::ArrayOfHostRoleId
         HostRoleId => $some_value, # HostRoleId
       },
       HostRoleNames =>  { # MyTypes::ArrayOfHostRoleName
         HostRoleName => $some_value, # HostRoleName
       },
       HostUsergroupId => $some_value, # AccessObjectId
       HostUsergroupName => $some_value, # UsergroupName
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

