
package MyElements::IfcListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('IfcListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Ifcs_of :ATTR(:get<Ifcs>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        Ifcs
        Records

    ) ],
    {
        'Ifcs' => \%Ifcs_of,
        'Records' => \%Records_of,
    },
    {
        'Ifcs' => 'MyTypes::ArrayOfIfcInfo',

        'Records' => 'MyElements::IfcListInfoIterNextResult::_Records',
    },
    {

        'Ifcs' => 'Ifcs',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::IfcListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::IfcListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
IfcListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Ifcs

 $element->set_Ifcs($data);
 $element->get_Ifcs();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::IfcListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Ifcs =>  { # MyTypes::ArrayOfIfcInfo
     IfcInfo =>  { # MyTypes::IfcInfo
       HostId => $some_value, # ObjId
       HostName =>  $some_value, # string
       IfcId => $some_value, # ObjId
       IfcName => $some_value, # ObjName
       IpAddress =>  $some_value, # string
       IpAddressType =>  $some_value, # string
       Ipspace =>  $some_value, # string
       IsVlanCapable =>  $some_value, # boolean
       MtuSize =>  $some_value, # integer
       Netmask =>  $some_value, # string
       PartnerInterfaceId => $some_value, # ObjId
       PartnerInterfaceName => $some_value, # ObjFullName
       PrefixLength => $some_value, # atomic
       Status =>  $some_value, # string
       Type =>  $some_value, # string
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

