
package MyElements::LdapServerListInfoResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('LdapServerListInfoResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %LdapServers_of :ATTR(:get<LdapServers>);

__PACKAGE__->_factory(
    [ qw(        LdapServers

    ) ],
    {
        'LdapServers' => \%LdapServers_of,
    },
    {
        'LdapServers' => 'MyTypes::ArrayOfLdapServerInfo',
    },
    {

        'LdapServers' => 'LdapServers',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::LdapServerListInfoResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
LdapServerListInfoResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * LdapServers

 $element->set_LdapServers($data);
 $element->get_LdapServers();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::LdapServerListInfoResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   LdapServers =>  { # MyTypes::ArrayOfLdapServerInfo
     LdapServerInfo =>  { # MyTypes::LdapServerInfo
       LastFailedTime => $some_value, # Timestamp
       LastUsedTime => $some_value, # Timestamp
       LdapServer =>  { # MyTypes::LdapServer
         LdapServerAddr => $some_value, # NetworkAddress
         LdapServerPort => $some_value, # atomic
       },
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

