
package MyElements::LunListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('LunListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Luns_of :ATTR(:get<Luns>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        Luns
        Records

    ) ],
    {
        'Luns' => \%Luns_of,
        'Records' => \%Records_of,
    },
    {
        'Luns' => 'MyTypes::ArrayOfLunInfo',

        'Records' => 'MyElements::LunListInfoIterNextResult::_Records',
    },
    {

        'Luns' => 'Luns',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::LunListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::LunListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
LunListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Luns

 $element->set_Luns($data);
 $element->get_Luns();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::LunListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Luns =>  { # MyTypes::ArrayOfLunInfo
     LunInfo =>  { # MyTypes::LunInfo
       HostId => $some_value, # ObjId
       HostName => $some_value, # ObjName
       Igroups =>  { # MyTypes::ArrayOfIgroupReference
         IgroupReference =>  { # MyTypes::IgroupReference
           IgroupId => $some_value, # ObjId
           IgroupName => $some_value, # ObjName
         },
       },
       IsLunSpaceReserved =>  $some_value, # boolean
       LunId => $some_value, # ObjId
       LunPath => $some_value, # ObjName
       LunSerialNumber =>  $some_value, # string
       LunSize => $some_value, # atomic
       LunUsedSpace => $some_value, # atomic
       ObjectPerfStatus => $some_value, # ObjStatus
       ObjectStatus => $some_value, # ObjStatus
       QtreeId => $some_value, # ObjId
       QtreeName => $some_value, # ObjName
       VolumeId => $some_value, # ObjId
       VolumeName => $some_value, # ObjName
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

