
package MyElements::MigrateFix;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('MigrateFix');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DatasetNameOrId_of :ATTR(:get<DatasetNameOrId>);
my %ObjectNameOrId_of :ATTR(:get<ObjectNameOrId>);

__PACKAGE__->_factory(
    [ qw(        DatasetNameOrId
        ObjectNameOrId

    ) ],
    {
        'DatasetNameOrId' => \%DatasetNameOrId_of,
        'ObjectNameOrId' => \%ObjectNameOrId_of,
    },
    {
        'DatasetNameOrId' => 'MyTypes::ObjNameOrId',
        'ObjectNameOrId' => 'MyTypes::ObjNameOrId',
    },
    {

        'DatasetNameOrId' => 'DatasetNameOrId',
        'ObjectNameOrId' => 'ObjectNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::MigrateFix

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
MigrateFix from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DatasetNameOrId

 $element->set_DatasetNameOrId($data);
 $element->get_DatasetNameOrId();




=item * ObjectNameOrId

 $element->set_ObjectNameOrId($data);
 $element->get_ObjectNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::MigrateFix->new($data);

Constructor. The following data structure may be passed to new():

 {
   DatasetNameOrId => $some_value, # ObjNameOrId
   ObjectNameOrId => $some_value, # ObjNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

