
package MyElements::NetifIpInterfaceListInfoResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('NetifIpInterfaceListInfoResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Interfaces_of :ATTR(:get<Interfaces>);

__PACKAGE__->_factory(
    [ qw(        Interfaces

    ) ],
    {
        'Interfaces' => \%Interfaces_of,
    },
    {
        'Interfaces' => 'MyTypes::ArrayOfNetifIpInterfaceInfo',
    },
    {

        'Interfaces' => 'Interfaces',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::NetifIpInterfaceListInfoResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
NetifIpInterfaceListInfoResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Interfaces

 $element->set_Interfaces($data);
 $element->get_Interfaces();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::NetifIpInterfaceListInfoResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Interfaces =>  { # MyTypes::ArrayOfNetifIpInterfaceInfo
     NetifIpInterfaceInfo =>  { # MyTypes::NetifIpInterfaceInfo
       AdministrativeStatus =>  $some_value, # string
       BytesIn => $some_value, # atomic
       BytesOut => $some_value, # atomic
       DiscardsIn => $some_value, # atomic
       DiscardsOut => $some_value, # atomic
       ErrorsIn => $some_value, # atomic
       ErrorsOut => $some_value, # atomic
       IpAddresses =>  { # MyTypes::ArrayOfString
         String =>  $some_value, # string
       },
       Name =>  $some_value, # string
       OperationalStatus =>  $some_value, # string
       PacketsIn => $some_value, # atomic
       PacketsOut => $some_value, # atomic
       PhysicalAddress =>  $some_value, # string
       Speed =>  $some_value, # unsignedInt
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

