
package MyElements::PerfCounterGroupGetDynamicDataSourcesResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('PerfCounterGroupGetDynamicDataSourcesResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DataSources_of :ATTR(:get<DataSources>);

__PACKAGE__->_factory(
    [ qw(        DataSources

    ) ],
    {
        'DataSources' => \%DataSources_of,
    },
    {
        'DataSources' => 'MyTypes::ArrayOfPerfDataSource',
    },
    {

        'DataSources' => 'DataSources',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::PerfCounterGroupGetDynamicDataSourcesResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
PerfCounterGroupGetDynamicDataSourcesResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DataSources

 $element->set_DataSources($data);
 $element->get_DataSources();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::PerfCounterGroupGetDynamicDataSourcesResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   DataSources =>  { # MyTypes::ArrayOfPerfDataSource
     PerfDataSource =>  { # MyTypes::PerfDataSource
       ApplianceNameOrId =>  $some_value, # string
       CounterName =>  $some_value, # string
       GroupNameOrId =>  $some_value, # string
       InstanceName =>  $some_value, # string
       LabelNames =>  $some_value, # string
       ObjectFullName => $some_value, # ObjFullName
       ObjectName =>  $some_value, # string
       ObjectNameOrId => $some_value, # ObjNameOrId
       ObjectType =>  $some_value, # string
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

