
package MyElements::PerfCounterGroupListIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('PerfCounterGroupListIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ApplianceNameOrId_of :ATTR(:get<ApplianceNameOrId>);
my %CounterGroupName_of :ATTR(:get<CounterGroupName>);
my %CustomOnly_of :ATTR(:get<CustomOnly>);
my %GroupNameOrId_of :ATTR(:get<GroupNameOrId>);
my %MetaDataOnly_of :ATTR(:get<MetaDataOnly>);

__PACKAGE__->_factory(
    [ qw(        ApplianceNameOrId
        CounterGroupName
        CustomOnly
        GroupNameOrId
        MetaDataOnly

    ) ],
    {
        'ApplianceNameOrId' => \%ApplianceNameOrId_of,
        'CounterGroupName' => \%CounterGroupName_of,
        'CustomOnly' => \%CustomOnly_of,
        'GroupNameOrId' => \%GroupNameOrId_of,
        'MetaDataOnly' => \%MetaDataOnly_of,
    },
    {
        'ApplianceNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'CounterGroupName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'CustomOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'GroupNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'MetaDataOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
    },
    {

        'ApplianceNameOrId' => 'ApplianceNameOrId',
        'CounterGroupName' => 'CounterGroupName',
        'CustomOnly' => 'CustomOnly',
        'GroupNameOrId' => 'GroupNameOrId',
        'MetaDataOnly' => 'MetaDataOnly',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::PerfCounterGroupListIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
PerfCounterGroupListIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ApplianceNameOrId

 $element->set_ApplianceNameOrId($data);
 $element->get_ApplianceNameOrId();




=item * CounterGroupName

 $element->set_CounterGroupName($data);
 $element->get_CounterGroupName();




=item * CustomOnly

 $element->set_CustomOnly($data);
 $element->get_CustomOnly();




=item * GroupNameOrId

 $element->set_GroupNameOrId($data);
 $element->get_GroupNameOrId();




=item * MetaDataOnly

 $element->set_MetaDataOnly($data);
 $element->get_MetaDataOnly();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::PerfCounterGroupListIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   ApplianceNameOrId =>  $some_value, # string
   CounterGroupName =>  $some_value, # string
   CustomOnly =>  $some_value, # boolean
   GroupNameOrId =>  $some_value, # string
   MetaDataOnly =>  $some_value, # boolean
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

