
package MyElements::PerfDiagTroubleshoot;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('PerfDiagTroubleshoot');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Duration_of :ATTR(:get<Duration>);
my %EndTime_of :ATTR(:get<EndTime>);
my %ObjectNameOrId_of :ATTR(:get<ObjectNameOrId>);
my %StartTime_of :ATTR(:get<StartTime>);

__PACKAGE__->_factory(
    [ qw(        Duration
        EndTime
        ObjectNameOrId
        StartTime

    ) ],
    {
        'Duration' => \%Duration_of,
        'EndTime' => \%EndTime_of,
        'ObjectNameOrId' => \%ObjectNameOrId_of,
        'StartTime' => \%StartTime_of,
    },
    {
        'Duration' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
        'EndTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::unsignedInt',
        'ObjectNameOrId' => 'MyTypes::ObjNameOrId',
        'StartTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::unsignedInt',
    },
    {

        'Duration' => 'Duration',
        'EndTime' => 'EndTime',
        'ObjectNameOrId' => 'ObjectNameOrId',
        'StartTime' => 'StartTime',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::PerfDiagTroubleshoot

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
PerfDiagTroubleshoot from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Duration

 $element->set_Duration($data);
 $element->get_Duration();




=item * EndTime

 $element->set_EndTime($data);
 $element->get_EndTime();




=item * ObjectNameOrId

 $element->set_ObjectNameOrId($data);
 $element->get_ObjectNameOrId();




=item * StartTime

 $element->set_StartTime($data);
 $element->get_StartTime();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::PerfDiagTroubleshoot->new($data);

Constructor. The following data structure may be passed to new():

 {
   Duration =>  $some_value, # integer
   EndTime =>  $some_value, # unsignedInt
   ObjectNameOrId => $some_value, # ObjNameOrId
   StartTime =>  $some_value, # unsignedInt
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

