
package MyElements::PerfDisableDataCollection;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('PerfDisableDataCollection');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %IsAsync_of :ATTR(:get<IsAsync>);
my %IsPersistent_of :ATTR(:get<IsPersistent>);

__PACKAGE__->_factory(
    [ qw(        IsAsync
        IsPersistent

    ) ],
    {
        'IsAsync' => \%IsAsync_of,
        'IsPersistent' => \%IsPersistent_of,
    },
    {
        'IsAsync' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'IsPersistent' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
    },
    {

        'IsAsync' => 'IsAsync',
        'IsPersistent' => 'IsPersistent',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::PerfDisableDataCollection

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
PerfDisableDataCollection from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * IsAsync

 $element->set_IsAsync($data);
 $element->get_IsAsync();




=item * IsPersistent

 $element->set_IsPersistent($data);
 $element->get_IsPersistent();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::PerfDisableDataCollection->new($data);

Constructor. The following data structure may be passed to new():

 {
   IsAsync =>  $some_value, # boolean
   IsPersistent =>  $some_value, # boolean
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

