
package MyElements::PerfObjectCounterListInfo;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('PerfObjectCounterListInfo');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ApplianceNameOrId_of :ATTR(:get<ApplianceNameOrId>);
my %IncludeCalculatedStats_of :ATTR(:get<IncludeCalculatedStats>);
my %ObjectName_of :ATTR(:get<ObjectName>);

__PACKAGE__->_factory(
    [ qw(        ApplianceNameOrId
        IncludeCalculatedStats
        ObjectName

    ) ],
    {
        'ApplianceNameOrId' => \%ApplianceNameOrId_of,
        'IncludeCalculatedStats' => \%IncludeCalculatedStats_of,
        'ObjectName' => \%ObjectName_of,
    },
    {
        'ApplianceNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'IncludeCalculatedStats' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'ObjectName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'ApplianceNameOrId' => 'ApplianceNameOrId',
        'IncludeCalculatedStats' => 'IncludeCalculatedStats',
        'ObjectName' => 'ObjectName',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::PerfObjectCounterListInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
PerfObjectCounterListInfo from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ApplianceNameOrId

 $element->set_ApplianceNameOrId($data);
 $element->get_ApplianceNameOrId();




=item * IncludeCalculatedStats

 $element->set_IncludeCalculatedStats($data);
 $element->get_IncludeCalculatedStats();




=item * ObjectName

 $element->set_ObjectName($data);
 $element->get_ObjectName();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::PerfObjectCounterListInfo->new($data);

Constructor. The following data structure may be passed to new():

 {
   ApplianceNameOrId =>  $some_value, # string
   IncludeCalculatedStats =>  $some_value, # boolean
   ObjectName =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

