
package MyElements::PerfObjectCounterListInfoResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('PerfObjectCounterListInfoResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Counters_of :ATTR(:get<Counters>);

__PACKAGE__->_factory(
    [ qw(        Counters

    ) ],
    {
        'Counters' => \%Counters_of,
    },
    {
        'Counters' => 'MyTypes::ArrayOfPerfCounter',
    },
    {

        'Counters' => 'Counters',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::PerfObjectCounterListInfoResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
PerfObjectCounterListInfoResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Counters

 $element->set_Counters($data);
 $element->get_Counters();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::PerfObjectCounterListInfoResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Counters =>  { # MyTypes::ArrayOfPerfCounter
     PerfCounter =>  { # MyTypes::PerfCounter
       BaseCounter =>  $some_value, # string
       Desc =>  $some_value, # string
       IsDisplay =>  $some_value, # boolean
       Labels =>  { # MyTypes::ArrayOfPerfLabel
         PerfLabel =>  { # MyTypes::PerfLabel
           LabelNames =>  $some_value, # string
         },
       },
       Name =>  $some_value, # string
       PrivilegeLevel =>  $some_value, # string
       Properties =>  $some_value, # string
       Type =>  $some_value, # string
       Unit =>  $some_value, # string
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

