
package MyElements::PerfObjectDependentCounterListInfoResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('PerfObjectDependentCounterListInfoResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DependentCounters_of :ATTR(:get<DependentCounters>);

__PACKAGE__->_factory(
    [ qw(        DependentCounters

    ) ],
    {
        'DependentCounters' => \%DependentCounters_of,
    },
    {
        'DependentCounters' => 'MyTypes::ArrayOfPerfDependentCounterInfo',
    },
    {

        'DependentCounters' => 'DependentCounters',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::PerfObjectDependentCounterListInfoResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
PerfObjectDependentCounterListInfoResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DependentCounters

 $element->set_DependentCounters($data);
 $element->get_DependentCounters();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::PerfObjectDependentCounterListInfoResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   DependentCounters =>  { # MyTypes::ArrayOfPerfDependentCounterInfo
     PerfDependentCounterInfo =>  { # MyTypes::PerfDependentCounterInfo
       CounterName =>  $some_value, # string
       ObjectCounters =>  { # MyTypes::ArrayOfPerfObjectCounter
         PerfObjectCounter =>  { # MyTypes::PerfObjectCounter
           CounterDescription =>  $some_value, # string
           CounterName =>  $some_value, # string
           IsCalculatedStats =>  $some_value, # boolean
           LabelNames =>  $some_value, # string
           Metrics =>  { # MyTypes::ArrayOfMetric
             Metric =>  { # MyTypes::Metric
               Id =>  $some_value, # string
               MetricResult =>  $some_value, # string
               Period => $some_value, # atomic
               Slide =>  $some_value, # string
               Type =>  $some_value, # string
               Value =>  $some_value, # string
             },
           },
           ObjectType =>  $some_value, # string
           PerfLabels =>  { # MyTypes::ArrayOfPerfLabel
             PerfLabel =>  { # MyTypes::PerfLabel
               LabelNames =>  $some_value, # string
             },
           },
           TimeConsolidationMethod =>  $some_value, # string
         },
       },
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

