
package MyElements::PerfObjectInstanceListIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('PerfObjectInstanceListIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Instances_of :ATTR(:get<Instances>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        Instances
        Records

    ) ],
    {
        'Instances' => \%Instances_of,
        'Records' => \%Records_of,
    },
    {
        'Instances' => 'MyTypes::ArrayOfPerfInstance',

        'Records' => 'MyElements::PerfObjectInstanceListIterNextResult::_Records',
    },
    {

        'Instances' => 'Instances',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::PerfObjectInstanceListIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::PerfObjectInstanceListIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
PerfObjectInstanceListIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Instances

 $element->set_Instances($data);
 $element->get_Instances();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::PerfObjectInstanceListIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Instances =>  { # MyTypes::ArrayOfPerfInstance
     PerfInstance =>  { # MyTypes::PerfInstance
       InstanceName =>  $some_value, # string
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

