
package MyElements::PerfThresholdTemplateDetachObjects;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('PerfThresholdTemplateDetachObjects');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Objects_of :ATTR(:get<Objects>);
my %TemplateNameOrId_of :ATTR(:get<TemplateNameOrId>);

__PACKAGE__->_factory(
    [ qw(        Objects
        TemplateNameOrId

    ) ],
    {
        'Objects' => \%Objects_of,
        'TemplateNameOrId' => \%TemplateNameOrId_of,
    },
    {
        'Objects' => 'MyTypes::ArrayOfObjectInfo',
        'TemplateNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'Objects' => 'Objects',
        'TemplateNameOrId' => 'TemplateNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::PerfThresholdTemplateDetachObjects

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
PerfThresholdTemplateDetachObjects from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Objects

 $element->set_Objects($data);
 $element->get_Objects();




=item * TemplateNameOrId

 $element->set_TemplateNameOrId($data);
 $element->get_TemplateNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::PerfThresholdTemplateDetachObjects->new($data);

Constructor. The following data structure may be passed to new():

 {
   Objects =>  { # MyTypes::ArrayOfObjectInfo
     ObjectInfo =>  { # MyTypes::ObjectInfo
       ObjectFullName => $some_value, # ObjFullName
       ObjectId => $some_value, # ObjId
       ObjectName => $some_value, # ObjName
       ObjectType =>  $some_value, # string
     },
   },
   TemplateNameOrId =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

