
package MyElements::PerfThresholdTemplateListInfoIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('PerfThresholdTemplateListInfoIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %IncludeObjects_of :ATTR(:get<IncludeObjects>);
my %IncludeThresholds_of :ATTR(:get<IncludeThresholds>);
my %TemplateNameOrId_of :ATTR(:get<TemplateNameOrId>);

__PACKAGE__->_factory(
    [ qw(        IncludeObjects
        IncludeThresholds
        TemplateNameOrId

    ) ],
    {
        'IncludeObjects' => \%IncludeObjects_of,
        'IncludeThresholds' => \%IncludeThresholds_of,
        'TemplateNameOrId' => \%TemplateNameOrId_of,
    },
    {
        'IncludeObjects' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'IncludeThresholds' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'TemplateNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'IncludeObjects' => 'IncludeObjects',
        'IncludeThresholds' => 'IncludeThresholds',
        'TemplateNameOrId' => 'TemplateNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::PerfThresholdTemplateListInfoIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
PerfThresholdTemplateListInfoIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * IncludeObjects

 $element->set_IncludeObjects($data);
 $element->get_IncludeObjects();




=item * IncludeThresholds

 $element->set_IncludeThresholds($data);
 $element->get_IncludeThresholds();




=item * TemplateNameOrId

 $element->set_TemplateNameOrId($data);
 $element->get_TemplateNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::PerfThresholdTemplateListInfoIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   IncludeObjects =>  $some_value, # boolean
   IncludeThresholds =>  $some_value, # boolean
   TemplateNameOrId =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

