
package MyElements::PerfViewGetDataResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('PerfViewGetDataResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %CounterData_of :ATTR(:get<CounterData>);
my %DynamicData_of :ATTR(:get<DynamicData>);
my %Unit_of :ATTR(:get<Unit>);

__PACKAGE__->_factory(
    [ qw(        CounterData
        DynamicData
        Unit

    ) ],
    {
        'CounterData' => \%CounterData_of,
        'DynamicData' => \%DynamicData_of,
        'Unit' => \%Unit_of,
    },
    {
        'CounterData' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'DynamicData' => 'MyTypes::ArrayOfDynamicData',
        'Unit' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'CounterData' => 'CounterData',
        'DynamicData' => 'DynamicData',
        'Unit' => 'Unit',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::PerfViewGetDataResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
PerfViewGetDataResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * CounterData

 $element->set_CounterData($data);
 $element->get_CounterData();




=item * DynamicData

 $element->set_DynamicData($data);
 $element->get_DynamicData();




=item * Unit

 $element->set_Unit($data);
 $element->get_Unit();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::PerfViewGetDataResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   CounterData =>  $some_value, # string
   DynamicData =>  { # MyTypes::ArrayOfDynamicData
     DynamicData =>  { # MyTypes::DynamicData
       Hostname => $some_value, # ObjName
       InstanceName =>  { # MyTypes::WrapperOfPerfInstance
         PerfInstance =>  { # MyTypes::PerfInstance
           InstanceName =>  $some_value, # string
         },
       },
       ObjId => $some_value, # ObjId
       Value =>  $some_value, # string
     },
   },
   Unit =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

