
package MyElements::PerfViewListIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('PerfViewListIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ApplianceNameOrId_of :ATTR(:get<ApplianceNameOrId>);
my %CustomOnly_of :ATTR(:get<CustomOnly>);
my %GroupNameOrId_of :ATTR(:get<GroupNameOrId>);
my %IncludeEmptyViews_of :ATTR(:get<IncludeEmptyViews>);
my %InstanceName_of :ATTR(:get<InstanceName>);
my %ObjectName_of :ATTR(:get<ObjectName>);
my %ViewName_of :ATTR(:get<ViewName>);

__PACKAGE__->_factory(
    [ qw(        ApplianceNameOrId
        CustomOnly
        GroupNameOrId
        IncludeEmptyViews
        InstanceName
        ObjectName
        ViewName

    ) ],
    {
        'ApplianceNameOrId' => \%ApplianceNameOrId_of,
        'CustomOnly' => \%CustomOnly_of,
        'GroupNameOrId' => \%GroupNameOrId_of,
        'IncludeEmptyViews' => \%IncludeEmptyViews_of,
        'InstanceName' => \%InstanceName_of,
        'ObjectName' => \%ObjectName_of,
        'ViewName' => \%ViewName_of,
    },
    {
        'ApplianceNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'CustomOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'GroupNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'IncludeEmptyViews' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'InstanceName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'ObjectName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'ViewName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'ApplianceNameOrId' => 'ApplianceNameOrId',
        'CustomOnly' => 'CustomOnly',
        'GroupNameOrId' => 'GroupNameOrId',
        'IncludeEmptyViews' => 'IncludeEmptyViews',
        'InstanceName' => 'InstanceName',
        'ObjectName' => 'ObjectName',
        'ViewName' => 'ViewName',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::PerfViewListIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
PerfViewListIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ApplianceNameOrId

 $element->set_ApplianceNameOrId($data);
 $element->get_ApplianceNameOrId();




=item * CustomOnly

 $element->set_CustomOnly($data);
 $element->get_CustomOnly();




=item * GroupNameOrId

 $element->set_GroupNameOrId($data);
 $element->get_GroupNameOrId();




=item * IncludeEmptyViews

 $element->set_IncludeEmptyViews($data);
 $element->get_IncludeEmptyViews();




=item * InstanceName

 $element->set_InstanceName($data);
 $element->get_InstanceName();




=item * ObjectName

 $element->set_ObjectName($data);
 $element->get_ObjectName();




=item * ViewName

 $element->set_ViewName($data);
 $element->get_ViewName();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::PerfViewListIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   ApplianceNameOrId =>  $some_value, # string
   CustomOnly =>  $some_value, # boolean
   GroupNameOrId =>  $some_value, # string
   IncludeEmptyViews =>  $some_value, # boolean
   InstanceName =>  $some_value, # string
   ObjectName =>  $some_value, # string
   ViewName =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

