
package MyElements::PerfViewObjectAssociationAdd;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('PerfViewObjectAssociationAdd');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ObjectNameOrId_of :ATTR(:get<ObjectNameOrId>);
my %ViewName_of :ATTR(:get<ViewName>);

__PACKAGE__->_factory(
    [ qw(        ObjectNameOrId
        ViewName

    ) ],
    {
        'ObjectNameOrId' => \%ObjectNameOrId_of,
        'ViewName' => \%ViewName_of,
    },
    {
        'ObjectNameOrId' => 'MyTypes::ObjNameOrId',
        'ViewName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'ObjectNameOrId' => 'ObjectNameOrId',
        'ViewName' => 'ViewName',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::PerfViewObjectAssociationAdd

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
PerfViewObjectAssociationAdd from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ObjectNameOrId

 $element->set_ObjectNameOrId($data);
 $element->get_ObjectNameOrId();




=item * ViewName

 $element->set_ViewName($data);
 $element->get_ViewName();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::PerfViewObjectAssociationAdd->new($data);

Constructor. The following data structure may be passed to new():

 {
   ObjectNameOrId => $some_value, # ObjNameOrId
   ViewName =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

