
package MyElements::ProvisioningPolicyCopy;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ProvisioningPolicyCopy');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ProvisioningPolicyDescription_of :ATTR(:get<ProvisioningPolicyDescription>);
my %ProvisioningPolicyName_of :ATTR(:get<ProvisioningPolicyName>);
my %SourcePolicyNameOrId_of :ATTR(:get<SourcePolicyNameOrId>);

__PACKAGE__->_factory(
    [ qw(        ProvisioningPolicyDescription
        ProvisioningPolicyName
        SourcePolicyNameOrId

    ) ],
    {
        'ProvisioningPolicyDescription' => \%ProvisioningPolicyDescription_of,
        'ProvisioningPolicyName' => \%ProvisioningPolicyName_of,
        'SourcePolicyNameOrId' => \%SourcePolicyNameOrId_of,
    },
    {
        'ProvisioningPolicyDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'ProvisioningPolicyName' => 'MyTypes::ObjName',
        'SourcePolicyNameOrId' => 'MyTypes::ObjNameOrId',
    },
    {

        'ProvisioningPolicyDescription' => 'ProvisioningPolicyDescription',
        'ProvisioningPolicyName' => 'ProvisioningPolicyName',
        'SourcePolicyNameOrId' => 'SourcePolicyNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ProvisioningPolicyCopy

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ProvisioningPolicyCopy from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ProvisioningPolicyDescription

 $element->set_ProvisioningPolicyDescription($data);
 $element->get_ProvisioningPolicyDescription();




=item * ProvisioningPolicyName

 $element->set_ProvisioningPolicyName($data);
 $element->get_ProvisioningPolicyName();




=item * SourcePolicyNameOrId

 $element->set_SourcePolicyNameOrId($data);
 $element->get_SourcePolicyNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ProvisioningPolicyCopy->new($data);

Constructor. The following data structure may be passed to new():

 {
   ProvisioningPolicyDescription =>  $some_value, # string
   ProvisioningPolicyName => $some_value, # ObjName
   SourcePolicyNameOrId => $some_value, # ObjNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

