
package MyElements::RbacAdminListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('RbacAdminListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Admins_of :ATTR(:get<Admins>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        Admins
        Records

    ) ],
    {
        'Admins' => \%Admins_of,
        'Records' => \%Records_of,
    },
    {
        'Admins' => 'MyTypes::ArrayOfAdminInfo',

        'Records' => 'MyElements::RbacAdminListInfoIterNextResult::_Records',
    },
    {

        'Admins' => 'Admins',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::RbacAdminListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::RbacAdminListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
RbacAdminListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Admins

 $element->set_Admins($data);
 $element->get_Admins();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::RbacAdminListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Admins =>  { # MyTypes::ArrayOfAdminInfo
     AdminInfo =>  { # MyTypes::AdminInfo
       AdminId =>  $some_value, # integer
       AdminName =>  $some_value, # string
       EmailAddress =>  $some_value, # string
       PagerAddress =>  $some_value, # string
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

