
package MyElements::RbacOperationAdd;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('RbacOperationAdd');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Operation_of :ATTR(:get<Operation>);

__PACKAGE__->_factory(
    [ qw(        Operation

    ) ],
    {
        'Operation' => \%Operation_of,
    },
    {
        'Operation' => 'MyTypes::WrapperOfRbacOperation',
    },
    {

        'Operation' => 'Operation',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::RbacOperationAdd

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
RbacOperationAdd from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Operation

 $element->set_Operation($data);
 $element->get_Operation();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::RbacOperationAdd->new($data);

Constructor. The following data structure may be passed to new():

 {
   Operation =>  { # MyTypes::WrapperOfRbacOperation
     RbacOperation =>  { # MyTypes::RbacOperation
       OperationName =>  $some_value, # string
       OperationNameDetails =>  { # MyTypes::WrapperOfRbacOperationNameDetails
         RbacOperationNameDetails =>  { # MyTypes::RbacOperationNameDetails
           OperationDescription =>  $some_value, # string
           OperationSynopsis =>  $some_value, # string
           ResourceType =>  $some_value, # string
         },
       },
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

