
package MyElements::RbacRoleAdminInfoList;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('RbacRoleAdminInfoList');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %AdminNameOrId_of :ATTR(:get<AdminNameOrId>);
my %FollowRoleInheritance_of :ATTR(:get<FollowRoleInheritance>);

__PACKAGE__->_factory(
    [ qw(        AdminNameOrId
        FollowRoleInheritance

    ) ],
    {
        'AdminNameOrId' => \%AdminNameOrId_of,
        'FollowRoleInheritance' => \%FollowRoleInheritance_of,
    },
    {
        'AdminNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'FollowRoleInheritance' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
    },
    {

        'AdminNameOrId' => 'AdminNameOrId',
        'FollowRoleInheritance' => 'FollowRoleInheritance',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::RbacRoleAdminInfoList

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
RbacRoleAdminInfoList from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * AdminNameOrId

 $element->set_AdminNameOrId($data);
 $element->get_AdminNameOrId();




=item * FollowRoleInheritance

 $element->set_FollowRoleInheritance($data);
 $element->get_FollowRoleInheritance();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::RbacRoleAdminInfoList->new($data);

Constructor. The following data structure may be passed to new():

 {
   AdminNameOrId =>  $some_value, # string
   FollowRoleInheritance =>  $some_value, # boolean
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

