
package MyElements::RbacRoleDisinherit;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('RbacRoleDisinherit');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DisinheritAll_of :ATTR(:get<DisinheritAll>);
my %DisinheritedRoleNameOrId_of :ATTR(:get<DisinheritedRoleNameOrId>);
my %RoleNameOrId_of :ATTR(:get<RoleNameOrId>);

__PACKAGE__->_factory(
    [ qw(        DisinheritAll
        DisinheritedRoleNameOrId
        RoleNameOrId

    ) ],
    {
        'DisinheritAll' => \%DisinheritAll_of,
        'DisinheritedRoleNameOrId' => \%DisinheritedRoleNameOrId_of,
        'RoleNameOrId' => \%RoleNameOrId_of,
    },
    {
        'DisinheritAll' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'DisinheritedRoleNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'RoleNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'DisinheritAll' => 'DisinheritAll',
        'DisinheritedRoleNameOrId' => 'DisinheritedRoleNameOrId',
        'RoleNameOrId' => 'RoleNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::RbacRoleDisinherit

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
RbacRoleDisinherit from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DisinheritAll

 $element->set_DisinheritAll($data);
 $element->get_DisinheritAll();




=item * DisinheritedRoleNameOrId

 $element->set_DisinheritedRoleNameOrId($data);
 $element->get_DisinheritedRoleNameOrId();




=item * RoleNameOrId

 $element->set_RoleNameOrId($data);
 $element->get_RoleNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::RbacRoleDisinherit->new($data);

Constructor. The following data structure may be passed to new():

 {
   DisinheritAll =>  $some_value, # boolean
   DisinheritedRoleNameOrId =>  $some_value, # string
   RoleNameOrId =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

