
package MyElements::RbacRoleModify;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('RbacRoleModify');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %RoleDescriptionNew_of :ATTR(:get<RoleDescriptionNew>);
my %RoleNameNew_of :ATTR(:get<RoleNameNew>);
my %RoleNameOrIdOld_of :ATTR(:get<RoleNameOrIdOld>);

__PACKAGE__->_factory(
    [ qw(        RoleDescriptionNew
        RoleNameNew
        RoleNameOrIdOld

    ) ],
    {
        'RoleDescriptionNew' => \%RoleDescriptionNew_of,
        'RoleNameNew' => \%RoleNameNew_of,
        'RoleNameOrIdOld' => \%RoleNameOrIdOld_of,
    },
    {
        'RoleDescriptionNew' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'RoleNameNew' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'RoleNameOrIdOld' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'RoleDescriptionNew' => 'RoleDescriptionNew',
        'RoleNameNew' => 'RoleNameNew',
        'RoleNameOrIdOld' => 'RoleNameOrIdOld',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::RbacRoleModify

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
RbacRoleModify from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * RoleDescriptionNew

 $element->set_RoleDescriptionNew($data);
 $element->get_RoleDescriptionNew();




=item * RoleNameNew

 $element->set_RoleNameNew($data);
 $element->get_RoleNameNew();




=item * RoleNameOrIdOld

 $element->set_RoleNameOrIdOld($data);
 $element->get_RoleNameOrIdOld();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::RbacRoleModify->new($data);

Constructor. The following data structure may be passed to new():

 {
   RoleDescriptionNew =>  $some_value, # string
   RoleNameNew =>  $some_value, # string
   RoleNameOrIdOld =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

