
package MyElements::ReportDesignerList;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ReportDesignerList');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %CategoryNameOrId_of :ATTR(:get<CategoryNameOrId>);
my %ReportProvenance_of :ATTR(:get<ReportProvenance>);

__PACKAGE__->_factory(
    [ qw(        CategoryNameOrId
        ReportProvenance

    ) ],
    {
        'CategoryNameOrId' => \%CategoryNameOrId_of,
        'ReportProvenance' => \%ReportProvenance_of,
    },
    {
        'CategoryNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'ReportProvenance' => 'MyTypes::ReportProvenance',
    },
    {

        'CategoryNameOrId' => 'CategoryNameOrId',
        'ReportProvenance' => 'ReportProvenance',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ReportDesignerList

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ReportDesignerList from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * CategoryNameOrId

 $element->set_CategoryNameOrId($data);
 $element->get_CategoryNameOrId();




=item * ReportProvenance

 $element->set_ReportProvenance($data);
 $element->get_ReportProvenance();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ReportDesignerList->new($data);

Constructor. The following data structure may be passed to new():

 {
   CategoryNameOrId =>  $some_value, # string
   ReportProvenance => $some_value, # ReportProvenance
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

