
package MyElements::ReportListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ReportListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Records_of :ATTR(:get<Records>);
my %ReportList_of :ATTR(:get<ReportList>);

__PACKAGE__->_factory(
    [ qw(        Records
        ReportList

    ) ],
    {
        'Records' => \%Records_of,
        'ReportList' => \%ReportList_of,
    },
    {

        'Records' => 'MyElements::ReportListInfoIterNextResult::_Records',
        'ReportList' => 'MyTypes::ArrayOfReportInfo',
    },
    {

        'Records' => 'Records',
        'ReportList' => 'ReportList',
    }
);

} # end BLOCK




package MyElements::ReportListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ReportListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ReportListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Records

 $element->set_Records($data);
 $element->get_Records();




=item * ReportList

 $element->set_ReportList($data);
 $element->get_ReportList();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ReportListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Records => $some_value, # atomic
   ReportList =>  { # MyTypes::ArrayOfReportInfo
     ReportInfo =>  { # MyTypes::ReportInfo
       DeprecatedBy =>  $some_value, # string
       Description =>  $some_value, # string
       DisplayTab =>  $some_value, # string
       IsDeprecated =>  $some_value, # boolean
       OutputFormatList =>  { # MyTypes::ArrayOfReportOutputFormat
         ReportOutputFormat => $some_value, # ReportOutputFormat
       },
       RbacOperation =>  $some_value, # string
       ReportApplication => $some_value, # ReportApplication
       ReportId => $some_value, # atomic
       ReportName =>  $some_value, # string
       ReportPrettyName =>  $some_value, # string
       ReportType =>  $some_value, # string
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

