
package MyElements::ReportListInfoIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ReportListInfoIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ReportApplication_of :ATTR(:get<ReportApplication>);
my %ReportNameOrId_of :ATTR(:get<ReportNameOrId>);
my %ReportType_of :ATTR(:get<ReportType>);

__PACKAGE__->_factory(
    [ qw(        ReportApplication
        ReportNameOrId
        ReportType

    ) ],
    {
        'ReportApplication' => \%ReportApplication_of,
        'ReportNameOrId' => \%ReportNameOrId_of,
        'ReportType' => \%ReportType_of,
    },
    {
        'ReportApplication' => 'MyTypes::ReportApplication',
        'ReportNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'ReportType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'ReportApplication' => 'ReportApplication',
        'ReportNameOrId' => 'ReportNameOrId',
        'ReportType' => 'ReportType',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ReportListInfoIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ReportListInfoIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ReportApplication

 $element->set_ReportApplication($data);
 $element->get_ReportApplication();




=item * ReportNameOrId

 $element->set_ReportNameOrId($data);
 $element->get_ReportNameOrId();




=item * ReportType

 $element->set_ReportType($data);
 $element->get_ReportType();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ReportListInfoIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   ReportApplication => $some_value, # ReportApplication
   ReportNameOrId =>  $some_value, # string
   ReportType =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

