
package MyElements::ReportOutputReadResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ReportOutputReadResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %FileData_of :ATTR(:get<FileData>);
my %Length_of :ATTR(:get<Length>);
my %OutputFormat_of :ATTR(:get<OutputFormat>);

__PACKAGE__->_factory(
    [ qw(        FileData
        Length
        OutputFormat

    ) ],
    {
        'FileData' => \%FileData_of,
        'Length' => \%Length_of,
        'OutputFormat' => \%OutputFormat_of,
    },
    {
        'FileData' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'Length' => 'MyElements::ReportOutputReadResult::_Length',
        'OutputFormat' => 'MyTypes::ReportOutputFormat',
    },
    {

        'FileData' => 'FileData',
        'Length' => 'Length',
        'OutputFormat' => 'OutputFormat',
    }
);

} # end BLOCK




package MyElements::ReportOutputReadResult::_Length;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ReportOutputReadResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ReportOutputReadResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * FileData

 $element->set_FileData($data);
 $element->get_FileData();




=item * Length

 $element->set_Length($data);
 $element->get_Length();




=item * OutputFormat

 $element->set_OutputFormat($data);
 $element->get_OutputFormat();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ReportOutputReadResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   FileData =>  $some_value, # string
   Length => $some_value, # atomic
   OutputFormat => $some_value, # ReportOutputFormat
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

