
package MyElements::ReportScheduleAdd;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ReportScheduleAdd');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ReportScheduleInfo_of :ATTR(:get<ReportScheduleInfo>);

__PACKAGE__->_factory(
    [ qw(        ReportScheduleInfo

    ) ],
    {
        'ReportScheduleInfo' => \%ReportScheduleInfo_of,
    },
    {
        'ReportScheduleInfo' => 'MyTypes::ReportScheduleInfo',
    },
    {

        'ReportScheduleInfo' => 'ReportScheduleInfo',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ReportScheduleAdd

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ReportScheduleAdd from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ReportScheduleInfo

 $element->set_ReportScheduleInfo($data);
 $element->get_ReportScheduleInfo();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ReportScheduleAdd->new($data);

Constructor. The following data structure may be passed to new():

 {
   ReportScheduleInfo =>  { # MyTypes::ReportScheduleInfo
     ArchivalFormat => $some_value, # ReportOutputFormat
     EmailAddressList => $some_value, # EmailAddressList
     GraphName =>  $some_value, # string
     IncludeDeletedObjects =>  $some_value, # boolean
     ReportApplication => $some_value, # ReportApplication
     ReportNameOrId =>  $some_value, # string
     ReportScheduleName => $some_value, # ObjName
     SaveAllFields =>  $some_value, # boolean
     ScheduleNameOrId => $some_value, # ObjNameOrId
     TargetObjectNameOrId => $some_value, # ObjNameOrId
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

