
package MyElements::ResourcepoolRemoveMember;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ResourcepoolRemoveMember');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %MemberNameOrId_of :ATTR(:get<MemberNameOrId>);
my %ResourcepoolNameOrId_of :ATTR(:get<ResourcepoolNameOrId>);

__PACKAGE__->_factory(
    [ qw(        MemberNameOrId
        ResourcepoolNameOrId

    ) ],
    {
        'MemberNameOrId' => \%MemberNameOrId_of,
        'ResourcepoolNameOrId' => \%ResourcepoolNameOrId_of,
    },
    {
        'MemberNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'ResourcepoolNameOrId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'MemberNameOrId' => 'MemberNameOrId',
        'ResourcepoolNameOrId' => 'ResourcepoolNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ResourcepoolRemoveMember

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ResourcepoolRemoveMember from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * MemberNameOrId

 $element->set_MemberNameOrId($data);
 $element->get_MemberNameOrId();




=item * ResourcepoolNameOrId

 $element->set_ResourcepoolNameOrId($data);
 $element->get_ResourcepoolNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ResourcepoolRemoveMember->new($data);

Constructor. The following data structure may be passed to new():

 {
   MemberNameOrId =>  $some_value, # string
   ResourcepoolNameOrId =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

