
package MyElements::SnapshotGetReclaimableInfo;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('SnapshotGetReclaimableInfo');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Snapshots_of :ATTR(:get<Snapshots>);
my %VolumeNameOrId_of :ATTR(:get<VolumeNameOrId>);

__PACKAGE__->_factory(
    [ qw(        Snapshots
        VolumeNameOrId

    ) ],
    {
        'Snapshots' => \%Snapshots_of,
        'VolumeNameOrId' => \%VolumeNameOrId_of,
    },
    {
        'Snapshots' => 'MyTypes::ArrayOfSnapshot',
        'VolumeNameOrId' => 'MyTypes::ObjNameOrId',
    },
    {

        'Snapshots' => 'Snapshots',
        'VolumeNameOrId' => 'VolumeNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::SnapshotGetReclaimableInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
SnapshotGetReclaimableInfo from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Snapshots

 $element->set_Snapshots($data);
 $element->get_Snapshots();




=item * VolumeNameOrId

 $element->set_VolumeNameOrId($data);
 $element->get_VolumeNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::SnapshotGetReclaimableInfo->new($data);

Constructor. The following data structure may be passed to new():

 {
   Snapshots =>  { # MyTypes::ArrayOfSnapshot
     Snapshot =>  { # MyTypes::Snapshot
       SnapshotName =>  $some_value, # string
       UniqueId =>  $some_value, # string
     },
   },
   VolumeNameOrId => $some_value, # ObjNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

