
package MyElements::StorageServiceDatasetListIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('StorageServiceDatasetListIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Records_of :ATTR(:get<Records>);
my %StorageServiceDatasetsInfo_of :ATTR(:get<StorageServiceDatasetsInfo>);

__PACKAGE__->_factory(
    [ qw(        Records
        StorageServiceDatasetsInfo

    ) ],
    {
        'Records' => \%Records_of,
        'StorageServiceDatasetsInfo' => \%StorageServiceDatasetsInfo_of,
    },
    {
        'Records' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
        'StorageServiceDatasetsInfo' => 'MyTypes::ArrayOfStorageServiceDatasetInfo',
    },
    {

        'Records' => 'Records',
        'StorageServiceDatasetsInfo' => 'StorageServiceDatasetsInfo',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::StorageServiceDatasetListIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
StorageServiceDatasetListIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Records

 $element->set_Records($data);
 $element->get_Records();




=item * StorageServiceDatasetsInfo

 $element->set_StorageServiceDatasetsInfo($data);
 $element->get_StorageServiceDatasetsInfo();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::StorageServiceDatasetListIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Records =>  $some_value, # integer
   StorageServiceDatasetsInfo =>  { # MyTypes::ArrayOfStorageServiceDatasetInfo
     StorageServiceDatasetInfo =>  { # MyTypes::StorageServiceDatasetInfo
       DatasetId => $some_value, # ObjId
       DatasetName => $some_value, # ObjName
       StorageServiceId => $some_value, # ObjId
       StorageServiceName => $some_value, # ObjName
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

