
package MyElements::StorageServiceDestroy;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('StorageServiceDestroy');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Force_of :ATTR(:get<Force>);
my %StorageServiceNameOrId_of :ATTR(:get<StorageServiceNameOrId>);

__PACKAGE__->_factory(
    [ qw(        Force
        StorageServiceNameOrId

    ) ],
    {
        'Force' => \%Force_of,
        'StorageServiceNameOrId' => \%StorageServiceNameOrId_of,
    },
    {
        'Force' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'StorageServiceNameOrId' => 'MyTypes::ObjNameOrId',
    },
    {

        'Force' => 'Force',
        'StorageServiceNameOrId' => 'StorageServiceNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::StorageServiceDestroy

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
StorageServiceDestroy from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Force

 $element->set_Force($data);
 $element->get_Force();




=item * StorageServiceNameOrId

 $element->set_StorageServiceNameOrId($data);
 $element->get_StorageServiceNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::StorageServiceDestroy->new($data);

Constructor. The following data structure may be passed to new():

 {
   Force =>  $some_value, # boolean
   StorageServiceNameOrId => $some_value, # ObjNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

