
package MyElements::UserFavoriteReportListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('UserFavoriteReportListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Favorites_of :ATTR(:get<Favorites>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        Favorites
        Records

    ) ],
    {
        'Favorites' => \%Favorites_of,
        'Records' => \%Records_of,
    },
    {
        'Favorites' => 'MyTypes::ArrayOfUserReportInfo',

        'Records' => 'MyElements::UserFavoriteReportListInfoIterNextResult::_Records',
    },
    {

        'Favorites' => 'Favorites',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::UserFavoriteReportListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::UserFavoriteReportListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
UserFavoriteReportListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Favorites

 $element->set_Favorites($data);
 $element->get_Favorites();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::UserFavoriteReportListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Favorites =>  { # MyTypes::ArrayOfUserReportInfo
     UserReportInfo =>  { # MyTypes::UserReportInfo
       Count =>  $some_value, # integer
       UserName =>  $some_value, # string
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

