
package MyElements::VfilerTemplateListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('VfilerTemplateListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Records_of :ATTR(:get<Records>);
my %VfilerTemplates_of :ATTR(:get<VfilerTemplates>);

__PACKAGE__->_factory(
    [ qw(        Records
        VfilerTemplates

    ) ],
    {
        'Records' => \%Records_of,
        'VfilerTemplates' => \%VfilerTemplates_of,
    },
    {
        'Records' => 'SOAP::WSDL::XSD::Typelib::Builtin::integer',
        'VfilerTemplates' => 'MyTypes::ArrayOfVfilerTemplateInfo',
    },
    {

        'Records' => 'Records',
        'VfilerTemplates' => 'VfilerTemplates',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::VfilerTemplateListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
VfilerTemplateListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Records

 $element->set_Records($data);
 $element->get_Records();




=item * VfilerTemplates

 $element->set_VfilerTemplates($data);
 $element->get_VfilerTemplates();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::VfilerTemplateListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Records =>  $some_value, # integer
   VfilerTemplates =>  { # MyTypes::ArrayOfVfilerTemplateInfo
     VfilerTemplateInfo =>  { # MyTypes::VfilerTemplateInfo
       AdministrativeHostIpAddress => $some_value, # IpAddress
       CifsAuthType =>  $some_value, # string
       CifsDomain =>  $some_value, # string
       CifsSecurityStyle =>  $some_value, # string
       Description =>  $some_value, # string
       DnsDomain =>  $some_value, # string
       DnsServers =>  { # MyTypes::ArrayOfIpAddress
         IpAddress => $some_value, # IpAddress
       },
       NisDomain =>  $some_value, # string
       NisServers =>  { # MyTypes::ArrayOfIpAddress
         IpAddress => $some_value, # IpAddress
       },
       VfilerTemplateId => $some_value, # ObjId
       VfilerTemplateName => $some_value, # ObjName
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

