
package MyElements::ViDatacenterListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ViDatacenterListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Datacenters_of :ATTR(:get<Datacenters>);
my %Records_of :ATTR(:get<Records>);

__PACKAGE__->_factory(
    [ qw(        Datacenters
        Records

    ) ],
    {
        'Datacenters' => \%Datacenters_of,
        'Records' => \%Records_of,
    },
    {
        'Datacenters' => 'MyTypes::ArrayOfDatacenter',

        'Records' => 'MyElements::ViDatacenterListInfoIterNextResult::_Records',
    },
    {

        'Datacenters' => 'Datacenters',
        'Records' => 'Records',
    }
);

} # end BLOCK




package MyElements::ViDatacenterListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ViDatacenterListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ViDatacenterListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Datacenters

 $element->set_Datacenters($data);
 $element->get_Datacenters();




=item * Records

 $element->set_Records($data);
 $element->get_Records();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ViDatacenterListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Datacenters =>  { # MyTypes::ArrayOfDatacenter
     Datacenter =>  { # MyTypes::Datacenter
       DatacenterId => $some_value, # ObjId
       DatacenterName => $some_value, # ObjName
       Datasets =>  { # MyTypes::ArrayOfDatasetReference
         DatasetReference =>  { # MyTypes::DatasetReference
           DatasetId => $some_value, # ObjId
           DatasetName => $some_value, # ObjName
         },
       },
       DeletedBy =>  $some_value, # string
       DeletedTimestamp => $some_value, # DpTimestamp
       HostServiceId => $some_value, # ObjId
       IsProtected =>  $some_value, # boolean
       VirtualCenterReference =>  { # MyTypes::VirtualCenterReference
         VirtualCenterId => $some_value, # ObjId
         VirtualCenterName => $some_value, # ObjName
       },
     },
   },
   Records => $some_value, # atomic
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

