
package MyElements::ViDatacenterListInfoIterStart;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ViDatacenterListInfoIterStart');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %IncludeDeleted_of :ATTR(:get<IncludeDeleted>);
my %IsUnprotected_of :ATTR(:get<IsUnprotected>);
my %ObjNameOrId_of :ATTR(:get<ObjNameOrId>);

__PACKAGE__->_factory(
    [ qw(        IncludeDeleted
        IsUnprotected
        ObjNameOrId

    ) ],
    {
        'IncludeDeleted' => \%IncludeDeleted_of,
        'IsUnprotected' => \%IsUnprotected_of,
        'ObjNameOrId' => \%ObjNameOrId_of,
    },
    {
        'IncludeDeleted' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'IsUnprotected' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
        'ObjNameOrId' => 'MyTypes::ObjNameOrId',
    },
    {

        'IncludeDeleted' => 'IncludeDeleted',
        'IsUnprotected' => 'IsUnprotected',
        'ObjNameOrId' => 'ObjNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ViDatacenterListInfoIterStart

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ViDatacenterListInfoIterStart from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * IncludeDeleted

 $element->set_IncludeDeleted($data);
 $element->get_IncludeDeleted();




=item * IsUnprotected

 $element->set_IsUnprotected($data);
 $element->get_IsUnprotected();




=item * ObjNameOrId

 $element->set_ObjNameOrId($data);
 $element->get_ObjNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ViDatacenterListInfoIterStart->new($data);

Constructor. The following data structure may be passed to new():

 {
   IncludeDeleted =>  $some_value, # boolean
   IsUnprotected =>  $some_value, # boolean
   ObjNameOrId => $some_value, # ObjNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

