
package MyElements::ViVirtualDiskListInfoIterNextResult;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('ViVirtualDiskListInfoIterNextResult');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Records_of :ATTR(:get<Records>);
my %VirtualDisks_of :ATTR(:get<VirtualDisks>);

__PACKAGE__->_factory(
    [ qw(        Records
        VirtualDisks

    ) ],
    {
        'Records' => \%Records_of,
        'VirtualDisks' => \%VirtualDisks_of,
    },
    {

        'Records' => 'MyElements::ViVirtualDiskListInfoIterNextResult::_Records',
        'VirtualDisks' => 'MyTypes::ArrayOfVirtualDisk',
    },
    {

        'Records' => 'Records',
        'VirtualDisks' => 'VirtualDisks',
    }
);

} # end BLOCK




package MyElements::ViVirtualDiskListInfoIterNextResult::_Records;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}





} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::ViVirtualDiskListInfoIterNextResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
ViVirtualDiskListInfoIterNextResult from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Records

 $element->set_Records($data);
 $element->get_Records();




=item * VirtualDisks

 $element->set_VirtualDisks($data);
 $element->get_VirtualDisks();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::ViVirtualDiskListInfoIterNextResult->new($data);

Constructor. The following data structure may be passed to new():

 {
   Records => $some_value, # atomic
   VirtualDisks =>  { # MyTypes::ArrayOfVirtualDisk
     VirtualDisk =>  { # MyTypes::VirtualDisk
       DatastoreId => $some_value, # ObjId
       DatastoreName => $some_value, # ObjName
       DeletedBy =>  $some_value, # string
       DeletedTimestamp => $some_value, # DpTimestamp
       HostServiceId => $some_value, # ObjId
       VhdType =>  $some_value, # string
       VirtualDiskId => $some_value, # ObjId
       VirtualDiskName => $some_value, # ObjName
       VirtualInfrastructureType => $some_value, # VirtualInfrastructureType
       VirtualMachineId => $some_value, # ObjId
       VirtualMachineName => $some_value, # ObjName
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

