
package MyElements::VolumeDedupe;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.netapp.com/management/v1' }

__PACKAGE__->__set_name('VolumeDedupe');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DedupeRequestInfo_of :ATTR(:get<DedupeRequestInfo>);
my %VolumeNameOrId_of :ATTR(:get<VolumeNameOrId>);

__PACKAGE__->_factory(
    [ qw(        DedupeRequestInfo
        VolumeNameOrId

    ) ],
    {
        'DedupeRequestInfo' => \%DedupeRequestInfo_of,
        'VolumeNameOrId' => \%VolumeNameOrId_of,
    },
    {
        'DedupeRequestInfo' => 'MyTypes::DedupeRequestInfo',
        'VolumeNameOrId' => 'MyTypes::ObjNameOrId',
    },
    {

        'DedupeRequestInfo' => 'DedupeRequestInfo',
        'VolumeNameOrId' => 'VolumeNameOrId',
    }
);

} # end BLOCK






} # end of BLOCK



1;


=pod

=head1 NAME

MyElements::VolumeDedupe

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
VolumeDedupe from the namespace http://www.netapp.com/management/v1.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DedupeRequestInfo

 $element->set_DedupeRequestInfo($data);
 $element->get_DedupeRequestInfo();




=item * VolumeNameOrId

 $element->set_VolumeNameOrId($data);
 $element->get_VolumeNameOrId();





=back


=head1 METHODS

=head2 new

 my $element = MyElements::VolumeDedupe->new($data);

Constructor. The following data structure may be passed to new():

 {
   DedupeRequestInfo =>  { # MyTypes::DedupeRequestInfo
     FullVolumeDedupe =>  $some_value, # boolean
   },
   VolumeNameOrId => $some_value, # ObjNameOrId
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

