package MyTypes::ArrayOfAlarmInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %AlarmInfo_of :ATTR(:get<AlarmInfo>);

__PACKAGE__->_factory(
    [ qw(        AlarmInfo

    ) ],
    {
        'AlarmInfo' => \%AlarmInfo_of,
    },
    {
        'AlarmInfo' => 'MyTypes::AlarmInfo',
    },
    {

        'AlarmInfo' => 'AlarmInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfAlarmInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfAlarmInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * AlarmInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfAlarmInfo
   AlarmInfo =>  { # MyTypes::AlarmInfo
     AdminLoginNames =>  { # MyTypes::ArrayOfAdminName
       AdminName => $some_value, # AdminName
     },
     AlarmId => $some_value, # atomic
     AlarmScript =>  $some_value, # string
     AlarmScriptRunas =>  $some_value, # string
     EmailAddresses =>  { # MyTypes::ArrayOfEmailAddress
       EmailAddress => $some_value, # EmailAddress
     },
     EventClass =>  $some_value, # string
     EventName =>  $some_value, # string
     EventSeverity => $some_value, # ObjStatus
     GroupId => $some_value, # atomic
     GroupName =>  $some_value, # string
     IsDisabled =>  $some_value, # boolean
     IsRepeatNotify =>  $some_value, # boolean
     PagerAdminLoginNames =>  { # MyTypes::ArrayOfAdminName
       AdminName => $some_value, # AdminName
     },
     PagerEmailAddresses =>  { # MyTypes::ArrayOfEmailAddress
       EmailAddress => $some_value, # EmailAddress
     },
     RepeatInterval => $some_value, # atomic
     TimeFrom => $some_value, # atomic
     TimeTo => $some_value, # atomic
     TrapDestinations =>  { # MyTypes::ArrayOfTrapDestination
       TrapDestination =>  { # MyTypes::TrapDestination
         TrapCommunity =>  $some_value, # string
         TrapHost =>  $some_value, # string
         TrapPort => $some_value, # atomic
       },
     },
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

