package MyTypes::ArrayOfApplicationBackupInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ApplicationBackupInfo_of :ATTR(:get<ApplicationBackupInfo>);

__PACKAGE__->_factory(
    [ qw(        ApplicationBackupInfo

    ) ],
    {
        'ApplicationBackupInfo' => \%ApplicationBackupInfo_of,
    },
    {
        'ApplicationBackupInfo' => 'MyTypes::ApplicationBackupInfo',
    },
    {

        'ApplicationBackupInfo' => 'ApplicationBackupInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfApplicationBackupInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfApplicationBackupInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ApplicationBackupInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfApplicationBackupInfo
   ApplicationBackupInfo =>  { # MyTypes::ApplicationBackupInfo
     ApplicationBackupProperties =>  { # MyTypes::ArrayOfPropertyInfo
       PropertyInfo =>  { # MyTypes::PropertyInfo
         PropertyName =>  $some_value, # string
         PropertyValue =>  $some_value, # string
       },
     },
     ApplicationResourceNamespace => $some_value, # ApplicationResourceNamespace
     BackupGraphInfo =>  { # MyTypes::BackupGraphInfo
       GraphEdges =>  { # MyTypes::ArrayOfBackupGraphEdgeInfo
         BackupGraphEdgeInfo =>  { # MyTypes::BackupGraphEdgeInfo
           FromResourceId => $some_value, # ObjId
           ToResourceId => $some_value, # ObjId
         },
       },
       GraphResources =>  { # MyTypes::ArrayOfBackupGraphResourceInfo
         BackupGraphResourceInfo =>  { # MyTypes::BackupGraphResourceInfo
           ApplicationResourceProperties =>  { # MyTypes::ArrayOfPropertyInfo
             PropertyInfo =>  { # MyTypes::PropertyInfo
               PropertyName =>  $some_value, # string
               PropertyValue =>  $some_value, # string
             },
           },
           HostServiceObjectId => $some_value, # HostServiceUniqueId
           IsRestorable =>  $some_value, # boolean
           ObjectId => $some_value, # ObjId
           ObjectName => $some_value, # ObjName
           ObjectNameWhenBackedUp => $some_value, # ObjName
           ResourceType => $some_value, # ApplicationObjectType
           Snapshots =>  { # MyTypes::ArrayOfSnapshotMemberInfo
             SnapshotMemberInfo =>  { # MyTypes::SnapshotMemberInfo
               PrimaryId => $some_value, # ObjId
               PrimaryName => $some_value, # ObjName
               PrimarySnapshotHostServiceId =>  $some_value, # string
               PrimarySnapshotName =>  $some_value, # string
               PrimarySnapshotUniqueId =>  $some_value, # string
               SecondaryQtreeId => $some_value, # ObjId
               SecondaryQtreeName =>  $some_value, # string
               SecondaryQtreeNameOrId =>  $some_value, # string
             },
           },
         },
       },
     },
     HostServiceBackupId => $some_value, # HostServiceUniqueId
     HostServiceId => $some_value, # ObjId
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

