package MyTypes::ArrayOfBackupLocationInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %BackupLocationInfo_of :ATTR(:get<BackupLocationInfo>);

__PACKAGE__->_factory(
    [ qw(        BackupLocationInfo

    ) ],
    {
        'BackupLocationInfo' => \%BackupLocationInfo_of,
    },
    {
        'BackupLocationInfo' => 'MyTypes::BackupLocationInfo',
    },
    {

        'BackupLocationInfo' => 'BackupLocationInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfBackupLocationInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfBackupLocationInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * BackupLocationInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfBackupLocationInfo
   BackupLocationInfo =>  { # MyTypes::BackupLocationInfo
     BackupId => $some_value, # atomic
     MemberId => $some_value, # ObjId
     MemberName => $some_value, # ObjName
     Path =>  $some_value, # string
     PathFound =>  $some_value, # boolean
     PrimarySnapshotName =>  $some_value, # string
     PrimarySnapshotUniqueId =>  $some_value, # string
     SecondaryQtreeId => $some_value, # ObjId
     SecondaryQtreeName => $some_value, # ObjName
     SnapshotName =>  $some_value, # string
     StorageSystemId => $some_value, # ObjId
     StorageSystemName => $some_value, # ObjName
     VolumeId => $some_value, # ObjId
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

