package MyTypes::ArrayOfConformanceRunResult;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ConformanceRunResult_of :ATTR(:get<ConformanceRunResult>);

__PACKAGE__->_factory(
    [ qw(        ConformanceRunResult

    ) ],
    {
        'ConformanceRunResult' => \%ConformanceRunResult_of,
    },
    {
        'ConformanceRunResult' => 'MyTypes::ConformanceRunResult',
    },
    {

        'ConformanceRunResult' => 'ConformanceRunResult',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfConformanceRunResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfConformanceRunResult from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ConformanceRunResult




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfConformanceRunResult
   ConformanceRunResult =>  { # MyTypes::ConformanceRunResult
     ConformanceJobId => $some_value, # ObjId
     ConformanceRunAction =>  $some_value, # string
     ConformanceRunEffect =>  $some_value, # string
     ConformanceRunReason =>  $some_value, # string
     ConformanceRunReasonDetails =>  { # MyTypes::ArrayOfResultDetail
       ResultDetail =>  { # MyTypes::ResultDetail
         Action =>  $some_value, # string
         Effect =>  $some_value, # string
         Reason =>  $some_value, # string
         Severity => $some_value, # ObjStatus
         Suggestion =>  $some_value, # string
       },
     },
     ConformanceRunSeverity => $some_value, # ObjStatus
     ConformanceRunSuggestion =>  $some_value, # string
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

