package MyTypes::ArrayOfDatasetIoMetricInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DatasetIoMetricInfo_of :ATTR(:get<DatasetIoMetricInfo>);

__PACKAGE__->_factory(
    [ qw(        DatasetIoMetricInfo

    ) ],
    {
        'DatasetIoMetricInfo' => \%DatasetIoMetricInfo_of,
    },
    {
        'DatasetIoMetricInfo' => 'MyTypes::DatasetIoMetricInfo',
    },
    {

        'DatasetIoMetricInfo' => 'DatasetIoMetricInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfDatasetIoMetricInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfDatasetIoMetricInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DatasetIoMetricInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfDatasetIoMetricInfo
   DatasetIoMetricInfo =>  { # MyTypes::DatasetIoMetricInfo
     DatasetNode =>  { # MyTypes::WrapperOfMetricDatasetNodeInfo
       MetricDatasetNodeInfo =>  { # MyTypes::MetricDatasetNodeInfo
         DatasetId => $some_value, # ObjId
         DatasetName => $some_value, # ObjName
         DeletedTimestamp => $some_value, # DpTimestamp
         DpNodeName => $some_value, # DpPolicyNodeName
         ProtectionPolicyName => $some_value, # ObjName
         ProvisioningPolicyName => $some_value, # ObjName
         StorageServiceName => $some_value, # ObjName
       },
     },
     IoMeasurement =>  { # MyTypes::IoMeasurement
       DataRead => $some_value, # atomic
       DataWritten => $some_value, # atomic
     },
     IsIoDataPartial =>  $some_value, # boolean
     IsOvercharge =>  $some_value, # boolean
     Timestamp => $some_value, # DpTimestamp
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

