package MyTypes::ArrayOfDpAgentInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DpAgentInfo_of :ATTR(:get<DpAgentInfo>);

__PACKAGE__->_factory(
    [ qw(        DpAgentInfo

    ) ],
    {
        'DpAgentInfo' => \%DpAgentInfo_of,
    },
    {
        'DpAgentInfo' => 'MyTypes::DpAgentInfo',
    },
    {

        'DpAgentInfo' => 'DpAgentInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfDpAgentInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfDpAgentInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DpAgentInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfDpAgentInfo
   DpAgentInfo =>  { # MyTypes::DpAgentInfo
     AdminPort =>  $some_value, # integer
     DpAgentId =>  $some_value, # integer
     DpAgentIpAddress =>  $some_value, # string
     DpAgentName =>  $some_value, # string
     DpAgentPlugins =>  { # MyTypes::ArrayOfDpAgentPluginInfo
       DpAgentPluginInfo =>  { # MyTypes::DpAgentPluginInfo
         PluginType =>  $some_value, # string
         PluginVersion =>  $some_value, # string
       },
     },
     DpAgentStatus =>  $some_value, # string
     DpAgentVersion =>  $some_value, # string
     LastDiscoveryStatus =>  $some_value, # string
     MgmtPort =>  $some_value, # integer
     NeedsUpgrade =>  $some_value, # string
     TimezoneInfo =>  { # MyTypes::TimezoneInfo
       TimezoneName =>  $some_value, # string
     },
     UpdateServicePort =>  $some_value, # integer
     UpdateServiceVersion =>  $some_value, # string
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

