package MyTypes::ArrayOfDpOssvDirectoryInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DpOssvDirectoryInfo_of :ATTR(:get<DpOssvDirectoryInfo>);

__PACKAGE__->_factory(
    [ qw(        DpOssvDirectoryInfo

    ) ],
    {
        'DpOssvDirectoryInfo' => \%DpOssvDirectoryInfo_of,
    },
    {
        'DpOssvDirectoryInfo' => 'MyTypes::DpOssvDirectoryInfo',
    },
    {

        'DpOssvDirectoryInfo' => 'DpOssvDirectoryInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfDpOssvDirectoryInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfDpOssvDirectoryInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DpOssvDirectoryInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfDpOssvDirectoryInfo
   DpOssvDirectoryInfo =>  { # MyTypes::DpOssvDirectoryInfo
     DatasetId =>  $some_value, # integer
     Datasets =>  { # MyTypes::ArrayOfDatasetReference
       DatasetReference =>  { # MyTypes::DatasetReference
         DatasetId => $some_value, # ObjId
         DatasetName => $some_value, # ObjName
       },
     },
     DirId => $some_value, # atomic
     HostId => $some_value, # atomic
     HostName =>  $some_value, # string
     IsAvailable =>  $some_value, # boolean
     IsBrowsable =>  $some_value, # boolean
     IsDpIgnored =>  $some_value, # boolean
     IsInBackupRelationship =>  $some_value, # boolean
     IsInDataset =>  $some_value, # boolean
     Path =>  $some_value, # string
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

