package MyTypes::ArrayOfDpPolicyConnectionInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DpPolicyConnectionInfo_of :ATTR(:get<DpPolicyConnectionInfo>);

__PACKAGE__->_factory(
    [ qw(        DpPolicyConnectionInfo

    ) ],
    {
        'DpPolicyConnectionInfo' => \%DpPolicyConnectionInfo_of,
    },
    {
        'DpPolicyConnectionInfo' => 'MyTypes::DpPolicyConnectionInfo',
    },
    {

        'DpPolicyConnectionInfo' => 'DpPolicyConnectionInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfDpPolicyConnectionInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfDpPolicyConnectionInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DpPolicyConnectionInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfDpPolicyConnectionInfo
   DpPolicyConnectionInfo =>  { # MyTypes::DpPolicyConnectionInfo
     BackupScheduleId => $some_value, # ObjId
     BackupScheduleName => $some_value, # ObjName
     FromNodeId => $some_value, # atomic
     FromNodeName =>  $some_value, # string
     Id => $some_value, # atomic
     IsDrCapable =>  $some_value, # boolean
     IsLagErrorEnabled =>  $some_value, # boolean
     IsLagWarningEnabled =>  $some_value, # boolean
     LagErrorThreshold => $some_value, # atomic
     LagWarningThreshold => $some_value, # atomic
     MirrorScheduleId => $some_value, # ObjId
     MirrorScheduleName => $some_value, # ObjName
     ThrottleScheduleId => $some_value, # ObjId
     ThrottleScheduleName => $some_value, # ObjName
     ToNodeId => $some_value, # atomic
     ToNodeName =>  $some_value, # string
     Type =>  $some_value, # string
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

