package MyTypes::ArrayOfDpPolicyNodeInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DpPolicyNodeInfo_of :ATTR(:get<DpPolicyNodeInfo>);

__PACKAGE__->_factory(
    [ qw(        DpPolicyNodeInfo

    ) ],
    {
        'DpPolicyNodeInfo' => \%DpPolicyNodeInfo_of,
    },
    {
        'DpPolicyNodeInfo' => 'MyTypes::DpPolicyNodeInfo',
    },
    {

        'DpPolicyNodeInfo' => 'DpPolicyNodeInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfDpPolicyNodeInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfDpPolicyNodeInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DpPolicyNodeInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfDpPolicyNodeInfo
   DpPolicyNodeInfo =>  { # MyTypes::DpPolicyNodeInfo
     BackupScriptPath =>  $some_value, # string
     BackupScriptRunAs =>  $some_value, # string
     DailyRetentionCount => $some_value, # atomic
     DailyRetentionDuration => $some_value, # atomic
     FailoverScriptPath =>  $some_value, # string
     FailoverScriptRunAs =>  $some_value, # string
     HourlyRetentionCount => $some_value, # atomic
     HourlyRetentionDuration => $some_value, # atomic
     Id => $some_value, # atomic
     IsLagErrorEnabled =>  $some_value, # boolean
     IsLagWarningEnabled =>  $some_value, # boolean
     LagErrorThreshold => $some_value, # atomic
     LagWarningThreshold => $some_value, # atomic
     MonthlyRetentionCount => $some_value, # atomic
     MonthlyRetentionDuration => $some_value, # atomic
     Name => $some_value, # DpPolicyNodeName
     SnapshotScheduleId => $some_value, # ObjId
     SnapshotScheduleName => $some_value, # ObjName
     WeeklyRetentionCount => $some_value, # atomic
     WeeklyRetentionDuration => $some_value, # atomic
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

