package MyTypes::ArrayOfDpScheduledJob;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DpScheduledJob_of :ATTR(:get<DpScheduledJob>);

__PACKAGE__->_factory(
    [ qw(        DpScheduledJob

    ) ],
    {
        'DpScheduledJob' => \%DpScheduledJob_of,
    },
    {
        'DpScheduledJob' => 'MyTypes::DpScheduledJob',
    },
    {

        'DpScheduledJob' => 'DpScheduledJob',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfDpScheduledJob

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfDpScheduledJob from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DpScheduledJob




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfDpScheduledJob
   DpScheduledJob =>  { # MyTypes::DpScheduledJob
     DatasetId => $some_value, # atomic
     DpLocalSnapshotJobData =>  { # MyTypes::DpLocalSnapshotJobData
       IsConfirmationData =>  $some_value, # boolean
       NodeId => $some_value, # atomic
       RetentionType => $some_value, # DpBackupRetentionType
     },
     DpSnapmirrorTransferJobData =>  { # MyTypes::DpSnapmirrorTransferJobData
       ConnectionId => $some_value, # atomic
       RetentionType => $some_value, # DpBackupRetentionType
     },
     DpSnapvaultTransferJobData =>  { # MyTypes::DpSnapvaultTransferJobData
       ConnectionId => $some_value, # atomic
       RetentionType => $some_value, # DpBackupRetentionType
     },
     ScheduledTime =>  $some_value, # integer
     StartTime =>  $some_value, # integer
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

