package MyTypes::ArrayOfMigrationDryRunResult;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %MigrationDryRunResult_of :ATTR(:get<MigrationDryRunResult>);

__PACKAGE__->_factory(
    [ qw(        MigrationDryRunResult

    ) ],
    {
        'MigrationDryRunResult' => \%MigrationDryRunResult_of,
    },
    {
        'MigrationDryRunResult' => 'MyTypes::MigrationDryRunResult',
    },
    {

        'MigrationDryRunResult' => 'MigrationDryRunResult',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfMigrationDryRunResult

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfMigrationDryRunResult from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * MigrationDryRunResult




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfMigrationDryRunResult
   MigrationDryRunResult =>  { # MyTypes::MigrationDryRunResult
     DryRunResults =>  { # MyTypes::ArrayOfDryRunResult
       DryRunResult =>  { # MyTypes::DryRunResult
         DryRunAction =>  $some_value, # string
         DryRunEffect =>  $some_value, # string
         DryRunReason =>  $some_value, # string
         DryRunReasonDetails =>  { # MyTypes::ArrayOfResultDetail
           ResultDetail =>  { # MyTypes::ResultDetail
             Action =>  $some_value, # string
             Effect =>  $some_value, # string
             Reason =>  $some_value, # string
             Severity => $some_value, # ObjStatus
             Suggestion =>  $some_value, # string
           },
         },
         DryRunSeverity => $some_value, # ObjStatus
         DryRunSuggestion =>  $some_value, # string
       },
     },
     VolumeId => $some_value, # ObjId
     VolumeName => $some_value, # ObjName
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

