package MyTypes::ArrayOfMissingMemberInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %MissingMemberInfo_of :ATTR(:get<MissingMemberInfo>);

__PACKAGE__->_factory(
    [ qw(        MissingMemberInfo

    ) ],
    {
        'MissingMemberInfo' => \%MissingMemberInfo_of,
    },
    {
        'MissingMemberInfo' => 'MyTypes::MissingMemberInfo',
    },
    {

        'MissingMemberInfo' => 'MissingMemberInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfMissingMemberInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfMissingMemberInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * MissingMemberInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfMissingMemberInfo
   MissingMemberInfo =>  { # MyTypes::MissingMemberInfo
     AggregateId => $some_value, # ObjId
     AggregateName => $some_value, # ObjName
     CifsShareNames =>  { # MyTypes::ArrayOfCifsShareName
       CifsShareName => $some_value, # CifsShareName
     },
     DeletedTimestamp => $some_value, # DpTimestamp
     HostId => $some_value, # ObjId
     Hostname => $some_value, # ObjName
     MemberId => $some_value, # ObjId
     MemberName => $some_value, # ObjName
     MemberType =>  $some_value, # string
     NfsExportName =>  $some_value, # string
     QuotaHardLimit => $some_value, # atomic
     QuotaSoftLimit => $some_value, # atomic
     SpaceGuarantee =>  $some_value, # string
     TotalSpace => $some_value, # atomic
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

