package MyTypes::ArrayOfNetifIpInterfaceInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %NetifIpInterfaceInfo_of :ATTR(:get<NetifIpInterfaceInfo>);

__PACKAGE__->_factory(
    [ qw(        NetifIpInterfaceInfo

    ) ],
    {
        'NetifIpInterfaceInfo' => \%NetifIpInterfaceInfo_of,
    },
    {
        'NetifIpInterfaceInfo' => 'MyTypes::NetifIpInterfaceInfo',
    },
    {

        'NetifIpInterfaceInfo' => 'NetifIpInterfaceInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfNetifIpInterfaceInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfNetifIpInterfaceInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * NetifIpInterfaceInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfNetifIpInterfaceInfo
   NetifIpInterfaceInfo =>  { # MyTypes::NetifIpInterfaceInfo
     AdministrativeStatus =>  $some_value, # string
     BytesIn => $some_value, # atomic
     BytesOut => $some_value, # atomic
     DiscardsIn => $some_value, # atomic
     DiscardsOut => $some_value, # atomic
     ErrorsIn => $some_value, # atomic
     ErrorsOut => $some_value, # atomic
     IpAddresses =>  { # MyTypes::ArrayOfString
       String =>  $some_value, # string
     },
     Name =>  $some_value, # string
     OperationalStatus =>  $some_value, # string
     PacketsIn => $some_value, # atomic
     PacketsOut => $some_value, # atomic
     PhysicalAddress =>  $some_value, # string
     Speed =>  $some_value, # unsignedInt
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

