package MyTypes::ArrayOfReportScheduleContentInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ReportScheduleContentInfo_of :ATTR(:get<ReportScheduleContentInfo>);

__PACKAGE__->_factory(
    [ qw(        ReportScheduleContentInfo

    ) ],
    {
        'ReportScheduleContentInfo' => \%ReportScheduleContentInfo_of,
    },
    {
        'ReportScheduleContentInfo' => 'MyTypes::ReportScheduleContentInfo',
    },
    {

        'ReportScheduleContentInfo' => 'ReportScheduleContentInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfReportScheduleContentInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfReportScheduleContentInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ReportScheduleContentInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfReportScheduleContentInfo
   ReportScheduleContentInfo =>  { # MyTypes::ReportScheduleContentInfo
     ArchivalFormat => $some_value, # ReportOutputFormat
     EmailAddressList => $some_value, # EmailAddressList
     GraphName =>  $some_value, # string
     IncludeDeletedObjects =>  $some_value, # boolean
     IsEnabled =>  $some_value, # boolean
     IsSuccessful =>  $some_value, # boolean
     LastRunTime =>  $some_value, # integer
     ReportApplication => $some_value, # ReportApplication
     ReportId => $some_value, # atomic
     ReportName =>  $some_value, # string
     ReportScheduleId => $some_value, # ObjId
     ReportScheduleName => $some_value, # ObjName
     SaveAllFields =>  $some_value, # boolean
     ScheduleId => $some_value, # atomic
     ScheduleName =>  $some_value, # string
     TargetObjectId => $some_value, # atomic
     TargetObjectName =>  $some_value, # string
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

