package MyTypes::ArrayOfResourcepoolMemberInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ResourcepoolMemberInfo_of :ATTR(:get<ResourcepoolMemberInfo>);

__PACKAGE__->_factory(
    [ qw(        ResourcepoolMemberInfo

    ) ],
    {
        'ResourcepoolMemberInfo' => \%ResourcepoolMemberInfo_of,
    },
    {
        'ResourcepoolMemberInfo' => 'MyTypes::ResourcepoolMemberInfo',
    },
    {

        'ResourcepoolMemberInfo' => 'ResourcepoolMemberInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfResourcepoolMemberInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfResourcepoolMemberInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ResourcepoolMemberInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfResourcepoolMemberInfo
   ResourcepoolMemberInfo =>  { # MyTypes::ResourcepoolMemberInfo
     DatasetsSpaceInfo =>  { # MyTypes::ArrayOfDatasetSpaceInfo
       DatasetSpaceInfo =>  { # MyTypes::DatasetSpaceInfo
         DatasetId => $some_value, # ObjId
         DatasetName => $some_value, # ObjName
         DpNodeId => $some_value, # atomic
         DpNodeName =>  $some_value, # string
         IsCapableOfMigration =>  $some_value, # boolean
         IsDpNodeEffectivePrimary =>  $some_value, # boolean
         UsedSpace =>  $some_value, # unsignedLong
       },
     },
     MemberCommittedSpace =>  $some_value, # integer
     MemberId =>  $some_value, # integer
     MemberName =>  $some_value, # string
     MemberSize =>  $some_value, # integer
     MemberSpaceStatus => $some_value, # ObjectSpaceStatus
     MemberStatus =>  $some_value, # string
     MemberType =>  $some_value, # string
     MemberUsedSpace =>  $some_value, # integer
     ProvisioningChecksPassed =>  $some_value, # boolean
     ResourceTag => $some_value, # ResourceTag
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

