package MyTypes::ArrayOfStorageServiceNodeInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %StorageServiceNodeInfo_of :ATTR(:get<StorageServiceNodeInfo>);

__PACKAGE__->_factory(
    [ qw(        StorageServiceNodeInfo

    ) ],
    {
        'StorageServiceNodeInfo' => \%StorageServiceNodeInfo_of,
    },
    {
        'StorageServiceNodeInfo' => 'MyTypes::StorageServiceNodeInfo',
    },
    {

        'StorageServiceNodeInfo' => 'StorageServiceNodeInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfStorageServiceNodeInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfStorageServiceNodeInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * StorageServiceNodeInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfStorageServiceNodeInfo
   StorageServiceNodeInfo =>  { # MyTypes::StorageServiceNodeInfo
     DpNodeId => $some_value, # ObjId
     DpNodeName => $some_value, # ObjName
     ProvisioningPolicyId => $some_value, # ObjId
     ProvisioningPolicyName => $some_value, # ObjName
     Resourcepools =>  { # MyTypes::ArrayOfResourcepoolInfo
       ResourcepoolInfo =>  { # MyTypes::ResourcepoolInfo
         AggregateNearlyOvercommittedThreshold =>  $some_value, # unsignedShort
         AggregateOvercommittedThreshold =>  $some_value, # unsignedShort
         ResourceTag => $some_value, # ResourceTag
         ResourcepoolContact => $some_value, # EmailAddressList
         ResourcepoolDescription =>  $some_value, # string
         ResourcepoolFreeVfilers =>  $some_value, # unsignedLong
         ResourcepoolFullThreshold => $some_value, # atomic
         ResourcepoolId =>  $some_value, # integer
         ResourcepoolIsProvisionable =>  $some_value, # boolean
         ResourcepoolKbytesAvailable => $some_value, # atomic
         ResourcepoolKbytesTotal => $some_value, # atomic
         ResourcepoolKbytesUsed => $some_value, # atomic
         ResourcepoolMemberCount => $some_value, # atomic
         ResourcepoolName =>  $some_value, # string
         ResourcepoolNearlyFullThreshold => $some_value, # atomic
         ResourcepoolOwner =>  $some_value, # string
         ResourcepoolPerfStatus => $some_value, # ObjStatus
         ResourcepoolSpaceStatus =>  $some_value, # string
         ResourcepoolStatus => $some_value, # ObjStatus
         ResourcepoolTimezone =>  $some_value, # string
       },
     },
     VfilerTemplateId => $some_value, # ObjId
     VfilerTemplateName => $some_value, # ObjName
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

