package MyTypes::ArrayOfThrottleContent;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ThrottleContent_of :ATTR(:get<ThrottleContent>);

__PACKAGE__->_factory(
    [ qw(        ThrottleContent

    ) ],
    {
        'ThrottleContent' => \%ThrottleContent_of,
    },
    {
        'ThrottleContent' => 'MyTypes::ThrottleContent',
    },
    {

        'ThrottleContent' => 'ThrottleContent',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::ArrayOfThrottleContent

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ArrayOfThrottleContent from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ThrottleContent




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ArrayOfThrottleContent
   ThrottleContent =>  { # MyTypes::ThrottleContent
     IsModifiable =>  $some_value, # boolean
     ThrottleDescription =>  $some_value, # string
     ThrottleId => $some_value, # atomic
     ThrottleItemList =>  { # MyTypes::ArrayOfThrottleItemInfo
       ThrottleItemInfo =>  { # MyTypes::ThrottleItemInfo
         DayList =>  { # MyTypes::ArrayOfDayInfo
           DayInfo =>  { # MyTypes::DayInfo
             Day => $some_value, # atomic
           },
         },
         EndHour => $some_value, # atomic
         EndMinute => $some_value, # atomic
         ItemId => $some_value, # atomic
         StartHour => $some_value, # atomic
         StartMinute => $some_value, # atomic
         Throughput => $some_value, # atomic
       },
     },
     ThrottleName =>  $some_value, # string
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

