package MyTypes::DfmMonitoringTimestamp;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %LastMonitoringTimestamp_of :ATTR(:get<LastMonitoringTimestamp>);
my %MonitorName_of :ATTR(:get<MonitorName>);

__PACKAGE__->_factory(
    [ qw(        LastMonitoringTimestamp
        MonitorName

    ) ],
    {
        'LastMonitoringTimestamp' => \%LastMonitoringTimestamp_of,
        'MonitorName' => \%MonitorName_of,
    },
    {

        'LastMonitoringTimestamp' => 'MyTypes::DfmMonitoringTimestamp::_LastMonitoringTimestamp',
        'MonitorName' => 'MyTypes::MonitorName',
    },
    {

        'LastMonitoringTimestamp' => 'LastMonitoringTimestamp',
        'MonitorName' => 'MonitorName',
    }
);

} # end BLOCK




package MyTypes::DfmMonitoringTimestamp::_LastMonitoringTimestamp;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}






1;


=pod

=head1 NAME

MyTypes::DfmMonitoringTimestamp

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
DfmMonitoringTimestamp from the namespace http://www.netapp.com/management/v1.

The Timestamp of last monitoring done for a monitor on various Objects of DFM.




=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * LastMonitoringTimestamp


=item * MonitorName




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::DfmMonitoringTimestamp
   LastMonitoringTimestamp => $some_value, # atomic
   MonitorName => $some_value, # MonitorName
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

