package MyTypes::DpProgressSnapvaultInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %BytesTransferred_of :ATTR(:get<BytesTransferred>);
my %DestinationQtreeId_of :ATTR(:get<DestinationQtreeId>);
my %DestinationQtreeName_of :ATTR(:get<DestinationQtreeName>);
my %SourceQtreeId_of :ATTR(:get<SourceQtreeId>);
my %SourceQtreeName_of :ATTR(:get<SourceQtreeName>);

__PACKAGE__->_factory(
    [ qw(        BytesTransferred
        DestinationQtreeId
        DestinationQtreeName
        SourceQtreeId
        SourceQtreeName

    ) ],
    {
        'BytesTransferred' => \%BytesTransferred_of,
        'DestinationQtreeId' => \%DestinationQtreeId_of,
        'DestinationQtreeName' => \%DestinationQtreeName_of,
        'SourceQtreeId' => \%SourceQtreeId_of,
        'SourceQtreeName' => \%SourceQtreeName_of,
    },
    {

        'BytesTransferred' => 'MyTypes::DpProgressSnapvaultInfo::_BytesTransferred',

        'DestinationQtreeId' => 'MyTypes::DpProgressSnapvaultInfo::_DestinationQtreeId',
        'DestinationQtreeName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'SourceQtreeId' => 'MyTypes::DpProgressSnapvaultInfo::_SourceQtreeId',
        'SourceQtreeName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'BytesTransferred' => 'BytesTransferred',
        'DestinationQtreeId' => 'DestinationQtreeId',
        'DestinationQtreeName' => 'DestinationQtreeName',
        'SourceQtreeId' => 'SourceQtreeId',
        'SourceQtreeName' => 'SourceQtreeName',
    }
);

} # end BLOCK




package MyTypes::DpProgressSnapvaultInfo::_BytesTransferred;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyTypes::DpProgressSnapvaultInfo::_DestinationQtreeId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyTypes::DpProgressSnapvaultInfo::_SourceQtreeId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}






1;


=pod

=head1 NAME

MyTypes::DpProgressSnapvaultInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
DpProgressSnapvaultInfo from the namespace http://www.netapp.com/management/v1.

Information about the start and end of a SnapVault transfer.




=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * BytesTransferred


=item * DestinationQtreeId


=item * DestinationQtreeName


=item * SourceQtreeId


=item * SourceQtreeName




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::DpProgressSnapvaultInfo
   BytesTransferred => $some_value, # atomic
   DestinationQtreeId => $some_value, # atomic
   DestinationQtreeName =>  $some_value, # string
   SourceQtreeId => $some_value, # atomic
   SourceQtreeName =>  $some_value, # string
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

