package MyTypes::MigrationIncompatibilityReason;
use strict;
use warnings;

sub get_xmlns { 'http://www.netapp.com/management/v1'};

# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::string);



1;

__END__

=pod

=head1 NAME



=head1 DESCRIPTION

Perl data type class for the XML Schema defined simpleType
MigrationIncompatibilityReason from the namespace http://www.netapp.com/management/v1.

A Reason the Volume is not capable of migration. <p> Possible Values are: <ul> <li> 'vol_has_nfs_exports': The Volume or any of its Qtrees has NFS exports. <li> 'vol_has_cifs_shares': The Volume or any of its Qtrees has CIFS shares. <li> 'vol_has_mapped_luns': The Volume or any of its Qtrees has LUNs. <li> 'vol_has_flex_clones': The Volume has child clone Volumes. <li> 'vol_has_unmanaged_snapmirror_rels': There are incoming or outgoing SnapMirror relationships that are not managed by ProtectionManager. <li> 'vol_has_unmanaged_snapvault_rels': There are incoming or outgoing SnapVault relationships that are not managed by Protection Manager. <li> 'vol_is_storage_root': The Volume is the root Volume of a storage system or vFiler Unit. <li> 'vol_has_qtree_storage_root': The Volume has at least one Qtree which is the root storage of a vFiler Unit. <li> 'vol_is_traditional': The Volume is 'Traditional' Volume, not a Flexible Volume. <li> 'vol_is_cmode': The Volume is on a Data ONTAP Cluster-Mode appliance. <li> 'vol_is_offline': The Volume is offline. </ul>



This clase is derived from 
   SOAP::WSDL::XSD::Typelib::Builtin::string
. SOAP::WSDL's schema implementation does not validate data, so you can use it exactly
like it's base type.

# Description of restrictions not implemented yet.


=head1 METHODS

=head2 new

Constructor.

=head2 get_value / set_value

Getter and setter for the simpleType's value.

=head1 OVERLOADING

Depending on the simple type's base type, the following operations are overloaded

 Stringification
 Numerification
 Boolification

Check L<SOAP::WSDL::XSD::Typelib::Builtin> for more information.

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

