package MyTypes::ProgressQuotaInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DefaultGroupQuota_of :ATTR(:get<DefaultGroupQuota>);
my %DefaultUserQuota_of :ATTR(:get<DefaultUserQuota>);
my %QtreeId_of :ATTR(:get<QtreeId>);
my %QtreeName_of :ATTR(:get<QtreeName>);
my %TreeQuota_of :ATTR(:get<TreeQuota>);

__PACKAGE__->_factory(
    [ qw(        DefaultGroupQuota
        DefaultUserQuota
        QtreeId
        QtreeName
        TreeQuota

    ) ],
    {
        'DefaultGroupQuota' => \%DefaultGroupQuota_of,
        'DefaultUserQuota' => \%DefaultUserQuota_of,
        'QtreeId' => \%QtreeId_of,
        'QtreeName' => \%QtreeName_of,
        'TreeQuota' => \%TreeQuota_of,
    },
    {

        'DefaultGroupQuota' => 'MyTypes::ProgressQuotaInfo::_DefaultGroupQuota',

        'DefaultUserQuota' => 'MyTypes::ProgressQuotaInfo::_DefaultUserQuota',
        'QtreeId' => 'MyTypes::ObjId',
        'QtreeName' => 'MyTypes::ObjFullName',

        'TreeQuota' => 'MyTypes::ProgressQuotaInfo::_TreeQuota',
    },
    {

        'DefaultGroupQuota' => 'DefaultGroupQuota',
        'DefaultUserQuota' => 'DefaultUserQuota',
        'QtreeId' => 'QtreeId',
        'QtreeName' => 'QtreeName',
        'TreeQuota' => 'TreeQuota',
    }
);

} # end BLOCK




package MyTypes::ProgressQuotaInfo::_DefaultGroupQuota;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyTypes::ProgressQuotaInfo::_DefaultUserQuota;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}



package MyTypes::ProgressQuotaInfo::_TreeQuota;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}






1;


=pod

=head1 NAME

MyTypes::ProgressQuotaInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ProgressQuotaInfo from the namespace http://www.netapp.com/management/v1.

Information about the quota of a Qtree.




=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DefaultGroupQuota


=item * DefaultUserQuota


=item * QtreeId


=item * QtreeName


=item * TreeQuota




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ProgressQuotaInfo
   DefaultGroupQuota => $some_value, # atomic
   DefaultUserQuota => $some_value, # atomic
   QtreeId => $some_value, # ObjId
   QtreeName => $some_value, # ObjFullName
   TreeQuota => $some_value, # atomic
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

