package MyTypes::ProtectionStatusJobDetail;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ProtectionStatusJobDescription_of :ATTR(:get<ProtectionStatusJobDescription>);
my %ProtectionStatusJobId_of :ATTR(:get<ProtectionStatusJobId>);
my %ProtectionStatusJobStatus_of :ATTR(:get<ProtectionStatusJobStatus>);
my %ProtectionStatusJobType_of :ATTR(:get<ProtectionStatusJobType>);

__PACKAGE__->_factory(
    [ qw(        ProtectionStatusJobDescription
        ProtectionStatusJobId
        ProtectionStatusJobStatus
        ProtectionStatusJobType

    ) ],
    {
        'ProtectionStatusJobDescription' => \%ProtectionStatusJobDescription_of,
        'ProtectionStatusJobId' => \%ProtectionStatusJobId_of,
        'ProtectionStatusJobStatus' => \%ProtectionStatusJobStatus_of,
        'ProtectionStatusJobType' => \%ProtectionStatusJobType_of,
    },
    {
        'ProtectionStatusJobDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',

        'ProtectionStatusJobId' => 'MyTypes::ProtectionStatusJobDetail::_ProtectionStatusJobId',
        'ProtectionStatusJobStatus' => 'MyTypes::DpJobOverallStatus',
        'ProtectionStatusJobType' => 'MyTypes::DpJobType',
    },
    {

        'ProtectionStatusJobDescription' => 'ProtectionStatusJobDescription',
        'ProtectionStatusJobId' => 'ProtectionStatusJobId',
        'ProtectionStatusJobStatus' => 'ProtectionStatusJobStatus',
        'ProtectionStatusJobType' => 'ProtectionStatusJobType',
    }
);

} # end BLOCK




package MyTypes::ProtectionStatusJobDetail::_ProtectionStatusJobId;
use strict;
use warnings;
{
# derivation by restriction
use base qw(
    SOAP::WSDL::XSD::Typelib::Builtin::integer);


}






1;


=pod

=head1 NAME

MyTypes::ProtectionStatusJobDetail

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ProtectionStatusJobDetail from the namespace http://www.netapp.com/management/v1.

Details about a job that led To a ProtectionStatusProblem




=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ProtectionStatusJobDescription


=item * ProtectionStatusJobId


=item * ProtectionStatusJobStatus


=item * ProtectionStatusJobType




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::ProtectionStatusJobDetail
   ProtectionStatusJobDescription =>  $some_value, # string
   ProtectionStatusJobId => $some_value, # atomic
   ProtectionStatusJobStatus => $some_value, # DpJobOverallStatus
   ProtectionStatusJobType => $some_value, # DpJobType
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

