package MyTypes::RbacOperationNameDetails;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %OperationDescription_of :ATTR(:get<OperationDescription>);
my %OperationSynopsis_of :ATTR(:get<OperationSynopsis>);
my %ResourceType_of :ATTR(:get<ResourceType>);

__PACKAGE__->_factory(
    [ qw(        OperationDescription
        OperationSynopsis
        ResourceType

    ) ],
    {
        'OperationDescription' => \%OperationDescription_of,
        'OperationSynopsis' => \%OperationSynopsis_of,
        'ResourceType' => \%ResourceType_of,
    },
    {
        'OperationDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'OperationSynopsis' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'ResourceType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    },
    {

        'OperationDescription' => 'OperationDescription',
        'OperationSynopsis' => 'OperationSynopsis',
        'ResourceType' => 'ResourceType',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::RbacOperationNameDetails

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
RbacOperationNameDetails from the namespace http://www.netapp.com/management/v1.

more details of an Operation




=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * OperationDescription


=item * OperationSynopsis


=item * ResourceType




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::RbacOperationNameDetails
   OperationDescription =>  $some_value, # string
   OperationSynopsis =>  $some_value, # string
   ResourceType =>  $some_value, # string
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

