package MyTypes::WrapperOfHostUserInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %HostUserInfo_of :ATTR(:get<HostUserInfo>);

__PACKAGE__->_factory(
    [ qw(        HostUserInfo

    ) ],
    {
        'HostUserInfo' => \%HostUserInfo_of,
    },
    {
        'HostUserInfo' => 'MyTypes::HostUserInfo',
    },
    {

        'HostUserInfo' => 'HostUserInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::WrapperOfHostUserInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
WrapperOfHostUserInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * HostUserInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::WrapperOfHostUserInfo
   HostUserInfo =>  { # MyTypes::HostUserInfo
     Capabilities =>  { # MyTypes::ArrayOfCapability
       Capability => $some_value, # Capability
     },
     Description => $some_value, # AccessObjectDescription
     FullName =>  $some_value, # string
     HostId => $some_value, # ObjId
     HostName => $some_value, # ObjName
     HostRoleIds =>  { # MyTypes::ArrayOfHostRoleId
       HostRoleId => $some_value, # HostRoleId
     },
     HostRoleNames =>  { # MyTypes::ArrayOfHostRoleName
       HostRoleName => $some_value, # HostRoleName
     },
     HostUserId => $some_value, # AccessObjectId
     HostUserName => $some_value, # AccessObjectName
     HostUsergroupIds =>  { # MyTypes::ArrayOfHostUsergroupId
       HostUsergroupId => $some_value, # HostUsergroupId
     },
     HostUsergroupNames =>  { # MyTypes::ArrayOfHostUsergroupName
       HostUsergroupName => $some_value, # HostUsergroupName
     },
     MaximumPasswordAge =>  $some_value, # unsignedInt
     MinimumPasswordAge =>  $some_value, # unsignedInt
     Password => $some_value, # HostUserPassword
     Status =>  $some_value, # string
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

