package MyTypes::WrapperOfVfilerTemplateInfo;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.netapp.com/management/v1' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %VfilerTemplateInfo_of :ATTR(:get<VfilerTemplateInfo>);

__PACKAGE__->_factory(
    [ qw(        VfilerTemplateInfo

    ) ],
    {
        'VfilerTemplateInfo' => \%VfilerTemplateInfo_of,
    },
    {
        'VfilerTemplateInfo' => 'MyTypes::VfilerTemplateInfo',
    },
    {

        'VfilerTemplateInfo' => 'VfilerTemplateInfo',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

MyTypes::WrapperOfVfilerTemplateInfo

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
WrapperOfVfilerTemplateInfo from the namespace http://www.netapp.com/management/v1.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * VfilerTemplateInfo




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::WrapperOfVfilerTemplateInfo
   VfilerTemplateInfo =>  { # MyTypes::VfilerTemplateInfo
     AdministrativeHostIpAddress => $some_value, # IpAddress
     CifsAuthType =>  $some_value, # string
     CifsDomain =>  $some_value, # string
     CifsSecurityStyle =>  $some_value, # string
     Description =>  $some_value, # string
     DnsDomain =>  $some_value, # string
     DnsServers =>  { # MyTypes::ArrayOfIpAddress
       IpAddress => $some_value, # IpAddress
     },
     NisDomain =>  $some_value, # string
     NisServers =>  { # MyTypes::ArrayOfIpAddress
       IpAddress => $some_value, # IpAddress
     },
     VfilerTemplateId => $some_value, # ObjId
     VfilerTemplateName => $some_value, # ObjName
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

