{ package   Dense::Agnostic::7mode::Node;
	use strict;
	use warnings;

	use Dense ();
	use Dense::Utils ();

	use vars qw($Fmap $Node_Fmap);

	$Node_Fmap = {

		set_metafile_visible            => {
			fname			=> \&Dense::Utils::set_metafile_visible,
			req_params		=> [qw(host)],
                        optional_params         => undef,
			return_value	        => undef,
		},
                syslog_rotate                   => {
                        fname                   =>  \&Dense::Utils::dense_syslog_rotate,
                        req_params              => [qw( conn )],
                        optional_params         => undef,
                        return_value            => undef,
        	},
                check_debug                   	=> {
                        fname                   =>  \&Dense::Utils::is_debug,
                        req_params              => [qw( conn )],
                        optional_params         => undef,
                        return_value            => undef,
                },

	};

	$Fmap = {( @{[%$Node_Fmap]} )};

	return (1);
}
