{ package   Dense::Agnostic::7mode::Volume;
    use strict;
    use warnings;

    use QtreeCmds qw(qtreeCreate 
                     qtreeSecurity);
    use Params::Validate qw(validate SCALAR);
    use Data::Dumper;
    use Tharn;

    
    sub qtree_create(@) {
        my ($V, %opts);
        $V = shift();
        %opts = validate( @_,{ qtree => { type=>SCALAR }});
        
        qtreeCreate($V->{F}{fc}, "/vol/$V->{name}/$opts{qtree}");

        return 1;
    }	
    return 1;



    sub qtree_Security(@) {
        my ($V, %opts);
        $V = shift();
        %opts = validate( @_,{ type => { type=>SCALAR }});

        qtreeSecurity($V->{F}{fc}, "/vol/$V->{name}",$opts{type});

        return 1;
    }
    return 1;
}
    






