{ package   Dense::Agnostic::Cmode::Aggr;
    use strict;
    use warnings;

    use vars    qw($Fmap $Aggr_Fmap);

    $Aggr_Fmap   = {
        show    => {
            fname   => 'storage_aggregate_show',
            m_args  => [qw(aggregate)],
            d_args  => undef,
            retval  => "HASH"
        },

        offline => {
            fname   => 'storage_aggregate_offline',
            m_args  => [qw(aggregate)],
            d_args  => undef,
            retval  => "HASH"
        },

        destroy => {
            fname   => 'storage_aggregate_delete',
            m_args  => [qw(aggregate)],
            d_args  => undef,
            retval  => "HASH"
        },

        upgrade => {
            fname   => 'storage_aggregate_64bit_upgrade_start',
            m_args  => [qw(aggregate)],
            d_args  => undef,
            retval  => "HASH"
        },

        upgrade_status => {
            fname   => 'storage_aggregate_64bit_upgrade_status',
            m_args  => [qw(aggregate)],
            d_args  => {fields=>'scanner-status'},
            retval  => "HASH"
        },

    };

    $Fmap = {( @{[%$Aggr_Fmap]} )};

    return 1;
} #Package
