{ package   Dense::Agnostic::Cmode::Volume;
    use strict;
    use warnings;

    use vars qw($Sis_Fmap);

    $Sis_Fmap   = {
        sis_config  => {
            fname   => 'volume_efficiency_config',
            m_args  => [qw(vserver volume)],
            d_args  => undef,
            retval  => undef,
        },

        sis_off => {
            fname   => 'volume_efficiency_off',
            m_args  => [qw(vserver volume)],
            d_args  => undef,
            retval  => undef,
        },

        sis_on  => {
            fname   => 'volume_efficiency_on',
            m_args  => [qw(vserver volume)],
            d_args  => undef,
            retval  => undef,
        },

        get_sis_stat  => {
            fname   => 'volume_efficiency_stat',
            m_args  => [qw(vserver volume)],
            d_args  => undef,
            retval  => undef,
        },

        sis_show  => {
            fname   => 'volume_efficiency_show',
            m_args  => [qw(vserver volume)],
            d_args  => undef,
            retval  => undef,
        },

#sis_start   => {
#           fname   => 'volume_efficiency_start',
#           m_args  => [qw(vserver volume)],
#           d_args  => undef,
#           retval  => undef,
#       },

        sis_status  => {
            fname   => 'volume_efficiency_show',
            m_args  => [qw(vserver volume)],
            d_args  => undef,
            retval  => undef,
        },

        sis_stop    => {
            fname   => 'volume_efficiency_stop',
            m_args  => [qw(vserver volume)],
            d_args  => undef,
            retval  => undef,
        },
        
        sis_undo  => {
            fname   => 'volume_efficiency_undo',
            m_args  => [qw(vserver volume)],
            d_args  => undef,
            retval  => undef,
        },

        sis_check  => {
            fname   => 'volume_efficiency_check',
            m_args  => [qw(vserver volume)],
            d_args  => undef,
            retval  => undef,
        },
        
        sis_revert_to  => {
            fname   => 'volume_efficiency_revert_to',
            m_args  => [qw(vserver volume)],
            d_args  => {'clean-up'=>'false'},
            retval  => undef,
        },

    };

#XXX sis_policy is a Vserver command, so it is located in Vserver directory

    return 1;
} #Package
