{package   Dense::Agnostic::Constants;

    use strict;
    use warnings;

    use vars ('@ISA', '@EXPORT');
    require Exporter;
    @ISA    = qw(Exporter);
    @EXPORT = qw(
        TRUE
        FALSE
        MODE_7M
        MODE_CM
        HOSTTYPE_CMODE
        DENSE_STAGE_NOP
        DENSE_STAGE_LOGGING
        DENSE_STAGE_WOC_SORTING
        DENSE_STAGE_WOC_COMPRESSING
        DENSE_STAGE_GATHERING
        DENSE_STAGE_SORTING
        DENSE_STAGE_DEDUPING_P1
        DENSE_STAGE_DEDUPING_P2
        DENSE_STAGE_DEDUPING_SHARING
        DENSE_STAGE_CHECKING_P0
        DENSE_STAGE_CHECKING_P1
        DENSE_STAGE_CHECKING_P2
        DENSE_CLI_SAY_TIMEOUT
        DENSE_EXPECT_SUCCESS
        DENSE_EXPECT_FAILURE
        DENSE_IGNORE_FAILURE
        MAX_REF_COUNT
        BLKS_PER_CG
	DWPATH
        );
    
    use constant    {
        MODE_7M   =>  0,
        MODE_CM   =>  1,
        DENSE_CLI_SAY_TIMEOUT  =>  1200,
        HOSTTYPE_CMODE => "ng",
        DENSE_STAGE_NOP             => "0",
        DENSE_STAGE_LOGGING         => "1",
        DENSE_STAGE_WOC_SORTING     => "1",         
        DENSE_STAGE_WOC_COMPRESSING => "1",
        DENSE_STAGE_GATHERING       => "2",
        DENSE_STAGE_SORTING         => "3",
        DENSE_STAGE_DEDUPING_P1     => "4",
        DENSE_STAGE_DEDUPING_P2     => "5",
        DENSE_STAGE_DEDUPING_SHARING=> "6",
        DENSE_STAGE_CHECKING_P0     => "7",
        DENSE_STAGE_CHECKING_P1     => "8",
        DENSE_STAGE_CHECKING_P2     => "9",
        MAX_REF_COUNT               => "32768",
        BLKS_PER_CG                 => "8",
	DWPATH                      => "metadir/datawarehouse/wholeVolRep/dataStore/map_4k",

    };
    use constant {
            GATHERING      => "Gathering",
            SORTING        => "Sorting",
            SAVING         => "Saving",
            CHECKING_P0    => "Checking_P0",
            CHECKING_P1    => "Checking_P1",
            CHECKING_P2    => "Checking_P2",
            DONE           => "Done",
    };

    use constant TRUE  => 1;
    use constant FALSE => 0;

    use constant DENSE_EXPECT_SUCCESS => 1;
    use constant DENSE_EXPECT_FAILURE => 0;
    use constant DENSE_IGNORE_FAILURE => 2;

}
return  (1);

