# -*- perl -*-
# $Id: //depot/prod/test/Rsierranevada/lib/Dense/clone_setup.pl#1 $
##
## @summary 
##    SIS Clone setup script
##
## @description
##		Checks SIS Clone supported version
##		Includes required libraries for Clone testing
##
## @author mathan@netapp.com
## @status public
##

use strict;
BEGIN { require "Dense/setup_simple.pl"; }
use	Filer::Version;
use vars qw($DENSE_CLONE_NOT_SUPP $FILER_MAYTAG_SUFFIX $MAYTAG_SUFFIX);
param("DENSE_CLONE_NOT_SUPP",		"-default",    "0");
param("FILER_MAYTAG_SUFFIX",		"-default",    "Ld");
param("MAYTAG_SUFFIX",				"-default",    "Ld");

### Fail the SIS Clone testcases on td kernel
if (($FILER_MAYTAG_SUFFIX eq "td") || ($MAYTAG_SUFFIX eq "td")){
	logresult ('FAIL', "SIS Clone suites are not supported in td kernel. Refer Bug 369887");
	exit 0;
}

### Check SIS Clone supported ONTAP version
### SIS Clone is supported from IC.1
### Exit the script if its not a suppoted version

my $ontap_version = Filer::Version::get_wafl_version(host($FILER));


#if (!($ontap_version > Filer::Version::WV_IRONCITY_MIN)){
#	logcomment("ONTAP Version number: $ontap_version");
#	$DENSE_CLONE_NOT_SUPP = 1;
#}
1;
