# -*- perl -*-
# $Id: //depot/prod/test/Rsierranevada/lib/FPolicy/commonParams.pl#1 $

# This sets up correct environment variables
# Please keep the list in alphabetic order
use strict;
use Tharn;
use vars qw(
	    $CIFS_CLIENT  
	    $CIFS_DRIVE
	    $CIFS_PASSWD
	    $CIFS_SHARE
	    $CIFS_USER
	    $CLIENT
	    $FILER
	    $FILERA
	    $FILERB
	    $FILER_CONN 
	    $FILER_IP
	    $FILER_QTREE
	    $FILER_VOL 
	    $NETMASK_X
	    $RDATE_SERVER
	    $ACTIVE_DIR_USER
	    $ACTIVE_DIR_PASSWD
	    $DNS_SERVER
	    $DNS_DOMAIN
	    );


param("CIFS_CLIENT",      "-default", $CLIENT);
param("CIFS_DRIVE",     "-default", '*');
param("CIFS_PASSWD", 	"-default", "BigCheese");
param("CIFS_SHARE",     "-default", "testshare");
param("CIFS_USER", 	"-default", "administrator\@cifs.lab.netapp.com");
param("CLIENT",		"-default", "localhost");
param("DNS_DOMAIN",	"-default", "lab.netapp.com");
param('DNS_SERVER', '-default', "172.19.2.30");
param('ACTIVE_DIR_USER', '-default', "Administrator\@cifs.lab.netapp.com");
param('ACTIVE_DIR_PASSWD', '-default', "BigCheese");
param('RDATE_SERVER', '-default', "mir");
param("NETMASK_X", "-default", '255.255.252.0');
param("FILER",       "-default", $FILER);

# NA_REVISIT: Temporary fix. For now, pick the first element of FILER_LIST
# to comply with the sitations where FILER is not defined.

#param('FILER_LIST','-mesg','Comma separated list of filer prefixes');
# NATE magically defaults FILER_LIST FILER or FILERA,FILERB 

#my @prefixes = split(/,\s*/,$FILER_LIST);
#my $prefix = $prefixes[0];

# Get the first element of FILER_LIST and assign into FILER
#param($prefix, '-mesg', "Filer");
#no strict 'refs';
#param("FILER", '-default', ${$prefix});
#use strict 'refs';

1;

