# -*- perl -*-
# $Id: //depot/prod/test/Rsierranevada/lib/Network/commonParams.pl#1 $

# This sets up correct environment variables
# Please keep the list in alphabetic order
use strict;
require "FS/commonParams.pl";
use Tharn;
use vars qw(
	    $DNS_DOMAIN
	    $DNS_SERVER
	    $DNS_SERVER_LIST
	    $DNS_SEARCH_DOMAINS
	    $NIS_DOMAIN
	    $NIS_SERVER
	    $NIS_SERVER_LIST
	    $NSSWITCH_PASSWD
	    $NSSWITCH_GROUP
       );

param('FILER_CONN',      	-set,    	"#console");
param('VOL_SIZE',            	-default,	"1g");
param('CLIENT_CONN',     	-default,	"#rsh");
param('HOST_NAME',       	-default,	"filer".time());
param('IP_ADDR',			-default, 	"192.168.10.1");
param('VFILER_IPADDR_1',    	-default,	"192.168.11.1");
param('VFILER_NETMASK',      	-default,	"255.255.255.0");

param("DNS_DOMAIN", 		-default, 	"netqa.lab.netapp.com");  # Networking Lab domain
param("DNS_DOMAIN_NO_DDNS", 	-default, 	"netqa2.lab.netapp.com");  # Networking Lab domain
param("DNS_SEARCH_DOMAINS",	-default, 	"netqa.lab.netapp.com lab.netapp.com eng.netapp.com corp.netapp.com hq.netapp.com");
param("DNS_SERVER", 		-default, 	"172.16.100.69");
param("DNS_SERVER_LIST", 	-default, 	"172.16.100.69:172.16.100.75:172.16.100.76");
#param("DNS_SERVER_LIST", 	-default, 	"172.19.2.30:172.19.3.32:10.56.10.222");

param("NIS_DOMAIN", 		-default, 	"lab.netapp.com");  # Networking Lab domain
param("NIS_SERVER", 		-default, 	"172.16.100.50");

param("IPSEC_PSK", 		-default, 	"usethiskey");

param('LISTTESTCASES',   	-default,	"no");
param('DEBUG',      		-default,	"no");
param('PKTT_IF',            	-default,	"e0a");

######## Not in use currently.
param("NIS_SERVER_LIST", 	-default, 	"172.16.100.72,172.16.100.73");
param("NSSWITCH_PASSWD", 	-default, 	"options.nsswitch.passwd");
param("NSSWITCH_GROUP",  	-default, 	"options.nsswitch.group");

1;
