## 2 node Config file for the test


our %sisClone = (

#node 158
      aggr_d3_node158_sisclone => {
            volInfo  => {
                  wfit_node158_sisclone_vol1 => "100gb",
                  wfit_node158_sisclone_vol2 => "100gb",
                  wfit_node158_sisclone_vol3 => "200gb",
                  wfit_node158_sisclone_vsm_vol4 => "100gb",
            },
      },
#node 159
      aggr_d3_node159_sisclone => {
            volInfo  => {
                  wfit_node159_sisclone_vol1 => "100gb",
                  wfit_node159_sisclone_vol2 => "100gb",
                  wfit_node159_sisclone_vol3 => "200gb",
                  wfit_node159_sisclone_vsm_vol4 => "100gb",
            },
      },
);

#Dedupe config data
our %dedupe = (
#node 158
      aggr_d7_node158_dedupe => {
            volInfo  => {
                  wfit_node158_dedupe_vol1 => "3500gb",
            },
      },
#node 159
      aggr_d7_node159_dedupe => {
            volInfo  => {
                  wfit_node159_dedupe_vol1 => "1tb",
                  wfit_node159_dedupe_vol2 => "1tb",
                  wfit_node159_dedupe_vol3 => "1tb",
                  wfit_node159_dedupe_vol4 => "1200gb",
            },
      },
);

#Compression config data
our %compression = (
#node 158
      aggr_d4_node158_compression => {
            volInfo  => {
                  wfit_node158_compression_vol1 => "500gb",
                  wfit_node158_compression_vol2 => "500gb",
                  wfit_node158_compression_vol3 => "1000gb",
            },
      },

#node 159
      aggr_d4_node159_compression => {
            volInfo  => {
                  wfit_node159_compression_vol1 => "500gb",
                  wfit_node159_compression_vol2 => "500gb",
                  wfit_node159_compression_vol3 => "1000gb",
            },
      },
);

#Compression config data
our %general = (
#node 158
      aggr_d4_node158_node159_data_striped => {
            volInfo  => {
                  wfit_node158_node159_striped_vol1 => "1tb",
            },
      },
      aggr_d4_node158_node159_full_striped => {
            volInfo  => {
                  wfit_node158_node159_striped_vol2 => "1tb",
            },
      },
);

%wfit = (
aggr_d7_node159_dedupe  => {"wfit_node159_dedupe_vol1" => "1tb",
                            "wfit_node159_dedupe_vol2" => "1tb",
                            "wfit_node159_dedupe_vol3" => "1tb",
                            "wfit_node159_dedupe_vol4" => "1.7tb",
                           },
aggr_d4_node158_compression => {"wfit_node158_compression_vol1" => "250g",
                                "wfit_node158_compression_vol2" => "250g",
                                "wfit_node158_compression_vol3" => "500g",
                               },
);



1;

