# this is basically -*- perl -*-
# $Id: //depot/prod/test/Rsierranevada/lib/nfs/ACL/Hpux.pm#1 $
#
# Copyright (c) 2005 Network Appliance, Inc.
# All rights reserved.
#

package nfs::ACL::Hpux;

## @summary  
##   Class to handle OS dependent portion of ACLs on HPUX.
##
## @description  
##   This is a sub-class of the AclClass package which provides
##   support for HPUX specific portion of ACLs.
##
## @usage
##   use nfs::ACL::Hpux
##
## @status	review
##
## @author  dl-maryv (FSS Protocols QA)
## @notes	Created by EP Network Storage Performance Lab, Inc.

use strict;
use nfs::ACL::AclBase;
use vars qw( @ISA );

#---------------------------------------------------------------------
# Inherit all functionality from AclBase class.
# No need to override anything, use default behavior.
#---------------------------------------------------------------------
our @ISA = qw(nfs::ACL::AclBase);

1;
