# this is basically -*- perl -*-
# $Id: //depot/prod/test/Rsierranevada/lib/nfs/ACL/Linux.pm#1 $
#
# Copyright (c) 2005 Network Appliance, Inc.
# All rights reserved.
#

package nfs::ACL::Linux;

## @summary  
##   Class to handle OS dependent portion of ACLs on Linux.
##
## @description  
##   This is a sub-class of the AclClass package which provides
##   support for Linux specific portion of ACLs.
##
## @usage
##   use nfs::ACL::Linux;
##
## @status	review
##
## @author	dl-maryv (FSS Protocols QA)
## @notes	Created by EP Network Storage Performance Lab, Inc.

use strict;
use Carp qw(croak);
use nfs::ACL::AclBase;
use vars qw( @ISA );

#---------------------------------------------------------------------
# Inherit all functionality from AclBase class.
#---------------------------------------------------------------------
our @ISA = qw(nfs::ACL::AclBase);

1;
