# $Id: //depot/prod/test/Rsierranevada/lib/nfs/tools.pm#1 $
## @author  dl-maryv (FSS Protocols QA)
## @summary old nfs tools library. may be obsolete

package nfs::tools;

use strict;
use Tharn;
use vars qw(@ISA @EXPORT);

require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(&yphostname &na_previous &na_lt);

sub yphostname($;) {
    my $checkhost = shift;

    if (`ypmatch $checkhost hosts` =~ /$checkhost/) {
	return $checkhost;
    } elsif (`ypmatch $checkhost.sim hosts` =~ /($checkhost.+)/) {
	return $1;
    }

    return $checkhost;		# hope for the best
}

sub na_previous($;) {
    my $c = shift;
    my (undef, undef, $out) = say($c, 'priv set advanced; revert_to');
    my @lines = split(/\r*\n/, $out);
    my $v = '<indeterminate version>';

    foreach my $line (@lines) {
	if ($line =~ /revert_to \[-i*f\] ([0-9]+\.[0-9]+)/) {
	    my $match = $1;
	    if ($line =~ /for $match/) {
	        $v = $match;
	    }
	}
    }

    return $v;
}

# Is one dot-version of data ontap less than another version?
sub na_lt($$;) {
    my(@a) = split(/\./, shift());
    my (@b) =  split(/\./, shift());

    if (@a && @b && $a[0] =~ /[0-9.]+/ && $b[0] =~ /[0-9.]+/) {
	if ($a[0] < $b[0]) {
	    return 1;
	} elsif ($a[0] == $b[0] && $a[1] < $b[1]) {
	    return 1;
	}
    } else {
	tstlog("-comment", "at-a=@a at-b=@b");
    }
    
    return 0;
}

1;
