#!/bin/bash
##############################################
#@auther - arunak
#mail ID - arunak@netapp.com
#version- 1.2
#date - August 3rd 2012
#Additional Comment - -NA- 
##############################################
TERM=linux
export TERM

clear
echo ""
echo "==================================================================================================================="
echo "Creating Nightly NDATE package - Automatically - New Modified Job"
echo "==================================================================================================================="
echo ""
echo "Date and time :" 
date
echo ""
cd /u/arunak/p4/NADQ_SEA/NDATE
echo ""
pwd
echo ""
/usr/software/rats/bin/p4 sync >/u/arunak/p4_sync_latest_files_`date +%Y-%m-%d-%T`.log
echo "Refresh all files"
echo ""
/usr/software/rats/bin/p4 sync -f >/u/arunak/p4_sync_output_`date +%Y-%m-%d-%T`.log
echo ""
sleep 10
echo "Checking make file"
echo "==================================================================================================================="
ls -lrt make_*
sudo chmod 777 make_nadq02_pkg
echo "==================================================================================================================="
echo ""
echo "==================================================================================================================="
echo "Executing make file with option 1"
echo "==================================================================================================================="
echo ""
echo "Creating package for NDATE 4.0"
sudo ./make_nadq02_pkg 1
echo ""
echo "Package for NDATE 4.0 Created successfully"
echo "==================================================================================================================="
sudo mkdir -p /u/arunak/nateNightly/NDATE_4_NetApp
sudo rm -rf /u/arunak/nateNightly/NDATE_4_NetApp/NDATE*
sudo cp -rf /u/arunak/p4/NADQ_SEA/NDATE/pkg/NDATE_* /u/arunak/nateNightly/NDATE_4_NetApp/
echo "NDATE Package for NDATE 4.0 copied successfully to nateNightly folder - NDATE_4_NetApp"
sudo rm -rf /u/arunak/p4/NADQ_SEA/NDATE/pkg
sleep 60
echo "==================================================================================================================="
echo "Package copied to nateNightly/NDATE_4"
echo "==================================================================================================================="
echo ""
sleep 20
echo ""
echo "==================================================================================================================="
echo "Executing make file with option 2 and 1"
echo "==================================================================================================================="
echo "Creating package for pNATE with build - NDATE_3_Vendors"
sudo ./make_nadq02_pkg 2 1 
echo ""
echo "Package for pNATE with build created successfully"
echo "==================================================================================================================="
sudo mkdir -p /u/arunak/nateNightly/NDATE_3_Vendors
sudo rm -rf /u/arunak/nateNightly/NDATE_3_Vendors/NDATE*
sudo cp -rf /u/arunak/p4/NADQ_SEA/NDATE/pkg/NDATE_* /u/arunak/nateNightly/NDATE_3_Vendors/
echo "NDATE Package for pNATE with build copied successfully to nateNightly folder under directory NDATE_3_Vendors"
sudo rm -rf /u/arunak/p4/NADQ_SEA/NDATE/pkg
sleep 60
echo "==================================================================================================================="
echo "Package copied to nateNightly/NDATE_3_Vendors folder"
echo "==================================================================================================================="
echo ""
sleep 20
echo ""
echo "==================================================================================================================="
echo "Executing make file with option 2 and 2"
echo "==================================================================================================================="
echo "Creating package for pNATE without build - NDATE_3_NetApp"
echo ""
sleep 30
sudo ./make_nadq02_pkg 2 2
echo ""
echo "Package for pNATE without build created successfully"
echo "==================================================================================================================="
sudo mkdir -p /u/arunak/nateNightly/NDATE_3_NetApp
sudo rm -rf /u/arunak/nateNightly/NDATE_3_NetApp/NDATE*
sudo cp -rf /u/arunak/p4/NADQ_SEA/NDATE/pkg/NDATE_* /u/arunak/nateNightly/NDATE_3_NetApp/
echo "NDATE Package for pNATE without build copied successfully to nateNightly folder under directory NDATE_3_NetApp"
sudo rm -rf /u/arunak/p4/NADQ_SEA/NDATE/pkg
sleep 60
echo "==================================================================================================================="
echo "Package copied to nateNightly/NDATE_3_NetApp folder"
echo "==================================================================================================================="
echo ""
sleep 20
echo ""
echo "==================================================================================================================="
echo "Executing make file with option 2 , 3 and 1"
echo "==================================================================================================================="
echo "Creating package for NATE - NDATE_3_NATE"
echo ""
sleep 30
sudo ./make_nadq02_pkg 2 3 1
echo ""
echo "Package for NATE created syccessfully"
echo "==================================================================================================================="
sudo mkdir -p /u/arunak/nateNightly/NDATE_3_NATE
sudo rm -rf /u/arunak/nateNightly/NDATE_3_NATE/NDATE*
sudo cp -rf /u/arunak/p4/NADQ_SEA/NDATE/pkg/NDATE_* /u/arunak/nateNightly/NDATE_3_NATE/
echo "NDATE Package for NATE copied successfully to nateNightly folder under directory NDATE_3_NATE"
sudo rm -rf /u/arunak/p4/NADQ_SEA/NDATE/pkg
sleep 60
echo "==================================================================================================================="
echo "Package copied to nateNightly/NDATE_3_NATE"
echo "==================================================================================================================="
echo ""
sleep 20
echo "######################################## Mounting server ###################################################"
echo "Mounting filer 172.23.8.10"
echo ""
cd /u/arunak
sudo mkdir -p /u/arunak/nightlybuild
sudo mount -F -o soft 172.23.8.10:/ nightlybuild
sleep 10
cd /u/arunak/nightlybuild/etc
echo ""
sleep 10
echo "Creating nateNightly directory under 172.23.8.10/etc/"
sudo mkdir -p nateNightly
sudo mkdir -p /u/arunak/nightlybuild/etc/nateNightly/NDATE_3_Vendors
sudo mkdir -p /u/arunak/nightlybuild/etc/nateNightly/NDATE_3_NetApp 
sudo mkdir -p /u/arunak/nightlybuild/etc/nateNightly/NDATE_3_NATE
sudo mkdir -p /u/arunak/nightlybuild/etc/nateNightly/NDATE_4_NetApp
echo ""
sudo rm -rf /u/arunak/nightlybuild/etc/nateNightly/NDATE_3_Vendors/NDATE*
sudo rm -rf /u/arunak/nightlybuild/etc/nateNightly/NDATE_3_NetApp/NDATE*
sudo rm -rf /u/arunak/nightlybuild/etc/nateNightly/NDATE_3_NATE/NDATE*
sudo rm -rf /u/arunak/nightlybuild/etc/nateNightly/NDATE_4_NetApp/NDATE*
echo ""
sudo cp -rf /u/arunak/nateNightly/NDATE_3_Vendors/* /u/arunak/nightlybuild/etc/nateNightly/NDATE_3_Vendors/
sudo cp -rf /u/arunak/nateNightly/NDATE_3_NetApp/* /u/arunak/nightlybuild/etc/nateNightly/NDATE_3_NetApp/
sudo cp -rf /u/arunak/nateNightly/NDATE_3_NATE/* /u/arunak/nightlybuild/etc/nateNightly/NDATE_3_NATE/
sudo cp -rf /u/arunak/nateNightly/NDATE_4_NetApp/* /u/arunak/nightlybuild/etc/nateNightly/NDATE_4_NetApp/
echo ""
sleep 20
echo ""
echo "Files copied to 172.23.8.10"
echo ""
echo "####################################################################################################################"
sleep 5
echo "Listing of files under etc/nateNightly"
cd /u/arunak/nightlybuild/etc/nateNightly
ls -lrt
cd /u/arunak
pwd
echo "Unmounting filer"
sudo umount -v nightlybuild
echo ""
sleep 10
echo "####################################################################################################################"
echo "Nightly build package with pNATE build, without pNATE build and NATE copied to 172.23.8.10/etc/nateNightly"
echo "####################################################################################################################"

